// Generated by Damien version 1.0 alpha 4

package org.eclipse.fdt.internal.core.f95parser;

import java.util.LinkedList;
import java.util.ArrayList;

/**
 * Enumerates the terminal symbols in the grammar being parsed
 */
public abstract class Terminal
{
    /**
     * Returns the row of the parser's Action table associated with this nonterminal
     */
    abstract short[] getActionRow();

    /**
     * Returns a string describing the terminal
     */
    public abstract String getDescription();

    public static class TCommonTerminal extends Terminal
    {
        private TCommonTerminal() {;} // Singleton
        private static final TCommonTerminal singletonInstance = new TCommonTerminal();
        public static final TCommonTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_COMMON"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow0(); }
    }
    public static final TCommonTerminal T_COMMON = TCommonTerminal.getInstance();

    public static class TCloseTerminal extends Terminal
    {
        private TCloseTerminal() {;} // Singleton
        private static final TCloseTerminal singletonInstance = new TCloseTerminal();
        public static final TCloseTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_CLOSE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow1(); }
    }
    public static final TCloseTerminal T_CLOSE = TCloseTerminal.getInstance();

    public static class TRewindTerminal extends Terminal
    {
        private TRewindTerminal() {;} // Singleton
        private static final TRewindTerminal singletonInstance = new TRewindTerminal();
        public static final TRewindTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_REWIND"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow2(); }
    }
    public static final TRewindTerminal T_REWIND = TRewindTerminal.getInstance();

    public static class TInquireTerminal extends Terminal
    {
        private TInquireTerminal() {;} // Singleton
        private static final TInquireTerminal singletonInstance = new TInquireTerminal();
        public static final TInquireTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_INQUIRE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow3(); }
    }
    public static final TInquireTerminal T_INQUIRE = TInquireTerminal.getInstance();

    public static class TRealTerminal extends Terminal
    {
        private TRealTerminal() {;} // Singleton
        private static final TRealTerminal singletonInstance = new TRealTerminal();
        public static final TRealTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_REAL"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow4(); }
    }
    public static final TRealTerminal T_REAL = TRealTerminal.getInstance();

    public static class TAdvanceeqTerminal extends Terminal
    {
        private TAdvanceeqTerminal() {;} // Singleton
        private static final TAdvanceeqTerminal singletonInstance = new TAdvanceeqTerminal();
        public static final TAdvanceeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ADVANCEEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow5(); }
    }
    public static final TAdvanceeqTerminal T_ADVANCEEQ = TAdvanceeqTerminal.getInstance();

    public static class TNoneTerminal extends Terminal
    {
        private TNoneTerminal() {;} // Singleton
        private static final TNoneTerminal singletonInstance = new TNoneTerminal();
        public static final TNoneTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_NONE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow6(); }
    }
    public static final TNoneTerminal T_NONE = TNoneTerminal.getInstance();

    public static class TEqualsTerminal extends Terminal
    {
        private TEqualsTerminal() {;} // Singleton
        private static final TEqualsTerminal singletonInstance = new TEqualsTerminal();
        public static final TEqualsTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_EQUALS"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow7(); }
    }
    public static final TEqualsTerminal T_EQUALS = TEqualsTerminal.getInstance();

    public static class TEndmoduleTerminal extends Terminal
    {
        private TEndmoduleTerminal() {;} // Singleton
        private static final TEndmoduleTerminal singletonInstance = new TEndmoduleTerminal();
        public static final TEndmoduleTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ENDMODULE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow8(); }
    }
    public static final TEndmoduleTerminal T_ENDMODULE = TEndmoduleTerminal.getInstance();

    public static class TPrecisionTerminal extends Terminal
    {
        private TPrecisionTerminal() {;} // Singleton
        private static final TPrecisionTerminal singletonInstance = new TPrecisionTerminal();
        public static final TPrecisionTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_PRECISION"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow9(); }
    }
    public static final TPrecisionTerminal T_PRECISION = TPrecisionTerminal.getInstance();

    public static class TEndfileTerminal extends Terminal
    {
        private TEndfileTerminal() {;} // Singleton
        private static final TEndfileTerminal singletonInstance = new TEndfileTerminal();
        public static final TEndfileTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ENDFILE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow10(); }
    }
    public static final TEndfileTerminal T_ENDFILE = TEndfileTerminal.getInstance();

    public static class TEqTerminal extends Terminal
    {
        private TEqTerminal() {;} // Singleton
        private static final TEqTerminal singletonInstance = new TEqTerminal();
        public static final TEqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_EQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow11(); }
    }
    public static final TEqTerminal T_EQ = TEqTerminal.getInstance();

    public static class TIdentTerminal extends Terminal
    {
        private TIdentTerminal() {;} // Singleton
        private static final TIdentTerminal singletonInstance = new TIdentTerminal();
        public static final TIdentTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_IDENT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow12(); }
    }
    public static final TIdentTerminal T_IDENT = TIdentTerminal.getInstance();

    public static class TReadTerminal extends Terminal
    {
        private TReadTerminal() {;} // Singleton
        private static final TReadTerminal singletonInstance = new TReadTerminal();
        public static final TReadTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_READ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow13(); }
    }
    public static final TReadTerminal T_READ = TReadTerminal.getInstance();

    public static class TActioneqTerminal extends Terminal
    {
        private TActioneqTerminal() {;} // Singleton
        private static final TActioneqTerminal singletonInstance = new TActioneqTerminal();
        public static final TActioneqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ACTIONEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow14(); }
    }
    public static final TActioneqTerminal T_ACTIONEQ = TActioneqTerminal.getInstance();

    public static class TNamelistTerminal extends Terminal
    {
        private TNamelistTerminal() {;} // Singleton
        private static final TNamelistTerminal singletonInstance = new TNamelistTerminal();
        public static final TNamelistTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_NAMELIST"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow15(); }
    }
    public static final TNamelistTerminal T_NAMELIST = TNamelistTerminal.getInstance();

    public static class TPrintTerminal extends Terminal
    {
        private TPrintTerminal() {;} // Singleton
        private static final TPrintTerminal singletonInstance = new TPrintTerminal();
        public static final TPrintTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_PRINT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow16(); }
    }
    public static final TPrintTerminal T_PRINT = TPrintTerminal.getInstance();

    public static class TTypeTerminal extends Terminal
    {
        private TTypeTerminal() {;} // Singleton
        private static final TTypeTerminal singletonInstance = new TTypeTerminal();
        public static final TTypeTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_TYPE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow17(); }
    }
    public static final TTypeTerminal T_TYPE = TTypeTerminal.getInstance();

    public static class TFunctionTerminal extends Terminal
    {
        private TFunctionTerminal() {;} // Singleton
        private static final TFunctionTerminal singletonInstance = new TFunctionTerminal();
        public static final TFunctionTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_FUNCTION"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow18(); }
    }
    public static final TFunctionTerminal T_FUNCTION = TFunctionTerminal.getInstance();

    public static class TPureTerminal extends Terminal
    {
        private TPureTerminal() {;} // Singleton
        private static final TPureTerminal singletonInstance = new TPureTerminal();
        public static final TPureTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_PURE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow19(); }
    }
    public static final TPureTerminal T_PURE = TPureTerminal.getInstance();

    public static class TBackspaceTerminal extends Terminal
    {
        private TBackspaceTerminal() {;} // Singleton
        private static final TBackspaceTerminal singletonInstance = new TBackspaceTerminal();
        public static final TBackspaceTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_BACKSPACE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow20(); }
    }
    public static final TBackspaceTerminal T_BACKSPACE = TBackspaceTerminal.getInstance();

    public static class TAllocatableTerminal extends Terminal
    {
        private TAllocatableTerminal() {;} // Singleton
        private static final TAllocatableTerminal singletonInstance = new TAllocatableTerminal();
        public static final TAllocatableTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ALLOCATABLE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow21(); }
    }
    public static final TAllocatableTerminal T_ALLOCATABLE = TAllocatableTerminal.getInstance();

    public static class TNullifyTerminal extends Terminal
    {
        private TNullifyTerminal() {;} // Singleton
        private static final TNullifyTerminal singletonInstance = new TNullifyTerminal();
        public static final TNullifyTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_NULLIFY"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow22(); }
    }
    public static final TNullifyTerminal T_NULLIFY = TNullifyTerminal.getInstance();

    public static class TUnformattedeqTerminal extends Terminal
    {
        private TUnformattedeqTerminal() {;} // Singleton
        private static final TUnformattedeqTerminal singletonInstance = new TUnformattedeqTerminal();
        public static final TUnformattedeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_UNFORMATTEDEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow23(); }
    }
    public static final TUnformattedeqTerminal T_UNFORMATTEDEQ = TUnformattedeqTerminal.getInstance();

    public static class TAccesseqTerminal extends Terminal
    {
        private TAccesseqTerminal() {;} // Singleton
        private static final TAccesseqTerminal singletonInstance = new TAccesseqTerminal();
        public static final TAccesseqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ACCESSEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow24(); }
    }
    public static final TAccesseqTerminal T_ACCESSEQ = TAccesseqTerminal.getInstance();

    public static class TParameterTerminal extends Terminal
    {
        private TParameterTerminal() {;} // Singleton
        private static final TParameterTerminal singletonInstance = new TParameterTerminal();
        public static final TParameterTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_PARAMETER"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow25(); }
    }
    public static final TParameterTerminal T_PARAMETER = TParameterTerminal.getInstance();

    public static class TNullTerminal extends Terminal
    {
        private TNullTerminal() {;} // Singleton
        private static final TNullTerminal singletonInstance = new TNullTerminal();
        public static final TNullTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_NULL"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow26(); }
    }
    public static final TNullTerminal T_NULL = TNullTerminal.getInstance();

    public static class TSconTerminal extends Terminal
    {
        private TSconTerminal() {;} // Singleton
        private static final TSconTerminal singletonInstance = new TSconTerminal();
        public static final TSconTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_SCON"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow27(); }
    }
    public static final TSconTerminal T_SCON = TSconTerminal.getInstance();

    public static class TWhileTerminal extends Terminal
    {
        private TWhileTerminal() {;} // Singleton
        private static final TWhileTerminal singletonInstance = new TWhileTerminal();
        public static final TWhileTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_WHILE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow28(); }
    }
    public static final TWhileTerminal T_WHILE = TWhileTerminal.getInstance();

    public static class TDoTerminal extends Terminal
    {
        private TDoTerminal() {;} // Singleton
        private static final TDoTerminal singletonInstance = new TDoTerminal();
        public static final TDoTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_DO"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow29(); }
    }
    public static final TDoTerminal T_DO = TDoTerminal.getInstance();

    public static class TContinueTerminal extends Terminal
    {
        private TContinueTerminal() {;} // Singleton
        private static final TContinueTerminal singletonInstance = new TContinueTerminal();
        public static final TContinueTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_CONTINUE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow30(); }
    }
    public static final TContinueTerminal T_CONTINUE = TContinueTerminal.getInstance();

    public static class TFileeqTerminal extends Terminal
    {
        private TFileeqTerminal() {;} // Singleton
        private static final TFileeqTerminal singletonInstance = new TFileeqTerminal();
        public static final TFileeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_FILEEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow31(); }
    }
    public static final TFileeqTerminal T_FILEEQ = TFileeqTerminal.getInstance();

    public static class TResultTerminal extends Terminal
    {
        private TResultTerminal() {;} // Singleton
        private static final TResultTerminal singletonInstance = new TResultTerminal();
        public static final TResultTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_RESULT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow32(); }
    }
    public static final TResultTerminal T_RESULT = TResultTerminal.getInstance();

    public static class TEosTerminal extends Terminal
    {
        private TEosTerminal() {;} // Singleton
        private static final TEosTerminal singletonInstance = new TEosTerminal();
        public static final TEosTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_EOS"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow33(); }
    }
    public static final TEosTerminal T_EOS = TEosTerminal.getInstance();

    public static class TCommaTerminal extends Terminal
    {
        private TCommaTerminal() {;} // Singleton
        private static final TCommaTerminal singletonInstance = new TCommaTerminal();
        public static final TCommaTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_COMMA"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow34(); }
    }
    public static final TCommaTerminal T_COMMA = TCommaTerminal.getInstance();

    public static class TProgramTerminal extends Terminal
    {
        private TProgramTerminal() {;} // Singleton
        private static final TProgramTerminal singletonInstance = new TProgramTerminal();
        public static final TProgramTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_PROGRAM"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow35(); }
    }
    public static final TProgramTerminal T_PROGRAM = TProgramTerminal.getInstance();

    public static class TXconTerminal extends Terminal
    {
        private TXconTerminal() {;} // Singleton
        private static final TXconTerminal singletonInstance = new TXconTerminal();
        public static final TXconTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_XCON"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow36(); }
    }
    public static final TXconTerminal T_XCON = TXconTerminal.getInstance();

    public static class TElseTerminal extends Terminal
    {
        private TElseTerminal() {;} // Singleton
        private static final TElseTerminal singletonInstance = new TElseTerminal();
        public static final TElseTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ELSE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow37(); }
    }
    public static final TElseTerminal T_ELSE = TElseTerminal.getInstance();

    public static class TEndsubroutineTerminal extends Terminal
    {
        private TEndsubroutineTerminal() {;} // Singleton
        private static final TEndsubroutineTerminal singletonInstance = new TEndsubroutineTerminal();
        public static final TEndsubroutineTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ENDSUBROUTINE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow38(); }
    }
    public static final TEndsubroutineTerminal T_ENDSUBROUTINE = TEndsubroutineTerminal.getInstance();

    public static class TForallTerminal extends Terminal
    {
        private TForallTerminal() {;} // Singleton
        private static final TForallTerminal singletonInstance = new TForallTerminal();
        public static final TForallTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_FORALL"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow39(); }
    }
    public static final TForallTerminal T_FORALL = TForallTerminal.getInstance();

    public static class TOrTerminal extends Terminal
    {
        private TOrTerminal() {;} // Singleton
        private static final TOrTerminal singletonInstance = new TOrTerminal();
        public static final TOrTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_OR"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow40(); }
    }
    public static final TOrTerminal T_OR = TOrTerminal.getInstance();

    public static class TTrueTerminal extends Terminal
    {
        private TTrueTerminal() {;} // Singleton
        private static final TTrueTerminal singletonInstance = new TTrueTerminal();
        public static final TTrueTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_TRUE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow41(); }
    }
    public static final TTrueTerminal T_TRUE = TTrueTerminal.getInstance();

    public static class TSequenceTerminal extends Terminal
    {
        private TSequenceTerminal() {;} // Singleton
        private static final TSequenceTerminal singletonInstance = new TSequenceTerminal();
        public static final TSequenceTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_SEQUENCE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow42(); }
    }
    public static final TSequenceTerminal T_SEQUENCE = TSequenceTerminal.getInstance();

    public static class TOconTerminal extends Terminal
    {
        private TOconTerminal() {;} // Singleton
        private static final TOconTerminal singletonInstance = new TOconTerminal();
        public static final TOconTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_OCON"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow43(); }
    }
    public static final TOconTerminal T_OCON = TOconTerminal.getInstance();

    public static class TElseifTerminal extends Terminal
    {
        private TElseifTerminal() {;} // Singleton
        private static final TElseifTerminal singletonInstance = new TElseifTerminal();
        public static final TElseifTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ELSEIF"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow44(); }
    }
    public static final TElseifTerminal T_ELSEIF = TElseifTerminal.getInstance();

    public static class TEndfunctionTerminal extends Terminal
    {
        private TEndfunctionTerminal() {;} // Singleton
        private static final TEndfunctionTerminal singletonInstance = new TEndfunctionTerminal();
        public static final TEndfunctionTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ENDFUNCTION"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow45(); }
    }
    public static final TEndfunctionTerminal T_ENDFUNCTION = TEndfunctionTerminal.getInstance();

    public static class TGreaterthaneqTerminal extends Terminal
    {
        private TGreaterthaneqTerminal() {;} // Singleton
        private static final TGreaterthaneqTerminal singletonInstance = new TGreaterthaneqTerminal();
        public static final TGreaterthaneqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_GREATERTHANEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow46(); }
    }
    public static final TGreaterthaneqTerminal T_GREATERTHANEQ = TGreaterthaneqTerminal.getInstance();

    public static class TRparenTerminal extends Terminal
    {
        private TRparenTerminal() {;} // Singleton
        private static final TRparenTerminal singletonInstance = new TRparenTerminal();
        public static final TRparenTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_RPAREN"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow47(); }
    }
    public static final TRparenTerminal T_RPAREN = TRparenTerminal.getInstance();

    public static class TPointerTerminal extends Terminal
    {
        private TPointerTerminal() {;} // Singleton
        private static final TPointerTerminal singletonInstance = new TPointerTerminal();
        public static final TPointerTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_POINTER"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow48(); }
    }
    public static final TPointerTerminal T_POINTER = TPointerTerminal.getInstance();

    public static class TPrivateTerminal extends Terminal
    {
        private TPrivateTerminal() {;} // Singleton
        private static final TPrivateTerminal singletonInstance = new TPrivateTerminal();
        public static final TPrivateTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_PRIVATE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow49(); }
    }
    public static final TPrivateTerminal T_PRIVATE = TPrivateTerminal.getInstance();

    public static class TEndTerminal extends Terminal
    {
        private TEndTerminal() {;} // Singleton
        private static final TEndTerminal singletonInstance = new TEndTerminal();
        public static final TEndTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_END"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow50(); }
    }
    public static final TEndTerminal T_END = TEndTerminal.getInstance();

    public static class TTargetTerminal extends Terminal
    {
        private TTargetTerminal() {;} // Singleton
        private static final TTargetTerminal singletonInstance = new TTargetTerminal();
        public static final TTargetTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_TARGET"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow51(); }
    }
    public static final TTargetTerminal T_TARGET = TTargetTerminal.getInstance();

    public static class TOptionalTerminal extends Terminal
    {
        private TOptionalTerminal() {;} // Singleton
        private static final TOptionalTerminal singletonInstance = new TOptionalTerminal();
        public static final TOptionalTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_OPTIONAL"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow52(); }
    }
    public static final TOptionalTerminal T_OPTIONAL = TOptionalTerminal.getInstance();

    public static class TEndifTerminal extends Terminal
    {
        private TEndifTerminal() {;} // Singleton
        private static final TEndifTerminal singletonInstance = new TEndifTerminal();
        public static final TEndifTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ENDIF"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow53(); }
    }
    public static final TEndifTerminal T_ENDIF = TEndifTerminal.getInstance();

    public static class TImplicitTerminal extends Terminal
    {
        private TImplicitTerminal() {;} // Singleton
        private static final TImplicitTerminal singletonInstance = new TImplicitTerminal();
        public static final TImplicitTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_IMPLICIT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow54(); }
    }
    public static final TImplicitTerminal T_IMPLICIT = TImplicitTerminal.getInstance();

    public static class TFconTerminal extends Terminal
    {
        private TFconTerminal() {;} // Singleton
        private static final TFconTerminal singletonInstance = new TFconTerminal();
        public static final TFconTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_FCON"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow55(); }
    }
    public static final TFconTerminal T_FCON = TFconTerminal.getInstance();

    public static class TEquivalenceTerminal extends Terminal
    {
        private TEquivalenceTerminal() {;} // Singleton
        private static final TEquivalenceTerminal singletonInstance = new TEquivalenceTerminal();
        public static final TEquivalenceTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_EQUIVALENCE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow56(); }
    }
    public static final TEquivalenceTerminal T_EQUIVALENCE = TEquivalenceTerminal.getInstance();

    public static class TFalseTerminal extends Terminal
    {
        private TFalseTerminal() {;} // Singleton
        private static final TFalseTerminal singletonInstance = new TFalseTerminal();
        public static final TFalseTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_FALSE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow57(); }
    }
    public static final TFalseTerminal T_FALSE = TFalseTerminal.getInstance();

    public static class TUniteqTerminal extends Terminal
    {
        private TUniteqTerminal() {;} // Singleton
        private static final TUniteqTerminal singletonInstance = new TUniteqTerminal();
        public static final TUniteqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_UNITEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow58(); }
    }
    public static final TUniteqTerminal T_UNITEQ = TUniteqTerminal.getInstance();

    public static class TPublicTerminal extends Terminal
    {
        private TPublicTerminal() {;} // Singleton
        private static final TPublicTerminal singletonInstance = new TPublicTerminal();
        public static final TPublicTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_PUBLIC"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow59(); }
    }
    public static final TPublicTerminal T_PUBLIC = TPublicTerminal.getInstance();

    public static class TAndTerminal extends Terminal
    {
        private TAndTerminal() {;} // Singleton
        private static final TAndTerminal singletonInstance = new TAndTerminal();
        public static final TAndTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_AND"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow60(); }
    }
    public static final TAndTerminal T_AND = TAndTerminal.getInstance();

    public static class TErreqTerminal extends Terminal
    {
        private TErreqTerminal() {;} // Singleton
        private static final TErreqTerminal singletonInstance = new TErreqTerminal();
        public static final TErreqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ERREQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow61(); }
    }
    public static final TErreqTerminal T_ERREQ = TErreqTerminal.getInstance();

    public static class TBlockdataTerminal extends Terminal
    {
        private TBlockdataTerminal() {;} // Singleton
        private static final TBlockdataTerminal singletonInstance = new TBlockdataTerminal();
        public static final TBlockdataTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_BLOCKDATA"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow62(); }
    }
    public static final TBlockdataTerminal T_BLOCKDATA = TBlockdataTerminal.getInstance();

    public static class TNeTerminal extends Terminal
    {
        private TNeTerminal() {;} // Singleton
        private static final TNeTerminal singletonInstance = new TNeTerminal();
        public static final TNeTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_NE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow63(); }
    }
    public static final TNeTerminal T_NE = TNeTerminal.getInstance();

    public static class TAssignTerminal extends Terminal
    {
        private TAssignTerminal() {;} // Singleton
        private static final TAssignTerminal singletonInstance = new TAssignTerminal();
        public static final TAssignTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ASSIGN"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow64(); }
    }
    public static final TAssignTerminal T_ASSIGN = TAssignTerminal.getInstance();

    public static class TElsewhereTerminal extends Terminal
    {
        private TElsewhereTerminal() {;} // Singleton
        private static final TElsewhereTerminal singletonInstance = new TElsewhereTerminal();
        public static final TElsewhereTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ELSEWHERE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow65(); }
    }
    public static final TElsewhereTerminal T_ELSEWHERE = TElsewhereTerminal.getInstance();

    public static class TDimensionTerminal extends Terminal
    {
        private TDimensionTerminal() {;} // Singleton
        private static final TDimensionTerminal singletonInstance = new TDimensionTerminal();
        public static final TDimensionTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_DIMENSION"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow66(); }
    }
    public static final TDimensionTerminal T_DIMENSION = TDimensionTerminal.getInstance();

    public static class TDoubleprecisionTerminal extends Terminal
    {
        private TDoubleprecisionTerminal() {;} // Singleton
        private static final TDoubleprecisionTerminal singletonInstance = new TDoubleprecisionTerminal();
        public static final TDoubleprecisionTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_DOUBLEPRECISION"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow67(); }
    }
    public static final TDoubleprecisionTerminal T_DOUBLEPRECISION = TDoubleprecisionTerminal.getInstance();

    public static class TEntryTerminal extends Terminal
    {
        private TEntryTerminal() {;} // Singleton
        private static final TEntryTerminal singletonInstance = new TEntryTerminal();
        public static final TEntryTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ENTRY"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow68(); }
    }
    public static final TEntryTerminal T_ENTRY = TEntryTerminal.getInstance();

    public static class TPositioneqTerminal extends Terminal
    {
        private TPositioneqTerminal() {;} // Singleton
        private static final TPositioneqTerminal singletonInstance = new TPositioneqTerminal();
        public static final TPositioneqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_POSITIONEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow69(); }
    }
    public static final TPositioneqTerminal T_POSITIONEQ = TPositioneqTerminal.getInstance();

    public static class TKindeqTerminal extends Terminal
    {
        private TKindeqTerminal() {;} // Singleton
        private static final TKindeqTerminal singletonInstance = new TKindeqTerminal();
        public static final TKindeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_KINDEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow70(); }
    }
    public static final TKindeqTerminal T_KINDEQ = TKindeqTerminal.getInstance();

    public static class TCaseTerminal extends Terminal
    {
        private TCaseTerminal() {;} // Singleton
        private static final TCaseTerminal singletonInstance = new TCaseTerminal();
        public static final TCaseTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_CASE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow71(); }
    }
    public static final TCaseTerminal T_CASE = TCaseTerminal.getInstance();

    public static class TProcedureTerminal extends Terminal
    {
        private TProcedureTerminal() {;} // Singleton
        private static final TProcedureTerminal singletonInstance = new TProcedureTerminal();
        public static final TProcedureTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_PROCEDURE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow72(); }
    }
    public static final TProcedureTerminal T_PROCEDURE = TProcedureTerminal.getInstance();

    public static class TStateqTerminal extends Terminal
    {
        private TStateqTerminal() {;} // Singleton
        private static final TStateqTerminal singletonInstance = new TStateqTerminal();
        public static final TStateqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_STATEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow73(); }
    }
    public static final TStateqTerminal T_STATEQ = TStateqTerminal.getInstance();

    public static class TPlusTerminal extends Terminal
    {
        private TPlusTerminal() {;} // Singleton
        private static final TPlusTerminal singletonInstance = new TPlusTerminal();
        public static final TPlusTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_PLUS"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow74(); }
    }
    public static final TPlusTerminal T_PLUS = TPlusTerminal.getInstance();

    public static class TRecursiveTerminal extends Terminal
    {
        private TRecursiveTerminal() {;} // Singleton
        private static final TRecursiveTerminal singletonInstance = new TRecursiveTerminal();
        public static final TRecursiveTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_RECURSIVE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow75(); }
    }
    public static final TRecursiveTerminal T_RECURSIVE = TRecursiveTerminal.getInstance();

    public static class TIntrinsicTerminal extends Terminal
    {
        private TIntrinsicTerminal() {;} // Singleton
        private static final TIntrinsicTerminal singletonInstance = new TIntrinsicTerminal();
        public static final TIntrinsicTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_INTRINSIC"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow76(); }
    }
    public static final TIntrinsicTerminal T_INTRINSIC = TIntrinsicTerminal.getInstance();

    public static class TEndforallTerminal extends Terminal
    {
        private TEndforallTerminal() {;} // Singleton
        private static final TEndforallTerminal singletonInstance = new TEndforallTerminal();
        public static final TEndforallTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ENDFORALL"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow77(); }
    }
    public static final TEndforallTerminal T_ENDFORALL = TEndforallTerminal.getInstance();

    public static class TInterfaceTerminal extends Terminal
    {
        private TInterfaceTerminal() {;} // Singleton
        private static final TInterfaceTerminal singletonInstance = new TInterfaceTerminal();
        public static final TInterfaceTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_INTERFACE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow78(); }
    }
    public static final TInterfaceTerminal T_INTERFACE = TInterfaceTerminal.getInstance();

    public static class TBconTerminal extends Terminal
    {
        private TBconTerminal() {;} // Singleton
        private static final TBconTerminal singletonInstance = new TBconTerminal();
        public static final TBconTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_BCON"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow79(); }
    }
    public static final TBconTerminal T_BCON = TBconTerminal.getInstance();

    public static class TOpenTerminal extends Terminal
    {
        private TOpenTerminal() {;} // Singleton
        private static final TOpenTerminal singletonInstance = new TOpenTerminal();
        public static final TOpenTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_OPEN"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow80(); }
    }
    public static final TOpenTerminal T_OPEN = TOpenTerminal.getInstance();

    public static class TStopTerminal extends Terminal
    {
        private TStopTerminal() {;} // Singleton
        private static final TStopTerminal singletonInstance = new TStopTerminal();
        public static final TStopTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_STOP"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow81(); }
    }
    public static final TStopTerminal T_STOP = TStopTerminal.getInstance();

    public static class TPconTerminal extends Terminal
    {
        private TPconTerminal() {;} // Singleton
        private static final TPconTerminal singletonInstance = new TPconTerminal();
        public static final TPconTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_PCON"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow82(); }
    }
    public static final TPconTerminal T_PCON = TPconTerminal.getInstance();

    public static class TLtTerminal extends Terminal
    {
        private TLtTerminal() {;} // Singleton
        private static final TLtTerminal singletonInstance = new TLtTerminal();
        public static final TLtTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_LT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow83(); }
    }
    public static final TLtTerminal T_LT = TLtTerminal.getInstance();

    public static class TFormattedeqTerminal extends Terminal
    {
        private TFormattedeqTerminal() {;} // Singleton
        private static final TFormattedeqTerminal singletonInstance = new TFormattedeqTerminal();
        public static final TFormattedeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_FORMATTEDEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow84(); }
    }
    public static final TFormattedeqTerminal T_FORMATTEDEQ = TFormattedeqTerminal.getInstance();

    public static class TContainsTerminal extends Terminal
    {
        private TContainsTerminal() {;} // Singleton
        private static final TContainsTerminal singletonInstance = new TContainsTerminal();
        public static final TContainsTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_CONTAINS"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow85(); }
    }
    public static final TContainsTerminal T_CONTAINS = TContainsTerminal.getInstance();

    public static class TReceqTerminal extends Terminal
    {
        private TReceqTerminal() {;} // Singleton
        private static final TReceqTerminal singletonInstance = new TReceqTerminal();
        public static final TReceqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_RECEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow86(); }
    }
    public static final TReceqTerminal T_RECEQ = TReceqTerminal.getInstance();

    public static class TReadeqTerminal extends Terminal
    {
        private TReadeqTerminal() {;} // Singleton
        private static final TReadeqTerminal singletonInstance = new TReadeqTerminal();
        public static final TReadeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_READEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow87(); }
    }
    public static final TReadeqTerminal T_READEQ = TReadeqTerminal.getInstance();

    public static class TColonTerminal extends Terminal
    {
        private TColonTerminal() {;} // Singleton
        private static final TColonTerminal singletonInstance = new TColonTerminal();
        public static final TColonTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_COLON"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow88(); }
    }
    public static final TColonTerminal T_COLON = TColonTerminal.getInstance();

    public static class TIntentTerminal extends Terminal
    {
        private TIntentTerminal() {;} // Singleton
        private static final TIntentTerminal singletonInstance = new TIntentTerminal();
        public static final TIntentTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_INTENT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow89(); }
    }
    public static final TIntentTerminal T_INTENT = TIntentTerminal.getInstance();

    public static class TCycleTerminal extends Terminal
    {
        private TCycleTerminal() {;} // Singleton
        private static final TCycleTerminal singletonInstance = new TCycleTerminal();
        public static final TCycleTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_CYCLE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow90(); }
    }
    public static final TCycleTerminal T_CYCLE = TCycleTerminal.getInstance();

    public static class TLeTerminal extends Terminal
    {
        private TLeTerminal() {;} // Singleton
        private static final TLeTerminal singletonInstance = new TLeTerminal();
        public static final TLeTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_LE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow91(); }
    }
    public static final TLeTerminal T_LE = TLeTerminal.getInstance();

    public static class TFileTerminal extends Terminal
    {
        private TFileTerminal() {;} // Singleton
        private static final TFileTerminal singletonInstance = new TFileTerminal();
        public static final TFileTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_FILE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow92(); }
    }
    public static final TFileTerminal T_FILE = TFileTerminal.getInstance();

    public static class TDataTerminal extends Terminal
    {
        private TDataTerminal() {;} // Singleton
        private static final TDataTerminal singletonInstance = new TDataTerminal();
        public static final TDataTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_DATA"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow93(); }
    }
    public static final TDataTerminal T_DATA = TDataTerminal.getInstance();

    public static class TNumbereqTerminal extends Terminal
    {
        private TNumbereqTerminal() {;} // Singleton
        private static final TNumbereqTerminal singletonInstance = new TNumbereqTerminal();
        public static final TNumbereqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_NUMBEREQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow94(); }
    }
    public static final TNumbereqTerminal T_NUMBEREQ = TNumbereqTerminal.getInstance();

    public static class TDeallocateTerminal extends Terminal
    {
        private TDeallocateTerminal() {;} // Singleton
        private static final TDeallocateTerminal singletonInstance = new TDeallocateTerminal();
        public static final TDeallocateTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_DEALLOCATE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow95(); }
    }
    public static final TDeallocateTerminal T_DEALLOCATE = TDeallocateTerminal.getInstance();

    public static class TSizeeqTerminal extends Terminal
    {
        private TSizeeqTerminal() {;} // Singleton
        private static final TSizeeqTerminal singletonInstance = new TSizeeqTerminal();
        public static final TSizeeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_SIZEEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow96(); }
    }
    public static final TSizeeqTerminal T_SIZEEQ = TSizeeqTerminal.getInstance();

    public static class TPowTerminal extends Terminal
    {
        private TPowTerminal() {;} // Singleton
        private static final TPowTerminal singletonInstance = new TPowTerminal();
        public static final TPowTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_POW"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow97(); }
    }
    public static final TPowTerminal T_POW = TPowTerminal.getInstance();

    public static class TInoutTerminal extends Terminal
    {
        private TInoutTerminal() {;} // Singleton
        private static final TInoutTerminal singletonInstance = new TInoutTerminal();
        public static final TInoutTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_INOUT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow98(); }
    }
    public static final TInoutTerminal T_INOUT = TInoutTerminal.getInstance();

    public static class TLparenslashTerminal extends Terminal
    {
        private TLparenslashTerminal() {;} // Singleton
        private static final TLparenslashTerminal singletonInstance = new TLparenslashTerminal();
        public static final TLparenslashTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_LPARENSLASH"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow99(); }
    }
    public static final TLparenslashTerminal T_LPARENSLASH = TLparenslashTerminal.getInstance();

    public static class TLeneqTerminal extends Terminal
    {
        private TLeneqTerminal() {;} // Singleton
        private static final TLeneqTerminal singletonInstance = new TLeneqTerminal();
        public static final TLeneqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_LENEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow100(); }
    }
    public static final TLeneqTerminal T_LENEQ = TLeneqTerminal.getInstance();

    public static class TBlockTerminal extends Terminal
    {
        private TBlockTerminal() {;} // Singleton
        private static final TBlockTerminal singletonInstance = new TBlockTerminal();
        public static final TBlockTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_BLOCK"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow101(); }
    }
    public static final TBlockTerminal T_BLOCK = TBlockTerminal.getInstance();

    public static class TNotTerminal extends Terminal
    {
        private TNotTerminal() {;} // Singleton
        private static final TNotTerminal singletonInstance = new TNotTerminal();
        public static final TNotTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_NOT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow102(); }
    }
    public static final TNotTerminal T_NOT = TNotTerminal.getInstance();

    public static class TOutTerminal extends Terminal
    {
        private TOutTerminal() {;} // Singleton
        private static final TOutTerminal singletonInstance = new TOutTerminal();
        public static final TOutTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_OUT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow103(); }
    }
    public static final TOutTerminal T_OUT = TOutTerminal.getInstance();

    public static class TEndeqTerminal extends Terminal
    {
        private TEndeqTerminal() {;} // Singleton
        private static final TEndeqTerminal singletonInstance = new TEndeqTerminal();
        public static final TEndeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ENDEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow104(); }
    }
    public static final TEndeqTerminal T_ENDEQ = TEndeqTerminal.getInstance();

    public static class TOpenedeqTerminal extends Terminal
    {
        private TOpenedeqTerminal() {;} // Singleton
        private static final TOpenedeqTerminal singletonInstance = new TOpenedeqTerminal();
        public static final TOpenedeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_OPENEDEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow105(); }
    }
    public static final TOpenedeqTerminal T_OPENEDEQ = TOpenedeqTerminal.getInstance();

    public static class TSaveTerminal extends Terminal
    {
        private TSaveTerminal() {;} // Singleton
        private static final TSaveTerminal singletonInstance = new TSaveTerminal();
        public static final TSaveTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_SAVE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow106(); }
    }
    public static final TSaveTerminal T_SAVE = TSaveTerminal.getInstance();

    public static class TDelimeqTerminal extends Terminal
    {
        private TDelimeqTerminal() {;} // Singleton
        private static final TDelimeqTerminal singletonInstance = new TDelimeqTerminal();
        public static final TDelimeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_DELIMEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow107(); }
    }
    public static final TDelimeqTerminal T_DELIMEQ = TDelimeqTerminal.getInstance();

    public static class TThenTerminal extends Terminal
    {
        private TThenTerminal() {;} // Singleton
        private static final TThenTerminal singletonInstance = new TThenTerminal();
        public static final TThenTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_THEN"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow108(); }
    }
    public static final TThenTerminal T_THEN = TThenTerminal.getInstance();

    public static class TEndblockdataTerminal extends Terminal
    {
        private TEndblockdataTerminal() {;} // Singleton
        private static final TEndblockdataTerminal singletonInstance = new TEndblockdataTerminal();
        public static final TEndblockdataTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ENDBLOCKDATA"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow109(); }
    }
    public static final TEndblockdataTerminal T_ENDBLOCKDATA = TEndblockdataTerminal.getInstance();

    public static class TEndtypeTerminal extends Terminal
    {
        private TEndtypeTerminal() {;} // Singleton
        private static final TEndtypeTerminal singletonInstance = new TEndtypeTerminal();
        public static final TEndtypeTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ENDTYPE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow110(); }
    }
    public static final TEndtypeTerminal T_ENDTYPE = TEndtypeTerminal.getInstance();

    public static class TSubroutineTerminal extends Terminal
    {
        private TSubroutineTerminal() {;} // Singleton
        private static final TSubroutineTerminal singletonInstance = new TSubroutineTerminal();
        public static final TSubroutineTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_SUBROUTINE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow111(); }
    }
    public static final TSubroutineTerminal T_SUBROUTINE = TSubroutineTerminal.getInstance();

    public static class TSlashTerminal extends Terminal
    {
        private TSlashTerminal() {;} // Singleton
        private static final TSlashTerminal singletonInstance = new TSlashTerminal();
        public static final TSlashTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_SLASH"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow112(); }
    }
    public static final TSlashTerminal T_SLASH = TSlashTerminal.getInstance();

    public static class TOperatorTerminal extends Terminal
    {
        private TOperatorTerminal() {;} // Singleton
        private static final TOperatorTerminal singletonInstance = new TOperatorTerminal();
        public static final TOperatorTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_OPERATOR"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow113(); }
    }
    public static final TOperatorTerminal T_OPERATOR = TOperatorTerminal.getInstance();

    public static class TZconTerminal extends Terminal
    {
        private TZconTerminal() {;} // Singleton
        private static final TZconTerminal singletonInstance = new TZconTerminal();
        public static final TZconTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ZCON"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow114(); }
    }
    public static final TZconTerminal T_ZCON = TZconTerminal.getInstance();

    public static class TWriteTerminal extends Terminal
    {
        private TWriteTerminal() {;} // Singleton
        private static final TWriteTerminal singletonInstance = new TWriteTerminal();
        public static final TWriteTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_WRITE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow115(); }
    }
    public static final TWriteTerminal T_WRITE = TWriteTerminal.getInstance();

    public static class TPadeqTerminal extends Terminal
    {
        private TPadeqTerminal() {;} // Singleton
        private static final TPadeqTerminal singletonInstance = new TPadeqTerminal();
        public static final TPadeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_PADEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow116(); }
    }
    public static final TPadeqTerminal T_PADEQ = TPadeqTerminal.getInstance();

    public static class TPercentTerminal extends Terminal
    {
        private TPercentTerminal() {;} // Singleton
        private static final TPercentTerminal singletonInstance = new TPercentTerminal();
        public static final TPercentTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_PERCENT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow117(); }
    }
    public static final TPercentTerminal T_PERCENT = TPercentTerminal.getInstance();

    public static class TBlankeqTerminal extends Terminal
    {
        private TBlankeqTerminal() {;} // Singleton
        private static final TBlankeqTerminal singletonInstance = new TBlankeqTerminal();
        public static final TBlankeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_BLANKEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow118(); }
    }
    public static final TBlankeqTerminal T_BLANKEQ = TBlankeqTerminal.getInstance();

    public static class TFormeqTerminal extends Terminal
    {
        private TFormeqTerminal() {;} // Singleton
        private static final TFormeqTerminal singletonInstance = new TFormeqTerminal();
        public static final TFormeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_FORMEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow119(); }
    }
    public static final TFormeqTerminal T_FORMEQ = TFormeqTerminal.getInstance();

    public static class TEnddoTerminal extends Terminal
    {
        private TEnddoTerminal() {;} // Singleton
        private static final TEnddoTerminal singletonInstance = new TEnddoTerminal();
        public static final TEnddoTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ENDDO"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow120(); }
    }
    public static final TEnddoTerminal T_ENDDO = TEnddoTerminal.getInstance();

    public static class TEoreqTerminal extends Terminal
    {
        private TEoreqTerminal() {;} // Singleton
        private static final TEoreqTerminal singletonInstance = new TEoreqTerminal();
        public static final TEoreqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_EOREQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow121(); }
    }
    public static final TEoreqTerminal T_EOREQ = TEoreqTerminal.getInstance();

    public static class TNameeqTerminal extends Terminal
    {
        private TNameeqTerminal() {;} // Singleton
        private static final TNameeqTerminal singletonInstance = new TNameeqTerminal();
        public static final TNameeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_NAMEEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow122(); }
    }
    public static final TNameeqTerminal T_NAMEEQ = TNameeqTerminal.getInstance();

    public static class TCharacterTerminal extends Terminal
    {
        private TCharacterTerminal() {;} // Singleton
        private static final TCharacterTerminal singletonInstance = new TCharacterTerminal();
        public static final TCharacterTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_CHARACTER"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow123(); }
    }
    public static final TCharacterTerminal T_CHARACTER = TCharacterTerminal.getInstance();

    public static class TWhereTerminal extends Terminal
    {
        private TWhereTerminal() {;} // Singleton
        private static final TWhereTerminal singletonInstance = new TWhereTerminal();
        public static final TWhereTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_WHERE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow124(); }
    }
    public static final TWhereTerminal T_WHERE = TWhereTerminal.getInstance();

    public static class TEndprogramTerminal extends Terminal
    {
        private TEndprogramTerminal() {;} // Singleton
        private static final TEndprogramTerminal singletonInstance = new TEndprogramTerminal();
        public static final TEndprogramTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ENDPROGRAM"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow125(); }
    }
    public static final TEndprogramTerminal T_ENDPROGRAM = TEndprogramTerminal.getInstance();

    public static class TXdopTerminal extends Terminal
    {
        private TXdopTerminal() {;} // Singleton
        private static final TXdopTerminal singletonInstance = new TXdopTerminal();
        public static final TXdopTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_XDOP"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow126(); }
    }
    public static final TXdopTerminal T_XDOP = TXdopTerminal.getInstance();

    public static class TLessthanTerminal extends Terminal
    {
        private TLessthanTerminal() {;} // Singleton
        private static final TLessthanTerminal singletonInstance = new TLessthanTerminal();
        public static final TLessthanTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_LESSTHAN"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow127(); }
    }
    public static final TLessthanTerminal T_LESSTHAN = TLessthanTerminal.getInstance();

    public static class TXimplTerminal extends Terminal
    {
        private TXimplTerminal() {;} // Singleton
        private static final TXimplTerminal singletonInstance = new TXimplTerminal();
        public static final TXimplTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_xImpl"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow128(); }
    }
    public static final TXimplTerminal T_XIMPL = TXimplTerminal.getInstance();

    public static class TIostateqTerminal extends Terminal
    {
        private TIostateqTerminal() {;} // Singleton
        private static final TIostateqTerminal singletonInstance = new TIostateqTerminal();
        public static final TIostateqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_IOSTATEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow129(); }
    }
    public static final TIostateqTerminal T_IOSTATEQ = TIostateqTerminal.getInstance();

    public static class TUnderscoreTerminal extends Terminal
    {
        private TUnderscoreTerminal() {;} // Singleton
        private static final TUnderscoreTerminal singletonInstance = new TUnderscoreTerminal();
        public static final TUnderscoreTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_UNDERSCORE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow130(); }
    }
    public static final TUnderscoreTerminal T_UNDERSCORE = TUnderscoreTerminal.getInstance();

    public static class TEndinterfaceTerminal extends Terminal
    {
        private TEndinterfaceTerminal() {;} // Singleton
        private static final TEndinterfaceTerminal singletonInstance = new TEndinterfaceTerminal();
        public static final TEndinterfaceTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ENDINTERFACE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow131(); }
    }
    public static final TEndinterfaceTerminal T_ENDINTERFACE = TEndinterfaceTerminal.getInstance();

    public static class TLparenTerminal extends Terminal
    {
        private TLparenTerminal() {;} // Singleton
        private static final TLparenTerminal singletonInstance = new TLparenTerminal();
        public static final TLparenTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_LPAREN"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow132(); }
    }
    public static final TLparenTerminal T_LPAREN = TLparenTerminal.getInstance();

    public static class TNextreceqTerminal extends Terminal
    {
        private TNextreceqTerminal() {;} // Singleton
        private static final TNextreceqTerminal singletonInstance = new TNextreceqTerminal();
        public static final TNextreceqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_NEXTRECEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow133(); }
    }
    public static final TNextreceqTerminal T_NEXTRECEQ = TNextreceqTerminal.getInstance();

    public static class TInTerminal extends Terminal
    {
        private TInTerminal() {;} // Singleton
        private static final TInTerminal singletonInstance = new TInTerminal();
        public static final TInTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_IN"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow134(); }
    }
    public static final TInTerminal T_IN = TInTerminal.getInstance();

    public static class TLessthaneqTerminal extends Terminal
    {
        private TLessthaneqTerminal() {;} // Singleton
        private static final TLessthaneqTerminal singletonInstance = new TLessthaneqTerminal();
        public static final TLessthaneqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_LESSTHANEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow135(); }
    }
    public static final TLessthaneqTerminal T_LESSTHANEQ = TLessthaneqTerminal.getInstance();

    public static class TUseTerminal extends Terminal
    {
        private TUseTerminal() {;} // Singleton
        private static final TUseTerminal singletonInstance = new TUseTerminal();
        public static final TUseTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_USE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow136(); }
    }
    public static final TUseTerminal T_USE = TUseTerminal.getInstance();

    public static class THconTerminal extends Terminal
    {
        private THconTerminal() {;} // Singleton
        private static final THconTerminal singletonInstance = new THconTerminal();
        public static final THconTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_HCON"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow137(); }
    }
    public static final THconTerminal T_HCON = THconTerminal.getInstance();

    public static class TIntegerTerminal extends Terminal
    {
        private TIntegerTerminal() {;} // Singleton
        private static final TIntegerTerminal singletonInstance = new TIntegerTerminal();
        public static final TIntegerTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_INTEGER"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow138(); }
    }
    public static final TIntegerTerminal T_INTEGER = TIntegerTerminal.getInstance();

    public static class TIfTerminal extends Terminal
    {
        private TIfTerminal() {;} // Singleton
        private static final TIfTerminal singletonInstance = new TIfTerminal();
        public static final TIfTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_IF"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow139(); }
    }
    public static final TIfTerminal T_IF = TIfTerminal.getInstance();

    public static class TSequentialeqTerminal extends Terminal
    {
        private TSequentialeqTerminal() {;} // Singleton
        private static final TSequentialeqTerminal singletonInstance = new TSequentialeqTerminal();
        public static final TSequentialeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_SEQUENTIALEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow140(); }
    }
    public static final TSequentialeqTerminal T_SEQUENTIALEQ = TSequentialeqTerminal.getInstance();

    public static class TNmleqTerminal extends Terminal
    {
        private TNmleqTerminal() {;} // Singleton
        private static final TNmleqTerminal singletonInstance = new TNmleqTerminal();
        public static final TNmleqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_NMLEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow141(); }
    }
    public static final TNmleqTerminal T_NMLEQ = TNmleqTerminal.getInstance();

    public static class TEqeqTerminal extends Terminal
    {
        private TEqeqTerminal() {;} // Singleton
        private static final TEqeqTerminal singletonInstance = new TEqeqTerminal();
        public static final TEqeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_EQEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow142(); }
    }
    public static final TEqeqTerminal T_EQEQ = TEqeqTerminal.getInstance();

    public static class TElementalTerminal extends Terminal
    {
        private TElementalTerminal() {;} // Singleton
        private static final TElementalTerminal singletonInstance = new TElementalTerminal();
        public static final TElementalTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ELEMENTAL"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow143(); }
    }
    public static final TElementalTerminal T_ELEMENTAL = TElementalTerminal.getInstance();

    public static class TDirecteqTerminal extends Terminal
    {
        private TDirecteqTerminal() {;} // Singleton
        private static final TDirecteqTerminal singletonInstance = new TDirecteqTerminal();
        public static final TDirecteqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_DIRECTEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow144(); }
    }
    public static final TDirecteqTerminal T_DIRECTEQ = TDirecteqTerminal.getInstance();

    public static class TSelectTerminal extends Terminal
    {
        private TSelectTerminal() {;} // Singleton
        private static final TSelectTerminal singletonInstance = new TSelectTerminal();
        public static final TSelectTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_SELECT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow145(); }
    }
    public static final TSelectTerminal T_SELECT = TSelectTerminal.getInstance();

    public static class TNamedeqTerminal extends Terminal
    {
        private TNamedeqTerminal() {;} // Singleton
        private static final TNamedeqTerminal singletonInstance = new TNamedeqTerminal();
        public static final TNamedeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_NAMEDEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow146(); }
    }
    public static final TNamedeqTerminal T_NAMEDEQ = TNamedeqTerminal.getInstance();

    public static class TEqgreaterthanTerminal extends Terminal
    {
        private TEqgreaterthanTerminal() {;} // Singleton
        private static final TEqgreaterthanTerminal singletonInstance = new TEqgreaterthanTerminal();
        public static final TEqgreaterthanTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_EQGREATERTHAN"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow147(); }
    }
    public static final TEqgreaterthanTerminal T_EQGREATERTHAN = TEqgreaterthanTerminal.getInstance();

    public static class TSelectcaseTerminal extends Terminal
    {
        private TSelectcaseTerminal() {;} // Singleton
        private static final TSelectcaseTerminal singletonInstance = new TSelectcaseTerminal();
        public static final TSelectcaseTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_SELECTCASE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow148(); }
    }
    public static final TSelectcaseTerminal T_SELECTCASE = TSelectcaseTerminal.getInstance();

    public static class TStatuseqTerminal extends Terminal
    {
        private TStatuseqTerminal() {;} // Singleton
        private static final TStatuseqTerminal singletonInstance = new TStatuseqTerminal();
        public static final TStatuseqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_STATUSEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow149(); }
    }
    public static final TStatuseqTerminal T_STATUSEQ = TStatuseqTerminal.getInstance();

    public static class TGreaterthanTerminal extends Terminal
    {
        private TGreaterthanTerminal() {;} // Singleton
        private static final TGreaterthanTerminal singletonInstance = new TGreaterthanTerminal();
        public static final TGreaterthanTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_GREATERTHAN"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow150(); }
    }
    public static final TGreaterthanTerminal T_GREATERTHAN = TGreaterthanTerminal.getInstance();

    public static class TWriteeqTerminal extends Terminal
    {
        private TWriteeqTerminal() {;} // Singleton
        private static final TWriteeqTerminal singletonInstance = new TWriteeqTerminal();
        public static final TWriteeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_WRITEEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow151(); }
    }
    public static final TWriteeqTerminal T_WRITEEQ = TWriteeqTerminal.getInstance();

    public static class TAssignmentTerminal extends Terminal
    {
        private TAssignmentTerminal() {;} // Singleton
        private static final TAssignmentTerminal singletonInstance = new TAssignmentTerminal();
        public static final TAssignmentTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ASSIGNMENT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow152(); }
    }
    public static final TAssignmentTerminal T_ASSIGNMENT = TAssignmentTerminal.getInstance();

    public static class TIolengtheqTerminal extends Terminal
    {
        private TIolengtheqTerminal() {;} // Singleton
        private static final TIolengtheqTerminal singletonInstance = new TIolengtheqTerminal();
        public static final TIolengtheqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_IOLENGTHEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow153(); }
    }
    public static final TIolengtheqTerminal T_IOLENGTHEQ = TIolengtheqTerminal.getInstance();

    public static class TNeqvTerminal extends Terminal
    {
        private TNeqvTerminal() {;} // Singleton
        private static final TNeqvTerminal singletonInstance = new TNeqvTerminal();
        public static final TNeqvTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_NEQV"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow154(); }
    }
    public static final TNeqvTerminal T_NEQV = TNeqvTerminal.getInstance();

    public static class TToTerminal extends Terminal
    {
        private TToTerminal() {;} // Singleton
        private static final TToTerminal singletonInstance = new TToTerminal();
        public static final TToTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_TO"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow155(); }
    }
    public static final TToTerminal T_TO = TToTerminal.getInstance();

    public static class TModuleTerminal extends Terminal
    {
        private TModuleTerminal() {;} // Singleton
        private static final TModuleTerminal singletonInstance = new TModuleTerminal();
        public static final TModuleTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_MODULE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow156(); }
    }
    public static final TModuleTerminal T_MODULE = TModuleTerminal.getInstance();

    public static class TEndblockTerminal extends Terminal
    {
        private TEndblockTerminal() {;} // Singleton
        private static final TEndblockTerminal singletonInstance = new TEndblockTerminal();
        public static final TEndblockTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ENDBLOCK"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow157(); }
    }
    public static final TEndblockTerminal T_ENDBLOCK = TEndblockTerminal.getInstance();

    public static class TRecleqTerminal extends Terminal
    {
        private TRecleqTerminal() {;} // Singleton
        private static final TRecleqTerminal singletonInstance = new TRecleqTerminal();
        public static final TRecleqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_RECLEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow158(); }
    }
    public static final TRecleqTerminal T_RECLEQ = TRecleqTerminal.getInstance();

    public static class TMinusTerminal extends Terminal
    {
        private TMinusTerminal() {;} // Singleton
        private static final TMinusTerminal singletonInstance = new TMinusTerminal();
        public static final TMinusTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_MINUS"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow159(); }
    }
    public static final TMinusTerminal T_MINUS = TMinusTerminal.getInstance();

    public static class TExitTerminal extends Terminal
    {
        private TExitTerminal() {;} // Singleton
        private static final TExitTerminal singletonInstance = new TExitTerminal();
        public static final TExitTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_EXIT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow160(); }
    }
    public static final TExitTerminal T_EXIT = TExitTerminal.getInstance();

    public static class TOnlyTerminal extends Terminal
    {
        private TOnlyTerminal() {;} // Singleton
        private static final TOnlyTerminal singletonInstance = new TOnlyTerminal();
        public static final TOnlyTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ONLY"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow161(); }
    }
    public static final TOnlyTerminal T_ONLY = TOnlyTerminal.getInstance();

    public static class TSlashrparenTerminal extends Terminal
    {
        private TSlashrparenTerminal() {;} // Singleton
        private static final TSlashrparenTerminal singletonInstance = new TSlashrparenTerminal();
        public static final TSlashrparenTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_SLASHRPAREN"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow162(); }
    }
    public static final TSlashrparenTerminal T_SLASHRPAREN = TSlashrparenTerminal.getInstance();

    public static class TLogicalTerminal extends Terminal
    {
        private TLogicalTerminal() {;} // Singleton
        private static final TLogicalTerminal singletonInstance = new TLogicalTerminal();
        public static final TLogicalTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_LOGICAL"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow163(); }
    }
    public static final TLogicalTerminal T_LOGICAL = TLogicalTerminal.getInstance();

    public static class TDconTerminal extends Terminal
    {
        private TDconTerminal() {;} // Singleton
        private static final TDconTerminal singletonInstance = new TDconTerminal();
        public static final TDconTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_DCON"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow164(); }
    }
    public static final TDconTerminal T_DCON = TDconTerminal.getInstance();

    public static class TAsteriskTerminal extends Terminal
    {
        private TAsteriskTerminal() {;} // Singleton
        private static final TAsteriskTerminal singletonInstance = new TAsteriskTerminal();
        public static final TAsteriskTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ASTERISK"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow165(); }
    }
    public static final TAsteriskTerminal T_ASTERISK = TAsteriskTerminal.getInstance();

    public static class TDoubleTerminal extends Terminal
    {
        private TDoubleTerminal() {;} // Singleton
        private static final TDoubleTerminal singletonInstance = new TDoubleTerminal();
        public static final TDoubleTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_DOUBLE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow166(); }
    }
    public static final TDoubleTerminal T_DOUBLE = TDoubleTerminal.getInstance();

    public static class TGtTerminal extends Terminal
    {
        private TGtTerminal() {;} // Singleton
        private static final TGtTerminal singletonInstance = new TGtTerminal();
        public static final TGtTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_GT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow167(); }
    }
    public static final TGtTerminal T_GT = TGtTerminal.getInstance();

    public static class TExisteqTerminal extends Terminal
    {
        private TExisteqTerminal() {;} // Singleton
        private static final TExisteqTerminal singletonInstance = new TExisteqTerminal();
        public static final TExisteqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_EXISTEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow168(); }
    }
    public static final TExisteqTerminal T_EXISTEQ = TExisteqTerminal.getInstance();

    public static class TGoTerminal extends Terminal
    {
        private TGoTerminal() {;} // Singleton
        private static final TGoTerminal singletonInstance = new TGoTerminal();
        public static final TGoTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_GO"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow169(); }
    }
    public static final TGoTerminal T_GO = TGoTerminal.getInstance();

    public static class TComplexTerminal extends Terminal
    {
        private TComplexTerminal() {;} // Singleton
        private static final TComplexTerminal singletonInstance = new TComplexTerminal();
        public static final TComplexTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_COMPLEX"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow170(); }
    }
    public static final TComplexTerminal T_COMPLEX = TComplexTerminal.getInstance();

    public static class TExternalTerminal extends Terminal
    {
        private TExternalTerminal() {;} // Singleton
        private static final TExternalTerminal singletonInstance = new TExternalTerminal();
        public static final TExternalTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_EXTERNAL"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow171(); }
    }
    public static final TExternalTerminal T_EXTERNAL = TExternalTerminal.getInstance();

    public static class TSlasheqTerminal extends Terminal
    {
        private TSlasheqTerminal() {;} // Singleton
        private static final TSlasheqTerminal singletonInstance = new TSlasheqTerminal();
        public static final TSlasheqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_SLASHEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow172(); }
    }
    public static final TSlasheqTerminal T_SLASHEQ = TSlasheqTerminal.getInstance();

    public static class TRconTerminal extends Terminal
    {
        private TRconTerminal() {;} // Singleton
        private static final TRconTerminal singletonInstance = new TRconTerminal();
        public static final TRconTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_RCON"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow173(); }
    }
    public static final TRconTerminal T_RCON = TRconTerminal.getInstance();

    public static class TAllocateTerminal extends Terminal
    {
        private TAllocateTerminal() {;} // Singleton
        private static final TAllocateTerminal singletonInstance = new TAllocateTerminal();
        public static final TAllocateTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ALLOCATE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow174(); }
    }
    public static final TAllocateTerminal T_ALLOCATE = TAllocateTerminal.getInstance();

    public static class TPauseTerminal extends Terminal
    {
        private TPauseTerminal() {;} // Singleton
        private static final TPauseTerminal singletonInstance = new TPauseTerminal();
        public static final TPauseTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_PAUSE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow175(); }
    }
    public static final TPauseTerminal T_PAUSE = TPauseTerminal.getInstance();

    public static class TReturnTerminal extends Terminal
    {
        private TReturnTerminal() {;} // Singleton
        private static final TReturnTerminal singletonInstance = new TReturnTerminal();
        public static final TReturnTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_RETURN"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow176(); }
    }
    public static final TReturnTerminal T_RETURN = TReturnTerminal.getInstance();

    public static class TDefaultTerminal extends Terminal
    {
        private TDefaultTerminal() {;} // Singleton
        private static final TDefaultTerminal singletonInstance = new TDefaultTerminal();
        public static final TDefaultTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_DEFAULT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow177(); }
    }
    public static final TDefaultTerminal T_DEFAULT = TDefaultTerminal.getInstance();

    public static class TGeTerminal extends Terminal
    {
        private TGeTerminal() {;} // Singleton
        private static final TGeTerminal singletonInstance = new TGeTerminal();
        public static final TGeTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_GE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow178(); }
    }
    public static final TGeTerminal T_GE = TGeTerminal.getInstance();

    public static class TCallTerminal extends Terminal
    {
        private TCallTerminal() {;} // Singleton
        private static final TCallTerminal singletonInstance = new TCallTerminal();
        public static final TCallTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_CALL"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow179(); }
    }
    public static final TCallTerminal T_CALL = TCallTerminal.getInstance();

    public static class TFmteqTerminal extends Terminal
    {
        private TFmteqTerminal() {;} // Singleton
        private static final TFmteqTerminal singletonInstance = new TFmteqTerminal();
        public static final TFmteqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_FMTEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow180(); }
    }
    public static final TFmteqTerminal T_FMTEQ = TFmteqTerminal.getInstance();

    public static class TIconTerminal extends Terminal
    {
        private TIconTerminal() {;} // Singleton
        private static final TIconTerminal singletonInstance = new TIconTerminal();
        public static final TIconTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ICON"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow181(); }
    }
    public static final TIconTerminal T_ICON = TIconTerminal.getInstance();

    public static class TEndwhereTerminal extends Terminal
    {
        private TEndwhereTerminal() {;} // Singleton
        private static final TEndwhereTerminal singletonInstance = new TEndwhereTerminal();
        public static final TEndwhereTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ENDWHERE"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow182(); }
    }
    public static final TEndwhereTerminal T_ENDWHERE = TEndwhereTerminal.getInstance();

    public static class TSlashslashTerminal extends Terminal
    {
        private TSlashslashTerminal() {;} // Singleton
        private static final TSlashslashTerminal singletonInstance = new TSlashslashTerminal();
        public static final TSlashslashTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_SLASHSLASH"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow183(); }
    }
    public static final TSlashslashTerminal T_SLASHSLASH = TSlashslashTerminal.getInstance();

    public static class TEndselectTerminal extends Terminal
    {
        private TEndselectTerminal() {;} // Singleton
        private static final TEndselectTerminal singletonInstance = new TEndselectTerminal();
        public static final TEndselectTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_ENDSELECT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow184(); }
    }
    public static final TEndselectTerminal T_ENDSELECT = TEndselectTerminal.getInstance();

    public static class TFormatTerminal extends Terminal
    {
        private TFormatTerminal() {;} // Singleton
        private static final TFormatTerminal singletonInstance = new TFormatTerminal();
        public static final TFormatTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_FORMAT"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow185(); }
    }
    public static final TFormatTerminal T_FORMAT = TFormatTerminal.getInstance();

    public static class TReadwriteeqTerminal extends Terminal
    {
        private TReadwriteeqTerminal() {;} // Singleton
        private static final TReadwriteeqTerminal singletonInstance = new TReadwriteeqTerminal();
        public static final TReadwriteeqTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_READWRITEEQ"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow186(); }
    }
    public static final TReadwriteeqTerminal T_READWRITEEQ = TReadwriteeqTerminal.getInstance();

    public static class TEqvTerminal extends Terminal
    {
        private TEqvTerminal() {;} // Singleton
        private static final TEqvTerminal singletonInstance = new TEqvTerminal();
        public static final TEqvTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_EQV"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow187(); }
    }
    public static final TEqvTerminal T_EQV = TEqvTerminal.getInstance();

    public static class TGotoTerminal extends Terminal
    {
        private TGotoTerminal() {;} // Singleton
        private static final TGotoTerminal singletonInstance = new TGotoTerminal();
        public static final TGotoTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "T_GOTO"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow188(); }
    }
    public static final TGotoTerminal T_GOTO = TGotoTerminal.getInstance();

    public static class EndOfInputTerminal extends Terminal
    {
        private EndOfInputTerminal() {;} // Singleton
        private static final EndOfInputTerminal singletonInstance = new EndOfInputTerminal();
        public static final EndOfInputTerminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<End of Input>"; }

        short[] getActionRow() { return ParsingTable.getInstance().getActionRow190(); }
    }
    public static final EndOfInputTerminal END_OF_INPUT = EndOfInputTerminal.getInstance();
}
