// Generated by Damien version 1.0 alpha 4

package org.eclipse.fdt.internal.core.f95parser;

import java.util.LinkedList;
import java.util.ArrayList;

/**
 * Enumerates the nonterminal symbols in the grammar being parsed
 */
public abstract class Nonterminal implements ParserSymbol
{
    /**
     * Returns the row of the parser's Goto table associated with this nonterminal
     */
    abstract short[] getGoToRow();

    /**
     * Returns a string describing the nonterminal
     */
    public abstract String getDescription();

    /**
     * Double-dispatching for ParseTreeVisitor.visit()
     */
    public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { ; }

    public static class Xendmodulestmt71ReductionNonterminal extends Nonterminal
    {
        private Xendmodulestmt71ReductionNonterminal() {;} // Singleton
        private static final Xendmodulestmt71ReductionNonterminal singletonInstance = new Xendmodulestmt71ReductionNonterminal();
        public static final Xendmodulestmt71ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndModuleStmt@71>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow0(); }
    }
    public static final Xendmodulestmt71ReductionNonterminal XENDMODULESTMT71 = Xendmodulestmt71ReductionNonterminal.getInstance();

    public static class XassumedsizespecNonterminal extends Nonterminal
    {
        private XassumedsizespecNonterminal() {;} // Singleton
        private static final XassumedsizespecNonterminal singletonInstance = new XassumedsizespecNonterminal();
        public static final XassumedsizespecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAssumedSizeSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow1(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXassumedsizespec(node); }
    }
    public static final XassumedsizespecNonterminal XASSUMEDSIZESPEC = XassumedsizespecNonterminal.getInstance();

    public static class XbozliteralconstantNonterminal extends Nonterminal
    {
        private XbozliteralconstantNonterminal() {;} // Singleton
        private static final XbozliteralconstantNonterminal singletonInstance = new XbozliteralconstantNonterminal();
        public static final XbozliteralconstantNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xBozLiteralConstant>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow2(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXbozliteralconstant(node); }
    }
    public static final XbozliteralconstantNonterminal XBOZLITERALCONSTANT = XbozliteralconstantNonterminal.getInstance();

    public static class XexecutableconstructNonterminal extends Nonterminal
    {
        private XexecutableconstructNonterminal() {;} // Singleton
        private static final XexecutableconstructNonterminal singletonInstance = new XexecutableconstructNonterminal();
        public static final XexecutableconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xExecutableConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow3(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXexecutableconstruct(node); }
    }
    public static final XexecutableconstructNonterminal XEXECUTABLECONSTRUCT = XexecutableconstructNonterminal.getInstance();

    public static class Xufprimary34ReductionNonterminal extends Nonterminal
    {
        private Xufprimary34ReductionNonterminal() {;} // Singleton
        private static final Xufprimary34ReductionNonterminal singletonInstance = new Xufprimary34ReductionNonterminal();
        public static final Xufprimary34ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xUFPrimary@34>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow4(); }
    }
    public static final Xufprimary34ReductionNonterminal XUFPRIMARY34 = Xufprimary34ReductionNonterminal.getInstance();

    public static class XsfprimaryNonterminal extends Nonterminal
    {
        private XsfprimaryNonterminal() {;} // Singleton
        private static final XsfprimaryNonterminal singletonInstance = new XsfprimaryNonterminal();
        public static final XsfprimaryNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSFPrimary>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow5(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsfprimary(node); }
    }
    public static final XsfprimaryNonterminal XSFPRIMARY = XsfprimaryNonterminal.getInstance();

    public static class XinitializationNonterminal extends Nonterminal
    {
        private XinitializationNonterminal() {;} // Singleton
        private static final XinitializationNonterminal singletonInstance = new XinitializationNonterminal();
        public static final XinitializationNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xInitialization>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow6(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXinitialization(node); }
    }
    public static final XinitializationNonterminal XINITIALIZATION = XinitializationNonterminal.getInstance();

    public static class Xprimary20ReductionNonterminal extends Nonterminal
    {
        private Xprimary20ReductionNonterminal() {;} // Singleton
        private static final Xprimary20ReductionNonterminal singletonInstance = new Xprimary20ReductionNonterminal();
        public static final Xprimary20ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPrimary@20>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow7(); }
    }
    public static final Xprimary20ReductionNonterminal XPRIMARY20 = Xprimary20ReductionNonterminal.getInstance();

    public static class XattrspecNonterminal extends Nonterminal
    {
        private XattrspecNonterminal() {;} // Singleton
        private static final XattrspecNonterminal singletonInstance = new XattrspecNonterminal();
        public static final XattrspecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAttrSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow8(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXattrspec(node); }
    }
    public static final XattrspecNonterminal XATTRSPEC = XattrspecNonterminal.getInstance();

    public static class XarithmeticifstmtNonterminal extends Nonterminal
    {
        private XarithmeticifstmtNonterminal() {;} // Singleton
        private static final XarithmeticifstmtNonterminal singletonInstance = new XarithmeticifstmtNonterminal();
        public static final XarithmeticifstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xArithmeticIfStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow9(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXarithmeticifstmt(node); }
    }
    public static final XarithmeticifstmtNonterminal XARITHMETICIFSTMT = XarithmeticifstmtNonterminal.getInstance();

    public static class XconcatopNonterminal extends Nonterminal
    {
        private XconcatopNonterminal() {;} // Singleton
        private static final XconcatopNonterminal singletonInstance = new XconcatopNonterminal();
        public static final XconcatopNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xConcatOp>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow10(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXconcatop(node); }
    }
    public static final XconcatopNonterminal XCONCATOP = XconcatopNonterminal.getInstance();

    public static class Xdimensionstmt11ReductionNonterminal extends Nonterminal
    {
        private Xdimensionstmt11ReductionNonterminal() {;} // Singleton
        private static final Xdimensionstmt11ReductionNonterminal singletonInstance = new Xdimensionstmt11ReductionNonterminal();
        public static final Xdimensionstmt11ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDimensionStmt@11>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow11(); }
    }
    public static final Xdimensionstmt11ReductionNonterminal XDIMENSIONSTMT11 = Xdimensionstmt11ReductionNonterminal.getInstance();

    public static class XelsewherestmtNonterminal extends Nonterminal
    {
        private XelsewherestmtNonterminal() {;} // Singleton
        private static final XelsewherestmtNonterminal singletonInstance = new XelsewherestmtNonterminal();
        public static final XelsewherestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xElsewhereStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow12(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXelsewherestmt(node); }
    }
    public static final XelsewherestmtNonterminal XELSEWHERESTMT = XelsewherestmtNonterminal.getInstance();

    public static class XexternalnameNonterminal extends Nonterminal
    {
        private XexternalnameNonterminal() {;} // Singleton
        private static final XexternalnameNonterminal singletonInstance = new XexternalnameNonterminal();
        public static final XexternalnameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xExternalName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow13(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXexternalname(node); }
    }
    public static final XexternalnameNonterminal XEXTERNALNAME = XexternalnameNonterminal.getInstance();

    public static class XsectionsubscriptNonterminal extends Nonterminal
    {
        private XsectionsubscriptNonterminal() {;} // Singleton
        private static final XsectionsubscriptNonterminal singletonInstance = new XsectionsubscriptNonterminal();
        public static final XsectionsubscriptNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSectionSubscript>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow14(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsectionsubscript(node); }
    }
    public static final XsectionsubscriptNonterminal XSECTIONSUBSCRIPT = XsectionsubscriptNonterminal.getInstance();

    public static class XsectionsubscriptlistNonterminal extends Nonterminal
    {
        private XsectionsubscriptlistNonterminal() {;} // Singleton
        private static final XsectionsubscriptlistNonterminal singletonInstance = new XsectionsubscriptlistNonterminal();
        public static final XsectionsubscriptlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSectionSubscriptList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow15(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsectionsubscriptlist(node); }
    }
    public static final XsectionsubscriptlistNonterminal XSECTIONSUBSCRIPTLIST = XsectionsubscriptlistNonterminal.getInstance();

    public static class XallocateobjectlistNonterminal extends Nonterminal
    {
        private XallocateobjectlistNonterminal() {;} // Singleton
        private static final XallocateobjectlistNonterminal singletonInstance = new XallocateobjectlistNonterminal();
        public static final XallocateobjectlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAllocateObjectList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow16(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXallocateobjectlist(node); }
    }
    public static final XallocateobjectlistNonterminal XALLOCATEOBJECTLIST = XallocateobjectlistNonterminal.getInstance();

    public static class XblockdoconstructNonterminal extends Nonterminal
    {
        private XblockdoconstructNonterminal() {;} // Singleton
        private static final XblockdoconstructNonterminal singletonInstance = new XblockdoconstructNonterminal();
        public static final XblockdoconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xBlockDoConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow17(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXblockdoconstruct(node); }
    }
    public static final XblockdoconstructNonterminal XBLOCKDOCONSTRUCT = XblockdoconstructNonterminal.getInstance();

    public static class Xsfdataref18ReductionNonterminal extends Nonterminal
    {
        private Xsfdataref18ReductionNonterminal() {;} // Singleton
        private static final Xsfdataref18ReductionNonterminal singletonInstance = new Xsfdataref18ReductionNonterminal();
        public static final Xsfdataref18ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSFDataRef@18>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow18(); }
    }
    public static final Xsfdataref18ReductionNonterminal XSFDATAREF18 = Xsfdataref18ReductionNonterminal.getInstance();

    public static class XmoduleNonterminal extends Nonterminal
    {
        private XmoduleNonterminal() {;} // Singleton
        private static final XmoduleNonterminal singletonInstance = new XmoduleNonterminal();
        public static final XmoduleNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xModule>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow19(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXmodule(node); }
    }
    public static final XmoduleNonterminal XMODULE = XmoduleNonterminal.getInstance();

    public static class Xsubroutinestmt82ReductionNonterminal extends Nonterminal
    {
        private Xsubroutinestmt82ReductionNonterminal() {;} // Singleton
        private static final Xsubroutinestmt82ReductionNonterminal singletonInstance = new Xsubroutinestmt82ReductionNonterminal();
        public static final Xsubroutinestmt82ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubroutineStmt@82>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow20(); }
    }
    public static final Xsubroutinestmt82ReductionNonterminal XSUBROUTINESTMT82 = Xsubroutinestmt82ReductionNonterminal.getInstance();

    public static class XcomponentattrspecNonterminal extends Nonterminal
    {
        private XcomponentattrspecNonterminal() {;} // Singleton
        private static final XcomponentattrspecNonterminal singletonInstance = new XcomponentattrspecNonterminal();
        public static final XcomponentattrspecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xComponentAttrSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow21(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcomponentattrspec(node); }
    }
    public static final XcomponentattrspecNonterminal XCOMPONENTATTRSPEC = XcomponentattrspecNonterminal.getInstance();

    public static class Xendmodulestmt70ReductionNonterminal extends Nonterminal
    {
        private Xendmodulestmt70ReductionNonterminal() {;} // Singleton
        private static final Xendmodulestmt70ReductionNonterminal singletonInstance = new Xendmodulestmt70ReductionNonterminal();
        public static final Xendmodulestmt70ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndModuleStmt@70>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow22(); }
    }
    public static final Xendmodulestmt70ReductionNonterminal XENDMODULESTMT70 = Xendmodulestmt70ReductionNonterminal.getInstance();

    public static class XexitstmtNonterminal extends Nonterminal
    {
        private XexitstmtNonterminal() {;} // Singleton
        private static final XexitstmtNonterminal singletonInstance = new XexitstmtNonterminal();
        public static final XexitstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xExitStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow23(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXexitstmt(node); }
    }
    public static final XexitstmtNonterminal XEXITSTMT = XexitstmtNonterminal.getInstance();

    public static class Xpointerstmt13ReductionNonterminal extends Nonterminal
    {
        private Xpointerstmt13ReductionNonterminal() {;} // Singleton
        private static final Xpointerstmt13ReductionNonterminal singletonInstance = new Xpointerstmt13ReductionNonterminal();
        public static final Xpointerstmt13ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPointerStmt@13>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow24(); }
    }
    public static final Xpointerstmt13ReductionNonterminal XPOINTERSTMT13 = Xpointerstmt13ReductionNonterminal.getInstance();

    public static class Xendwherestmt56ReductionNonterminal extends Nonterminal
    {
        private Xendwherestmt56ReductionNonterminal() {;} // Singleton
        private static final Xendwherestmt56ReductionNonterminal singletonInstance = new Xendwherestmt56ReductionNonterminal();
        public static final Xendwherestmt56ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndWhereStmt@56>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow25(); }
    }
    public static final Xendwherestmt56ReductionNonterminal XENDWHERESTMT56 = Xendwherestmt56ReductionNonterminal.getInstance();

    public static class XfieldselectorNonterminal extends Nonterminal
    {
        private XfieldselectorNonterminal() {;} // Singleton
        private static final XfieldselectorNonterminal singletonInstance = new XfieldselectorNonterminal();
        public static final XfieldselectorNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFieldSelector>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow26(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXfieldselector(node); }
    }
    public static final XfieldselectorNonterminal XFIELDSELECTOR = XfieldselectorNonterminal.getInstance();

    public static class Xufprimary33ReductionNonterminal extends Nonterminal
    {
        private Xufprimary33ReductionNonterminal() {;} // Singleton
        private static final Xufprimary33ReductionNonterminal singletonInstance = new Xufprimary33ReductionNonterminal();
        public static final Xufprimary33ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xUFPrimary@33>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow27(); }
    }
    public static final Xufprimary33ReductionNonterminal XUFPRIMARY33 = Xufprimary33ReductionNonterminal.getInstance();

    public static class XaddopNonterminal extends Nonterminal
    {
        private XaddopNonterminal() {;} // Singleton
        private static final XaddopNonterminal singletonInstance = new XaddopNonterminal();
        public static final XaddopNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAddOp>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow28(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXaddop(node); }
    }
    public static final XaddopNonterminal XADDOP = XaddopNonterminal.getInstance();

    public static class XfunctionprefixNonterminal extends Nonterminal
    {
        private XfunctionprefixNonterminal() {;} // Singleton
        private static final XfunctionprefixNonterminal singletonInstance = new XfunctionprefixNonterminal();
        public static final XfunctionprefixNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFunctionPrefix>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow29(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXfunctionprefix(node); }
    }
    public static final XfunctionprefixNonterminal XFUNCTIONPREFIX = XfunctionprefixNonterminal.getInstance();

    public static class XdummyargnameNonterminal extends Nonterminal
    {
        private XdummyargnameNonterminal() {;} // Singleton
        private static final XdummyargnameNonterminal singletonInstance = new XdummyargnameNonterminal();
        public static final XdummyargnameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDummyArgName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow30(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdummyargname(node); }
    }
    public static final XdummyargnameNonterminal XDUMMYARGNAME = XdummyargnameNonterminal.getInstance();

    public static class XinterfaceblockNonterminal extends Nonterminal
    {
        private XinterfaceblockNonterminal() {;} // Singleton
        private static final XinterfaceblockNonterminal singletonInstance = new XinterfaceblockNonterminal();
        public static final XinterfaceblockNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xInterfaceBlock>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow31(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXinterfaceblock(node); }
    }
    public static final XinterfaceblockNonterminal XINTERFACEBLOCK = XinterfaceblockNonterminal.getInstance();

    public static class XobjectnameNonterminal extends Nonterminal
    {
        private XobjectnameNonterminal() {;} // Singleton
        private static final XobjectnameNonterminal singletonInstance = new XobjectnameNonterminal();
        public static final XobjectnameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xObjectName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow32(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXobjectname(node); }
    }
    public static final XobjectnameNonterminal XOBJECTNAME = XobjectnameNonterminal.getInstance();

    public static class XacvaluelistNonterminal extends Nonterminal
    {
        private XacvaluelistNonterminal() {;} // Singleton
        private static final XacvaluelistNonterminal singletonInstance = new XacvaluelistNonterminal();
        public static final XacvaluelistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAcValueList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow33(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXacvaluelist(node); }
    }
    public static final XacvaluelistNonterminal XACVALUELIST = XacvaluelistNonterminal.getInstance();

    public static class XdeclarationconstructNonterminal extends Nonterminal
    {
        private XdeclarationconstructNonterminal() {;} // Singleton
        private static final XdeclarationconstructNonterminal singletonInstance = new XdeclarationconstructNonterminal();
        public static final XdeclarationconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDeclarationConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow34(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdeclarationconstruct(node); }
    }
    public static final XdeclarationconstructNonterminal XDECLARATIONCONSTRUCT = XdeclarationconstructNonterminal.getInstance();

    public static class XinquirespecNonterminal extends Nonterminal
    {
        private XinquirespecNonterminal() {;} // Singleton
        private static final XinquirespecNonterminal singletonInstance = new XinquirespecNonterminal();
        public static final XinquirespecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xInquireSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow35(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXinquirespec(node); }
    }
    public static final XinquirespecNonterminal XINQUIRESPEC = XinquirespecNonterminal.getInstance();

    public static class XarraydeclaratorNonterminal extends Nonterminal
    {
        private XarraydeclaratorNonterminal() {;} // Singleton
        private static final XarraydeclaratorNonterminal singletonInstance = new XarraydeclaratorNonterminal();
        public static final XarraydeclaratorNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xArrayDeclarator>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow36(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXarraydeclarator(node); }
    }
    public static final XarraydeclaratorNonterminal XARRAYDECLARATOR = XarraydeclaratorNonterminal.getInstance();

    public static class XmaskedelsewherestmtNonterminal extends Nonterminal
    {
        private XmaskedelsewherestmtNonterminal() {;} // Singleton
        private static final XmaskedelsewherestmtNonterminal singletonInstance = new XmaskedelsewherestmtNonterminal();
        public static final XmaskedelsewherestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xMaskedElsewhereStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow37(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXmaskedelsewherestmt(node); }
    }
    public static final XmaskedelsewherestmtNonterminal XMASKEDELSEWHERESTMT = XmaskedelsewherestmtNonterminal.getInstance();

    public static class XgenericnameNonterminal extends Nonterminal
    {
        private XgenericnameNonterminal() {;} // Singleton
        private static final XgenericnameNonterminal singletonInstance = new XgenericnameNonterminal();
        public static final XgenericnameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xGenericName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow38(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXgenericname(node); }
    }
    public static final XgenericnameNonterminal XGENERICNAME = XgenericnameNonterminal.getInstance();

    public static class XinterfacebodyNonterminal extends Nonterminal
    {
        private XinterfacebodyNonterminal() {;} // Singleton
        private static final XinterfacebodyNonterminal singletonInstance = new XinterfacebodyNonterminal();
        public static final XinterfacebodyNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xInterfaceBody>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow39(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXinterfacebody(node); }
    }
    public static final XinterfacebodyNonterminal XINTERFACEBODY = XinterfacebodyNonterminal.getInstance();

    public static class XexecutionpartconstructNonterminal extends Nonterminal
    {
        private XexecutionpartconstructNonterminal() {;} // Singleton
        private static final XexecutionpartconstructNonterminal singletonInstance = new XexecutionpartconstructNonterminal();
        public static final XexecutionpartconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xExecutionPartConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow40(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXexecutionpartconstruct(node); }
    }
    public static final XexecutionpartconstructNonterminal XEXECUTIONPARTCONSTRUCT = XexecutionpartconstructNonterminal.getInstance();

    public static class XpointerstmtobjectNonterminal extends Nonterminal
    {
        private XpointerstmtobjectNonterminal() {;} // Singleton
        private static final XpointerstmtobjectNonterminal singletonInstance = new XpointerstmtobjectNonterminal();
        public static final XpointerstmtobjectNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPointerStmtObject>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow41(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXpointerstmtobject(node); }
    }
    public static final XpointerstmtobjectNonterminal XPOINTERSTMTOBJECT = XpointerstmtobjectNonterminal.getInstance();

    public static class Xendwherestmt55ReductionNonterminal extends Nonterminal
    {
        private Xendwherestmt55ReductionNonterminal() {;} // Singleton
        private static final Xendwherestmt55ReductionNonterminal singletonInstance = new Xendwherestmt55ReductionNonterminal();
        public static final Xendwherestmt55ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndWhereStmt@55>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow42(); }
    }
    public static final Xendwherestmt55ReductionNonterminal XENDWHERESTMT55 = Xendwherestmt55ReductionNonterminal.getInstance();

    public static class Xufprimary32ReductionNonterminal extends Nonterminal
    {
        private Xufprimary32ReductionNonterminal() {;} // Singleton
        private static final Xufprimary32ReductionNonterminal singletonInstance = new Xufprimary32ReductionNonterminal();
        public static final Xufprimary32ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xUFPrimary@32>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow43(); }
    }
    public static final Xufprimary32ReductionNonterminal XUFPRIMARY32 = Xufprimary32ReductionNonterminal.getInstance();

    public static class XintentparlistNonterminal extends Nonterminal
    {
        private XintentparlistNonterminal() {;} // Singleton
        private static final XintentparlistNonterminal singletonInstance = new XintentparlistNonterminal();
        public static final XintentparlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xIntentParList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow44(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXintentparlist(node); }
    }
    public static final XintentparlistNonterminal XINTENTPARLIST = XintentparlistNonterminal.getInstance();

    public static class XcomponentdefstmtNonterminal extends Nonterminal
    {
        private XcomponentdefstmtNonterminal() {;} // Singleton
        private static final XcomponentdefstmtNonterminal singletonInstance = new XcomponentdefstmtNonterminal();
        public static final XcomponentdefstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xComponentDefStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow45(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcomponentdefstmt(node); }
    }
    public static final XcomponentdefstmtNonterminal XCOMPONENTDEFSTMT = XcomponentdefstmtNonterminal.getInstance();

    public static class XdeferredshapespecNonterminal extends Nonterminal
    {
        private XdeferredshapespecNonterminal() {;} // Singleton
        private static final XdeferredshapespecNonterminal singletonInstance = new XdeferredshapespecNonterminal();
        public static final XdeferredshapespecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDeferredShapeSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow46(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdeferredshapespec(node); }
    }
    public static final XdeferredshapespecNonterminal XDEFERREDSHAPESPEC = XdeferredshapespecNonterminal.getInstance();

    public static class Xacvaluelist1Nonterminal extends Nonterminal
    {
        private Xacvaluelist1Nonterminal() {;} // Singleton
        private static final Xacvaluelist1Nonterminal singletonInstance = new Xacvaluelist1Nonterminal();
        public static final Xacvaluelist1Nonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAcValueList1>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow47(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXacvaluelist1(node); }
    }
    public static final Xacvaluelist1Nonterminal XACVALUELIST1 = Xacvaluelist1Nonterminal.getInstance();

    public static class XexternalstmtNonterminal extends Nonterminal
    {
        private XexternalstmtNonterminal() {;} // Singleton
        private static final XexternalstmtNonterminal singletonInstance = new XexternalstmtNonterminal();
        public static final XexternalstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xExternalStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow48(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXexternalstmt(node); }
    }
    public static final XexternalstmtNonterminal XEXTERNALSTMT = XexternalstmtNonterminal.getInstance();

    public static class StartReductionNonterminal extends Nonterminal
    {
        private StartReductionNonterminal() {;} // Singleton
        private static final StartReductionNonterminal singletonInstance = new StartReductionNonterminal();
        public static final StartReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<@start>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow49(); }
    }
    public static final StartReductionNonterminal START = StartReductionNonterminal.getInstance();

    public static class XupperboundNonterminal extends Nonterminal
    {
        private XupperboundNonterminal() {;} // Singleton
        private static final XupperboundNonterminal singletonInstance = new XupperboundNonterminal();
        public static final XupperboundNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xUpperBound>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow50(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXupperbound(node); }
    }
    public static final XupperboundNonterminal XUPPERBOUND = XupperboundNonterminal.getInstance();

    public static class XcharselectorNonterminal extends Nonterminal
    {
        private XcharselectorNonterminal() {;} // Singleton
        private static final XcharselectorNonterminal singletonInstance = new XcharselectorNonterminal();
        public static final XcharselectorNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCharSelector>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow51(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcharselector(node); }
    }
    public static final XcharselectorNonterminal XCHARSELECTOR = XcharselectorNonterminal.getInstance();

    public static class XmodulesubprogramNonterminal extends Nonterminal
    {
        private XmodulesubprogramNonterminal() {;} // Singleton
        private static final XmodulesubprogramNonterminal singletonInstance = new XmodulesubprogramNonterminal();
        public static final XmodulesubprogramNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xModuleSubprogram>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow52(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXmodulesubprogram(node); }
    }
    public static final XmodulesubprogramNonterminal XMODULESUBPROGRAM = XmodulesubprogramNonterminal.getInstance();

    public static class XpointerobjectlistNonterminal extends Nonterminal
    {
        private XpointerobjectlistNonterminal() {;} // Singleton
        private static final XpointerobjectlistNonterminal singletonInstance = new XpointerobjectlistNonterminal();
        public static final XpointerobjectlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPointerObjectList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow53(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXpointerobjectlist(node); }
    }
    public static final XpointerobjectlistNonterminal XPOINTEROBJECTLIST = XpointerobjectlistNonterminal.getInstance();

    public static class XequivalencesetlistNonterminal extends Nonterminal
    {
        private XequivalencesetlistNonterminal() {;} // Singleton
        private static final XequivalencesetlistNonterminal singletonInstance = new XequivalencesetlistNonterminal();
        public static final XequivalencesetlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEquivalenceSetList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow54(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXequivalencesetlist(node); }
    }
    public static final XequivalencesetlistNonterminal XEQUIVALENCESETLIST = XequivalencesetlistNonterminal.getInstance();

    public static class Xinvalidentitydecl6ReductionNonterminal extends Nonterminal
    {
        private Xinvalidentitydecl6ReductionNonterminal() {;} // Singleton
        private static final Xinvalidentitydecl6ReductionNonterminal singletonInstance = new Xinvalidentitydecl6ReductionNonterminal();
        public static final Xinvalidentitydecl6ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xInvalidEntityDecl@6>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow55(); }
    }
    public static final Xinvalidentitydecl6ReductionNonterminal XINVALIDENTITYDECL6 = Xinvalidentitydecl6ReductionNonterminal.getInstance();

    public static class XsfexprNonterminal extends Nonterminal
    {
        private XsfexprNonterminal() {;} // Singleton
        private static final XsfexprNonterminal singletonInstance = new XsfexprNonterminal();
        public static final XsfexprNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSFExpr>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow56(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsfexpr(node); }
    }
    public static final XsfexprNonterminal XSFEXPR = XsfexprNonterminal.getInstance();

    public static class XuffactorNonterminal extends Nonterminal
    {
        private XuffactorNonterminal() {;} // Singleton
        private static final XuffactorNonterminal singletonInstance = new XuffactorNonterminal();
        public static final XuffactorNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xUFFactor>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow57(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXuffactor(node); }
    }
    public static final XuffactorNonterminal XUFFACTOR = XuffactorNonterminal.getInstance();

    public static class XunitidentifierNonterminal extends Nonterminal
    {
        private XunitidentifierNonterminal() {;} // Singleton
        private static final XunitidentifierNonterminal singletonInstance = new XunitidentifierNonterminal();
        public static final XunitidentifierNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xUnitIdentifier>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow58(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXunitidentifier(node); }
    }
    public static final XunitidentifierNonterminal XUNITIDENTIFIER = XunitidentifierNonterminal.getInstance();

    public static class XmoduleblockNonterminal extends Nonterminal
    {
        private XmoduleblockNonterminal() {;} // Singleton
        private static final XmoduleblockNonterminal singletonInstance = new XmoduleblockNonterminal();
        public static final XmoduleblockNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xModuleBlock>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow59(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXmoduleblock(node); }
    }
    public static final XmoduleblockNonterminal XMODULEBLOCK = XmoduleblockNonterminal.getInstance();

    public static class XformatsepNonterminal extends Nonterminal
    {
        private XformatsepNonterminal() {;} // Singleton
        private static final XformatsepNonterminal singletonInstance = new XformatsepNonterminal();
        public static final XformatsepNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFormatsep>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow60(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXformatsep(node); }
    }
    public static final XformatsepNonterminal XFORMATSEP = XformatsepNonterminal.getInstance();

    public static class XarrayspecNonterminal extends Nonterminal
    {
        private XarrayspecNonterminal() {;} // Singleton
        private static final XarrayspecNonterminal singletonInstance = new XarrayspecNonterminal();
        public static final XarrayspecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xArraySpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow61(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXarrayspec(node); }
    }
    public static final XarrayspecNonterminal XARRAYSPEC = XarrayspecNonterminal.getInstance();

    public static class Xoroperand44ReductionNonterminal extends Nonterminal
    {
        private Xoroperand44ReductionNonterminal() {;} // Singleton
        private static final Xoroperand44ReductionNonterminal singletonInstance = new Xoroperand44ReductionNonterminal();
        public static final Xoroperand44ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xOrOperand@44>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow62(); }
    }
    public static final Xoroperand44ReductionNonterminal XOROPERAND44 = Xoroperand44ReductionNonterminal.getInstance();

    public static class XarrayelementNonterminal extends Nonterminal
    {
        private XarrayelementNonterminal() {;} // Singleton
        private static final XarrayelementNonterminal singletonInstance = new XarrayelementNonterminal();
        public static final XarrayelementNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xArrayElement>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow63(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXarrayelement(node); }
    }
    public static final XarrayelementNonterminal XARRAYELEMENT = XarrayelementNonterminal.getInstance();

    public static class Xufprimary31ReductionNonterminal extends Nonterminal
    {
        private Xufprimary31ReductionNonterminal() {;} // Singleton
        private static final Xufprimary31ReductionNonterminal singletonInstance = new Xufprimary31ReductionNonterminal();
        public static final Xufprimary31ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xUFPrimary@31>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow64(); }
    }
    public static final Xufprimary31ReductionNonterminal XUFPRIMARY31 = Xufprimary31ReductionNonterminal.getInstance();

    public static class XonlylistNonterminal extends Nonterminal
    {
        private XonlylistNonterminal() {;} // Singleton
        private static final XonlylistNonterminal singletonInstance = new XonlylistNonterminal();
        public static final XonlylistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xOnlyList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow65(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXonlylist(node); }
    }
    public static final XonlylistNonterminal XONLYLIST = XonlylistNonterminal.getInstance();

    public static class XopenstmtNonterminal extends Nonterminal
    {
        private XopenstmtNonterminal() {;} // Singleton
        private static final XopenstmtNonterminal singletonInstance = new XopenstmtNonterminal();
        public static final XopenstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xOpenStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow66(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXopenstmt(node); }
    }
    public static final XopenstmtNonterminal XOPENSTMT = XopenstmtNonterminal.getInstance();

    public static class XstopstmtNonterminal extends Nonterminal
    {
        private XstopstmtNonterminal() {;} // Singleton
        private static final XstopstmtNonterminal singletonInstance = new XstopstmtNonterminal();
        public static final XstopstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xStopStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow67(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXstopstmt(node); }
    }
    public static final XstopstmtNonterminal XSTOPSTMT = XstopstmtNonterminal.getInstance();

    public static class Xformatstmt67ReductionNonterminal extends Nonterminal
    {
        private Xformatstmt67ReductionNonterminal() {;} // Singleton
        private static final Xformatstmt67ReductionNonterminal singletonInstance = new Xformatstmt67ReductionNonterminal();
        public static final Xformatstmt67ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFormatStmt@67>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow68(); }
    }
    public static final Xformatstmt67ReductionNonterminal XFORMATSTMT67 = Xformatstmt67ReductionNonterminal.getInstance();

    public static class XendblockdatastmtNonterminal extends Nonterminal
    {
        private XendblockdatastmtNonterminal() {;} // Singleton
        private static final XendblockdatastmtNonterminal singletonInstance = new XendblockdatastmtNonterminal();
        public static final XendblockdatastmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndBlockDataStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow69(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXendblockdatastmt(node); }
    }
    public static final XendblockdatastmtNonterminal XENDBLOCKDATASTMT = XendblockdatastmtNonterminal.getInstance();

    public static class XparameterstmtNonterminal extends Nonterminal
    {
        private XparameterstmtNonterminal() {;} // Singleton
        private static final XparameterstmtNonterminal singletonInstance = new XparameterstmtNonterminal();
        public static final XparameterstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xParameterStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow70(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXparameterstmt(node); }
    }
    public static final XparameterstmtNonterminal XPARAMETERSTMT = XparameterstmtNonterminal.getInstance();

    public static class XreturnstmtNonterminal extends Nonterminal
    {
        private XreturnstmtNonterminal() {;} // Singleton
        private static final XreturnstmtNonterminal singletonInstance = new XreturnstmtNonterminal();
        public static final XreturnstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xReturnStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow71(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXreturnstmt(node); }
    }
    public static final XreturnstmtNonterminal XRETURNSTMT = XreturnstmtNonterminal.getInstance();

    public static class XwhererangeNonterminal extends Nonterminal
    {
        private XwhererangeNonterminal() {;} // Singleton
        private static final XwhererangeNonterminal singletonInstance = new XwhererangeNonterminal();
        public static final XwhererangeNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xWhereRange>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow72(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXwhererange(node); }
    }
    public static final XwhererangeNonterminal XWHERERANGE = XwhererangeNonterminal.getInstance();

    public static class XblockdatabodyconstructNonterminal extends Nonterminal
    {
        private XblockdatabodyconstructNonterminal() {;} // Singleton
        private static final XblockdatabodyconstructNonterminal singletonInstance = new XblockdatabodyconstructNonterminal();
        public static final XblockdatabodyconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xBlockDataBodyConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow73(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXblockdatabodyconstruct(node); }
    }
    public static final XblockdatabodyconstructNonterminal XBLOCKDATABODYCONSTRUCT = XblockdatabodyconstructNonterminal.getInstance();

    public static class XselectcaserangeNonterminal extends Nonterminal
    {
        private XselectcaserangeNonterminal() {;} // Singleton
        private static final XselectcaserangeNonterminal singletonInstance = new XselectcaserangeNonterminal();
        public static final XselectcaserangeNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSelectCaseRange>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow74(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXselectcaserange(node); }
    }
    public static final XselectcaserangeNonterminal XSELECTCASERANGE = XselectcaserangeNonterminal.getInstance();

    public static class XdefinedoperatorNonterminal extends Nonterminal
    {
        private XdefinedoperatorNonterminal() {;} // Singleton
        private static final XdefinedoperatorNonterminal singletonInstance = new XdefinedoperatorNonterminal();
        public static final XdefinedoperatorNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDefinedOperator>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow75(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdefinedoperator(node); }
    }
    public static final XdefinedoperatorNonterminal XDEFINEDOPERATOR = XdefinedoperatorNonterminal.getInstance();

    public static class XassignedgotostmtNonterminal extends Nonterminal
    {
        private XassignedgotostmtNonterminal() {;} // Singleton
        private static final XassignedgotostmtNonterminal singletonInstance = new XassignedgotostmtNonterminal();
        public static final XassignedgotostmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAssignedGotoStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow76(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXassignedgotostmt(node); }
    }
    public static final XassignedgotostmtNonterminal XASSIGNEDGOTOSTMT = XassignedgotostmtNonterminal.getInstance();

    public static class XcommaexpNonterminal extends Nonterminal
    {
        private XcommaexpNonterminal() {;} // Singleton
        private static final XcommaexpNonterminal singletonInstance = new XcommaexpNonterminal();
        public static final XcommaexpNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCommaExp>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow77(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcommaexp(node); }
    }
    public static final XcommaexpNonterminal XCOMMAEXP = XcommaexpNonterminal.getInstance();

    public static class XtypenameNonterminal extends Nonterminal
    {
        private XtypenameNonterminal() {;} // Singleton
        private static final XtypenameNonterminal singletonInstance = new XtypenameNonterminal();
        public static final XtypenameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xTypeName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow78(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXtypename(node); }
    }
    public static final XtypenameNonterminal XTYPENAME = XtypenameNonterminal.getInstance();

    public static class XsubstrconstNonterminal extends Nonterminal
    {
        private XsubstrconstNonterminal() {;} // Singleton
        private static final XsubstrconstNonterminal singletonInstance = new XsubstrconstNonterminal();
        public static final XsubstrconstNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubstrConst>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow79(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsubstrconst(node); }
    }
    public static final XsubstrconstNonterminal XSUBSTRCONST = XsubstrconstNonterminal.getInstance();

    public static class Xsavestmt10ReductionNonterminal extends Nonterminal
    {
        private Xsavestmt10ReductionNonterminal() {;} // Singleton
        private static final Xsavestmt10ReductionNonterminal singletonInstance = new Xsavestmt10ReductionNonterminal();
        public static final Xsavestmt10ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSaveStmt@10>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow80(); }
    }
    public static final Xsavestmt10ReductionNonterminal XSAVESTMT10 = Xsavestmt10ReductionNonterminal.getInstance();

    public static class XequivalencestmtNonterminal extends Nonterminal
    {
        private XequivalencestmtNonterminal() {;} // Singleton
        private static final XequivalencestmtNonterminal singletonInstance = new XequivalencestmtNonterminal();
        public static final XequivalencestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEquivalenceStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow81(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXequivalencestmt(node); }
    }
    public static final XequivalencestmtNonterminal XEQUIVALENCESTMT = XequivalencestmtNonterminal.getInstance();

    public static class XfunctionsubprogramNonterminal extends Nonterminal
    {
        private XfunctionsubprogramNonterminal() {;} // Singleton
        private static final XfunctionsubprogramNonterminal singletonInstance = new XfunctionsubprogramNonterminal();
        public static final XfunctionsubprogramNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFunctionSubprogram>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow82(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXfunctionsubprogram(node); }
    }
    public static final XfunctionsubprogramNonterminal XFUNCTIONSUBPROGRAM = XfunctionsubprogramNonterminal.getInstance();

    public static class XsfexprlistNonterminal extends Nonterminal
    {
        private XsfexprlistNonterminal() {;} // Singleton
        private static final XsfexprlistNonterminal singletonInstance = new XsfexprlistNonterminal();
        public static final XsfexprlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSFExprList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow83(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsfexprlist(node); }
    }
    public static final XsfexprlistNonterminal XSFEXPRLIST = XsfexprlistNonterminal.getInstance();

    public static class XpositionspecNonterminal extends Nonterminal
    {
        private XpositionspecNonterminal() {;} // Singleton
        private static final XpositionspecNonterminal singletonInstance = new XpositionspecNonterminal();
        public static final XpositionspecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPositionSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow84(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXpositionspec(node); }
    }
    public static final XpositionspecNonterminal XPOSITIONSPEC = XpositionspecNonterminal.getInstance();

    public static class XprocedurenamelistNonterminal extends Nonterminal
    {
        private XprocedurenamelistNonterminal() {;} // Singleton
        private static final XprocedurenamelistNonterminal singletonInstance = new XprocedurenamelistNonterminal();
        public static final XprocedurenamelistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xProcedureNameList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow85(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXprocedurenamelist(node); }
    }
    public static final XprocedurenamelistNonterminal XPROCEDURENAMELIST = XprocedurenamelistNonterminal.getInstance();

    public static class XfunctionreferenceNonterminal extends Nonterminal
    {
        private XfunctionreferenceNonterminal() {;} // Singleton
        private static final XfunctionreferenceNonterminal singletonInstance = new XfunctionreferenceNonterminal();
        public static final XfunctionreferenceNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFunctionReference>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow86(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXfunctionreference(node); }
    }
    public static final XfunctionreferenceNonterminal XFUNCTIONREFERENCE = XfunctionreferenceNonterminal.getInstance();

    public static class Xenddostmt64ReductionNonterminal extends Nonterminal
    {
        private Xenddostmt64ReductionNonterminal() {;} // Singleton
        private static final Xenddostmt64ReductionNonterminal singletonInstance = new Xenddostmt64ReductionNonterminal();
        public static final Xenddostmt64ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndDoStmt@64>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow87(); }
    }
    public static final Xenddostmt64ReductionNonterminal XENDDOSTMT64 = Xenddostmt64ReductionNonterminal.getInstance();

    public static class XsubroutinenameuseNonterminal extends Nonterminal
    {
        private XsubroutinenameuseNonterminal() {;} // Singleton
        private static final XsubroutinenameuseNonterminal singletonInstance = new XsubroutinenameuseNonterminal();
        public static final XsubroutinenameuseNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubroutineNameUse>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow88(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsubroutinenameuse(node); }
    }
    public static final XsubroutinenameuseNonterminal XSUBROUTINENAMEUSE = XsubroutinenameuseNonterminal.getInstance();

    public static class XendprogramstmtNonterminal extends Nonterminal
    {
        private XendprogramstmtNonterminal() {;} // Singleton
        private static final XendprogramstmtNonterminal singletonInstance = new XendprogramstmtNonterminal();
        public static final XendprogramstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndProgramStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow89(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXendprogramstmt(node); }
    }
    public static final XendprogramstmtNonterminal XENDPROGRAMSTMT = XendprogramstmtNonterminal.getInstance();

    public static class XassignstmtNonterminal extends Nonterminal
    {
        private XassignstmtNonterminal() {;} // Singleton
        private static final XassignstmtNonterminal singletonInstance = new XassignstmtNonterminal();
        public static final XassignstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAssignStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow90(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXassignstmt(node); }
    }
    public static final XassignstmtNonterminal XASSIGNSTMT = XassignstmtNonterminal.getInstance();

    public static class XsubroutineprefixNonterminal extends Nonterminal
    {
        private XsubroutineprefixNonterminal() {;} // Singleton
        private static final XsubroutineprefixNonterminal singletonInstance = new XsubroutineprefixNonterminal();
        public static final XsubroutineprefixNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubroutinePrefix>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow91(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsubroutineprefix(node); }
    }
    public static final XsubroutineprefixNonterminal XSUBROUTINEPREFIX = XsubroutineprefixNonterminal.getInstance();

    public static class Xexitstmt66ReductionNonterminal extends Nonterminal
    {
        private Xexitstmt66ReductionNonterminal() {;} // Singleton
        private static final Xexitstmt66ReductionNonterminal singletonInstance = new Xexitstmt66ReductionNonterminal();
        public static final Xexitstmt66ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xExitStmt@66>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow92(); }
    }
    public static final Xexitstmt66ReductionNonterminal XEXITSTMT66 = Xexitstmt66ReductionNonterminal.getInstance();

    public static class XentrynameNonterminal extends Nonterminal
    {
        private XentrynameNonterminal() {;} // Singleton
        private static final XentrynameNonterminal singletonInstance = new XentrynameNonterminal();
        public static final XentrynameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEntryName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow93(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXentryname(node); }
    }
    public static final XentrynameNonterminal XENTRYNAME = XentrynameNonterminal.getInstance();

    public static class XforallbodyNonterminal extends Nonterminal
    {
        private XforallbodyNonterminal() {;} // Singleton
        private static final XforallbodyNonterminal singletonInstance = new XforallbodyNonterminal();
        public static final XforallbodyNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xForallBody>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow94(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXforallbody(node); }
    }
    public static final XforallbodyNonterminal XFORALLBODY = XforallbodyNonterminal.getInstance();

    public static class XprefixspecNonterminal extends Nonterminal
    {
        private XprefixspecNonterminal() {;} // Singleton
        private static final XprefixspecNonterminal singletonInstance = new XprefixspecNonterminal();
        public static final XprefixspecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPrefixSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow95(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXprefixspec(node); }
    }
    public static final XprefixspecNonterminal XPREFIXSPEC = XprefixspecNonterminal.getInstance();

    public static class XcaseselectorNonterminal extends Nonterminal
    {
        private XcaseselectorNonterminal() {;} // Singleton
        private static final XcaseselectorNonterminal singletonInstance = new XcaseselectorNonterminal();
        public static final XcaseselectorNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCaseSelector>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow96(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcaseselector(node); }
    }
    public static final XcaseselectorNonterminal XCASESELECTOR = XcaseselectorNonterminal.getInstance();

    public static class XarrayconstructorNonterminal extends Nonterminal
    {
        private XarrayconstructorNonterminal() {;} // Singleton
        private static final XarrayconstructorNonterminal singletonInstance = new XarrayconstructorNonterminal();
        public static final XarrayconstructorNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xArrayConstructor>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow97(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXarrayconstructor(node); }
    }
    public static final XarrayconstructorNonterminal XARRAYCONSTRUCTOR = XarrayconstructorNonterminal.getInstance();

    public static class XinquirespeclistNonterminal extends Nonterminal
    {
        private XinquirespeclistNonterminal() {;} // Singleton
        private static final XinquirespeclistNonterminal singletonInstance = new XinquirespeclistNonterminal();
        public static final XinquirespeclistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xInquireSpecList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow98(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXinquirespeclist(node); }
    }
    public static final XinquirespeclistNonterminal XINQUIRESPECLIST = XinquirespeclistNonterminal.getInstance();

    public static class XpointerfieldNonterminal extends Nonterminal
    {
        private XpointerfieldNonterminal() {;} // Singleton
        private static final XpointerfieldNonterminal singletonInstance = new XpointerfieldNonterminal();
        public static final XpointerfieldNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPointerField>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow99(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXpointerfield(node); }
    }
    public static final XpointerfieldNonterminal XPOINTERFIELD = XpointerfieldNonterminal.getInstance();

    public static class XrdfmtidNonterminal extends Nonterminal
    {
        private XrdfmtidNonterminal() {;} // Singleton
        private static final XrdfmtidNonterminal singletonInstance = new XrdfmtidNonterminal();
        public static final XrdfmtidNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xRdFmtId>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow100(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXrdfmtid(node); }
    }
    public static final XrdfmtidNonterminal XRDFMTID = XrdfmtidNonterminal.getInstance();

    public static class XgenericspecNonterminal extends Nonterminal
    {
        private XgenericspecNonterminal() {;} // Singleton
        private static final XgenericspecNonterminal singletonInstance = new XgenericspecNonterminal();
        public static final XgenericspecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xGenericSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow101(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXgenericspec(node); }
    }
    public static final XgenericspecNonterminal XGENERICSPEC = XgenericspecNonterminal.getInstance();

    public static class XwherebodyconstructNonterminal extends Nonterminal
    {
        private XwherebodyconstructNonterminal() {;} // Singleton
        private static final XwherebodyconstructNonterminal singletonInstance = new XwherebodyconstructNonterminal();
        public static final XwherebodyconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xWhereBodyConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow102(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXwherebodyconstruct(node); }
    }
    public static final XwherebodyconstructNonterminal XWHEREBODYCONSTRUCT = XwherebodyconstructNonterminal.getInstance();

    public static class XclosestmtNonterminal extends Nonterminal
    {
        private XclosestmtNonterminal() {;} // Singleton
        private static final XclosestmtNonterminal singletonInstance = new XclosestmtNonterminal();
        public static final XclosestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCloseStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow103(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXclosestmt(node); }
    }
    public static final XclosestmtNonterminal XCLOSESTMT = XclosestmtNonterminal.getInstance();

    public static class XonlyNonterminal extends Nonterminal
    {
        private XonlyNonterminal() {;} // Singleton
        private static final XonlyNonterminal singletonInstance = new XonlyNonterminal();
        public static final XonlyNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xOnly>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow104(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXonly(node); }
    }
    public static final XonlyNonterminal XONLY = XonlyNonterminal.getInstance();

    public static class XendfunctionstmtNonterminal extends Nonterminal
    {
        private XendfunctionstmtNonterminal() {;} // Singleton
        private static final XendfunctionstmtNonterminal singletonInstance = new XendfunctionstmtNonterminal();
        public static final XendfunctionstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndFunctionStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow105(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXendfunctionstmt(node); }
    }
    public static final XendfunctionstmtNonterminal XENDFUNCTIONSTMT = XendfunctionstmtNonterminal.getInstance();

    public static class Xtargetstmt14ReductionNonterminal extends Nonterminal
    {
        private Xtargetstmt14ReductionNonterminal() {;} // Singleton
        private static final Xtargetstmt14ReductionNonterminal singletonInstance = new Xtargetstmt14ReductionNonterminal();
        public static final Xtargetstmt14ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xTargetStmt@14>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow106(); }
    }
    public static final Xtargetstmt14ReductionNonterminal XTARGETSTMT14 = Xtargetstmt14ReductionNonterminal.getInstance();

    public static class XallocatestmtNonterminal extends Nonterminal
    {
        private XallocatestmtNonterminal() {;} // Singleton
        private static final XallocatestmtNonterminal singletonInstance = new XallocatestmtNonterminal();
        public static final XallocatestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAllocateStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow107(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXallocatestmt(node); }
    }
    public static final XallocatestmtNonterminal XALLOCATESTMT = XallocatestmtNonterminal.getInstance();

    public static class XassumedshapespeclistNonterminal extends Nonterminal
    {
        private XassumedshapespeclistNonterminal() {;} // Singleton
        private static final XassumedshapespeclistNonterminal singletonInstance = new XassumedshapespeclistNonterminal();
        public static final XassumedshapespeclistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAssumedShapeSpecList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow108(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXassumedshapespeclist(node); }
    }
    public static final XassumedshapespeclistNonterminal XASSUMEDSHAPESPECLIST = XassumedshapespeclistNonterminal.getInstance();

    public static class XaddoperandNonterminal extends Nonterminal
    {
        private XaddoperandNonterminal() {;} // Singleton
        private static final XaddoperandNonterminal singletonInstance = new XaddoperandNonterminal();
        public static final XaddoperandNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAddOperand>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow109(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXaddoperand(node); }
    }
    public static final XaddoperandNonterminal XADDOPERAND = XaddoperandNonterminal.getInstance();

    public static class XmodulenameNonterminal extends Nonterminal
    {
        private XmodulenameNonterminal() {;} // Singleton
        private static final XmodulenameNonterminal singletonInstance = new XmodulenameNonterminal();
        public static final XmodulenameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xModuleName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow110(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXmodulename(node); }
    }
    public static final XmodulenameNonterminal XMODULENAME = XmodulenameNonterminal.getInstance();

    public static class Xenddostmt63ReductionNonterminal extends Nonterminal
    {
        private Xenddostmt63ReductionNonterminal() {;} // Singleton
        private static final Xenddostmt63ReductionNonterminal singletonInstance = new Xenddostmt63ReductionNonterminal();
        public static final Xenddostmt63ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndDoStmt@63>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow111(); }
    }
    public static final Xenddostmt63ReductionNonterminal XENDDOSTMT63 = Xenddostmt63ReductionNonterminal.getInstance();

    public static class XintrinsicstmtNonterminal extends Nonterminal
    {
        private XintrinsicstmtNonterminal() {;} // Singleton
        private static final XintrinsicstmtNonterminal singletonInstance = new XintrinsicstmtNonterminal();
        public static final XintrinsicstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xIntrinsicStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow112(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXintrinsicstmt(node); }
    }
    public static final XintrinsicstmtNonterminal XINTRINSICSTMT = XintrinsicstmtNonterminal.getInstance();

    public static class Xcoperand29ReductionNonterminal extends Nonterminal
    {
        private Xcoperand29ReductionNonterminal() {;} // Singleton
        private static final Xcoperand29ReductionNonterminal singletonInstance = new Xcoperand29ReductionNonterminal();
        public static final Xcoperand29ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCOperand@29>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow113(); }
    }
    public static final Xcoperand29ReductionNonterminal XCOPERAND29 = Xcoperand29ReductionNonterminal.getInstance();

    public static class XfunctionarglistNonterminal extends Nonterminal
    {
        private XfunctionarglistNonterminal() {;} // Singleton
        private static final XfunctionarglistNonterminal singletonInstance = new XfunctionarglistNonterminal();
        public static final XfunctionarglistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFunctionArgList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow114(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXfunctionarglist(node); }
    }
    public static final XfunctionarglistNonterminal XFUNCTIONARGLIST = XfunctionarglistNonterminal.getInstance();

    public static class XcomlistNonterminal extends Nonterminal
    {
        private XcomlistNonterminal() {;} // Singleton
        private static final XcomlistNonterminal singletonInstance = new XcomlistNonterminal();
        public static final XcomlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xComlist>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow115(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcomlist(node); }
    }
    public static final XcomlistNonterminal XCOMLIST = XcomlistNonterminal.getInstance();

    public static class XstmtfunctionstmtNonterminal extends Nonterminal
    {
        private XstmtfunctionstmtNonterminal() {;} // Singleton
        private static final XstmtfunctionstmtNonterminal singletonInstance = new XstmtfunctionstmtNonterminal();
        public static final XstmtfunctionstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xStmtFunctionStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow116(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXstmtfunctionstmt(node); }
    }
    public static final XstmtfunctionstmtNonterminal XSTMTFUNCTIONSTMT = XstmtfunctionstmtNonterminal.getInstance();

    public static class XconnectspeclistNonterminal extends Nonterminal
    {
        private XconnectspeclistNonterminal() {;} // Singleton
        private static final XconnectspeclistNonterminal singletonInstance = new XconnectspeclistNonterminal();
        public static final XconnectspeclistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xConnectSpecList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow117(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXconnectspeclist(node); }
    }
    public static final XconnectspeclistNonterminal XCONNECTSPECLIST = XconnectspeclistNonterminal.getInstance();

    public static class XderivedtypebodyconstructNonterminal extends Nonterminal
    {
        private XderivedtypebodyconstructNonterminal() {;} // Singleton
        private static final XderivedtypebodyconstructNonterminal singletonInstance = new XderivedtypebodyconstructNonterminal();
        public static final XderivedtypebodyconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDerivedTypeBodyConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow118(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXderivedtypebodyconstruct(node); }
    }
    public static final XderivedtypebodyconstructNonterminal XDERIVEDTYPEBODYCONSTRUCT = XderivedtypebodyconstructNonterminal.getInstance();

    public static class XoptionalparNonterminal extends Nonterminal
    {
        private XoptionalparNonterminal() {;} // Singleton
        private static final XoptionalparNonterminal singletonInstance = new XoptionalparNonterminal();
        public static final XoptionalparNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xOptionalPar>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow119(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXoptionalpar(node); }
    }
    public static final XoptionalparNonterminal XOPTIONALPAR = XoptionalparNonterminal.getInstance();

    public static class XforallbodyconstructNonterminal extends Nonterminal
    {
        private XforallbodyconstructNonterminal() {;} // Singleton
        private static final XforallbodyconstructNonterminal singletonInstance = new XforallbodyconstructNonterminal();
        public static final XforallbodyconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xForallBodyConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow120(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXforallbodyconstruct(node); }
    }
    public static final XforallbodyconstructNonterminal XFORALLBODYCONSTRUCT = XforallbodyconstructNonterminal.getInstance();

    public static class XpointernameNonterminal extends Nonterminal
    {
        private XpointernameNonterminal() {;} // Singleton
        private static final XpointernameNonterminal singletonInstance = new XpointernameNonterminal();
        public static final XpointernameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPointerName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow121(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXpointername(node); }
    }
    public static final XpointernameNonterminal XPOINTERNAME = XpointernameNonterminal.getInstance();

    public static class XelseconstructNonterminal extends Nonterminal
    {
        private XelseconstructNonterminal() {;} // Singleton
        private static final XelseconstructNonterminal singletonInstance = new XelseconstructNonterminal();
        public static final XelseconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xElseConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow122(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXelseconstruct(node); }
    }
    public static final XelseconstructNonterminal XELSECONSTRUCT = XelseconstructNonterminal.getInstance();

    public static class XinterfaceblockbodyNonterminal extends Nonterminal
    {
        private XinterfaceblockbodyNonterminal() {;} // Singleton
        private static final XinterfaceblockbodyNonterminal singletonInstance = new XinterfaceblockbodyNonterminal();
        public static final XinterfaceblockbodyNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xInterfaceBlockBody>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow123(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXinterfaceblockbody(node); }
    }
    public static final XinterfaceblockbodyNonterminal XINTERFACEBLOCKBODY = XinterfaceblockbodyNonterminal.getInstance();

    public static class XentitydeclNonterminal extends Nonterminal
    {
        private XentitydeclNonterminal() {;} // Singleton
        private static final XentitydeclNonterminal singletonInstance = new XentitydeclNonterminal();
        public static final XentitydeclNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEntityDecl>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow124(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXentitydecl(node); }
    }
    public static final XentitydeclNonterminal XENTITYDECL = XentitydeclNonterminal.getInstance();

    public static class XsffactorNonterminal extends Nonterminal
    {
        private XsffactorNonterminal() {;} // Singleton
        private static final XsffactorNonterminal singletonInstance = new XsffactorNonterminal();
        public static final XsffactorNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSFFactor>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow125(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsffactor(node); }
    }
    public static final XsffactorNonterminal XSFFACTOR = XsffactorNonterminal.getInstance();

    public static class XblockdatanameNonterminal extends Nonterminal
    {
        private XblockdatanameNonterminal() {;} // Singleton
        private static final XblockdatanameNonterminal singletonInstance = new XblockdatanameNonterminal();
        public static final XblockdatanameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xBlockDataName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow126(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXblockdataname(node); }
    }
    public static final XblockdatanameNonterminal XBLOCKDATANAME = XblockdatanameNonterminal.getInstance();

    public static class XsfdummyargnamelistNonterminal extends Nonterminal
    {
        private XsfdummyargnamelistNonterminal() {;} // Singleton
        private static final XsfdummyargnamelistNonterminal singletonInstance = new XsfdummyargnamelistNonterminal();
        public static final XsfdummyargnamelistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSFDummyArgNameList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow127(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsfdummyargnamelist(node); }
    }
    public static final XsfdummyargnamelistNonterminal XSFDUMMYARGNAMELIST = XsfdummyargnamelistNonterminal.getInstance();

    public static class XentrystmtNonterminal extends Nonterminal
    {
        private XentrystmtNonterminal() {;} // Singleton
        private static final XentrystmtNonterminal singletonInstance = new XentrystmtNonterminal();
        public static final XentrystmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEntryStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow128(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXentrystmt(node); }
    }
    public static final XentrystmtNonterminal XENTRYSTMT = XentrystmtNonterminal.getInstance();

    public static class Xendfunctionstmt81ReductionNonterminal extends Nonterminal
    {
        private Xendfunctionstmt81ReductionNonterminal() {;} // Singleton
        private static final Xendfunctionstmt81ReductionNonterminal singletonInstance = new Xendfunctionstmt81ReductionNonterminal();
        public static final Xendfunctionstmt81ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndFunctionStmt@81>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow129(); }
    }
    public static final Xendfunctionstmt81ReductionNonterminal XENDFUNCTIONSTMT81 = Xendfunctionstmt81ReductionNonterminal.getInstance();

    public static class XendnameNonterminal extends Nonterminal
    {
        private XendnameNonterminal() {;} // Singleton
        private static final XendnameNonterminal singletonInstance = new XendnameNonterminal();
        public static final XendnameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow130(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXendname(node); }
    }
    public static final XendnameNonterminal XENDNAME = XendnameNonterminal.getInstance();

    public static class XexternalnamelistNonterminal extends Nonterminal
    {
        private XexternalnamelistNonterminal() {;} // Singleton
        private static final XexternalnamelistNonterminal singletonInstance = new XexternalnamelistNonterminal();
        public static final XexternalnamelistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xExternalNameList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow131(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXexternalnamelist(node); }
    }
    public static final XexternalnamelistNonterminal XEXTERNALNAMELIST = XexternalnamelistNonterminal.getInstance();

    public static class XdeallocatestmtNonterminal extends Nonterminal
    {
        private XdeallocatestmtNonterminal() {;} // Singleton
        private static final XdeallocatestmtNonterminal singletonInstance = new XdeallocatestmtNonterminal();
        public static final XdeallocatestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDeallocateStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow132(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdeallocatestmt(node); }
    }
    public static final XdeallocatestmtNonterminal XDEALLOCATESTMT = XdeallocatestmtNonterminal.getInstance();

    public static class XendtypestmtNonterminal extends Nonterminal
    {
        private XendtypestmtNonterminal() {;} // Singleton
        private static final XendtypestmtNonterminal singletonInstance = new XendtypestmtNonterminal();
        public static final XendtypestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndTypeStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow133(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXendtypestmt(node); }
    }
    public static final XendtypestmtNonterminal XENDTYPESTMT = XendtypestmtNonterminal.getInstance();

    public static class Xcoperand28ReductionNonterminal extends Nonterminal
    {
        private Xcoperand28ReductionNonterminal() {;} // Singleton
        private static final Xcoperand28ReductionNonterminal singletonInstance = new Xcoperand28ReductionNonterminal();
        public static final Xcoperand28ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCOperand@28>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow134(); }
    }
    public static final Xcoperand28ReductionNonterminal XCOPERAND28 = Xcoperand28ReductionNonterminal.getInstance();

    public static class Xequivoperand45ReductionNonterminal extends Nonterminal
    {
        private Xequivoperand45ReductionNonterminal() {;} // Singleton
        private static final Xequivoperand45ReductionNonterminal singletonInstance = new Xequivoperand45ReductionNonterminal();
        public static final Xequivoperand45ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEquivOperand@45>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow135(); }
    }
    public static final Xequivoperand45ReductionNonterminal XEQUIVOPERAND45 = Xequivoperand45ReductionNonterminal.getInstance();

    public static class XendselectstmtNonterminal extends Nonterminal
    {
        private XendselectstmtNonterminal() {;} // Singleton
        private static final XendselectstmtNonterminal singletonInstance = new XendselectstmtNonterminal();
        public static final XendselectstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndSelectStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow136(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXendselectstmt(node); }
    }
    public static final XendselectstmtNonterminal XENDSELECTSTMT = XendselectstmtNonterminal.getInstance();

    public static class XspecificationpartconstructNonterminal extends Nonterminal
    {
        private XspecificationpartconstructNonterminal() {;} // Singleton
        private static final XspecificationpartconstructNonterminal singletonInstance = new XspecificationpartconstructNonterminal();
        public static final XspecificationpartconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSpecificationPartConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow137(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXspecificationpartconstruct(node); }
    }
    public static final XspecificationpartconstructNonterminal XSPECIFICATIONPARTCONSTRUCT = XspecificationpartconstructNonterminal.getInstance();

    public static class XlengthselectorNonterminal extends Nonterminal
    {
        private XlengthselectorNonterminal() {;} // Singleton
        private static final XlengthselectorNonterminal singletonInstance = new XlengthselectorNonterminal();
        public static final XlengthselectorNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLengthSelector>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow138(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXlengthselector(node); }
    }
    public static final XlengthselectorNonterminal XLENGTHSELECTOR = XlengthselectorNonterminal.getInstance();

    public static class Xaddoperand38ReductionNonterminal extends Nonterminal
    {
        private Xaddoperand38ReductionNonterminal() {;} // Singleton
        private static final Xaddoperand38ReductionNonterminal singletonInstance = new Xaddoperand38ReductionNonterminal();
        public static final Xaddoperand38ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAddOperand@38>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow139(); }
    }
    public static final Xaddoperand38ReductionNonterminal XADDOPERAND38 = Xaddoperand38ReductionNonterminal.getInstance();

    public static class XdeferredshapespeclistNonterminal extends Nonterminal
    {
        private XdeferredshapespeclistNonterminal() {;} // Singleton
        private static final XdeferredshapespeclistNonterminal singletonInstance = new XdeferredshapespeclistNonterminal();
        public static final XdeferredshapespeclistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDeferredShapeSpecList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow140(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdeferredshapespeclist(node); }
    }
    public static final XdeferredshapespeclistNonterminal XDEFERREDSHAPESPECLIST = XdeferredshapespeclistNonterminal.getInstance();

    public static class XcallstmtNonterminal extends Nonterminal
    {
        private XcallstmtNonterminal() {;} // Singleton
        private static final XcallstmtNonterminal singletonInstance = new XcallstmtNonterminal();
        public static final XcallstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCallStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow141(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcallstmt(node); }
    }
    public static final XcallstmtNonterminal XCALLSTMT = XcallstmtNonterminal.getInstance();

    public static class XarrayallocationlistNonterminal extends Nonterminal
    {
        private XarrayallocationlistNonterminal() {;} // Singleton
        private static final XarrayallocationlistNonterminal singletonInstance = new XarrayallocationlistNonterminal();
        public static final XarrayallocationlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xArrayAllocationList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow142(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXarrayallocationlist(node); }
    }
    public static final XarrayallocationlistNonterminal XARRAYALLOCATIONLIST = XarrayallocationlistNonterminal.getInstance();

    public static class XclosespecNonterminal extends Nonterminal
    {
        private XclosespecNonterminal() {;} // Singleton
        private static final XclosespecNonterminal singletonInstance = new XclosespecNonterminal();
        public static final XclosespecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCloseSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow143(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXclosespec(node); }
    }
    public static final XclosespecNonterminal XCLOSESPEC = XclosespecNonterminal.getInstance();

    public static class XufexprNonterminal extends Nonterminal
    {
        private XufexprNonterminal() {;} // Singleton
        private static final XufexprNonterminal singletonInstance = new XufexprNonterminal();
        public static final XufexprNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xUFExpr>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow144(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXufexpr(node); }
    }
    public static final XufexprNonterminal XUFEXPR = XufexprNonterminal.getInstance();

    public static class XtypespecNonterminal extends Nonterminal
    {
        private XtypespecNonterminal() {;} // Singleton
        private static final XtypespecNonterminal singletonInstance = new XtypespecNonterminal();
        public static final XtypespecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xTypeSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow145(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXtypespec(node); }
    }
    public static final XtypespecNonterminal XTYPESPEC = XtypespecNonterminal.getInstance();

    public static class XcommonblocknameNonterminal extends Nonterminal
    {
        private XcommonblocknameNonterminal() {;} // Singleton
        private static final XcommonblocknameNonterminal singletonInstance = new XcommonblocknameNonterminal();
        public static final XcommonblocknameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCommonBlockName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow146(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcommonblockname(node); }
    }
    public static final XcommonblocknameNonterminal XCOMMONBLOCKNAME = XcommonblocknameNonterminal.getInstance();

    public static class Xlevel5exprNonterminal extends Nonterminal
    {
        private Xlevel5exprNonterminal() {;} // Singleton
        private static final Xlevel5exprNonterminal singletonInstance = new Xlevel5exprNonterminal();
        public static final Xlevel5exprNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLevel5Expr>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow147(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXlevel5expr(node); }
    }
    public static final Xlevel5exprNonterminal XLEVEL5EXPR = Xlevel5exprNonterminal.getInstance();

    public static class XmodulestmtNonterminal extends Nonterminal
    {
        private XmodulestmtNonterminal() {;} // Singleton
        private static final XmodulestmtNonterminal singletonInstance = new XmodulestmtNonterminal();
        public static final XmodulestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xModuleStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow148(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXmodulestmt(node); }
    }
    public static final XmodulestmtNonterminal XMODULESTMT = XmodulestmtNonterminal.getInstance();

    public static class XformatstmtNonterminal extends Nonterminal
    {
        private XformatstmtNonterminal() {;} // Singleton
        private static final XformatstmtNonterminal singletonInstance = new XformatstmtNonterminal();
        public static final XformatstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFormatStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow149(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXformatstmt(node); }
    }
    public static final XformatstmtNonterminal XFORMATSTMT = XformatstmtNonterminal.getInstance();

    public static class XbodyNonterminal extends Nonterminal
    {
        private XbodyNonterminal() {;} // Singleton
        private static final XbodyNonterminal singletonInstance = new XbodyNonterminal();
        public static final XbodyNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xBody>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow150(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXbody(node); }
    }
    public static final XbodyNonterminal XBODY = XbodyNonterminal.getInstance();

    public static class Xendtypestmt2ReductionNonterminal extends Nonterminal
    {
        private Xendtypestmt2ReductionNonterminal() {;} // Singleton
        private static final Xendtypestmt2ReductionNonterminal singletonInstance = new Xendtypestmt2ReductionNonterminal();
        public static final Xendtypestmt2ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndTypeStmt@2>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow151(); }
    }
    public static final Xendtypestmt2ReductionNonterminal XENDTYPESTMT2 = Xendtypestmt2ReductionNonterminal.getInstance();

    public static class XsubstringrangeNonterminal extends Nonterminal
    {
        private XsubstringrangeNonterminal() {;} // Singleton
        private static final XsubstringrangeNonterminal singletonInstance = new XsubstringrangeNonterminal();
        public static final XsubstringrangeNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubstringRange>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow152(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsubstringrange(node); }
    }
    public static final XsubstringrangeNonterminal XSUBSTRINGRANGE = XsubstringrangeNonterminal.getInstance();

    public static class XobsoleteactionstmtNonterminal extends Nonterminal
    {
        private XobsoleteactionstmtNonterminal() {;} // Singleton
        private static final XobsoleteactionstmtNonterminal singletonInstance = new XobsoleteactionstmtNonterminal();
        public static final XobsoleteactionstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xObsoleteActionStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow153(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXobsoleteactionstmt(node); }
    }
    public static final XobsoleteactionstmtNonterminal XOBSOLETEACTIONSTMT = XobsoleteactionstmtNonterminal.getInstance();

    public static class XexprlistNonterminal extends Nonterminal
    {
        private XexprlistNonterminal() {;} // Singleton
        private static final XexprlistNonterminal singletonInstance = new XexprlistNonterminal();
        public static final XexprlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xExprList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow154(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXexprlist(node); }
    }
    public static final XexprlistNonterminal XEXPRLIST = XexprlistNonterminal.getInstance();

    public static class XdimensionstmtNonterminal extends Nonterminal
    {
        private XdimensionstmtNonterminal() {;} // Singleton
        private static final XdimensionstmtNonterminal singletonInstance = new XdimensionstmtNonterminal();
        public static final XdimensionstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDimensionStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow155(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdimensionstmt(node); }
    }
    public static final XdimensionstmtNonterminal XDIMENSIONSTMT = XdimensionstmtNonterminal.getInstance();

    public static class XnamelistgroupsNonterminal extends Nonterminal
    {
        private XnamelistgroupsNonterminal() {;} // Singleton
        private static final XnamelistgroupsNonterminal singletonInstance = new XnamelistgroupsNonterminal();
        public static final XnamelistgroupsNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xNamelistGroups>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow156(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXnamelistgroups(node); }
    }
    public static final XnamelistgroupsNonterminal XNAMELISTGROUPS = XnamelistgroupsNonterminal.getInstance();

    public static class Xendfunctionstmt80ReductionNonterminal extends Nonterminal
    {
        private Xendfunctionstmt80ReductionNonterminal() {;} // Singleton
        private static final Xendfunctionstmt80ReductionNonterminal singletonInstance = new Xendfunctionstmt80ReductionNonterminal();
        public static final Xendfunctionstmt80ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndFunctionStmt@80>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow157(); }
    }
    public static final Xendfunctionstmt80ReductionNonterminal XENDFUNCTIONSTMT80 = Xendfunctionstmt80ReductionNonterminal.getInstance();

    public static class XcasebodyconstructNonterminal extends Nonterminal
    {
        private XcasebodyconstructNonterminal() {;} // Singleton
        private static final XcasebodyconstructNonterminal singletonInstance = new XcasebodyconstructNonterminal();
        public static final XcasebodyconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCaseBodyConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow158(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcasebodyconstruct(node); }
    }
    public static final XcasebodyconstructNonterminal XCASEBODYCONSTRUCT = XcasebodyconstructNonterminal.getInstance();

    public static class XconnectspecNonterminal extends Nonterminal
    {
        private XconnectspecNonterminal() {;} // Singleton
        private static final XconnectspecNonterminal singletonInstance = new XconnectspecNonterminal();
        public static final XconnectspecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xConnectSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow159(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXconnectspec(node); }
    }
    public static final XconnectspecNonterminal XCONNECTSPEC = XconnectspecNonterminal.getInstance();

    public static class XpointerstmtNonterminal extends Nonterminal
    {
        private XpointerstmtNonterminal() {;} // Singleton
        private static final XpointerstmtNonterminal singletonInstance = new XpointerstmtNonterminal();
        public static final XpointerstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPointerStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow160(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXpointerstmt(node); }
    }
    public static final XpointerstmtNonterminal XPOINTERSTMT = XpointerstmtNonterminal.getInstance();

    public static class XblockdatastmtNonterminal extends Nonterminal
    {
        private XblockdatastmtNonterminal() {;} // Singleton
        private static final XblockdatastmtNonterminal singletonInstance = new XblockdatastmtNonterminal();
        public static final XblockdatastmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xBlockDataStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow161(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXblockdatastmt(node); }
    }
    public static final XblockdatastmtNonterminal XBLOCKDATASTMT = XblockdatastmtNonterminal.getInstance();

    public static class XtypedeclarationstmtNonterminal extends Nonterminal
    {
        private XtypedeclarationstmtNonterminal() {;} // Singleton
        private static final XtypedeclarationstmtNonterminal singletonInstance = new XtypedeclarationstmtNonterminal();
        public static final XtypedeclarationstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xTypeDeclarationStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow162(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXtypedeclarationstmt(node); }
    }
    public static final XtypedeclarationstmtNonterminal XTYPEDECLARATIONSTMT = XtypedeclarationstmtNonterminal.getInstance();

    public static class XinputitemlistNonterminal extends Nonterminal
    {
        private XinputitemlistNonterminal() {;} // Singleton
        private static final XinputitemlistNonterminal singletonInstance = new XinputitemlistNonterminal();
        public static final XinputitemlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xInputItemList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow163(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXinputitemlist(node); }
    }
    public static final XinputitemlistNonterminal XINPUTITEMLIST = XinputitemlistNonterminal.getInstance();

    public static class Xlevel3expr40ReductionNonterminal extends Nonterminal
    {
        private Xlevel3expr40ReductionNonterminal() {;} // Singleton
        private static final Xlevel3expr40ReductionNonterminal singletonInstance = new Xlevel3expr40ReductionNonterminal();
        public static final Xlevel3expr40ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLevel3Expr@40>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow164(); }
    }
    public static final Xlevel3expr40ReductionNonterminal XLEVEL3EXPR40 = Xlevel3expr40ReductionNonterminal.getInstance();

    public static class XstructurecomponentNonterminal extends Nonterminal
    {
        private XstructurecomponentNonterminal() {;} // Singleton
        private static final XstructurecomponentNonterminal singletonInstance = new XstructurecomponentNonterminal();
        public static final XstructurecomponentNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xStructureComponent>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow165(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXstructurecomponent(node); }
    }
    public static final XstructurecomponentNonterminal XSTRUCTURECOMPONENT = XstructurecomponentNonterminal.getInstance();

    public static class XcomponentnameNonterminal extends Nonterminal
    {
        private XcomponentnameNonterminal() {;} // Singleton
        private static final XcomponentnameNonterminal singletonInstance = new XcomponentnameNonterminal();
        public static final XcomponentnameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xComponentName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow166(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcomponentname(node); }
    }
    public static final XcomponentnameNonterminal XCOMPONENTNAME = XcomponentnameNonterminal.getInstance();

    public static class Xendtypestmt1ReductionNonterminal extends Nonterminal
    {
        private Xendtypestmt1ReductionNonterminal() {;} // Singleton
        private static final Xendtypestmt1ReductionNonterminal singletonInstance = new Xendtypestmt1ReductionNonterminal();
        public static final Xendtypestmt1ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndTypeStmt@1>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow167(); }
    }
    public static final Xendtypestmt1ReductionNonterminal XENDTYPESTMT1 = Xendtypestmt1ReductionNonterminal.getInstance();

    public static class XnamedconstantdefNonterminal extends Nonterminal
    {
        private XnamedconstantdefNonterminal() {;} // Singleton
        private static final XnamedconstantdefNonterminal singletonInstance = new XnamedconstantdefNonterminal();
        public static final XnamedconstantdefNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xNamedConstantDef>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow168(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXnamedconstantdef(node); }
    }
    public static final XnamedconstantdefNonterminal XNAMEDCONSTANTDEF = XnamedconstantdefNonterminal.getInstance();

    public static class XallocatedshapeNonterminal extends Nonterminal
    {
        private XallocatedshapeNonterminal() {;} // Singleton
        private static final XallocatedshapeNonterminal singletonInstance = new XallocatedshapeNonterminal();
        public static final XallocatedshapeNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAllocatedShape>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow169(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXallocatedshape(node); }
    }
    public static final XallocatedshapeNonterminal XALLOCATEDSHAPE = XallocatedshapeNonterminal.getInstance();

    public static class XpointerassignmentstmtNonterminal extends Nonterminal
    {
        private XpointerassignmentstmtNonterminal() {;} // Singleton
        private static final XpointerassignmentstmtNonterminal singletonInstance = new XpointerassignmentstmtNonterminal();
        public static final XpointerassignmentstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPointerAssignmentStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow170(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXpointerassignmentstmt(node); }
    }
    public static final XpointerassignmentstmtNonterminal XPOINTERASSIGNMENTSTMT = XpointerassignmentstmtNonterminal.getInstance();

    public static class Xcoperand30ReductionNonterminal extends Nonterminal
    {
        private Xcoperand30ReductionNonterminal() {;} // Singleton
        private static final Xcoperand30ReductionNonterminal singletonInstance = new Xcoperand30ReductionNonterminal();
        public static final Xcoperand30ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCOperand@30>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow171(); }
    }
    public static final Xcoperand30ReductionNonterminal XCOPERAND30 = Xcoperand30ReductionNonterminal.getInstance();

    public static class XmultopNonterminal extends Nonterminal
    {
        private XmultopNonterminal() {;} // Singleton
        private static final XmultopNonterminal singletonInstance = new XmultopNonterminal();
        public static final XmultopNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xMultOp>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow172(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXmultop(node); }
    }
    public static final XmultopNonterminal XMULTOP = XmultopNonterminal.getInstance();

    public static class XcprimaryNonterminal extends Nonterminal
    {
        private XcprimaryNonterminal() {;} // Singleton
        private static final XcprimaryNonterminal singletonInstance = new XcprimaryNonterminal();
        public static final XcprimaryNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCPrimary>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow173(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcprimary(node); }
    }
    public static final XcprimaryNonterminal XCPRIMARY = XcprimaryNonterminal.getInstance();

    public static class XandopNonterminal extends Nonterminal
    {
        private XandopNonterminal() {;} // Singleton
        private static final XandopNonterminal singletonInstance = new XandopNonterminal();
        public static final XandopNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAndOp>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow174(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXandop(node); }
    }
    public static final XandopNonterminal XANDOP = XandopNonterminal.getInstance();

    public static class XcasestmtNonterminal extends Nonterminal
    {
        private XcasestmtNonterminal() {;} // Singleton
        private static final XcasestmtNonterminal singletonInstance = new XcasestmtNonterminal();
        public static final XcasestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCaseStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow175(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcasestmt(node); }
    }
    public static final XcasestmtNonterminal XCASESTMT = XcasestmtNonterminal.getInstance();

    public static class XwherestmtNonterminal extends Nonterminal
    {
        private XwherestmtNonterminal() {;} // Singleton
        private static final XwherestmtNonterminal singletonInstance = new XwherestmtNonterminal();
        public static final XwherestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xWhereStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow176(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXwherestmt(node); }
    }
    public static final XwherestmtNonterminal XWHERESTMT = XwherestmtNonterminal.getInstance();

    public static class XlbldefNonterminal extends Nonterminal
    {
        private XlbldefNonterminal() {;} // Singleton
        private static final XlbldefNonterminal singletonInstance = new XlbldefNonterminal();
        public static final XlbldefNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLblDef>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow177(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXlbldef(node); }
    }
    public static final XlbldefNonterminal XLBLDEF = XlbldefNonterminal.getInstance();

    public static class XendforallstmtNonterminal extends Nonterminal
    {
        private XendforallstmtNonterminal() {;} // Singleton
        private static final XendforallstmtNonterminal singletonInstance = new XendforallstmtNonterminal();
        public static final XendforallstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndForallStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow178(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXendforallstmt(node); }
    }
    public static final XendforallstmtNonterminal XENDFORALLSTMT = XendforallstmtNonterminal.getInstance();

    public static class XequivalenceobjectlistNonterminal extends Nonterminal
    {
        private XequivalenceobjectlistNonterminal() {;} // Singleton
        private static final XequivalenceobjectlistNonterminal singletonInstance = new XequivalenceobjectlistNonterminal();
        public static final XequivalenceobjectlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEquivalenceObjectList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow179(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXequivalenceobjectlist(node); }
    }
    public static final XequivalenceobjectlistNonterminal XEQUIVALENCEOBJECTLIST = XequivalenceobjectlistNonterminal.getInstance();

    public static class XsubprograminterfacebodyNonterminal extends Nonterminal
    {
        private XsubprograminterfacebodyNonterminal() {;} // Singleton
        private static final XsubprograminterfacebodyNonterminal singletonInstance = new XsubprograminterfacebodyNonterminal();
        public static final XsubprograminterfacebodyNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubprogramInterfaceBody>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow180(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsubprograminterfacebody(node); }
    }
    public static final XsubprograminterfacebodyNonterminal XSUBPROGRAMINTERFACEBODY = XsubprograminterfacebodyNonterminal.getInstance();

    public static class XsavedcommonblockNonterminal extends Nonterminal
    {
        private XsavedcommonblockNonterminal() {;} // Singleton
        private static final XsavedcommonblockNonterminal singletonInstance = new XsavedcommonblockNonterminal();
        public static final XsavedcommonblockNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSavedCommonBlock>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow181(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsavedcommonblock(node); }
    }
    public static final XsavedcommonblockNonterminal XSAVEDCOMMONBLOCK = XsavedcommonblockNonterminal.getInstance();

    public static class XinputimplieddoNonterminal extends Nonterminal
    {
        private XinputimplieddoNonterminal() {;} // Singleton
        private static final XinputimplieddoNonterminal singletonInstance = new XinputimplieddoNonterminal();
        public static final XinputimplieddoNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xInputImpliedDo>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow182(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXinputimplieddo(node); }
    }
    public static final XinputimplieddoNonterminal XINPUTIMPLIEDDO = XinputimplieddoNonterminal.getInstance();

    public static class Xendsubroutinestmt84ReductionNonterminal extends Nonterminal
    {
        private Xendsubroutinestmt84ReductionNonterminal() {;} // Singleton
        private static final Xendsubroutinestmt84ReductionNonterminal singletonInstance = new Xendsubroutinestmt84ReductionNonterminal();
        public static final Xendsubroutinestmt84ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndSubroutineStmt@84>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow183(); }
    }
    public static final Xendsubroutinestmt84ReductionNonterminal XENDSUBROUTINESTMT84 = Xendsubroutinestmt84ReductionNonterminal.getInstance();

    public static class XmaskedelsewhereconstructNonterminal extends Nonterminal
    {
        private XmaskedelsewhereconstructNonterminal() {;} // Singleton
        private static final XmaskedelsewhereconstructNonterminal singletonInstance = new XmaskedelsewhereconstructNonterminal();
        public static final XmaskedelsewhereconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xMaskedElsewhereConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow184(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXmaskedelsewhereconstruct(node); }
    }
    public static final XmaskedelsewhereconstructNonterminal XMASKEDELSEWHERECONSTRUCT = XmaskedelsewhereconstructNonterminal.getInstance();

    public static class Xvariable16ReductionNonterminal extends Nonterminal
    {
        private Xvariable16ReductionNonterminal() {;} // Singleton
        private static final Xvariable16ReductionNonterminal singletonInstance = new Xvariable16ReductionNonterminal();
        public static final Xvariable16ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xVariable@16>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow185(); }
    }
    public static final Xvariable16ReductionNonterminal XVARIABLE16 = Xvariable16ReductionNonterminal.getInstance();

    public static class XassumedshapespecNonterminal extends Nonterminal
    {
        private XassumedshapespecNonterminal() {;} // Singleton
        private static final XassumedshapespecNonterminal singletonInstance = new XassumedshapespecNonterminal();
        public static final XassumedshapespecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAssumedShapeSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow186(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXassumedshapespec(node); }
    }
    public static final XassumedshapespecNonterminal XASSUMEDSHAPESPEC = XassumedshapespecNonterminal.getInstance();

    public static class Xintentstmt7ReductionNonterminal extends Nonterminal
    {
        private Xintentstmt7ReductionNonterminal() {;} // Singleton
        private static final Xintentstmt7ReductionNonterminal singletonInstance = new Xintentstmt7ReductionNonterminal();
        public static final Xintentstmt7ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xIntentStmt@7>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow187(); }
    }
    public static final Xintentstmt7ReductionNonterminal XINTENTSTMT7 = Xintentstmt7ReductionNonterminal.getInstance();

    public static class XequivoperandNonterminal extends Nonterminal
    {
        private XequivoperandNonterminal() {;} // Singleton
        private static final XequivoperandNonterminal singletonInstance = new XequivoperandNonterminal();
        public static final XequivoperandNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEquivOperand>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow188(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXequivoperand(node); }
    }
    public static final XequivoperandNonterminal XEQUIVOPERAND = XequivoperandNonterminal.getInstance();

    public static class XconstantNonterminal extends Nonterminal
    {
        private XconstantNonterminal() {;} // Singleton
        private static final XconstantNonterminal singletonInstance = new XconstantNonterminal();
        public static final XconstantNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xConstant>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow189(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXconstant(node); }
    }
    public static final XconstantNonterminal XCONSTANT = XconstantNonterminal.getInstance();

    public static class XnamedconstantdeflistNonterminal extends Nonterminal
    {
        private XnamedconstantdeflistNonterminal() {;} // Singleton
        private static final XnamedconstantdeflistNonterminal singletonInstance = new XnamedconstantdeflistNonterminal();
        public static final XnamedconstantdeflistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xNamedConstantDefList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow190(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXnamedconstantdeflist(node); }
    }
    public static final XnamedconstantdeflistNonterminal XNAMEDCONSTANTDEFLIST = XnamedconstantdeflistNonterminal.getInstance();

    public static class XrewindstmtNonterminal extends Nonterminal
    {
        private XrewindstmtNonterminal() {;} // Singleton
        private static final XrewindstmtNonterminal singletonInstance = new XrewindstmtNonterminal();
        public static final XrewindstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xRewindStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow191(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXrewindstmt(node); }
    }
    public static final XrewindstmtNonterminal XREWINDSTMT = XrewindstmtNonterminal.getInstance();

    public static class XselectcasebodyNonterminal extends Nonterminal
    {
        private XselectcasebodyNonterminal() {;} // Singleton
        private static final XselectcasebodyNonterminal singletonInstance = new XselectcasebodyNonterminal();
        public static final XselectcasebodyNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSelectCaseBody>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow192(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXselectcasebody(node); }
    }
    public static final XselectcasebodyNonterminal XSELECTCASEBODY = XselectcasebodyNonterminal.getInstance();

    public static class XderivedtypestmtNonterminal extends Nonterminal
    {
        private XderivedtypestmtNonterminal() {;} // Singleton
        private static final XderivedtypestmtNonterminal singletonInstance = new XderivedtypestmtNonterminal();
        public static final XderivedtypestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDerivedTypeStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow193(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXderivedtypestmt(node); }
    }
    public static final XderivedtypestmtNonterminal XDERIVEDTYPESTMT = XderivedtypestmtNonterminal.getInstance();

    public static class XifconstructNonterminal extends Nonterminal
    {
        private XifconstructNonterminal() {;} // Singleton
        private static final XifconstructNonterminal singletonInstance = new XifconstructNonterminal();
        public static final XifconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xIfConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow194(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXifconstruct(node); }
    }
    public static final XifconstructNonterminal XIFCONSTRUCT = XifconstructNonterminal.getInstance();

    public static class XlowerboundNonterminal extends Nonterminal
    {
        private XlowerboundNonterminal() {;} // Singleton
        private static final XlowerboundNonterminal singletonInstance = new XlowerboundNonterminal();
        public static final XlowerboundNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLowerBound>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow195(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXlowerbound(node); }
    }
    public static final XlowerboundNonterminal XLOWERBOUND = XlowerboundNonterminal.getInstance();

    public static class XprimaryNonterminal extends Nonterminal
    {
        private XprimaryNonterminal() {;} // Singleton
        private static final XprimaryNonterminal singletonInstance = new XprimaryNonterminal();
        public static final XprimaryNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPrimary>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow196(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXprimary(node); }
    }
    public static final XprimaryNonterminal XPRIMARY = XprimaryNonterminal.getInstance();

    public static class XmainprogramNonterminal extends Nonterminal
    {
        private XmainprogramNonterminal() {;} // Singleton
        private static final XmainprogramNonterminal singletonInstance = new XmainprogramNonterminal();
        public static final XmainprogramNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xMainProgram>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow197(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXmainprogram(node); }
    }
    public static final XmainprogramNonterminal XMAINPROGRAM = XmainprogramNonterminal.getInstance();

    public static class Xendsubroutinestmt83ReductionNonterminal extends Nonterminal
    {
        private Xendsubroutinestmt83ReductionNonterminal() {;} // Singleton
        private static final Xendsubroutinestmt83ReductionNonterminal singletonInstance = new Xendsubroutinestmt83ReductionNonterminal();
        public static final Xendsubroutinestmt83ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndSubroutineStmt@83>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow198(); }
    }
    public static final Xendsubroutinestmt83ReductionNonterminal XENDSUBROUTINESTMT83 = Xendsubroutinestmt83ReductionNonterminal.getInstance();

    public static class XtargetobjectlistNonterminal extends Nonterminal
    {
        private XtargetobjectlistNonterminal() {;} // Singleton
        private static final XtargetobjectlistNonterminal singletonInstance = new XtargetobjectlistNonterminal();
        public static final XtargetobjectlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xTargetObjectList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow199(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXtargetobjectlist(node); }
    }
    public static final XtargetobjectlistNonterminal XTARGETOBJECTLIST = XtargetobjectlistNonterminal.getInstance();

    public static class XprocedurenameNonterminal extends Nonterminal
    {
        private XprocedurenameNonterminal() {;} // Singleton
        private static final XprocedurenameNonterminal singletonInstance = new XprocedurenameNonterminal();
        public static final XprocedurenameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xProcedureName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow200(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXprocedurename(node); }
    }
    public static final XprocedurenameNonterminal XPROCEDURENAME = XprocedurenameNonterminal.getInstance();

    public static class Xvariable15ReductionNonterminal extends Nonterminal
    {
        private Xvariable15ReductionNonterminal() {;} // Singleton
        private static final Xvariable15ReductionNonterminal singletonInstance = new Xvariable15ReductionNonterminal();
        public static final Xvariable15ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xVariable@15>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow201(); }
    }
    public static final Xvariable15ReductionNonterminal XVARIABLE15 = Xvariable15ReductionNonterminal.getInstance();

    public static class XendwherestmtNonterminal extends Nonterminal
    {
        private XendwherestmtNonterminal() {;} // Singleton
        private static final XendwherestmtNonterminal singletonInstance = new XendwherestmtNonterminal();
        public static final XendwherestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndWhereStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow202(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXendwherestmt(node); }
    }
    public static final XendwherestmtNonterminal XENDWHERESTMT = XendwherestmtNonterminal.getInstance();

    public static class XequivalencesetNonterminal extends Nonterminal
    {
        private XequivalencesetNonterminal() {;} // Singleton
        private static final XequivalencesetNonterminal singletonInstance = new XequivalencesetNonterminal();
        public static final XequivalencesetNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEquivalenceSet>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow203(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXequivalenceset(node); }
    }
    public static final XequivalencesetNonterminal XEQUIVALENCESET = XequivalencesetNonterminal.getInstance();

    public static class XinterfacespecificationNonterminal extends Nonterminal
    {
        private XinterfacespecificationNonterminal() {;} // Singleton
        private static final XinterfacespecificationNonterminal singletonInstance = new XinterfacespecificationNonterminal();
        public static final XinterfacespecificationNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xInterfaceSpecification>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow204(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXinterfacespecification(node); }
    }
    public static final XinterfacespecificationNonterminal XINTERFACESPECIFICATION = XinterfacespecificationNonterminal.getInstance();

    public static class XcontainsstmtNonterminal extends Nonterminal
    {
        private XcontainsstmtNonterminal() {;} // Singleton
        private static final XcontainsstmtNonterminal singletonInstance = new XcontainsstmtNonterminal();
        public static final XcontainsstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xContainsStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow205(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcontainsstmt(node); }
    }
    public static final XcontainsstmtNonterminal XCONTAINSSTMT = XcontainsstmtNonterminal.getInstance();

    public static class Xlevel4exprNonterminal extends Nonterminal
    {
        private Xlevel4exprNonterminal() {;} // Singleton
        private static final Xlevel4exprNonterminal singletonInstance = new Xlevel4exprNonterminal();
        public static final Xlevel4exprNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLevel4Expr>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow206(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXlevel4expr(node); }
    }
    public static final Xlevel4exprNonterminal XLEVEL4EXPR = Xlevel4exprNonterminal.getInstance();

    public static class Xcexpr41ReductionNonterminal extends Nonterminal
    {
        private Xcexpr41ReductionNonterminal() {;} // Singleton
        private static final Xcexpr41ReductionNonterminal singletonInstance = new Xcexpr41ReductionNonterminal();
        public static final Xcexpr41ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCExpr@41>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow207(); }
    }
    public static final Xcexpr41ReductionNonterminal XCEXPR41 = Xcexpr41ReductionNonterminal.getInstance();

    public static class XwherebodyconstructblockNonterminal extends Nonterminal
    {
        private XwherebodyconstructblockNonterminal() {;} // Singleton
        private static final XwherebodyconstructblockNonterminal singletonInstance = new XwherebodyconstructblockNonterminal();
        public static final XwherebodyconstructblockNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xWhereBodyConstructBlock>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow208(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXwherebodyconstructblock(node); }
    }
    public static final XwherebodyconstructblockNonterminal XWHEREBODYCONSTRUCTBLOCK = XwherebodyconstructblockNonterminal.getInstance();

    public static class XspecificationstmtNonterminal extends Nonterminal
    {
        private XspecificationstmtNonterminal() {;} // Singleton
        private static final XspecificationstmtNonterminal singletonInstance = new XspecificationstmtNonterminal();
        public static final XspecificationstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSpecificationStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow209(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXspecificationstmt(node); }
    }
    public static final XspecificationstmtNonterminal XSPECIFICATIONSTMT = XspecificationstmtNonterminal.getInstance();

    public static class XintrinsiclistNonterminal extends Nonterminal
    {
        private XintrinsiclistNonterminal() {;} // Singleton
        private static final XintrinsiclistNonterminal singletonInstance = new XintrinsiclistNonterminal();
        public static final XintrinsiclistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xIntrinsicList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow210(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXintrinsiclist(node); }
    }
    public static final XintrinsiclistNonterminal XINTRINSICLIST = XintrinsiclistNonterminal.getInstance();

    public static class XdataimplieddoNonterminal extends Nonterminal
    {
        private XdataimplieddoNonterminal() {;} // Singleton
        private static final XdataimplieddoNonterminal singletonInstance = new XdataimplieddoNonterminal();
        public static final XdataimplieddoNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDataImpliedDo>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow211(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdataimplieddo(node); }
    }
    public static final XdataimplieddoNonterminal XDATAIMPLIEDDO = XdataimplieddoNonterminal.getInstance();

    public static class XsubroutinearglistNonterminal extends Nonterminal
    {
        private XsubroutinearglistNonterminal() {;} // Singleton
        private static final XsubroutinearglistNonterminal singletonInstance = new XsubroutinearglistNonterminal();
        public static final XsubroutinearglistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubroutineArgList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow212(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsubroutinearglist(node); }
    }
    public static final XsubroutinearglistNonterminal XSUBROUTINEARGLIST = XsubroutinearglistNonterminal.getInstance();

    public static class XscalarvariableNonterminal extends Nonterminal
    {
        private XscalarvariableNonterminal() {;} // Singleton
        private static final XscalarvariableNonterminal singletonInstance = new XscalarvariableNonterminal();
        public static final XscalarvariableNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xScalarVariable>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow213(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXscalarvariable(node); }
    }
    public static final XscalarvariableNonterminal XSCALARVARIABLE = XscalarvariableNonterminal.getInstance();

    public static class XpositionspeclistNonterminal extends Nonterminal
    {
        private XpositionspeclistNonterminal() {;} // Singleton
        private static final XpositionspeclistNonterminal singletonInstance = new XpositionspeclistNonterminal();
        public static final XpositionspeclistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPositionSpecList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow214(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXpositionspeclist(node); }
    }
    public static final XpositionspeclistNonterminal XPOSITIONSPECLIST = XpositionspeclistNonterminal.getInstance();

    public static class XifstmtNonterminal extends Nonterminal
    {
        private XifstmtNonterminal() {;} // Singleton
        private static final XifstmtNonterminal singletonInstance = new XifstmtNonterminal();
        public static final XifstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xIfStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow215(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXifstmt(node); }
    }
    public static final XifstmtNonterminal XIFSTMT = XifstmtNonterminal.getInstance();

    public static class XoptionalstmtNonterminal extends Nonterminal
    {
        private XoptionalstmtNonterminal() {;} // Singleton
        private static final XoptionalstmtNonterminal singletonInstance = new XoptionalstmtNonterminal();
        public static final XoptionalstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xOptionalStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow216(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXoptionalstmt(node); }
    }
    public static final XoptionalstmtNonterminal XOPTIONALSTMT = XoptionalstmtNonterminal.getInstance();

    public static class XdefinedunaryopNonterminal extends Nonterminal
    {
        private XdefinedunaryopNonterminal() {;} // Singleton
        private static final XdefinedunaryopNonterminal singletonInstance = new XdefinedunaryopNonterminal();
        public static final XdefinedunaryopNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDefinedUnaryOp>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow217(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdefinedunaryop(node); }
    }
    public static final XdefinedunaryopNonterminal XDEFINEDUNARYOP = XdefinedunaryopNonterminal.getInstance();

    public static class Xassignmentstmt49ReductionNonterminal extends Nonterminal
    {
        private Xassignmentstmt49ReductionNonterminal() {;} // Singleton
        private static final Xassignmentstmt49ReductionNonterminal singletonInstance = new Xassignmentstmt49ReductionNonterminal();
        public static final Xassignmentstmt49ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAssignmentStmt@49>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow218(); }
    }
    public static final Xassignmentstmt49ReductionNonterminal XASSIGNMENTSTMT49 = Xassignmentstmt49ReductionNonterminal.getInstance();

    public static class XstructureconstructorNonterminal extends Nonterminal
    {
        private XstructureconstructorNonterminal() {;} // Singleton
        private static final XstructureconstructorNonterminal singletonInstance = new XstructureconstructorNonterminal();
        public static final XstructureconstructorNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xStructureConstructor>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow219(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXstructureconstructor(node); }
    }
    public static final XstructureconstructorNonterminal XSTRUCTURECONSTRUCTOR = XstructureconstructorNonterminal.getInstance();

    public static class XbodyplusinternalsNonterminal extends Nonterminal
    {
        private XbodyplusinternalsNonterminal() {;} // Singleton
        private static final XbodyplusinternalsNonterminal singletonInstance = new XbodyplusinternalsNonterminal();
        public static final XbodyplusinternalsNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xBodyPlusInternals>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow220(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXbodyplusinternals(node); }
    }
    public static final XbodyplusinternalsNonterminal XBODYPLUSINTERNALS = XbodyplusinternalsNonterminal.getInstance();

    public static class XcyclestmtNonterminal extends Nonterminal
    {
        private XcyclestmtNonterminal() {;} // Singleton
        private static final XcyclestmtNonterminal singletonInstance = new XcyclestmtNonterminal();
        public static final XcyclestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCycleStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow221(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcyclestmt(node); }
    }
    public static final XcyclestmtNonterminal XCYCLESTMT = XcyclestmtNonterminal.getInstance();

    public static class XallocateobjectNonterminal extends Nonterminal
    {
        private XallocateobjectNonterminal() {;} // Singleton
        private static final XallocateobjectNonterminal singletonInstance = new XallocateobjectNonterminal();
        public static final XallocateobjectNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAllocateObject>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow222(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXallocateobject(node); }
    }
    public static final XallocateobjectNonterminal XALLOCATEOBJECT = XallocateobjectNonterminal.getInstance();

    public static class Xandoperand43ReductionNonterminal extends Nonterminal
    {
        private Xandoperand43ReductionNonterminal() {;} // Singleton
        private static final Xandoperand43ReductionNonterminal singletonInstance = new Xandoperand43ReductionNonterminal();
        public static final Xandoperand43ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAndOperand@43>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow223(); }
    }
    public static final Xandoperand43ReductionNonterminal XANDOPERAND43 = Xandoperand43ReductionNonterminal.getInstance();

    public static class XprivatesequencestmtNonterminal extends Nonterminal
    {
        private XprivatesequencestmtNonterminal() {;} // Singleton
        private static final XprivatesequencestmtNonterminal singletonInstance = new XprivatesequencestmtNonterminal();
        public static final XprivatesequencestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPrivateSequenceStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow224(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXprivatesequencestmt(node); }
    }
    public static final XprivatesequencestmtNonterminal XPRIVATESEQUENCESTMT = XprivatesequencestmtNonterminal.getInstance();

    public static class XexplicitshapespecNonterminal extends Nonterminal
    {
        private XexplicitshapespecNonterminal() {;} // Singleton
        private static final XexplicitshapespecNonterminal singletonInstance = new XexplicitshapespecNonterminal();
        public static final XexplicitshapespecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xExplicitShapeSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow225(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXexplicitshapespec(node); }
    }
    public static final XexplicitshapespecNonterminal XEXPLICITSHAPESPEC = XexplicitshapespecNonterminal.getInstance();

    public static class XelsepartNonterminal extends Nonterminal
    {
        private XelsepartNonterminal() {;} // Singleton
        private static final XelsepartNonterminal singletonInstance = new XelsepartNonterminal();
        public static final XelsepartNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xElsePart>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow226(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXelsepart(node); }
    }
    public static final XelsepartNonterminal XELSEPART = XelsepartNonterminal.getInstance();

    public static class XcommonblockobjectNonterminal extends Nonterminal
    {
        private XcommonblockobjectNonterminal() {;} // Singleton
        private static final XcommonblockobjectNonterminal singletonInstance = new XcommonblockobjectNonterminal();
        public static final XcommonblockobjectNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCommonBlockObject>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow227(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcommonblockobject(node); }
    }
    public static final XcommonblockobjectNonterminal XCOMMONBLOCKOBJECT = XcommonblockobjectNonterminal.getInstance();

    public static class XwritestmtNonterminal extends Nonterminal
    {
        private XwritestmtNonterminal() {;} // Singleton
        private static final XwritestmtNonterminal singletonInstance = new XwritestmtNonterminal();
        public static final XwritestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xWriteStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow228(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXwritestmt(node); }
    }
    public static final XwritestmtNonterminal XWRITESTMT = XwritestmtNonterminal.getInstance();

    public static class Xassignmentstmt52ReductionNonterminal extends Nonterminal
    {
        private Xassignmentstmt52ReductionNonterminal() {;} // Singleton
        private static final Xassignmentstmt52ReductionNonterminal singletonInstance = new Xassignmentstmt52ReductionNonterminal();
        public static final Xassignmentstmt52ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAssignmentStmt@52>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow229(); }
    }
    public static final Xassignmentstmt52ReductionNonterminal XASSIGNMENTSTMT52 = Xassignmentstmt52ReductionNonterminal.getInstance();

    public static class XeditelementNonterminal extends Nonterminal
    {
        private XeditelementNonterminal() {;} // Singleton
        private static final XeditelementNonterminal singletonInstance = new XeditelementNonterminal();
        public static final XeditelementNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEditElement>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow230(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXeditelement(node); }
    }
    public static final XeditelementNonterminal XEDITELEMENT = XeditelementNonterminal.getInstance();

    public static class XmultoperandNonterminal extends Nonterminal
    {
        private XmultoperandNonterminal() {;} // Singleton
        private static final XmultoperandNonterminal singletonInstance = new XmultoperandNonterminal();
        public static final XmultoperandNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xMultOperand>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow231(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXmultoperand(node); }
    }
    public static final XmultoperandNonterminal XMULTOPERAND = XmultoperandNonterminal.getInstance();

    public static class Xmultoperand36ReductionNonterminal extends Nonterminal
    {
        private Xmultoperand36ReductionNonterminal() {;} // Singleton
        private static final Xmultoperand36ReductionNonterminal singletonInstance = new Xmultoperand36ReductionNonterminal();
        public static final Xmultoperand36ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xMultOperand@36>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow232(); }
    }
    public static final Xmultoperand36ReductionNonterminal XMULTOPERAND36 = Xmultoperand36ReductionNonterminal.getInstance();

    public static class Xuffactor37ReductionNonterminal extends Nonterminal
    {
        private Xuffactor37ReductionNonterminal() {;} // Singleton
        private static final Xuffactor37ReductionNonterminal singletonInstance = new Xuffactor37ReductionNonterminal();
        public static final Xuffactor37ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xUFFactor@37>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow233(); }
    }
    public static final Xuffactor37ReductionNonterminal XUFFACTOR37 = Xuffactor37ReductionNonterminal.getInstance();

    public static class Xassignmentstmt48ReductionNonterminal extends Nonterminal
    {
        private Xassignmentstmt48ReductionNonterminal() {;} // Singleton
        private static final Xassignmentstmt48ReductionNonterminal singletonInstance = new Xassignmentstmt48ReductionNonterminal();
        public static final Xassignmentstmt48ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAssignmentStmt@48>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow234(); }
    }
    public static final Xassignmentstmt48ReductionNonterminal XASSIGNMENTSTMT48 = Xassignmentstmt48ReductionNonterminal.getInstance();

    public static class XformateditNonterminal extends Nonterminal
    {
        private XformateditNonterminal() {;} // Singleton
        private static final XformateditNonterminal singletonInstance = new XformateditNonterminal();
        public static final XformateditNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFormatedit>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow235(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXformatedit(node); }
    }
    public static final XformateditNonterminal XFORMATEDIT = XformateditNonterminal.getInstance();

    public static class XsfdummyargnameNonterminal extends Nonterminal
    {
        private XsfdummyargnameNonterminal() {;} // Singleton
        private static final XsfdummyargnameNonterminal singletonInstance = new XsfdummyargnameNonterminal();
        public static final XsfdummyargnameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSFDummyArgName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow236(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsfdummyargname(node); }
    }
    public static final XsfdummyargnameNonterminal XSFDUMMYARGNAME = XsfdummyargnameNonterminal.getInstance();

    public static class XobsoleteexecutionpartconstructNonterminal extends Nonterminal
    {
        private XobsoleteexecutionpartconstructNonterminal() {;} // Singleton
        private static final XobsoleteexecutionpartconstructNonterminal singletonInstance = new XobsoleteexecutionpartconstructNonterminal();
        public static final XobsoleteexecutionpartconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xObsoleteExecutionPartConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow237(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXobsoleteexecutionpartconstruct(node); }
    }
    public static final XobsoleteexecutionpartconstructNonterminal XOBSOLETEEXECUTIONPARTCONSTRUCT = XobsoleteexecutionpartconstructNonterminal.getInstance();

    public static class XcomponentattrspeclistNonterminal extends Nonterminal
    {
        private XcomponentattrspeclistNonterminal() {;} // Singleton
        private static final XcomponentattrspeclistNonterminal singletonInstance = new XcomponentattrspeclistNonterminal();
        public static final XcomponentattrspeclistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xComponentAttrSpecList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow238(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcomponentattrspeclist(node); }
    }
    public static final XcomponentattrspeclistNonterminal XCOMPONENTATTRSPECLIST = XcomponentattrspeclistNonterminal.getInstance();

    public static class XacimplieddoNonterminal extends Nonterminal
    {
        private XacimplieddoNonterminal() {;} // Singleton
        private static final XacimplieddoNonterminal singletonInstance = new XacimplieddoNonterminal();
        public static final XacimplieddoNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAcImpliedDo>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow239(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXacimplieddo(node); }
    }
    public static final XacimplieddoNonterminal XACIMPLIEDDO = XacimplieddoNonterminal.getInstance();

    public static class XiocontrolspecNonterminal extends Nonterminal
    {
        private XiocontrolspecNonterminal() {;} // Singleton
        private static final XiocontrolspecNonterminal singletonInstance = new XiocontrolspecNonterminal();
        public static final XiocontrolspecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xIoControlSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow240(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXiocontrolspec(node); }
    }
    public static final XiocontrolspecNonterminal XIOCONTROLSPEC = XiocontrolspecNonterminal.getInstance();

    public static class XvariablecommaNonterminal extends Nonterminal
    {
        private XvariablecommaNonterminal() {;} // Singleton
        private static final XvariablecommaNonterminal singletonInstance = new XvariablecommaNonterminal();
        public static final XvariablecommaNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xVariableComma>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow241(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXvariablecomma(node); }
    }
    public static final XvariablecommaNonterminal XVARIABLECOMMA = XvariablecommaNonterminal.getInstance();

    public static class XcomponentdecllistNonterminal extends Nonterminal
    {
        private XcomponentdecllistNonterminal() {;} // Singleton
        private static final XcomponentdecllistNonterminal singletonInstance = new XcomponentdecllistNonterminal();
        public static final XcomponentdecllistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xComponentDeclList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow242(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcomponentdecllist(node); }
    }
    public static final XcomponentdecllistNonterminal XCOMPONENTDECLLIST = XcomponentdecllistNonterminal.getInstance();

    public static class XprintstmtNonterminal extends Nonterminal
    {
        private XprintstmtNonterminal() {;} // Singleton
        private static final XprintstmtNonterminal singletonInstance = new XprintstmtNonterminal();
        public static final XprintstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPrintStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow243(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXprintstmt(node); }
    }
    public static final XprintstmtNonterminal XPRINTSTMT = XprintstmtNonterminal.getInstance();

    public static class XcasevaluerangeNonterminal extends Nonterminal
    {
        private XcasevaluerangeNonterminal() {;} // Singleton
        private static final XcasevaluerangeNonterminal singletonInstance = new XcasevaluerangeNonterminal();
        public static final XcasevaluerangeNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCaseValueRange>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow244(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcasevaluerange(node); }
    }
    public static final XcasevaluerangeNonterminal XCASEVALUERANGE = XcasevaluerangeNonterminal.getInstance();

    public static class XsubscripttripletNonterminal extends Nonterminal
    {
        private XsubscripttripletNonterminal() {;} // Singleton
        private static final XsubscripttripletNonterminal singletonInstance = new XsubscripttripletNonterminal();
        public static final XsubscripttripletNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubscriptTriplet>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow245(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsubscripttriplet(node); }
    }
    public static final XsubscripttripletNonterminal XSUBSCRIPTTRIPLET = XsubscripttripletNonterminal.getInstance();

    public static class XnamedconstantuseNonterminal extends Nonterminal
    {
        private XnamedconstantuseNonterminal() {;} // Singleton
        private static final XnamedconstantuseNonterminal singletonInstance = new XnamedconstantuseNonterminal();
        public static final XnamedconstantuseNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xNamedConstantUse>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow246(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXnamedconstantuse(node); }
    }
    public static final XnamedconstantuseNonterminal XNAMEDCONSTANTUSE = XnamedconstantuseNonterminal.getInstance();

    public static class XrdunitidNonterminal extends Nonterminal
    {
        private XrdunitidNonterminal() {;} // Singleton
        private static final XrdunitidNonterminal singletonInstance = new XrdunitidNonterminal();
        public static final XrdunitidNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xRdUnitId>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow247(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXrdunitid(node); }
    }
    public static final XrdunitidNonterminal XRDUNITID = XrdunitidNonterminal.getInstance();

    public static class XblockdatasubprogramNonterminal extends Nonterminal
    {
        private XblockdatasubprogramNonterminal() {;} // Singleton
        private static final XblockdatasubprogramNonterminal singletonInstance = new XblockdatasubprogramNonterminal();
        public static final XblockdatasubprogramNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xBlockDataSubprogram>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow248(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXblockdatasubprogram(node); }
    }
    public static final XblockdatasubprogramNonterminal XBLOCKDATASUBPROGRAM = XblockdatasubprogramNonterminal.getInstance();

    public static class XallocationlistNonterminal extends Nonterminal
    {
        private XallocationlistNonterminal() {;} // Singleton
        private static final XallocationlistNonterminal singletonInstance = new XallocationlistNonterminal();
        public static final XallocationlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAllocationList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow249(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXallocationlist(node); }
    }
    public static final XallocationlistNonterminal XALLOCATIONLIST = XallocationlistNonterminal.getInstance();

    public static class Xassignmentstmt51ReductionNonterminal extends Nonterminal
    {
        private Xassignmentstmt51ReductionNonterminal() {;} // Singleton
        private static final Xassignmentstmt51ReductionNonterminal singletonInstance = new Xassignmentstmt51ReductionNonterminal();
        public static final Xassignmentstmt51ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAssignmentStmt@51>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow250(); }
    }
    public static final Xassignmentstmt51ReductionNonterminal XASSIGNMENTSTMT51 = Xassignmentstmt51ReductionNonterminal.getInstance();

    public static class XoropNonterminal extends Nonterminal
    {
        private XoropNonterminal() {;} // Singleton
        private static final XoropNonterminal singletonInstance = new XoropNonterminal();
        public static final XoropNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xOrOp>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow251(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXorop(node); }
    }
    public static final XoropNonterminal XOROP = XoropNonterminal.getInstance();

    public static class XequivopNonterminal extends Nonterminal
    {
        private XequivopNonterminal() {;} // Singleton
        private static final XequivopNonterminal singletonInstance = new XequivopNonterminal();
        public static final XequivopNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEquivOp>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow252(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXequivop(node); }
    }
    public static final XequivopNonterminal XEQUIVOP = XequivopNonterminal.getInstance();

    public static class XcommonstmtNonterminal extends Nonterminal
    {
        private XcommonstmtNonterminal() {;} // Singleton
        private static final XcommonstmtNonterminal singletonInstance = new XcommonstmtNonterminal();
        public static final XcommonstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCommonStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow253(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcommonstmt(node); }
    }
    public static final XcommonstmtNonterminal XCOMMONSTMT = XcommonstmtNonterminal.getInstance();

    public static class XsubroutinesubprogramNonterminal extends Nonterminal
    {
        private XsubroutinesubprogramNonterminal() {;} // Singleton
        private static final XsubroutinesubprogramNonterminal singletonInstance = new XsubroutinesubprogramNonterminal();
        public static final XsubroutinesubprogramNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubroutineSubprogram>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow254(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsubroutinesubprogram(node); }
    }
    public static final XsubroutinesubprogramNonterminal XSUBROUTINESUBPROGRAM = XsubroutinesubprogramNonterminal.getInstance();

    public static class XendifstmtNonterminal extends Nonterminal
    {
        private XendifstmtNonterminal() {;} // Singleton
        private static final XendifstmtNonterminal singletonInstance = new XendifstmtNonterminal();
        public static final XendifstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndIfStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow255(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXendifstmt(node); }
    }
    public static final XendifstmtNonterminal XENDIFSTMT = XendifstmtNonterminal.getInstance();

    public static class Xassignmentstmt47ReductionNonterminal extends Nonterminal
    {
        private Xassignmentstmt47ReductionNonterminal() {;} // Singleton
        private static final Xassignmentstmt47ReductionNonterminal singletonInstance = new Xassignmentstmt47ReductionNonterminal();
        public static final Xassignmentstmt47ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAssignmentStmt@47>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow256(); }
    }
    public static final Xassignmentstmt47ReductionNonterminal XASSIGNMENTSTMT47 = Xassignmentstmt47ReductionNonterminal.getInstance();

    public static class XinternalsubprogramNonterminal extends Nonterminal
    {
        private XinternalsubprogramNonterminal() {;} // Singleton
        private static final XinternalsubprogramNonterminal singletonInstance = new XinternalsubprogramNonterminal();
        public static final XinternalsubprogramNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xInternalSubprogram>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow257(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXinternalsubprogram(node); }
    }
    public static final XinternalsubprogramNonterminal XINTERNALSUBPROGRAM = XinternalsubprogramNonterminal.getInstance();

    public static class XforallconstructNonterminal extends Nonterminal
    {
        private XforallconstructNonterminal() {;} // Singleton
        private static final XforallconstructNonterminal singletonInstance = new XforallconstructNonterminal();
        public static final XforallconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xForallConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow258(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXforallconstruct(node); }
    }
    public static final XforallconstructNonterminal XFORALLCONSTRUCT = XforallconstructNonterminal.getInstance();

    public static class XfunctionargNonterminal extends Nonterminal
    {
        private XfunctionargNonterminal() {;} // Singleton
        private static final XfunctionargNonterminal singletonInstance = new XfunctionargNonterminal();
        public static final XfunctionargNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFunctionArg>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow259(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXfunctionarg(node); }
    }
    public static final XfunctionargNonterminal XFUNCTIONARG = XfunctionargNonterminal.getInstance();

    public static class XelsestmtNonterminal extends Nonterminal
    {
        private XelsestmtNonterminal() {;} // Singleton
        private static final XelsestmtNonterminal singletonInstance = new XelsestmtNonterminal();
        public static final XelsestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xElseStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow260(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXelsestmt(node); }
    }
    public static final XelsestmtNonterminal XELSESTMT = XelsestmtNonterminal.getInstance();

    public static class Xlevel3exprNonterminal extends Nonterminal
    {
        private Xlevel3exprNonterminal() {;} // Singleton
        private static final Xlevel3exprNonterminal singletonInstance = new Xlevel3exprNonterminal();
        public static final Xlevel3exprNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLevel3Expr>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow261(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXlevel3expr(node); }
    }
    public static final Xlevel3exprNonterminal XLEVEL3EXPR = Xlevel3exprNonterminal.getInstance();

    public static class XscalarmaskexprNonterminal extends Nonterminal
    {
        private XscalarmaskexprNonterminal() {;} // Singleton
        private static final XscalarmaskexprNonterminal singletonInstance = new XscalarmaskexprNonterminal();
        public static final XscalarmaskexprNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xScalarMaskExpr>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow262(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXscalarmaskexpr(node); }
    }
    public static final XscalarmaskexprNonterminal XSCALARMASKEXPR = XscalarmaskexprNonterminal.getInstance();

    public static class XlblrefNonterminal extends Nonterminal
    {
        private XlblrefNonterminal() {;} // Singleton
        private static final XlblrefNonterminal singletonInstance = new XlblrefNonterminal();
        public static final XlblrefNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLblRef>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow263(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXlblref(node); }
    }
    public static final XlblrefNonterminal XLBLREF = XlblrefNonterminal.getInstance();

    public static class XsfvarnameNonterminal extends Nonterminal
    {
        private XsfvarnameNonterminal() {;} // Singleton
        private static final XsfvarnameNonterminal singletonInstance = new XsfvarnameNonterminal();
        public static final XsfvarnameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSFVarName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow264(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsfvarname(node); }
    }
    public static final XsfvarnameNonterminal XSFVARNAME = XsfvarnameNonterminal.getInstance();

    public static class Xassignmentstmt50ReductionNonterminal extends Nonterminal
    {
        private Xassignmentstmt50ReductionNonterminal() {;} // Singleton
        private static final Xassignmentstmt50ReductionNonterminal singletonInstance = new Xassignmentstmt50ReductionNonterminal();
        public static final Xassignmentstmt50ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAssignmentStmt@50>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow265(); }
    }
    public static final Xassignmentstmt50ReductionNonterminal XASSIGNMENTSTMT50 = Xassignmentstmt50ReductionNonterminal.getInstance();

    public static class XandoperandNonterminal extends Nonterminal
    {
        private XandoperandNonterminal() {;} // Singleton
        private static final XandoperandNonterminal singletonInstance = new XandoperandNonterminal();
        public static final XandoperandNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAndOperand>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow266(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXandoperand(node); }
    }
    public static final XandoperandNonterminal XANDOPERAND = XandoperandNonterminal.getInstance();

    public static class XarrayallocationNonterminal extends Nonterminal
    {
        private XarrayallocationNonterminal() {;} // Singleton
        private static final XarrayallocationNonterminal singletonInstance = new XarrayallocationNonterminal();
        public static final XarrayallocationNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xArrayAllocation>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow267(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXarrayallocation(node); }
    }
    public static final XarrayallocationNonterminal XARRAYALLOCATION = XarrayallocationNonterminal.getInstance();

    public static class XusenameNonterminal extends Nonterminal
    {
        private XusenameNonterminal() {;} // Singleton
        private static final XusenameNonterminal singletonInstance = new XusenameNonterminal();
        public static final XusenameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xUseName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow268(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXusename(node); }
    }
    public static final XusenameNonterminal XUSENAME = XusenameNonterminal.getInstance();

    public static class XforallconstructstmtNonterminal extends Nonterminal
    {
        private XforallconstructstmtNonterminal() {;} // Singleton
        private static final XforallconstructstmtNonterminal singletonInstance = new XforallconstructstmtNonterminal();
        public static final XforallconstructstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xForallConstructStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow269(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXforallconstructstmt(node); }
    }
    public static final XforallconstructstmtNonterminal XFORALLCONSTRUCTSTMT = XforallconstructstmtNonterminal.getInstance();

    public static class Xelsewherestmt54ReductionNonterminal extends Nonterminal
    {
        private Xelsewherestmt54ReductionNonterminal() {;} // Singleton
        private static final Xelsewherestmt54ReductionNonterminal singletonInstance = new Xelsewherestmt54ReductionNonterminal();
        public static final Xelsewherestmt54ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xElsewhereStmt@54>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow270(); }
    }
    public static final Xelsewherestmt54ReductionNonterminal XELSEWHERESTMT54 = Xelsewherestmt54ReductionNonterminal.getInstance();

    public static class XdatastmtobjectNonterminal extends Nonterminal
    {
        private XdatastmtobjectNonterminal() {;} // Singleton
        private static final XdatastmtobjectNonterminal singletonInstance = new XdatastmtobjectNonterminal();
        public static final XdatastmtobjectNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDataStmtObject>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow271(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdatastmtobject(node); }
    }
    public static final XdatastmtobjectNonterminal XDATASTMTOBJECT = XdatastmtobjectNonterminal.getInstance();

    public static class XcommaloopcontrolNonterminal extends Nonterminal
    {
        private XcommaloopcontrolNonterminal() {;} // Singleton
        private static final XcommaloopcontrolNonterminal singletonInstance = new XcommaloopcontrolNonterminal();
        public static final XcommaloopcontrolNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCommaLoopControl>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow272(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcommaloopcontrol(node); }
    }
    public static final XcommaloopcontrolNonterminal XCOMMALOOPCONTROL = XcommaloopcontrolNonterminal.getInstance();

    public static class XelsewhereconstructNonterminal extends Nonterminal
    {
        private XelsewhereconstructNonterminal() {;} // Singleton
        private static final XelsewhereconstructNonterminal singletonInstance = new XelsewhereconstructNonterminal();
        public static final XelsewhereconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xElsewhereConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow273(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXelsewhereconstruct(node); }
    }
    public static final XelsewhereconstructNonterminal XELSEWHERECONSTRUCT = XelsewhereconstructNonterminal.getInstance();

    public static class XdefinedbinaryopNonterminal extends Nonterminal
    {
        private XdefinedbinaryopNonterminal() {;} // Singleton
        private static final XdefinedbinaryopNonterminal singletonInstance = new XdefinedbinaryopNonterminal();
        public static final XdefinedbinaryopNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDefinedBinaryOp>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow274(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdefinedbinaryop(node); }
    }
    public static final XdefinedbinaryopNonterminal XDEFINEDBINARYOP = XdefinedbinaryopNonterminal.getInstance();

    public static class XfmtspecNonterminal extends Nonterminal
    {
        private XfmtspecNonterminal() {;} // Singleton
        private static final XfmtspecNonterminal singletonInstance = new XfmtspecNonterminal();
        public static final XfmtspecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFmtSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow275(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXfmtspec(node); }
    }
    public static final XfmtspecNonterminal XFMTSPEC = XfmtspecNonterminal.getInstance();

    public static class XinterfacerangeNonterminal extends Nonterminal
    {
        private XinterfacerangeNonterminal() {;} // Singleton
        private static final XinterfacerangeNonterminal singletonInstance = new XinterfacerangeNonterminal();
        public static final XinterfacerangeNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xInterfaceRange>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow276(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXinterfacerange(node); }
    }
    public static final XinterfacerangeNonterminal XINTERFACERANGE = XinterfacerangeNonterminal.getInstance();

    public static class XoroperandNonterminal extends Nonterminal
    {
        private XoroperandNonterminal() {;} // Singleton
        private static final XoroperandNonterminal singletonInstance = new XoroperandNonterminal();
        public static final XoroperandNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xOrOperand>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow277(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXoroperand(node); }
    }
    public static final XoroperandNonterminal XOROPERAND = XoroperandNonterminal.getInstance();

    public static class Xendinterfacestmt78ReductionNonterminal extends Nonterminal
    {
        private Xendinterfacestmt78ReductionNonterminal() {;} // Singleton
        private static final Xendinterfacestmt78ReductionNonterminal singletonInstance = new Xendinterfacestmt78ReductionNonterminal();
        public static final Xendinterfacestmt78ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndInterfaceStmt@78>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow278(); }
    }
    public static final Xendinterfacestmt78ReductionNonterminal XENDINTERFACESTMT78 = Xendinterfacestmt78ReductionNonterminal.getInstance();

    public static class XsubscriptNonterminal extends Nonterminal
    {
        private XsubscriptNonterminal() {;} // Singleton
        private static final XsubscriptNonterminal singletonInstance = new XsubscriptNonterminal();
        public static final XsubscriptNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubscript>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow279(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsubscript(node); }
    }
    public static final XsubscriptNonterminal XSUBSCRIPT = XsubscriptNonterminal.getInstance();

    public static class XdataidoobjectNonterminal extends Nonterminal
    {
        private XdataidoobjectNonterminal() {;} // Singleton
        private static final XdataidoobjectNonterminal singletonInstance = new XdataidoobjectNonterminal();
        public static final XdataidoobjectNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDataIDoObject>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow280(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdataidoobject(node); }
    }
    public static final XdataidoobjectNonterminal XDATAIDOOBJECT = XdataidoobjectNonterminal.getInstance();

    public static class XinterfacestmtNonterminal extends Nonterminal
    {
        private XinterfacestmtNonterminal() {;} // Singleton
        private static final XinterfacestmtNonterminal singletonInstance = new XinterfacestmtNonterminal();
        public static final XinterfacestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xInterfaceStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow281(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXinterfacestmt(node); }
    }
    public static final XinterfacestmtNonterminal XINTERFACESTMT = XinterfacestmtNonterminal.getInstance();

    public static class XvariablenameNonterminal extends Nonterminal
    {
        private XvariablenameNonterminal() {;} // Singleton
        private static final XvariablenameNonterminal singletonInstance = new XvariablenameNonterminal();
        public static final XvariablenameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xVariableName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow282(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXvariablename(node); }
    }
    public static final XvariablenameNonterminal XVARIABLENAME = XvariablenameNonterminal.getInstance();

    public static class XcaseconstructNonterminal extends Nonterminal
    {
        private XcaseconstructNonterminal() {;} // Singleton
        private static final XcaseconstructNonterminal singletonInstance = new XcaseconstructNonterminal();
        public static final XcaseconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCaseConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow283(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcaseconstruct(node); }
    }
    public static final XcaseconstructNonterminal XCASECONSTRUCT = XcaseconstructNonterminal.getInstance();

    public static class XdatastmtconstantNonterminal extends Nonterminal
    {
        private XdatastmtconstantNonterminal() {;} // Singleton
        private static final XdatastmtconstantNonterminal singletonInstance = new XdatastmtconstantNonterminal();
        public static final XdatastmtconstantNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDataStmtConstant>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow284(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdatastmtconstant(node); }
    }
    public static final XdatastmtconstantNonterminal XDATASTMTCONSTANT = XdatastmtconstantNonterminal.getInstance();

    public static class XsubroutineargNonterminal extends Nonterminal
    {
        private XsubroutineargNonterminal() {;} // Singleton
        private static final XsubroutineargNonterminal singletonInstance = new XsubroutineargNonterminal();
        public static final XsubroutineargNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubroutineArg>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow285(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsubroutinearg(node); }
    }
    public static final XsubroutineargNonterminal XSUBROUTINEARG = XsubroutineargNonterminal.getInstance();

    public static class XwhereconstructNonterminal extends Nonterminal
    {
        private XwhereconstructNonterminal() {;} // Singleton
        private static final XwhereconstructNonterminal singletonInstance = new XwhereconstructNonterminal();
        public static final XwhereconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xWhereConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow286(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXwhereconstruct(node); }
    }
    public static final XwhereconstructNonterminal XWHERECONSTRUCT = XwhereconstructNonterminal.getInstance();

    public static class XequivalenceobjectNonterminal extends Nonterminal
    {
        private XequivalenceobjectNonterminal() {;} // Singleton
        private static final XequivalenceobjectNonterminal singletonInstance = new XequivalenceobjectNonterminal();
        public static final XequivalenceobjectNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEquivalenceObject>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow287(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXequivalenceobject(node); }
    }
    public static final XequivalenceobjectNonterminal XEQUIVALENCEOBJECT = XequivalenceobjectNonterminal.getInstance();

    public static class Xendinterfacestmt77ReductionNonterminal extends Nonterminal
    {
        private Xendinterfacestmt77ReductionNonterminal() {;} // Singleton
        private static final Xendinterfacestmt77ReductionNonterminal singletonInstance = new Xendinterfacestmt77ReductionNonterminal();
        public static final Xendinterfacestmt77ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndInterfaceStmt@77>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow288(); }
    }
    public static final Xendinterfacestmt77ReductionNonterminal XENDINTERFACESTMT77 = Xendinterfacestmt77ReductionNonterminal.getInstance();

    public static class XcexprNonterminal extends Nonterminal
    {
        private XcexprNonterminal() {;} // Singleton
        private static final XcexprNonterminal singletonInstance = new XcexprNonterminal();
        public static final XcexprNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCExpr>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow289(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcexpr(node); }
    }
    public static final XcexprNonterminal XCEXPR = XcexprNonterminal.getInstance();

    public static class XsubroutinerangeNonterminal extends Nonterminal
    {
        private XsubroutinerangeNonterminal() {;} // Singleton
        private static final XsubroutinerangeNonterminal singletonInstance = new XsubroutinerangeNonterminal();
        public static final XsubroutinerangeNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubroutineRange>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow290(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsubroutinerange(node); }
    }
    public static final XsubroutinerangeNonterminal XSUBROUTINERANGE = XsubroutinerangeNonterminal.getInstance();

    public static class XlblreflistNonterminal extends Nonterminal
    {
        private XlblreflistNonterminal() {;} // Singleton
        private static final XlblreflistNonterminal singletonInstance = new XlblreflistNonterminal();
        public static final XlblreflistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLblRefList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow291(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXlblreflist(node); }
    }
    public static final XlblreflistNonterminal XLBLREFLIST = XlblreflistNonterminal.getInstance();

    public static class XintentparNonterminal extends Nonterminal
    {
        private XintentparNonterminal() {;} // Singleton
        private static final XintentparNonterminal singletonInstance = new XintentparNonterminal();
        public static final XintentparNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xIntentPar>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow292(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXintentpar(node); }
    }
    public static final XintentparNonterminal XINTENTPAR = XintentparNonterminal.getInstance();

    public static class XusestmtNonterminal extends Nonterminal
    {
        private XusestmtNonterminal() {;} // Singleton
        private static final XusestmtNonterminal singletonInstance = new XusestmtNonterminal();
        public static final XusestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xUseStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow293(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXusestmt(node); }
    }
    public static final XusestmtNonterminal XUSESTMT = XusestmtNonterminal.getInstance();

    public static class TXimplicitspeclistNonterminal extends Nonterminal
    {
        private TXimplicitspeclistNonterminal() {;} // Singleton
        private static final TXimplicitspeclistNonterminal singletonInstance = new TXimplicitspeclistNonterminal();
        public static final TXimplicitspeclistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<T_xImplicitSpecList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow294(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitTXimplicitspeclist(node); }
    }
    public static final TXimplicitspeclistNonterminal TXIMPLICITSPECLIST = TXimplicitspeclistNonterminal.getInstance();

    public static class XassignmentstmtNonterminal extends Nonterminal
    {
        private XassignmentstmtNonterminal() {;} // Singleton
        private static final XassignmentstmtNonterminal singletonInstance = new XassignmentstmtNonterminal();
        public static final XassignmentstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAssignmentStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow295(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXassignmentstmt(node); }
    }
    public static final XassignmentstmtNonterminal XASSIGNMENTSTMT = XassignmentstmtNonterminal.getInstance();

    public static class XcontinuestmtNonterminal extends Nonterminal
    {
        private XcontinuestmtNonterminal() {;} // Singleton
        private static final XcontinuestmtNonterminal singletonInstance = new XcontinuestmtNonterminal();
        public static final XcontinuestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xContinueStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow296(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcontinuestmt(node); }
    }
    public static final XcontinuestmtNonterminal XCONTINUESTMT = XcontinuestmtNonterminal.getInstance();

    public static class XdatarefNonterminal extends Nonterminal
    {
        private XdatarefNonterminal() {;} // Singleton
        private static final XdatarefNonterminal singletonInstance = new XdatarefNonterminal();
        public static final XdatarefNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDataRef>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow297(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdataref(node); }
    }
    public static final XdatarefNonterminal XDATAREF = XdatarefNonterminal.getInstance();

    public static class Xlevel4expr42ReductionNonterminal extends Nonterminal
    {
        private Xlevel4expr42ReductionNonterminal() {;} // Singleton
        private static final Xlevel4expr42ReductionNonterminal singletonInstance = new Xlevel4expr42ReductionNonterminal();
        public static final Xlevel4expr42ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLevel4Expr@42>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow298(); }
    }
    public static final Xlevel4expr42ReductionNonterminal XLEVEL4EXPR42 = Xlevel4expr42ReductionNonterminal.getInstance();

    public static class Xendifstmt59ReductionNonterminal extends Nonterminal
    {
        private Xendifstmt59ReductionNonterminal() {;} // Singleton
        private static final Xendifstmt59ReductionNonterminal singletonInstance = new Xendifstmt59ReductionNonterminal();
        public static final Xendifstmt59ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndIfStmt@59>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow299(); }
    }
    public static final Xendifstmt59ReductionNonterminal XENDIFSTMT59 = Xendifstmt59ReductionNonterminal.getInstance();

    public static class XgotostmtNonterminal extends Nonterminal
    {
        private XgotostmtNonterminal() {;} // Singleton
        private static final XgotostmtNonterminal singletonInstance = new XgotostmtNonterminal();
        public static final XgotostmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xGotoStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow300(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXgotostmt(node); }
    }
    public static final XgotostmtNonterminal XGOTOSTMT = XgotostmtNonterminal.getInstance();

    public static class XnamelistgroupobjectNonterminal extends Nonterminal
    {
        private XnamelistgroupobjectNonterminal() {;} // Singleton
        private static final XnamelistgroupobjectNonterminal singletonInstance = new XnamelistgroupobjectNonterminal();
        public static final XnamelistgroupobjectNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xNamelistGroupObject>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow301(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXnamelistgroupobject(node); }
    }
    public static final XnamelistgroupobjectNonterminal XNAMELISTGROUPOBJECT = XnamelistgroupobjectNonterminal.getInstance();

    public static class XformatidentifierNonterminal extends Nonterminal
    {
        private XformatidentifierNonterminal() {;} // Singleton
        private static final XformatidentifierNonterminal singletonInstance = new XformatidentifierNonterminal();
        public static final XformatidentifierNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFormatIdentifier>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow302(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXformatidentifier(node); }
    }
    public static final XformatidentifierNonterminal XFORMATIDENTIFIER = XformatidentifierNonterminal.getInstance();

    public static class XaccessidNonterminal extends Nonterminal
    {
        private XaccessidNonterminal() {;} // Singleton
        private static final XaccessidNonterminal singletonInstance = new XaccessidNonterminal();
        public static final XaccessidNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAccessId>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow303(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXaccessid(node); }
    }
    public static final XaccessidNonterminal XACCESSID = XaccessidNonterminal.getInstance();

    public static class XmodulesubprogrampartconstructNonterminal extends Nonterminal
    {
        private XmodulesubprogrampartconstructNonterminal() {;} // Singleton
        private static final XmodulesubprogrampartconstructNonterminal singletonInstance = new XmodulesubprogrampartconstructNonterminal();
        public static final XmodulesubprogrampartconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xModuleSubprogramPartConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow304(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXmodulesubprogrampartconstruct(node); }
    }
    public static final XmodulesubprogrampartconstructNonterminal XMODULESUBPROGRAMPARTCONSTRUCT = XmodulesubprogrampartconstructNonterminal.getInstance();

    public static class XentitydecllistNonterminal extends Nonterminal
    {
        private XentitydecllistNonterminal() {;} // Singleton
        private static final XentitydecllistNonterminal singletonInstance = new XentitydecllistNonterminal();
        public static final XentitydecllistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEntityDeclList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow305(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXentitydecllist(node); }
    }
    public static final XentitydecllistNonterminal XENTITYDECLLIST = XentitydecllistNonterminal.getInstance();

    public static class XfunctionrangeNonterminal extends Nonterminal
    {
        private XfunctionrangeNonterminal() {;} // Singleton
        private static final XfunctionrangeNonterminal singletonInstance = new XfunctionrangeNonterminal();
        public static final XfunctionrangeNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFunctionRange>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow306(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXfunctionrange(node); }
    }
    public static final XfunctionrangeNonterminal XFUNCTIONRANGE = XfunctionrangeNonterminal.getInstance();

    public static class TXimplicitstmtNonterminal extends Nonterminal
    {
        private TXimplicitstmtNonterminal() {;} // Singleton
        private static final TXimplicitstmtNonterminal singletonInstance = new TXimplicitstmtNonterminal();
        public static final TXimplicitstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<T_xImplicitStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow307(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitTXimplicitstmt(node); }
    }
    public static final TXimplicitstmtNonterminal TXIMPLICITSTMT = TXimplicitstmtNonterminal.getInstance();

    public static class XdatastmtobjectlistNonterminal extends Nonterminal
    {
        private XdatastmtobjectlistNonterminal() {;} // Singleton
        private static final XdatastmtobjectlistNonterminal singletonInstance = new XdatastmtobjectlistNonterminal();
        public static final XdatastmtobjectlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDataStmtObjectList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow308(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdatastmtobjectlist(node); }
    }
    public static final XdatastmtobjectlistNonterminal XDATASTMTOBJECTLIST = XdatastmtobjectlistNonterminal.getInstance();

    public static class XrdfmtidexprNonterminal extends Nonterminal
    {
        private XrdfmtidexprNonterminal() {;} // Singleton
        private static final XrdfmtidexprNonterminal singletonInstance = new XrdfmtidexprNonterminal();
        public static final XrdfmtidexprNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xRdFmtIdExpr>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow309(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXrdfmtidexpr(node); }
    }
    public static final XrdfmtidexprNonterminal XRDFMTIDEXPR = XrdfmtidexprNonterminal.getInstance();

    public static class XifthenstmtNonterminal extends Nonterminal
    {
        private XifthenstmtNonterminal() {;} // Singleton
        private static final XifthenstmtNonterminal singletonInstance = new XifthenstmtNonterminal();
        public static final XifthenstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xIfThenStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow310(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXifthenstmt(node); }
    }
    public static final XifthenstmtNonterminal XIFTHENSTMT = XifthenstmtNonterminal.getInstance();

    public static class XenddostmtNonterminal extends Nonterminal
    {
        private XenddostmtNonterminal() {;} // Singleton
        private static final XenddostmtNonterminal singletonInstance = new XenddostmtNonterminal();
        public static final XenddostmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndDoStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow311(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXenddostmt(node); }
    }
    public static final XenddostmtNonterminal XENDDOSTMT = XenddostmtNonterminal.getInstance();

    public static class XendsubroutinestmtNonterminal extends Nonterminal
    {
        private XendsubroutinestmtNonterminal() {;} // Singleton
        private static final XendsubroutinestmtNonterminal singletonInstance = new XendsubroutinestmtNonterminal();
        public static final XendsubroutinestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndSubroutineStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow312(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXendsubroutinestmt(node); }
    }
    public static final XendsubroutinestmtNonterminal XENDSUBROUTINESTMT = XendsubroutinestmtNonterminal.getInstance();

    public static class XbackspacestmtNonterminal extends Nonterminal
    {
        private XbackspacestmtNonterminal() {;} // Singleton
        private static final XbackspacestmtNonterminal singletonInstance = new XbackspacestmtNonterminal();
        public static final XbackspacestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xBackspaceStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow313(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXbackspacestmt(node); }
    }
    public static final XbackspacestmtNonterminal XBACKSPACESTMT = XbackspacestmtNonterminal.getInstance();

    public static class Xendforallstmt58ReductionNonterminal extends Nonterminal
    {
        private Xendforallstmt58ReductionNonterminal() {;} // Singleton
        private static final Xendforallstmt58ReductionNonterminal singletonInstance = new Xendforallstmt58ReductionNonterminal();
        public static final Xendforallstmt58ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndForallStmt@58>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow314(); }
    }
    public static final Xendforallstmt58ReductionNonterminal XENDFORALLSTMT58 = Xendforallstmt58ReductionNonterminal.getInstance();

    public static class Xcyclestmt65ReductionNonterminal extends Nonterminal
    {
        private Xcyclestmt65ReductionNonterminal() {;} // Singleton
        private static final Xcyclestmt65ReductionNonterminal singletonInstance = new Xcyclestmt65ReductionNonterminal();
        public static final Xcyclestmt65ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCycleStmt@65>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow315(); }
    }
    public static final Xcyclestmt65ReductionNonterminal XCYCLESTMT65 = Xcyclestmt65ReductionNonterminal.getInstance();

    public static class XallocationNonterminal extends Nonterminal
    {
        private XallocationNonterminal() {;} // Singleton
        private static final XallocationNonterminal singletonInstance = new XallocationNonterminal();
        public static final XallocationNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAllocation>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow316(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXallocation(node); }
    }
    public static final XallocationNonterminal XALLOCATION = XallocationNonterminal.getInstance();

    public static class XnameliststmtNonterminal extends Nonterminal
    {
        private XnameliststmtNonterminal() {;} // Singleton
        private static final XnameliststmtNonterminal singletonInstance = new XnameliststmtNonterminal();
        public static final XnameliststmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xNamelistStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow317(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXnameliststmt(node); }
    }
    public static final XnameliststmtNonterminal XNAMELISTSTMT = XnameliststmtNonterminal.getInstance();

    public static class XendinterfacestmtNonterminal extends Nonterminal
    {
        private XendinterfacestmtNonterminal() {;} // Singleton
        private static final XendinterfacestmtNonterminal singletonInstance = new XendinterfacestmtNonterminal();
        public static final XendinterfacestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndInterfaceStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow318(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXendinterfacestmt(node); }
    }
    public static final XendinterfacestmtNonterminal XENDINTERFACESTMT = XendinterfacestmtNonterminal.getInstance();

    public static class Xlevel2exprNonterminal extends Nonterminal
    {
        private Xlevel2exprNonterminal() {;} // Singleton
        private static final Xlevel2exprNonterminal singletonInstance = new Xlevel2exprNonterminal();
        public static final Xlevel2exprNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLevel2Expr>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow319(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXlevel2expr(node); }
    }
    public static final Xlevel2exprNonterminal XLEVEL2EXPR = Xlevel2exprNonterminal.getInstance();

    public static class XprogramunitNonterminal extends Nonterminal
    {
        private XprogramunitNonterminal() {;} // Singleton
        private static final XprogramunitNonterminal singletonInstance = new XprogramunitNonterminal();
        public static final XprogramunitNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xProgramUnit>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow320(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXprogramunit(node); }
    }
    public static final XprogramunitNonterminal XPROGRAMUNIT = XprogramunitNonterminal.getInstance();

    public static class XdataidoobjectlistNonterminal extends Nonterminal
    {
        private XdataidoobjectlistNonterminal() {;} // Singleton
        private static final XdataidoobjectlistNonterminal singletonInstance = new XdataidoobjectlistNonterminal();
        public static final XdataidoobjectlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDataIDoObjectList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow321(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdataidoobjectlist(node); }
    }
    public static final XdataidoobjectlistNonterminal XDATAIDOOBJECTLIST = XdataidoobjectlistNonterminal.getInstance();

    public static class Xentrystmt85ReductionNonterminal extends Nonterminal
    {
        private Xentrystmt85ReductionNonterminal() {;} // Singleton
        private static final Xentrystmt85ReductionNonterminal singletonInstance = new Xentrystmt85ReductionNonterminal();
        public static final Xentrystmt85ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEntryStmt@85>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow322(); }
    }
    public static final Xentrystmt85ReductionNonterminal XENTRYSTMT85 = Xentrystmt85ReductionNonterminal.getInstance();

    public static class Xprimary27ReductionNonterminal extends Nonterminal
    {
        private Xprimary27ReductionNonterminal() {;} // Singleton
        private static final Xprimary27ReductionNonterminal singletonInstance = new Xprimary27ReductionNonterminal();
        public static final Xprimary27ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPrimary@27>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow323(); }
    }
    public static final Xprimary27ReductionNonterminal XPRIMARY27 = Xprimary27ReductionNonterminal.getInstance();

    public static class XexecutableprogramNonterminal extends Nonterminal
    {
        private XexecutableprogramNonterminal() {;} // Singleton
        private static final XexecutableprogramNonterminal singletonInstance = new XexecutableprogramNonterminal();
        public static final XexecutableprogramNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xExecutableProgram>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow324(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXexecutableprogram(node); }
    }
    public static final XexecutableprogramNonterminal XEXECUTABLEPROGRAM = XexecutableprogramNonterminal.getInstance();

    public static class XdatastmtsetNonterminal extends Nonterminal
    {
        private XdatastmtsetNonterminal() {;} // Singleton
        private static final XdatastmtsetNonterminal singletonInstance = new XdatastmtsetNonterminal();
        public static final XdatastmtsetNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDataStmtSet>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow325(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdatastmtset(node); }
    }
    public static final XdatastmtsetNonterminal XDATASTMTSET = XdatastmtsetNonterminal.getInstance();

    public static class XdoconstructNonterminal extends Nonterminal
    {
        private XdoconstructNonterminal() {;} // Singleton
        private static final XdoconstructNonterminal singletonInstance = new XdoconstructNonterminal();
        public static final XdoconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDoConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow326(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdoconstruct(node); }
    }
    public static final XdoconstructNonterminal XDOCONSTRUCT = XdoconstructNonterminal.getInstance();

    public static class XprogramnameNonterminal extends Nonterminal
    {
        private XprogramnameNonterminal() {;} // Singleton
        private static final XprogramnameNonterminal singletonInstance = new XprogramnameNonterminal();
        public static final XprogramnameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xProgramName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow327(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXprogramname(node); }
    }
    public static final XprogramnameNonterminal XPROGRAMNAME = XprogramnameNonterminal.getInstance();

    public static class XattrspecseqNonterminal extends Nonterminal
    {
        private XattrspecseqNonterminal() {;} // Singleton
        private static final XattrspecseqNonterminal singletonInstance = new XattrspecseqNonterminal();
        public static final XattrspecseqNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAttrSpecSeq>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow328(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXattrspecseq(node); }
    }
    public static final XattrspecseqNonterminal XATTRSPECSEQ = XattrspecseqNonterminal.getInstance();

    public static class XsavedentitylistNonterminal extends Nonterminal
    {
        private XsavedentitylistNonterminal() {;} // Singleton
        private static final XsavedentitylistNonterminal singletonInstance = new XsavedentitylistNonterminal();
        public static final XsavedentitylistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSavedEntityList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow329(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsavedentitylist(node); }
    }
    public static final XsavedentitylistNonterminal XSAVEDENTITYLIST = XsavedentitylistNonterminal.getInstance();

    public static class XsftermNonterminal extends Nonterminal
    {
        private XsftermNonterminal() {;} // Singleton
        private static final XsftermNonterminal singletonInstance = new XsftermNonterminal();
        public static final XsftermNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSFTerm>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow330(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsfterm(node); }
    }
    public static final XsftermNonterminal XSFTERM = XsftermNonterminal.getInstance();

    public static class Xallocatablestmt12ReductionNonterminal extends Nonterminal
    {
        private Xallocatablestmt12ReductionNonterminal() {;} // Singleton
        private static final Xallocatablestmt12ReductionNonterminal singletonInstance = new Xallocatablestmt12ReductionNonterminal();
        public static final Xallocatablestmt12ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAllocatableStmt@12>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow331(); }
    }
    public static final Xallocatablestmt12ReductionNonterminal XALLOCATABLESTMT12 = Xallocatablestmt12ReductionNonterminal.getInstance();

    public static class XtargetnameNonterminal extends Nonterminal
    {
        private XtargetnameNonterminal() {;} // Singleton
        private static final XtargetnameNonterminal singletonInstance = new XtargetnameNonterminal();
        public static final XtargetnameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xTargetName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow332(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXtargetname(node); }
    }
    public static final XtargetnameNonterminal XTARGETNAME = XtargetnameNonterminal.getInstance();

    public static class XforallstmtNonterminal extends Nonterminal
    {
        private XforallstmtNonterminal() {;} // Singleton
        private static final XforallstmtNonterminal singletonInstance = new XforallstmtNonterminal();
        public static final XforallstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xForallStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow333(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXforallstmt(node); }
    }
    public static final XforallstmtNonterminal XFORALLSTMT = XforallstmtNonterminal.getInstance();

    public static class XsubroutinenameNonterminal extends Nonterminal
    {
        private XsubroutinenameNonterminal() {;} // Singleton
        private static final XsubroutinenameNonterminal singletonInstance = new XsubroutinenameNonterminal();
        public static final XsubroutinenameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubroutineName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow334(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsubroutinename(node); }
    }
    public static final XsubroutinenameNonterminal XSUBROUTINENAME = XsubroutinenameNonterminal.getInstance();

    public static class XelseifstmtNonterminal extends Nonterminal
    {
        private XelseifstmtNonterminal() {;} // Singleton
        private static final XelseifstmtNonterminal singletonInstance = new XelseifstmtNonterminal();
        public static final XelseifstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xElseIfStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow335(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXelseifstmt(node); }
    }
    public static final XelseifstmtNonterminal XELSEIFSTMT = XelseifstmtNonterminal.getInstance();

    public static class XreadstmtNonterminal extends Nonterminal
    {
        private XreadstmtNonterminal() {;} // Singleton
        private static final XreadstmtNonterminal singletonInstance = new XreadstmtNonterminal();
        public static final XreadstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xReadStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow336(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXreadstmt(node); }
    }
    public static final XreadstmtNonterminal XREADSTMT = XreadstmtNonterminal.getInstance();

    public static class XtargetNonterminal extends Nonterminal
    {
        private XtargetNonterminal() {;} // Singleton
        private static final XtargetNonterminal singletonInstance = new XtargetNonterminal();
        public static final XtargetNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xTarget>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow337(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXtarget(node); }
    }
    public static final XtargetNonterminal XTARGET = XtargetNonterminal.getInstance();

    public static class XmodulebodyNonterminal extends Nonterminal
    {
        private XmodulebodyNonterminal() {;} // Singleton
        private static final XmodulebodyNonterminal singletonInstance = new XmodulebodyNonterminal();
        public static final XmodulebodyNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xModuleBody>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow338(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXmodulebody(node); }
    }
    public static final XmodulebodyNonterminal XMODULEBODY = XmodulebodyNonterminal.getInstance();

    public static class XfunctionnameNonterminal extends Nonterminal
    {
        private XfunctionnameNonterminal() {;} // Singleton
        private static final XfunctionnameNonterminal singletonInstance = new XfunctionnameNonterminal();
        public static final XfunctionnameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFunctionName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow339(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXfunctionname(node); }
    }
    public static final XfunctionnameNonterminal XFUNCTIONNAME = XfunctionnameNonterminal.getInstance();

    public static class Xendforallstmt57ReductionNonterminal extends Nonterminal
    {
        private Xendforallstmt57ReductionNonterminal() {;} // Singleton
        private static final Xendforallstmt57ReductionNonterminal singletonInstance = new Xendforallstmt57ReductionNonterminal();
        public static final Xendforallstmt57ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndForallStmt@57>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow340(); }
    }
    public static final Xendforallstmt57ReductionNonterminal XENDFORALLSTMT57 = Xendforallstmt57ReductionNonterminal.getInstance();

    public static class Xaccessstmt9ReductionNonterminal extends Nonterminal
    {
        private Xaccessstmt9ReductionNonterminal() {;} // Singleton
        private static final Xaccessstmt9ReductionNonterminal singletonInstance = new Xaccessstmt9ReductionNonterminal();
        public static final Xaccessstmt9ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAccessStmt@9>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow341(); }
    }
    public static final Xaccessstmt9ReductionNonterminal XACCESSSTMT9 = Xaccessstmt9ReductionNonterminal.getInstance();

    public static class XcharlengthNonterminal extends Nonterminal
    {
        private XcharlengthNonterminal() {;} // Singleton
        private static final XcharlengthNonterminal singletonInstance = new XcharlengthNonterminal();
        public static final XcharlengthNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCharLength>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow342(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcharlength(node); }
    }
    public static final XcharlengthNonterminal XCHARLENGTH = XcharlengthNonterminal.getInstance();

    public static class XtargetobjectNonterminal extends Nonterminal
    {
        private XtargetobjectNonterminal() {;} // Singleton
        private static final XtargetobjectNonterminal singletonInstance = new XtargetobjectNonterminal();
        public static final XtargetobjectNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xTargetObject>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow343(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXtargetobject(node); }
    }
    public static final XtargetobjectNonterminal XTARGETOBJECT = XtargetobjectNonterminal.getInstance();

    public static class XcasevaluerangelistNonterminal extends Nonterminal
    {
        private XcasevaluerangelistNonterminal() {;} // Singleton
        private static final XcasevaluerangelistNonterminal singletonInstance = new XcasevaluerangelistNonterminal();
        public static final XcasevaluerangelistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCaseValueRangeList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow344(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcasevaluerangelist(node); }
    }
    public static final XcasevaluerangelistNonterminal XCASEVALUERANGELIST = XcasevaluerangelistNonterminal.getInstance();

    public static class Xfunctionstmt79ReductionNonterminal extends Nonterminal
    {
        private Xfunctionstmt79ReductionNonterminal() {;} // Singleton
        private static final Xfunctionstmt79ReductionNonterminal singletonInstance = new Xfunctionstmt79ReductionNonterminal();
        public static final Xfunctionstmt79ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFunctionStmt@79>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow345(); }
    }
    public static final Xfunctionstmt79ReductionNonterminal XFUNCTIONSTMT79 = Xfunctionstmt79ReductionNonterminal.getInstance();

    public static class XcomponentinitializationNonterminal extends Nonterminal
    {
        private XcomponentinitializationNonterminal() {;} // Singleton
        private static final XcomponentinitializationNonterminal singletonInstance = new XcomponentinitializationNonterminal();
        public static final XcomponentinitializationNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xComponentInitialization>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow346(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcomponentinitialization(node); }
    }
    public static final XcomponentinitializationNonterminal XCOMPONENTINITIALIZATION = XcomponentinitializationNonterminal.getInstance();

    public static class XlogicalconstantNonterminal extends Nonterminal
    {
        private XlogicalconstantNonterminal() {;} // Singleton
        private static final XlogicalconstantNonterminal singletonInstance = new XlogicalconstantNonterminal();
        public static final XlogicalconstantNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLogicalConstant>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow347(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXlogicalconstant(node); }
    }
    public static final XlogicalconstantNonterminal XLOGICALCONSTANT = XlogicalconstantNonterminal.getInstance();

    public static class Xprimary26ReductionNonterminal extends Nonterminal
    {
        private Xprimary26ReductionNonterminal() {;} // Singleton
        private static final Xprimary26ReductionNonterminal singletonInstance = new Xprimary26ReductionNonterminal();
        public static final Xprimary26ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPrimary@26>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow348(); }
    }
    public static final Xprimary26ReductionNonterminal XPRIMARY26 = Xprimary26ReductionNonterminal.getInstance();

    public static class Xendblockdatastmt76ReductionNonterminal extends Nonterminal
    {
        private Xendblockdatastmt76ReductionNonterminal() {;} // Singleton
        private static final Xendblockdatastmt76ReductionNonterminal singletonInstance = new Xendblockdatastmt76ReductionNonterminal();
        public static final Xendblockdatastmt76ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndBlockDataStmt@76>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow349(); }
    }
    public static final Xendblockdatastmt76ReductionNonterminal XENDBLOCKDATASTMT76 = Xendblockdatastmt76ReductionNonterminal.getInstance();

    public static class TXimplicitspecNonterminal extends Nonterminal
    {
        private TXimplicitspecNonterminal() {;} // Singleton
        private static final TXimplicitspecNonterminal singletonInstance = new TXimplicitspecNonterminal();
        public static final TXimplicitspecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<T_xImplicitSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow350(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitTXimplicitspec(node); }
    }
    public static final TXimplicitspecNonterminal TXIMPLICITSPEC = TXimplicitspecNonterminal.getInstance();

    public static class XpointerobjectNonterminal extends Nonterminal
    {
        private XpointerobjectNonterminal() {;} // Singleton
        private static final XpointerobjectNonterminal singletonInstance = new XpointerobjectNonterminal();
        public static final XpointerobjectNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPointerObject>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow351(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXpointerobject(node); }
    }
    public static final XpointerobjectNonterminal XPOINTEROBJECT = XpointerobjectNonterminal.getInstance();

    public static class Xmaskedelsewherestmt53ReductionNonterminal extends Nonterminal
    {
        private Xmaskedelsewherestmt53ReductionNonterminal() {;} // Singleton
        private static final Xmaskedelsewherestmt53ReductionNonterminal singletonInstance = new Xmaskedelsewherestmt53ReductionNonterminal();
        public static final Xmaskedelsewherestmt53ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xMaskedElsewhereStmt@53>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow352(); }
    }
    public static final Xmaskedelsewherestmt53ReductionNonterminal XMASKEDELSEWHERESTMT53 = Xmaskedelsewherestmt53ReductionNonterminal.getInstance();

    public static class XexprNonterminal extends Nonterminal
    {
        private XexprNonterminal() {;} // Singleton
        private static final XexprNonterminal singletonInstance = new XexprNonterminal();
        public static final XexprNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xExpr>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow353(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXexpr(node); }
    }
    public static final XexprNonterminal XEXPR = XexprNonterminal.getInstance();

    public static class XnameNonterminal extends Nonterminal
    {
        private XnameNonterminal() {;} // Singleton
        private static final XnameNonterminal singletonInstance = new XnameNonterminal();
        public static final XnameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow354(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXname(node); }
    }
    public static final XnameNonterminal XNAME = XnameNonterminal.getInstance();

    public static class XsubroutineparsNonterminal extends Nonterminal
    {
        private XsubroutineparsNonterminal() {;} // Singleton
        private static final XsubroutineparsNonterminal singletonInstance = new XsubroutineparsNonterminal();
        public static final XsubroutineparsNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubroutinePars>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow355(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsubroutinepars(node); }
    }
    public static final XsubroutineparsNonterminal XSUBROUTINEPARS = XsubroutineparsNonterminal.getInstance();

    public static class Xusestmt72ReductionNonterminal extends Nonterminal
    {
        private Xusestmt72ReductionNonterminal() {;} // Singleton
        private static final Xusestmt72ReductionNonterminal singletonInstance = new Xusestmt72ReductionNonterminal();
        public static final Xusestmt72ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xUseStmt@72>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow356(); }
    }
    public static final Xusestmt72ReductionNonterminal XUSESTMT72 = Xusestmt72ReductionNonterminal.getInstance();

    public static class XoutputimplieddoNonterminal extends Nonterminal
    {
        private XoutputimplieddoNonterminal() {;} // Singleton
        private static final XoutputimplieddoNonterminal singletonInstance = new XoutputimplieddoNonterminal();
        public static final XoutputimplieddoNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xOutputImpliedDo>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow357(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXoutputimplieddo(node); }
    }
    public static final XoutputimplieddoNonterminal XOUTPUTIMPLIEDDO = XoutputimplieddoNonterminal.getInstance();

    public static class XallocatablestmtNonterminal extends Nonterminal
    {
        private XallocatablestmtNonterminal() {;} // Singleton
        private static final XallocatablestmtNonterminal singletonInstance = new XallocatablestmtNonterminal();
        public static final XallocatablestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAllocatableStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow358(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXallocatablestmt(node); }
    }
    public static final XallocatablestmtNonterminal XALLOCATABLESTMT = XallocatablestmtNonterminal.getInstance();

    public static class XelseifconstructNonterminal extends Nonterminal
    {
        private XelseifconstructNonterminal() {;} // Singleton
        private static final XelseifconstructNonterminal singletonInstance = new XelseifconstructNonterminal();
        public static final XelseifconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xElseIfConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow359(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXelseifconstruct(node); }
    }
    public static final XelseifconstructNonterminal XELSEIFCONSTRUCT = XelseifconstructNonterminal.getInstance();

    public static class XsavestmtNonterminal extends Nonterminal
    {
        private XsavestmtNonterminal() {;} // Singleton
        private static final XsavestmtNonterminal singletonInstance = new XsavestmtNonterminal();
        public static final XsavestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSaveStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow360(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsavestmt(node); }
    }
    public static final XsavestmtNonterminal XSAVESTMT = XsavestmtNonterminal.getInstance();

    public static class XfunctionparsNonterminal extends Nonterminal
    {
        private XfunctionparsNonterminal() {;} // Singleton
        private static final XfunctionparsNonterminal singletonInstance = new XfunctionparsNonterminal();
        public static final XfunctionparsNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFunctionPars>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow361(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXfunctionpars(node); }
    }
    public static final XfunctionparsNonterminal XFUNCTIONPARS = XfunctionparsNonterminal.getInstance();

    public static class XnamedconstantNonterminal extends Nonterminal
    {
        private XnamedconstantNonterminal() {;} // Singleton
        private static final XnamedconstantNonterminal singletonInstance = new XnamedconstantNonterminal();
        public static final XnamedconstantNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xNamedConstant>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow362(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXnamedconstant(node); }
    }
    public static final XnamedconstantNonterminal XNAMEDCONSTANT = XnamedconstantNonterminal.getInstance();

    public static class XfunctioninterfacerangeNonterminal extends Nonterminal
    {
        private XfunctioninterfacerangeNonterminal() {;} // Singleton
        private static final XfunctioninterfacerangeNonterminal singletonInstance = new XfunctioninterfacerangeNonterminal();
        public static final XfunctioninterfacerangeNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFunctionInterfaceRange>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow363(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXfunctioninterfacerange(node); }
    }
    public static final XfunctioninterfacerangeNonterminal XFUNCTIONINTERFACERANGE = XfunctioninterfacerangeNonterminal.getInstance();

    public static class XblockdatabodyNonterminal extends Nonterminal
    {
        private XblockdatabodyNonterminal() {;} // Singleton
        private static final XblockdatabodyNonterminal singletonInstance = new XblockdatabodyNonterminal();
        public static final XblockdatabodyNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xBlockDataBody>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow364(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXblockdatabody(node); }
    }
    public static final XblockdatabodyNonterminal XBLOCKDATABODY = XblockdatabodyNonterminal.getInstance();

    public static class Xoptionalstmt8ReductionNonterminal extends Nonterminal
    {
        private Xoptionalstmt8ReductionNonterminal() {;} // Singleton
        private static final Xoptionalstmt8ReductionNonterminal singletonInstance = new Xoptionalstmt8ReductionNonterminal();
        public static final Xoptionalstmt8ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xOptionalStmt@8>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow365(); }
    }
    public static final Xoptionalstmt8ReductionNonterminal XOPTIONALSTMT8 = Xoptionalstmt8ReductionNonterminal.getInstance();

    public static class Xendifstmt60ReductionNonterminal extends Nonterminal
    {
        private Xendifstmt60ReductionNonterminal() {;} // Singleton
        private static final Xendifstmt60ReductionNonterminal singletonInstance = new Xendifstmt60ReductionNonterminal();
        public static final Xendifstmt60ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndIfStmt@60>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow366(); }
    }
    public static final Xendifstmt60ReductionNonterminal XENDIFSTMT60 = Xendifstmt60ReductionNonterminal.getInstance();

    public static class XsubroutineinterfacerangeNonterminal extends Nonterminal
    {
        private XsubroutineinterfacerangeNonterminal() {;} // Singleton
        private static final XsubroutineinterfacerangeNonterminal singletonInstance = new XsubroutineinterfacerangeNonterminal();
        public static final XsubroutineinterfacerangeNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubroutineInterfaceRange>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow367(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsubroutineinterfacerange(node); }
    }
    public static final XsubroutineinterfacerangeNonterminal XSUBROUTINEINTERFACERANGE = XsubroutineinterfacerangeNonterminal.getInstance();

    public static class XmainrangeNonterminal extends Nonterminal
    {
        private XmainrangeNonterminal() {;} // Singleton
        private static final XmainrangeNonterminal singletonInstance = new XmainrangeNonterminal();
        public static final XmainrangeNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xMainRange>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow368(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXmainrange(node); }
    }
    public static final XmainrangeNonterminal XMAINRANGE = XmainrangeNonterminal.getInstance();

    public static class XderivedtypedefNonterminal extends Nonterminal
    {
        private XderivedtypedefNonterminal() {;} // Singleton
        private static final XderivedtypedefNonterminal singletonInstance = new XderivedtypedefNonterminal();
        public static final XderivedtypedefNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDerivedTypeDef>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow369(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXderivedtypedef(node); }
    }
    public static final XderivedtypedefNonterminal XDERIVEDTYPEDEF = XderivedtypedefNonterminal.getInstance();

    public static class XprogramstmtNonterminal extends Nonterminal
    {
        private XprogramstmtNonterminal() {;} // Singleton
        private static final XprogramstmtNonterminal singletonInstance = new XprogramstmtNonterminal();
        public static final XprogramstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xProgramStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow370(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXprogramstmt(node); }
    }
    public static final XprogramstmtNonterminal XPROGRAMSTMT = XprogramstmtNonterminal.getInstance();

    public static class XpoweropNonterminal extends Nonterminal
    {
        private XpoweropNonterminal() {;} // Singleton
        private static final XpoweropNonterminal singletonInstance = new XpoweropNonterminal();
        public static final XpoweropNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPowerOp>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow371(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXpowerop(node); }
    }
    public static final XpoweropNonterminal XPOWEROP = XpoweropNonterminal.getInstance();

    public static class XstmtfunctionrangeNonterminal extends Nonterminal
    {
        private XstmtfunctionrangeNonterminal() {;} // Singleton
        private static final XstmtfunctionrangeNonterminal singletonInstance = new XstmtfunctionrangeNonterminal();
        public static final XstmtfunctionrangeNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xStmtFunctionRange>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow372(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXstmtfunctionrange(node); }
    }
    public static final XstmtfunctionrangeNonterminal XSTMTFUNCTIONRANGE = XstmtfunctionrangeNonterminal.getInstance();

    public static class Xlevel2expr39ReductionNonterminal extends Nonterminal
    {
        private Xlevel2expr39ReductionNonterminal() {;} // Singleton
        private static final Xlevel2expr39ReductionNonterminal singletonInstance = new Xlevel2expr39ReductionNonterminal();
        public static final Xlevel2expr39ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLevel2Expr@39>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow373(); }
    }
    public static final Xlevel2expr39ReductionNonterminal XLEVEL2EXPR39 = Xlevel2expr39ReductionNonterminal.getInstance();

    public static class Xprimary25ReductionNonterminal extends Nonterminal
    {
        private Xprimary25ReductionNonterminal() {;} // Singleton
        private static final Xprimary25ReductionNonterminal singletonInstance = new Xprimary25ReductionNonterminal();
        public static final Xprimary25ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPrimary@25>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow374(); }
    }
    public static final Xprimary25ReductionNonterminal XPRIMARY25 = Xprimary25ReductionNonterminal.getInstance();

    public static class Xendblockdatastmt75ReductionNonterminal extends Nonterminal
    {
        private Xendblockdatastmt75ReductionNonterminal() {;} // Singleton
        private static final Xendblockdatastmt75ReductionNonterminal singletonInstance = new Xendblockdatastmt75ReductionNonterminal();
        public static final Xendblockdatastmt75ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndBlockDataStmt@75>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow375(); }
    }
    public static final Xendblockdatastmt75ReductionNonterminal XENDBLOCKDATASTMT75 = Xendblockdatastmt75ReductionNonterminal.getInstance();

    public static class XactionstmtNonterminal extends Nonterminal
    {
        private XactionstmtNonterminal() {;} // Singleton
        private static final XactionstmtNonterminal singletonInstance = new XactionstmtNonterminal();
        public static final XactionstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xActionStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow376(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXactionstmt(node); }
    }
    public static final XactionstmtNonterminal XACTIONSTMT = XactionstmtNonterminal.getInstance();

    public static class XkindparamNonterminal extends Nonterminal
    {
        private XkindparamNonterminal() {;} // Singleton
        private static final XkindparamNonterminal singletonInstance = new XkindparamNonterminal();
        public static final XkindparamNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xKindParam>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow377(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXkindparam(node); }
    }
    public static final XkindparamNonterminal XKINDPARAM = XkindparamNonterminal.getInstance();

    public static class XtargetstmtNonterminal extends Nonterminal
    {
        private XtargetstmtNonterminal() {;} // Singleton
        private static final XtargetstmtNonterminal singletonInstance = new XtargetstmtNonterminal();
        public static final XtargetstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xTargetStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow378(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXtargetstmt(node); }
    }
    public static final XtargetstmtNonterminal XTARGETSTMT = XtargetstmtNonterminal.getInstance();

    public static class XsubroutinestmtNonterminal extends Nonterminal
    {
        private XsubroutinestmtNonterminal() {;} // Singleton
        private static final XsubroutinestmtNonterminal singletonInstance = new XsubroutinestmtNonterminal();
        public static final XsubroutinestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubroutineStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow379(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsubroutinestmt(node); }
    }
    public static final XsubroutinestmtNonterminal XSUBROUTINESTMT = XsubroutinestmtNonterminal.getInstance();

    public static class XunsignedarithmeticconstantNonterminal extends Nonterminal
    {
        private XunsignedarithmeticconstantNonterminal() {;} // Singleton
        private static final XunsignedarithmeticconstantNonterminal singletonInstance = new XunsignedarithmeticconstantNonterminal();
        public static final XunsignedarithmeticconstantNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xUnsignedArithmeticConstant>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow380(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXunsignedarithmeticconstant(node); }
    }
    public static final XunsignedarithmeticconstantNonterminal XUNSIGNEDARITHMETICCONSTANT = XunsignedarithmeticconstantNonterminal.getInstance();

    public static class XaccessidlistNonterminal extends Nonterminal
    {
        private XaccessidlistNonterminal() {;} // Singleton
        private static final XaccessidlistNonterminal singletonInstance = new XaccessidlistNonterminal();
        public static final XaccessidlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAccessIdList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow381(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXaccessidlist(node); }
    }
    public static final XaccessidlistNonterminal XACCESSIDLIST = XaccessidlistNonterminal.getInstance();

    public static class XprefixspeclistNonterminal extends Nonterminal
    {
        private XprefixspeclistNonterminal() {;} // Singleton
        private static final XprefixspeclistNonterminal singletonInstance = new XprefixspeclistNonterminal();
        public static final XprefixspeclistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPrefixSpecList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow382(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXprefixspeclist(node); }
    }
    public static final XprefixspeclistNonterminal XPREFIXSPECLIST = XprefixspeclistNonterminal.getInstance();

    public static class XfunctionparNonterminal extends Nonterminal
    {
        private XfunctionparNonterminal() {;} // Singleton
        private static final XfunctionparNonterminal singletonInstance = new XfunctionparNonterminal();
        public static final XfunctionparNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFunctionPar>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow383(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXfunctionpar(node); }
    }
    public static final XfunctionparNonterminal XFUNCTIONPAR = XfunctionparNonterminal.getInstance();

    public static class XfunctionstmtNonterminal extends Nonterminal
    {
        private XfunctionstmtNonterminal() {;} // Singleton
        private static final XfunctionstmtNonterminal singletonInstance = new XfunctionstmtNonterminal();
        public static final XfunctionstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xFunctionStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow384(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXfunctionstmt(node); }
    }
    public static final XfunctionstmtNonterminal XFUNCTIONSTMT = XfunctionstmtNonterminal.getInstance();

    public static class XvariableNonterminal extends Nonterminal
    {
        private XvariableNonterminal() {;} // Singleton
        private static final XvariableNonterminal singletonInstance = new XvariableNonterminal();
        public static final XvariableNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xVariable>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow385(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXvariable(node); }
    }
    public static final XvariableNonterminal XVARIABLE = XvariableNonterminal.getInstance();

    public static class XrelopNonterminal extends Nonterminal
    {
        private XrelopNonterminal() {;} // Singleton
        private static final XrelopNonterminal singletonInstance = new XrelopNonterminal();
        public static final XrelopNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xRelOp>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow386(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXrelop(node); }
    }
    public static final XrelopNonterminal XRELOP = XrelopNonterminal.getInstance();

    public static class XufprimaryNonterminal extends Nonterminal
    {
        private XufprimaryNonterminal() {;} // Singleton
        private static final XufprimaryNonterminal singletonInstance = new XufprimaryNonterminal();
        public static final XufprimaryNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xUFPrimary>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow387(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXufprimary(node); }
    }
    public static final XufprimaryNonterminal XUFPRIMARY = XufprimaryNonterminal.getInstance();

    public static class XarraydeclaratorlistNonterminal extends Nonterminal
    {
        private XarraydeclaratorlistNonterminal() {;} // Singleton
        private static final XarraydeclaratorlistNonterminal singletonInstance = new XarraydeclaratorlistNonterminal();
        public static final XarraydeclaratorlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xArrayDeclaratorList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow388(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXarraydeclaratorlist(node); }
    }
    public static final XarraydeclaratorlistNonterminal XARRAYDECLARATORLIST = XarraydeclaratorlistNonterminal.getInstance();

    public static class Xoutputitemlist1Nonterminal extends Nonterminal
    {
        private Xoutputitemlist1Nonterminal() {;} // Singleton
        private static final Xoutputitemlist1Nonterminal singletonInstance = new Xoutputitemlist1Nonterminal();
        public static final Xoutputitemlist1Nonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xOutputItemList1>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow389(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXoutputitemlist1(node); }
    }
    public static final Xoutputitemlist1Nonterminal XOUTPUTITEMLIST1 = Xoutputitemlist1Nonterminal.getInstance();

    public static class XloopcontrolNonterminal extends Nonterminal
    {
        private XloopcontrolNonterminal() {;} // Singleton
        private static final XloopcontrolNonterminal singletonInstance = new XloopcontrolNonterminal();
        public static final XloopcontrolNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLoopControl>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow390(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXloopcontrol(node); }
    }
    public static final XloopcontrolNonterminal XLOOPCONTROL = XloopcontrolNonterminal.getInstance();

    public static class XcomblockNonterminal extends Nonterminal
    {
        private XcomblockNonterminal() {;} // Singleton
        private static final XcomblockNonterminal singletonInstance = new XcomblockNonterminal();
        public static final XcomblockNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xComblock>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow391(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcomblock(node); }
    }
    public static final XcomblockNonterminal XCOMBLOCK = XcomblockNonterminal.getInstance();

    public static class XintentstmtNonterminal extends Nonterminal
    {
        private XintentstmtNonterminal() {;} // Singleton
        private static final XintentstmtNonterminal singletonInstance = new XintentstmtNonterminal();
        public static final XintentstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xIntentStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow392(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXintentstmt(node); }
    }
    public static final XintentstmtNonterminal XINTENTSTMT = XintentstmtNonterminal.getInstance();

    public static class XcomplexconstNonterminal extends Nonterminal
    {
        private XcomplexconstNonterminal() {;} // Singleton
        private static final XcomplexconstNonterminal singletonInstance = new XcomplexconstNonterminal();
        public static final XcomplexconstNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xComplexConst>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow393(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcomplexconst(node); }
    }
    public static final XcomplexconstNonterminal XCOMPLEXCONST = XcomplexconstNonterminal.getInstance();

    public static class Xprimary24ReductionNonterminal extends Nonterminal
    {
        private Xprimary24ReductionNonterminal() {;} // Singleton
        private static final Xprimary24ReductionNonterminal singletonInstance = new Xprimary24ReductionNonterminal();
        public static final Xprimary24ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPrimary@24>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow394(); }
    }
    public static final Xprimary24ReductionNonterminal XPRIMARY24 = Xprimary24ReductionNonterminal.getInstance();

    public static class Xendblockdatastmt74ReductionNonterminal extends Nonterminal
    {
        private Xendblockdatastmt74ReductionNonterminal() {;} // Singleton
        private static final Xendblockdatastmt74ReductionNonterminal singletonInstance = new Xendblockdatastmt74ReductionNonterminal();
        public static final Xendblockdatastmt74ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndBlockDataStmt@74>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow395(); }
    }
    public static final Xendblockdatastmt74ReductionNonterminal XENDBLOCKDATASTMT74 = Xendblockdatastmt74ReductionNonterminal.getInstance();

    public static class XbodyconstructNonterminal extends Nonterminal
    {
        private XbodyconstructNonterminal() {;} // Singleton
        private static final XbodyconstructNonterminal singletonInstance = new XbodyconstructNonterminal();
        public static final XbodyconstructNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xBodyConstruct>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow396(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXbodyconstruct(node); }
    }
    public static final XbodyconstructNonterminal XBODYCONSTRUCT = XbodyconstructNonterminal.getInstance();

    public static class XthenpartNonterminal extends Nonterminal
    {
        private XthenpartNonterminal() {;} // Singleton
        private static final XthenpartNonterminal singletonInstance = new XthenpartNonterminal();
        public static final XthenpartNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xThenPart>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow397(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXthenpart(node); }
    }
    public static final XthenpartNonterminal XTHENPART = XthenpartNonterminal.getInstance();

    public static class XderivedtypebodyNonterminal extends Nonterminal
    {
        private XderivedtypebodyNonterminal() {;} // Singleton
        private static final XderivedtypebodyNonterminal singletonInstance = new XderivedtypebodyNonterminal();
        public static final XderivedtypebodyNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDerivedTypeBody>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow398(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXderivedtypebody(node); }
    }
    public static final XderivedtypebodyNonterminal XDERIVEDTYPEBODY = XderivedtypebodyNonterminal.getInstance();

    public static class XsignNonterminal extends Nonterminal
    {
        private XsignNonterminal() {;} // Singleton
        private static final XsignNonterminal singletonInstance = new XsignNonterminal();
        public static final XsignNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSign>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow399(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsign(node); }
    }
    public static final XsignNonterminal XSIGN = XsignNonterminal.getInstance();

    public static class XwhereconstructstmtNonterminal extends Nonterminal
    {
        private XwhereconstructstmtNonterminal() {;} // Singleton
        private static final XwhereconstructstmtNonterminal singletonInstance = new XwhereconstructstmtNonterminal();
        public static final XwhereconstructstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xWhereConstructStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow400(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXwhereconstructstmt(node); }
    }
    public static final XwhereconstructstmtNonterminal XWHERECONSTRUCTSTMT = XwhereconstructstmtNonterminal.getInstance();

    public static class TXimplieddovariableNonterminal extends Nonterminal
    {
        private TXimplieddovariableNonterminal() {;} // Singleton
        private static final TXimplieddovariableNonterminal singletonInstance = new TXimplieddovariableNonterminal();
        public static final TXimplieddovariableNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<T_xImpliedDoVariable>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow401(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitTXimplieddovariable(node); }
    }
    public static final TXimplieddovariableNonterminal TXIMPLIEDDOVARIABLE = TXimplieddovariableNonterminal.getInstance();

    public static class Xlevel1exprNonterminal extends Nonterminal
    {
        private Xlevel1exprNonterminal() {;} // Singleton
        private static final Xlevel1exprNonterminal singletonInstance = new Xlevel1exprNonterminal();
        public static final Xlevel1exprNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLevel1Expr>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow402(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXlevel1expr(node); }
    }
    public static final Xlevel1exprNonterminal XLEVEL1EXPR = Xlevel1exprNonterminal.getInstance();

    public static class XlabeldostmtNonterminal extends Nonterminal
    {
        private XlabeldostmtNonterminal() {;} // Singleton
        private static final XlabeldostmtNonterminal singletonInstance = new XlabeldostmtNonterminal();
        public static final XlabeldostmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLabelDoStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow403(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXlabeldostmt(node); }
    }
    public static final XlabeldostmtNonterminal XLABELDOSTMT = XlabeldostmtNonterminal.getInstance();

    public static class Xdataref17ReductionNonterminal extends Nonterminal
    {
        private Xdataref17ReductionNonterminal() {;} // Singleton
        private static final Xdataref17ReductionNonterminal singletonInstance = new Xdataref17ReductionNonterminal();
        public static final Xdataref17ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDataRef@17>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow404(); }
    }
    public static final Xdataref17ReductionNonterminal XDATAREF17 = Xdataref17ReductionNonterminal.getInstance();

    public static class XaccessstmtNonterminal extends Nonterminal
    {
        private XaccessstmtNonterminal() {;} // Singleton
        private static final XaccessstmtNonterminal singletonInstance = new XaccessstmtNonterminal();
        public static final XaccessstmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAccessStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow405(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXaccessstmt(node); }
    }
    public static final XaccessstmtNonterminal XACCESSSTMT = XaccessstmtNonterminal.getInstance();

    public static class XmoduleprocedurestmtNonterminal extends Nonterminal
    {
        private XmoduleprocedurestmtNonterminal() {;} // Singleton
        private static final XmoduleprocedurestmtNonterminal singletonInstance = new XmoduleprocedurestmtNonterminal();
        public static final XmoduleprocedurestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xModuleProcedureStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow406(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXmoduleprocedurestmt(node); }
    }
    public static final XmoduleprocedurestmtNonterminal XMODULEPROCEDURESTMT = XmoduleprocedurestmtNonterminal.getInstance();

    public static class Xentitydecl5ReductionNonterminal extends Nonterminal
    {
        private Xentitydecl5ReductionNonterminal() {;} // Singleton
        private static final Xentitydecl5ReductionNonterminal singletonInstance = new Xentitydecl5ReductionNonterminal();
        public static final Xentitydecl5ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEntityDecl@5>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow407(); }
    }
    public static final Xentitydecl5ReductionNonterminal XENTITYDECL5 = Xentitydecl5ReductionNonterminal.getInstance();

    public static class XinvalidentitydeclNonterminal extends Nonterminal
    {
        private XinvalidentitydeclNonterminal() {;} // Singleton
        private static final XinvalidentitydeclNonterminal singletonInstance = new XinvalidentitydeclNonterminal();
        public static final XinvalidentitydeclNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xInvalidEntityDecl>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow408(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXinvalidentitydecl(node); }
    }
    public static final XinvalidentitydeclNonterminal XINVALIDENTITYDECL = XinvalidentitydeclNonterminal.getInstance();

    public static class XnamelistgroupnameNonterminal extends Nonterminal
    {
        private XnamelistgroupnameNonterminal() {;} // Singleton
        private static final XnamelistgroupnameNonterminal singletonInstance = new XnamelistgroupnameNonterminal();
        public static final XnamelistgroupnameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xNamelistGroupName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow409(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXnamelistgroupname(node); }
    }
    public static final XnamelistgroupnameNonterminal XNAMELISTGROUPNAME = XnamelistgroupnameNonterminal.getInstance();

    public static class XsubroutineparNonterminal extends Nonterminal
    {
        private XsubroutineparNonterminal() {;} // Singleton
        private static final XsubroutineparNonterminal singletonInstance = new XsubroutineparNonterminal();
        public static final XsubroutineparNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSubroutinePar>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow410(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsubroutinepar(node); }
    }
    public static final XsubroutineparNonterminal XSUBROUTINEPAR = XsubroutineparNonterminal.getInstance();

    public static class XinputitemNonterminal extends Nonterminal
    {
        private XinputitemNonterminal() {;} // Singleton
        private static final XinputitemNonterminal singletonInstance = new XinputitemNonterminal();
        public static final XinputitemNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xInputItem>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow411(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXinputitem(node); }
    }
    public static final XinputitemNonterminal XINPUTITEM = XinputitemNonterminal.getInstance();

    public static class XcoperandNonterminal extends Nonterminal
    {
        private XcoperandNonterminal() {;} // Singleton
        private static final XcoperandNonterminal singletonInstance = new XcoperandNonterminal();
        public static final XcoperandNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCOperand>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow412(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcoperand(node); }
    }
    public static final XcoperandNonterminal XCOPERAND = XcoperandNonterminal.getInstance();

    public static class XendfilestmtNonterminal extends Nonterminal
    {
        private XendfilestmtNonterminal() {;} // Singleton
        private static final XendfilestmtNonterminal singletonInstance = new XendfilestmtNonterminal();
        public static final XendfilestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndfileStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow413(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXendfilestmt(node); }
    }
    public static final XendfilestmtNonterminal XENDFILESTMT = XendfilestmtNonterminal.getInstance();

    public static class XrenamelistNonterminal extends Nonterminal
    {
        private XrenamelistNonterminal() {;} // Singleton
        private static final XrenamelistNonterminal singletonInstance = new XrenamelistNonterminal();
        public static final XrenamelistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xRenameList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow414(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXrenamelist(node); }
    }
    public static final XrenamelistNonterminal XRENAMELIST = XrenamelistNonterminal.getInstance();

    public static class Xprimary23ReductionNonterminal extends Nonterminal
    {
        private Xprimary23ReductionNonterminal() {;} // Singleton
        private static final Xprimary23ReductionNonterminal singletonInstance = new Xprimary23ReductionNonterminal();
        public static final Xprimary23ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPrimary@23>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow415(); }
    }
    public static final Xprimary23ReductionNonterminal XPRIMARY23 = Xprimary23ReductionNonterminal.getInstance();

    public static class Xendblockdatastmt73ReductionNonterminal extends Nonterminal
    {
        private Xendblockdatastmt73ReductionNonterminal() {;} // Singleton
        private static final Xendblockdatastmt73ReductionNonterminal singletonInstance = new Xendblockdatastmt73ReductionNonterminal();
        public static final Xendblockdatastmt73ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndBlockDataStmt@73>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow416(); }
    }
    public static final Xendblockdatastmt73ReductionNonterminal XENDBLOCKDATASTMT73 = Xendblockdatastmt73ReductionNonterminal.getInstance();

    public static class XrenameNonterminal extends Nonterminal
    {
        private XrenameNonterminal() {;} // Singleton
        private static final XrenameNonterminal singletonInstance = new XrenameNonterminal();
        public static final XrenameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xRename>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow417(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXrename(node); }
    }
    public static final XrenameNonterminal XRENAME = XrenameNonterminal.getInstance();

    public static class XforallheaderNonterminal extends Nonterminal
    {
        private XforallheaderNonterminal() {;} // Singleton
        private static final XforallheaderNonterminal singletonInstance = new XforallheaderNonterminal();
        public static final XforallheaderNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xForallHeader>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow418(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXforallheader(node); }
    }
    public static final XforallheaderNonterminal XFORALLHEADER = XforallheaderNonterminal.getInstance();

    public static class XrdctlspecNonterminal extends Nonterminal
    {
        private XrdctlspecNonterminal() {;} // Singleton
        private static final XrdctlspecNonterminal singletonInstance = new XrdctlspecNonterminal();
        public static final XrdctlspecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xRdCtlSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow419(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXrdctlspec(node); }
    }
    public static final XrdctlspecNonterminal XRDCTLSPEC = XrdctlspecNonterminal.getInstance();

    public static class XexplicitshapespeclistNonterminal extends Nonterminal
    {
        private XexplicitshapespeclistNonterminal() {;} // Singleton
        private static final XexplicitshapespeclistNonterminal singletonInstance = new XexplicitshapespeclistNonterminal();
        public static final XexplicitshapespeclistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xExplicitShapeSpecList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow420(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXexplicitshapespeclist(node); }
    }
    public static final XexplicitshapespeclistNonterminal XEXPLICITSHAPESPECLIST = XexplicitshapespeclistNonterminal.getInstance();

    public static class Xprimary19ReductionNonterminal extends Nonterminal
    {
        private Xprimary19ReductionNonterminal() {;} // Singleton
        private static final Xprimary19ReductionNonterminal singletonInstance = new Xprimary19ReductionNonterminal();
        public static final Xprimary19ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPrimary@19>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow421(); }
    }
    public static final Xprimary19ReductionNonterminal XPRIMARY19 = Xprimary19ReductionNonterminal.getInstance();

    public static class XsavedentityNonterminal extends Nonterminal
    {
        private XsavedentityNonterminal() {;} // Singleton
        private static final XsavedentityNonterminal singletonInstance = new XsavedentityNonterminal();
        public static final XsavedentityNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSavedEntity>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow422(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsavedentity(node); }
    }
    public static final XsavedentityNonterminal XSAVEDENTITY = XsavedentityNonterminal.getInstance();

    public static class XrdioctlspeclistNonterminal extends Nonterminal
    {
        private XrdioctlspeclistNonterminal() {;} // Singleton
        private static final XrdioctlspeclistNonterminal singletonInstance = new XrdioctlspeclistNonterminal();
        public static final XrdioctlspeclistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xRdIoCtlSpecList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow423(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXrdioctlspeclist(node); }
    }
    public static final XrdioctlspeclistNonterminal XRDIOCTLSPECLIST = XrdioctlspeclistNonterminal.getInstance();

    public static class XintrinsicprocedurenameNonterminal extends Nonterminal
    {
        private XintrinsicprocedurenameNonterminal() {;} // Singleton
        private static final XintrinsicprocedurenameNonterminal singletonInstance = new XintrinsicprocedurenameNonterminal();
        public static final XintrinsicprocedurenameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xIntrinsicProcedureName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow424(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXintrinsicprocedurename(node); }
    }
    public static final XintrinsicprocedurenameNonterminal XINTRINSICPROCEDURENAME = XintrinsicprocedurenameNonterminal.getInstance();

    public static class Xendprogramstmt69ReductionNonterminal extends Nonterminal
    {
        private Xendprogramstmt69ReductionNonterminal() {;} // Singleton
        private static final Xendprogramstmt69ReductionNonterminal singletonInstance = new Xendprogramstmt69ReductionNonterminal();
        public static final Xendprogramstmt69ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndProgramStmt@69>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow425(); }
    }
    public static final Xendprogramstmt69ReductionNonterminal XENDPROGRAMSTMT69 = Xendprogramstmt69ReductionNonterminal.getInstance();

    public static class XiocontrolspeclistNonterminal extends Nonterminal
    {
        private XiocontrolspeclistNonterminal() {;} // Singleton
        private static final XiocontrolspeclistNonterminal singletonInstance = new XiocontrolspeclistNonterminal();
        public static final XiocontrolspeclistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xIoControlSpecList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow426(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXiocontrolspeclist(node); }
    }
    public static final XiocontrolspeclistNonterminal XIOCONTROLSPECLIST = XiocontrolspeclistNonterminal.getInstance();

    public static class GotokwNonterminal extends Nonterminal
    {
        private GotokwNonterminal() {;} // Singleton
        private static final GotokwNonterminal singletonInstance = new GotokwNonterminal();
        public static final GotokwNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<GoToKw>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow427(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitGotokw(node); }
    }
    public static final GotokwNonterminal GOTOKW = GotokwNonterminal.getInstance();

    public static class XconditionalbodyNonterminal extends Nonterminal
    {
        private XconditionalbodyNonterminal() {;} // Singleton
        private static final XconditionalbodyNonterminal singletonInstance = new XconditionalbodyNonterminal();
        public static final XconditionalbodyNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xConditionalBody>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow428(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXconditionalbody(node); }
    }
    public static final XconditionalbodyNonterminal XCONDITIONALBODY = XconditionalbodyNonterminal.getInstance();

    public static class XcharlenparamvalueNonterminal extends Nonterminal
    {
        private XcharlenparamvalueNonterminal() {;} // Singleton
        private static final XcharlenparamvalueNonterminal singletonInstance = new XcharlenparamvalueNonterminal();
        public static final XcharlenparamvalueNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCharLenParamValue>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow429(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcharlenparamvalue(node); }
    }
    public static final XcharlenparamvalueNonterminal XCHARLENPARAMVALUE = XcharlenparamvalueNonterminal.getInstance();

    public static class XendmodulestmtNonterminal extends Nonterminal
    {
        private XendmodulestmtNonterminal() {;} // Singleton
        private static final XendmodulestmtNonterminal singletonInstance = new XendmodulestmtNonterminal();
        public static final XendmodulestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndModuleStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow430(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXendmodulestmt(node); }
    }
    public static final XendmodulestmtNonterminal XENDMODULESTMT = XendmodulestmtNonterminal.getInstance();

    public static class Xentitydecl4ReductionNonterminal extends Nonterminal
    {
        private Xentitydecl4ReductionNonterminal() {;} // Singleton
        private static final Xentitydecl4ReductionNonterminal singletonInstance = new Xentitydecl4ReductionNonterminal();
        public static final Xentitydecl4ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEntityDecl@4>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow431(); }
    }
    public static final Xentitydecl4ReductionNonterminal XENTITYDECL4 = Xentitydecl4ReductionNonterminal.getInstance();

    public static class XcomponentdeclNonterminal extends Nonterminal
    {
        private XcomponentdeclNonterminal() {;} // Singleton
        private static final XcomponentdeclNonterminal singletonInstance = new XcomponentdeclNonterminal();
        public static final XcomponentdeclNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xComponentDecl>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow432(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcomponentdecl(node); }
    }
    public static final XcomponentdeclNonterminal XCOMPONENTDECL = XcomponentdeclNonterminal.getInstance();

    public static class Xendselectstmt62ReductionNonterminal extends Nonterminal
    {
        private Xendselectstmt62ReductionNonterminal() {;} // Singleton
        private static final Xendselectstmt62ReductionNonterminal singletonInstance = new Xendselectstmt62ReductionNonterminal();
        public static final Xendselectstmt62ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndSelectStmt@62>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow433(); }
    }
    public static final Xendselectstmt62ReductionNonterminal XENDSELECTSTMT62 = Xendselectstmt62ReductionNonterminal.getInstance();

    public static class XdatastmtvaluelistNonterminal extends Nonterminal
    {
        private XdatastmtvaluelistNonterminal() {;} // Singleton
        private static final XdatastmtvaluelistNonterminal singletonInstance = new XdatastmtvaluelistNonterminal();
        public static final XdatastmtvaluelistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDataStmtValueList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow434(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdatastmtvaluelist(node); }
    }
    public static final XdatastmtvaluelistNonterminal XDATASTMTVALUELIST = XdatastmtvaluelistNonterminal.getInstance();

    public static class XdatastmtvalueNonterminal extends Nonterminal
    {
        private XdatastmtvalueNonterminal() {;} // Singleton
        private static final XdatastmtvalueNonterminal singletonInstance = new XdatastmtvalueNonterminal();
        public static final XdatastmtvalueNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDataStmtValue>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow435(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdatastmtvalue(node); }
    }
    public static final XdatastmtvalueNonterminal XDATASTMTVALUE = XdatastmtvalueNonterminal.getInstance();

    public static class XintentspecNonterminal extends Nonterminal
    {
        private XintentspecNonterminal() {;} // Singleton
        private static final XintentspecNonterminal singletonInstance = new XintentspecNonterminal();
        public static final XintentspecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xIntentSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow436(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXintentspec(node); }
    }
    public static final XintentspecNonterminal XINTENTSPEC = XintentspecNonterminal.getInstance();

    public static class XpointerstmtobjectlistNonterminal extends Nonterminal
    {
        private XpointerstmtobjectlistNonterminal() {;} // Singleton
        private static final XpointerstmtobjectlistNonterminal singletonInstance = new XpointerstmtobjectlistNonterminal();
        public static final XpointerstmtobjectlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPointerStmtObjectList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow437(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXpointerstmtobjectlist(node); }
    }
    public static final XpointerstmtobjectlistNonterminal XPOINTERSTMTOBJECTLIST = XpointerstmtobjectlistNonterminal.getInstance();

    public static class XpausestmtNonterminal extends Nonterminal
    {
        private XpausestmtNonterminal() {;} // Singleton
        private static final XpausestmtNonterminal singletonInstance = new XpausestmtNonterminal();
        public static final XpausestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPauseStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow438(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXpausestmt(node); }
    }
    public static final XpausestmtNonterminal XPAUSESTMT = XpausestmtNonterminal.getInstance();

    public static class Xprimary22ReductionNonterminal extends Nonterminal
    {
        private Xprimary22ReductionNonterminal() {;} // Singleton
        private static final Xprimary22ReductionNonterminal singletonInstance = new Xprimary22ReductionNonterminal();
        public static final Xprimary22ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPrimary@22>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow439(); }
    }
    public static final Xprimary22ReductionNonterminal XPRIMARY22 = Xprimary22ReductionNonterminal.getInstance();

    public static class XuftermNonterminal extends Nonterminal
    {
        private XuftermNonterminal() {;} // Singleton
        private static final XuftermNonterminal singletonInstance = new XuftermNonterminal();
        public static final XuftermNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xUFTerm>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow440(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXufterm(node); }
    }
    public static final XuftermNonterminal XUFTERM = XuftermNonterminal.getInstance();

    public static class XnullifystmtNonterminal extends Nonterminal
    {
        private XnullifystmtNonterminal() {;} // Singleton
        private static final XnullifystmtNonterminal singletonInstance = new XnullifystmtNonterminal();
        public static final XnullifystmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xNullifyStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow441(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXnullifystmt(node); }
    }
    public static final XnullifystmtNonterminal XNULLIFYSTMT = XnullifystmtNonterminal.getInstance();

    public static class XelsewherepartNonterminal extends Nonterminal
    {
        private XelsewherepartNonterminal() {;} // Singleton
        private static final XelsewherepartNonterminal singletonInstance = new XelsewherepartNonterminal();
        public static final XelsewherepartNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xElsewherePart>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow442(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXelsewherepart(node); }
    }
    public static final XelsewherepartNonterminal XELSEWHEREPART = XelsewherepartNonterminal.getInstance();

    public static class Xlevel5expr46ReductionNonterminal extends Nonterminal
    {
        private Xlevel5expr46ReductionNonterminal() {;} // Singleton
        private static final Xlevel5expr46ReductionNonterminal singletonInstance = new Xlevel5expr46ReductionNonterminal();
        public static final Xlevel5expr46ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLevel5Expr@46>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow443(); }
    }
    public static final Xlevel5expr46ReductionNonterminal XLEVEL5EXPR46 = Xlevel5expr46ReductionNonterminal.getInstance();

    public static class XdatastmtNonterminal extends Nonterminal
    {
        private XdatastmtNonterminal() {;} // Singleton
        private static final XdatastmtNonterminal singletonInstance = new XdatastmtNonterminal();
        public static final XdatastmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDataStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow444(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdatastmt(node); }
    }
    public static final XdatastmtNonterminal XDATASTMT = XdatastmtNonterminal.getInstance();

    public static class XmaskexprNonterminal extends Nonterminal
    {
        private XmaskexprNonterminal() {;} // Singleton
        private static final XmaskexprNonterminal singletonInstance = new XmaskexprNonterminal();
        public static final XmaskexprNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xMaskExpr>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow445(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXmaskexpr(node); }
    }
    public static final XmaskexprNonterminal XMASKEXPR = XmaskexprNonterminal.getInstance();

    public static class XaccessspecNonterminal extends Nonterminal
    {
        private XaccessspecNonterminal() {;} // Singleton
        private static final XaccessspecNonterminal singletonInstance = new XaccessspecNonterminal();
        public static final XaccessspecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xAccessSpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow446(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXaccessspec(node); }
    }
    public static final XaccessspecNonterminal XACCESSSPEC = XaccessspecNonterminal.getInstance();

    public static class XdatalistNonterminal extends Nonterminal
    {
        private XdatalistNonterminal() {;} // Singleton
        private static final XdatalistNonterminal singletonInstance = new XdatalistNonterminal();
        public static final XdatalistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xDatalist>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow447(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXdatalist(node); }
    }
    public static final XdatalistNonterminal XDATALIST = XdatalistNonterminal.getInstance();

    public static class XcomputedgotostmtNonterminal extends Nonterminal
    {
        private XcomputedgotostmtNonterminal() {;} // Singleton
        private static final XcomputedgotostmtNonterminal singletonInstance = new XcomputedgotostmtNonterminal();
        public static final XcomputedgotostmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xComputedGotoStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow448(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcomputedgotostmt(node); }
    }
    public static final XcomputedgotostmtNonterminal XCOMPUTEDGOTOSTMT = XcomputedgotostmtNonterminal.getInstance();

    public static class XselectcasestmtNonterminal extends Nonterminal
    {
        private XselectcasestmtNonterminal() {;} // Singleton
        private static final XselectcasestmtNonterminal singletonInstance = new XselectcasestmtNonterminal();
        public static final XselectcasestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSelectCaseStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow449(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXselectcasestmt(node); }
    }
    public static final XselectcasestmtNonterminal XSELECTCASESTMT = XselectcasestmtNonterminal.getInstance();

    public static class Xendprogramstmt68ReductionNonterminal extends Nonterminal
    {
        private Xendprogramstmt68ReductionNonterminal() {;} // Singleton
        private static final Xendprogramstmt68ReductionNonterminal singletonInstance = new Xendprogramstmt68ReductionNonterminal();
        public static final Xendprogramstmt68ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndProgramStmt@68>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow450(); }
    }
    public static final Xendprogramstmt68ReductionNonterminal XENDPROGRAMSTMT68 = Xendprogramstmt68ReductionNonterminal.getInstance();

    public static class XoutputitemlistNonterminal extends Nonterminal
    {
        private XoutputitemlistNonterminal() {;} // Singleton
        private static final XoutputitemlistNonterminal singletonInstance = new XoutputitemlistNonterminal();
        public static final XoutputitemlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xOutputItemList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow451(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXoutputitemlist(node); }
    }
    public static final XoutputitemlistNonterminal XOUTPUTITEMLIST = XoutputitemlistNonterminal.getInstance();

    public static class XoptionalparlistNonterminal extends Nonterminal
    {
        private XoptionalparlistNonterminal() {;} // Singleton
        private static final XoptionalparlistNonterminal singletonInstance = new XoptionalparlistNonterminal();
        public static final XoptionalparlistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xOptionalParList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow452(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXoptionalparlist(node); }
    }
    public static final XoptionalparlistNonterminal XOPTIONALPARLIST = XoptionalparlistNonterminal.getInstance();

    public static class Xentitydecl3ReductionNonterminal extends Nonterminal
    {
        private Xentitydecl3ReductionNonterminal() {;} // Singleton
        private static final Xentitydecl3ReductionNonterminal singletonInstance = new Xentitydecl3ReductionNonterminal();
        public static final Xentitydecl3ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEntityDecl@3>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow453(); }
    }
    public static final Xentitydecl3ReductionNonterminal XENTITYDECL3 = Xentitydecl3ReductionNonterminal.getInstance();

    public static class Xendselectstmt61ReductionNonterminal extends Nonterminal
    {
        private Xendselectstmt61ReductionNonterminal() {;} // Singleton
        private static final Xendselectstmt61ReductionNonterminal singletonInstance = new Xendselectstmt61ReductionNonterminal();
        public static final Xendselectstmt61ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xEndSelectStmt@61>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow454(); }
    }
    public static final Xendselectstmt61ReductionNonterminal XENDSELECTSTMT61 = Xendselectstmt61ReductionNonterminal.getInstance();

    public static class Xufprimary35ReductionNonterminal extends Nonterminal
    {
        private Xufprimary35ReductionNonterminal() {;} // Singleton
        private static final Xufprimary35ReductionNonterminal singletonInstance = new Xufprimary35ReductionNonterminal();
        public static final Xufprimary35ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xUFPrimary@35>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow455(); }
    }
    public static final Xufprimary35ReductionNonterminal XUFPRIMARY35 = Xufprimary35ReductionNonterminal.getInstance();

    public static class XlabelNonterminal extends Nonterminal
    {
        private XlabelNonterminal() {;} // Singleton
        private static final XlabelNonterminal singletonInstance = new XlabelNonterminal();
        public static final XlabelNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xLabel>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow456(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXlabel(node); }
    }
    public static final XlabelNonterminal XLABEL = XlabelNonterminal.getInstance();

    public static class XarraynameNonterminal extends Nonterminal
    {
        private XarraynameNonterminal() {;} // Singleton
        private static final XarraynameNonterminal singletonInstance = new XarraynameNonterminal();
        public static final XarraynameNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xArrayName>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow457(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXarrayname(node); }
    }
    public static final XarraynameNonterminal XARRAYNAME = XarraynameNonterminal.getInstance();

    public static class XsfdatarefNonterminal extends Nonterminal
    {
        private XsfdatarefNonterminal() {;} // Singleton
        private static final XsfdatarefNonterminal singletonInstance = new XsfdatarefNonterminal();
        public static final XsfdatarefNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xSFDataRef>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow458(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXsfdataref(node); }
    }
    public static final XsfdatarefNonterminal XSFDATAREF = XsfdatarefNonterminal.getInstance();

    public static class Xprimary21ReductionNonterminal extends Nonterminal
    {
        private Xprimary21ReductionNonterminal() {;} // Singleton
        private static final Xprimary21ReductionNonterminal singletonInstance = new Xprimary21ReductionNonterminal();
        public static final Xprimary21ReductionNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xPrimary@21>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow459(); }
    }
    public static final Xprimary21ReductionNonterminal XPRIMARY21 = Xprimary21ReductionNonterminal.getInstance();

    public static class XforalltripletspeclistNonterminal extends Nonterminal
    {
        private XforalltripletspeclistNonterminal() {;} // Singleton
        private static final XforalltripletspeclistNonterminal singletonInstance = new XforalltripletspeclistNonterminal();
        public static final XforalltripletspeclistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xForallTripletSpecList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow460(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXforalltripletspeclist(node); }
    }
    public static final XforalltripletspeclistNonterminal XFORALLTRIPLETSPECLIST = XforalltripletspeclistNonterminal.getInstance();

    public static class XcomponentarrayspecNonterminal extends Nonterminal
    {
        private XcomponentarrayspecNonterminal() {;} // Singleton
        private static final XcomponentarrayspecNonterminal singletonInstance = new XcomponentarrayspecNonterminal();
        public static final XcomponentarrayspecNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xComponentArraySpec>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow461(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXcomponentarrayspec(node); }
    }
    public static final XcomponentarrayspecNonterminal XCOMPONENTARRAYSPEC = XcomponentarrayspecNonterminal.getInstance();

    public static class XkindselectorNonterminal extends Nonterminal
    {
        private XkindselectorNonterminal() {;} // Singleton
        private static final XkindselectorNonterminal singletonInstance = new XkindselectorNonterminal();
        public static final XkindselectorNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xKindSelector>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow462(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXkindselector(node); }
    }
    public static final XkindselectorNonterminal XKINDSELECTOR = XkindselectorNonterminal.getInstance();

    public static class XnotopNonterminal extends Nonterminal
    {
        private XnotopNonterminal() {;} // Singleton
        private static final XnotopNonterminal singletonInstance = new XnotopNonterminal();
        public static final XnotopNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xNotOp>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow463(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXnotop(node); }
    }
    public static final XnotopNonterminal XNOTOP = XnotopNonterminal.getInstance();

    public static class XinquirestmtNonterminal extends Nonterminal
    {
        private XinquirestmtNonterminal() {;} // Singleton
        private static final XinquirestmtNonterminal singletonInstance = new XinquirestmtNonterminal();
        public static final XinquirestmtNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xInquireStmt>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow464(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXinquirestmt(node); }
    }
    public static final XinquirestmtNonterminal XINQUIRESTMT = XinquirestmtNonterminal.getInstance();

    public static class XclosespeclistNonterminal extends Nonterminal
    {
        private XclosespeclistNonterminal() {;} // Singleton
        private static final XclosespeclistNonterminal singletonInstance = new XclosespeclistNonterminal();
        public static final XclosespeclistNonterminal getInstance() { return singletonInstance; }

        public String getDescription() { return "<xCloseSpecList>"; }

        short[] getGoToRow() { return ParsingTable.getInstance().getGoToRow465(); }

        public void visitParseTreeNodeUsing(ParseTreeNode node, ParseTreeVisitor visitor) { visitor.visitXclosespeclist(node); }
    }
    public static final XclosespeclistNonterminal XCLOSESPECLIST = XclosespeclistNonterminal.getInstance();
}
