// Generated by Damien version 1.0 alpha 4

package org.eclipse.fdt.internal.core.f95parser;

import java.util.LinkedList;
import java.util.ArrayList;

/**
 * Represents the parsing state corresponding to
 */
public class ProductionReductions
{
    private ProductionReductions() {;} // Singleton
    private static final ProductionReductions singletonInstance = new ProductionReductions();
    public static final ProductionReductions getInstance() { return singletonInstance; }

    /**
     * Reduce by <xExecutableProgram> ::= <xProgramUnit>  ;
     */
    void reduceByProduction1(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExecutableProgram> ::= <xProgramUnit>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexecutableprogramNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExecutableProgram> ::= <xExecutableProgram> <xProgramUnit>  ;
     */
    void reduceByProduction2(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExecutableProgram> ::= <xExecutableProgram> <xProgramUnit>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production2UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XexecutableprogramNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xProgramUnit> ::= <xMainProgram>  ;
     */
    void reduceByProduction3(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xProgramUnit> ::= <xMainProgram>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production3UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprogramunitNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xProgramUnit> ::= <xFunctionSubprogram>  ;
     */
    void reduceByProduction4(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xProgramUnit> ::= <xFunctionSubprogram>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production4UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprogramunitNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xProgramUnit> ::= <xSubroutineSubprogram>  ;
     */
    void reduceByProduction5(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xProgramUnit> ::= <xSubroutineSubprogram>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production5UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprogramunitNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xProgramUnit> ::= <xModule>  ;
     */
    void reduceByProduction6(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xProgramUnit> ::= <xModule>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production6UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprogramunitNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xProgramUnit> ::= <xBlockDataSubprogram>  ;
     */
    void reduceByProduction7(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xProgramUnit> ::= <xBlockDataSubprogram>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production7UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprogramunitNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xMainProgram> ::= <xMainRange>  ;
     */
    void reduceByProduction8(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMainProgram> ::= <xMainRange>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production8UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XmainprogramNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xMainProgram> ::= <xProgramStmt> <xMainRange>  ;
     */
    void reduceByProduction9(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMainProgram> ::= <xProgramStmt> <xMainRange>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production9UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XmainprogramNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xMainRange> ::= <xBody> <xEndProgramStmt>  ;
     */
    void reduceByProduction10(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMainRange> ::= <xBody> <xEndProgramStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production10UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XmainrangeNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xMainRange> ::= <xBodyPlusInternals> <xEndProgramStmt>  ;
     */
    void reduceByProduction11(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMainRange> ::= <xBodyPlusInternals> <xEndProgramStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production11UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XmainrangeNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xMainRange> ::= <xEndProgramStmt>  ;
     */
    void reduceByProduction12(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMainRange> ::= <xEndProgramStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production12UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XmainrangeNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xBody> ::= <xBodyConstruct>  ;
     */
    void reduceByProduction13(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBody> ::= <xBodyConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production13UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XbodyNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xBody> ::= <xBody> <xBodyConstruct>  ;
     */
    void reduceByProduction14(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBody> ::= <xBody> <xBodyConstruct>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production14UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XbodyNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xBodyConstruct> ::= <xSpecificationPartConstruct>  ;
     */
    void reduceByProduction15(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBodyConstruct> ::= <xSpecificationPartConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production15UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XbodyconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xBodyConstruct> ::= <xExecutableConstruct>  ;
     */
    void reduceByProduction16(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBodyConstruct> ::= <xExecutableConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production16UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XbodyconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xFunctionSubprogram> ::= <xFunctionStmt> <xFunctionRange>  ;
     */
    void reduceByProduction17(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionSubprogram> ::= <xFunctionStmt> <xFunctionRange>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production17UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionsubprogramNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xFunctionRange> ::= <xBody> <xEndFunctionStmt>  ;
     */
    void reduceByProduction18(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionRange> ::= <xBody> <xEndFunctionStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production18UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionrangeNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xFunctionRange> ::= <xEndFunctionStmt>  ;
     */
    void reduceByProduction19(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionRange> ::= <xEndFunctionStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production19UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XfunctionrangeNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xFunctionRange> ::= <xBodyPlusInternals> <xEndFunctionStmt>  ;
     */
    void reduceByProduction20(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionRange> ::= <xBodyPlusInternals> <xEndFunctionStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production20UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionrangeNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xSubroutineSubprogram> ::= <xSubroutineStmt> <xSubroutineRange>  ;
     */
    void reduceByProduction21(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineSubprogram> ::= <xSubroutineStmt> <xSubroutineRange>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production21UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutinesubprogramNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xSubroutineRange> ::= <xBody> <xEndSubroutineStmt>  ;
     */
    void reduceByProduction22(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineRange> ::= <xBody> <xEndSubroutineStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production22UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutinerangeNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xSubroutineRange> ::= <xEndSubroutineStmt>  ;
     */
    void reduceByProduction23(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineRange> ::= <xEndSubroutineStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production23UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsubroutinerangeNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSubroutineRange> ::= <xBodyPlusInternals> <xEndSubroutineStmt>  ;
     */
    void reduceByProduction24(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineRange> ::= <xBodyPlusInternals> <xEndSubroutineStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production24UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutinerangeNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xModule> ::= <xModuleStmt> <xModuleBlock>  ;
     */
    void reduceByProduction25(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xModule> ::= <xModuleStmt> <xModuleBlock>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production25UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XmoduleNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xModuleBlock> ::= <xModuleBody> <xEndModuleStmt>  ;
     */
    void reduceByProduction26(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xModuleBlock> ::= <xModuleBody> <xEndModuleStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production26UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XmoduleblockNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xModuleBlock> ::= <xEndModuleStmt>  ;
     */
    void reduceByProduction27(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xModuleBlock> ::= <xEndModuleStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production27UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XmoduleblockNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xModuleBody> ::= <xSpecificationPartConstruct>  ;
     */
    void reduceByProduction28(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xModuleBody> ::= <xSpecificationPartConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production28UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XmodulebodyNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xModuleBody> ::= <xModuleSubprogramPartConstruct>  ;
     */
    void reduceByProduction29(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xModuleBody> ::= <xModuleSubprogramPartConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production29UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XmodulebodyNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xModuleBody> ::= <xModuleBody> <xSpecificationPartConstruct>  ;
     */
    void reduceByProduction30(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xModuleBody> ::= <xModuleBody> <xSpecificationPartConstruct>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production30UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XmodulebodyNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xModuleBody> ::= <xModuleBody> <xModuleSubprogramPartConstruct>  ;
     */
    void reduceByProduction31(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xModuleBody> ::= <xModuleBody> <xModuleSubprogramPartConstruct>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production31UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XmodulebodyNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xBlockDataSubprogram> ::= <xBlockDataStmt> <xBlockDataBody> <xEndBlockDataStmt>  ;
     */
    void reduceByProduction32(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBlockDataSubprogram> ::= <xBlockDataStmt> <xBlockDataBody> <xEndBlockDataStmt>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production32UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XblockdatasubprogramNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xBlockDataSubprogram> ::= <xBlockDataStmt> <xEndBlockDataStmt>  ;
     */
    void reduceByProduction33(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBlockDataSubprogram> ::= <xBlockDataStmt> <xEndBlockDataStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production33UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XblockdatasubprogramNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xBlockDataBody> ::= <xBlockDataBodyConstruct>  ;
     */
    void reduceByProduction34(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBlockDataBody> ::= <xBlockDataBodyConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production34UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XblockdatabodyNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xBlockDataBody> ::= <xBlockDataBody> <xBlockDataBodyConstruct>  ;
     */
    void reduceByProduction35(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBlockDataBody> ::= <xBlockDataBody> <xBlockDataBodyConstruct>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production35UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XblockdatabodyNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xBlockDataBodyConstruct> ::= <xSpecificationPartConstruct>  ;
     */
    void reduceByProduction36(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBlockDataBodyConstruct> ::= <xSpecificationPartConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production36UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XblockdatabodyconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationPartConstruct> ::= <xUseStmt>  ;
     */
    void reduceByProduction37(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationPartConstruct> ::= <xUseStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production37UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationpartconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationPartConstruct> ::= <T_xImplicitStmt>  ;
     */
    void reduceByProduction38(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationPartConstruct> ::= <T_xImplicitStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production38UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationpartconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationPartConstruct> ::= <xParameterStmt>  ;
     */
    void reduceByProduction39(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationPartConstruct> ::= <xParameterStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production39UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationpartconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationPartConstruct> ::= <xFormatStmt>  ;
     */
    void reduceByProduction40(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationPartConstruct> ::= <xFormatStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production40UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationpartconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationPartConstruct> ::= <xEntryStmt>  ;
     */
    void reduceByProduction41(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationPartConstruct> ::= <xEntryStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production41UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationpartconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationPartConstruct> ::= <xDeclarationConstruct>  ;
     */
    void reduceByProduction42(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationPartConstruct> ::= <xDeclarationConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production42UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationpartconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDeclarationConstruct> ::= <xDerivedTypeDef>  ;
     */
    void reduceByProduction43(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDeclarationConstruct> ::= <xDerivedTypeDef>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production43UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdeclarationconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDeclarationConstruct> ::= <xInterfaceBlock>  ;
     */
    void reduceByProduction44(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDeclarationConstruct> ::= <xInterfaceBlock>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production44UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdeclarationconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDeclarationConstruct> ::= <xTypeDeclarationStmt>  ;
     */
    void reduceByProduction45(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDeclarationConstruct> ::= <xTypeDeclarationStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production45UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdeclarationconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDeclarationConstruct> ::= <xSpecificationStmt>  ;
     */
    void reduceByProduction46(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDeclarationConstruct> ::= <xSpecificationStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production46UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdeclarationconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExecutionPartConstruct> ::= <xObsoleteExecutionPartConstruct>  ;
     */
    void reduceByProduction47(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExecutionPartConstruct> ::= <xObsoleteExecutionPartConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production47UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexecutionpartconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExecutionPartConstruct> ::= <xExecutableConstruct>  ;
     */
    void reduceByProduction48(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExecutionPartConstruct> ::= <xExecutableConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production48UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexecutionpartconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExecutionPartConstruct> ::= <xFormatStmt>  ;
     */
    void reduceByProduction49(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExecutionPartConstruct> ::= <xFormatStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production49UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexecutionpartconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExecutionPartConstruct> ::= <xEntryStmt>  ;
     */
    void reduceByProduction50(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExecutionPartConstruct> ::= <xEntryStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production50UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexecutionpartconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xObsoleteExecutionPartConstruct> ::= <xDataStmt>  ;
     */
    void reduceByProduction51(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xObsoleteExecutionPartConstruct> ::= <xDataStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production51UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XobsoleteexecutionpartconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xBodyPlusInternals> ::= <xBody> <xContainsStmt> <xInternalSubprogram>  ;
     */
    void reduceByProduction52(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBodyPlusInternals> ::= <xBody> <xContainsStmt> <xInternalSubprogram>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production52UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XbodyplusinternalsNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xBodyPlusInternals> ::= <xContainsStmt> <xInternalSubprogram>  ;
     */
    void reduceByProduction53(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBodyPlusInternals> ::= <xContainsStmt> <xInternalSubprogram>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production53UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XbodyplusinternalsNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xBodyPlusInternals> ::= <xBodyPlusInternals> <xInternalSubprogram>  ;
     */
    void reduceByProduction54(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBodyPlusInternals> ::= <xBodyPlusInternals> <xInternalSubprogram>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production54UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XbodyplusinternalsNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInternalSubprogram> ::= <xFunctionSubprogram>  ;
     */
    void reduceByProduction55(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInternalSubprogram> ::= <xFunctionSubprogram>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production55UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XinternalsubprogramNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xInternalSubprogram> ::= <xSubroutineSubprogram>  ;
     */
    void reduceByProduction56(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInternalSubprogram> ::= <xSubroutineSubprogram>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production56UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XinternalsubprogramNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xModuleSubprogramPartConstruct> ::= <xContainsStmt>  ;
     */
    void reduceByProduction57(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xModuleSubprogramPartConstruct> ::= <xContainsStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production57UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XmodulesubprogrampartconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xModuleSubprogramPartConstruct> ::= <xModuleSubprogram>  ;
     */
    void reduceByProduction58(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xModuleSubprogramPartConstruct> ::= <xModuleSubprogram>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production58UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XmodulesubprogrampartconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xModuleSubprogram> ::= <xFunctionSubprogram>  ;
     */
    void reduceByProduction59(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xModuleSubprogram> ::= <xFunctionSubprogram>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production59UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XmodulesubprogramNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xModuleSubprogram> ::= <xSubroutineSubprogram>  ;
     */
    void reduceByProduction60(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xModuleSubprogram> ::= <xSubroutineSubprogram>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production60UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XmodulesubprogramNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationStmt> ::= <xAccessStmt>  ;
     */
    void reduceByProduction61(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationStmt> ::= <xAccessStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production61UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationStmt> ::= <xAllocatableStmt>  ;
     */
    void reduceByProduction62(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationStmt> ::= <xAllocatableStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production62UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationStmt> ::= <xCommonStmt>  ;
     */
    void reduceByProduction63(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationStmt> ::= <xCommonStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production63UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationStmt> ::= <xDataStmt>  ;
     */
    void reduceByProduction64(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationStmt> ::= <xDataStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production64UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationStmt> ::= <xDimensionStmt>  ;
     */
    void reduceByProduction65(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationStmt> ::= <xDimensionStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production65UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationStmt> ::= <xEquivalenceStmt>  ;
     */
    void reduceByProduction66(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationStmt> ::= <xEquivalenceStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production66UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationStmt> ::= <xExternalStmt>  ;
     */
    void reduceByProduction67(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationStmt> ::= <xExternalStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production67UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationStmt> ::= <xIntentStmt>  ;
     */
    void reduceByProduction68(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationStmt> ::= <xIntentStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production68UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationStmt> ::= <xIntrinsicStmt>  ;
     */
    void reduceByProduction69(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationStmt> ::= <xIntrinsicStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production69UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationStmt> ::= <xNamelistStmt>  ;
     */
    void reduceByProduction70(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationStmt> ::= <xNamelistStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production70UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationStmt> ::= <xOptionalStmt>  ;
     */
    void reduceByProduction71(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationStmt> ::= <xOptionalStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production71UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationStmt> ::= <xPointerStmt>  ;
     */
    void reduceByProduction72(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationStmt> ::= <xPointerStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production72UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationStmt> ::= <xSaveStmt>  ;
     */
    void reduceByProduction73(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationStmt> ::= <xSaveStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production73UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSpecificationStmt> ::= <xTargetStmt>  ;
     */
    void reduceByProduction74(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSpecificationStmt> ::= <xTargetStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production74UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XspecificationstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExecutableConstruct> ::= <xActionStmt>  ;
     */
    void reduceByProduction75(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExecutableConstruct> ::= <xActionStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production75UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexecutableconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExecutableConstruct> ::= <xCaseConstruct>  ;
     */
    void reduceByProduction76(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExecutableConstruct> ::= <xCaseConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production76UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexecutableconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExecutableConstruct> ::= <xDoConstruct>  ;
     */
    void reduceByProduction77(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExecutableConstruct> ::= <xDoConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production77UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexecutableconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExecutableConstruct> ::= <xForallConstruct>  ;
     */
    void reduceByProduction78(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExecutableConstruct> ::= <xForallConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production78UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexecutableconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExecutableConstruct> ::= <xIfConstruct>  ;
     */
    void reduceByProduction79(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExecutableConstruct> ::= <xIfConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production79UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexecutableconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExecutableConstruct> ::= <xWhereConstruct>  ;
     */
    void reduceByProduction80(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExecutableConstruct> ::= <xWhereConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production80UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexecutableconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExecutableConstruct> ::= <xEndDoStmt>  ;
     */
    void reduceByProduction81(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExecutableConstruct> ::= <xEndDoStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production81UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexecutableconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xObsoleteActionStmt>  ;
     */
    void reduceByProduction82(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xObsoleteActionStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production82UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xAllocateStmt>  ;
     */
    void reduceByProduction83(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xAllocateStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production83UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xAssignmentStmt>  ;
     */
    void reduceByProduction84(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xAssignmentStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production84UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xBackspaceStmt>  ;
     */
    void reduceByProduction85(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xBackspaceStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production85UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xCallStmt>  ;
     */
    void reduceByProduction86(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xCallStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production86UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xCloseStmt>  ;
     */
    void reduceByProduction87(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xCloseStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production87UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xContinueStmt>  ;
     */
    void reduceByProduction88(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xContinueStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production88UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xCycleStmt>  ;
     */
    void reduceByProduction89(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xCycleStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production89UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xDeallocateStmt>  ;
     */
    void reduceByProduction90(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xDeallocateStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production90UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xEndfileStmt>  ;
     */
    void reduceByProduction91(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xEndfileStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production91UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xExitStmt>  ;
     */
    void reduceByProduction92(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xExitStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production92UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xForallStmt>  ;
     */
    void reduceByProduction93(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xForallStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production93UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xGotoStmt>  ;
     */
    void reduceByProduction94(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xGotoStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production94UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xIfStmt>  ;
     */
    void reduceByProduction95(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xIfStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production95UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xInquireStmt>  ;
     */
    void reduceByProduction96(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xInquireStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production96UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xNullifyStmt>  ;
     */
    void reduceByProduction97(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xNullifyStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production97UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xOpenStmt>  ;
     */
    void reduceByProduction98(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xOpenStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production98UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xPointerAssignmentStmt>  ;
     */
    void reduceByProduction99(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xPointerAssignmentStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production99UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xPrintStmt>  ;
     */
    void reduceByProduction100(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xPrintStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production100UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xReadStmt>  ;
     */
    void reduceByProduction101(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xReadStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production101UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xReturnStmt>  ;
     */
    void reduceByProduction102(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xReturnStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production102UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xRewindStmt>  ;
     */
    void reduceByProduction103(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xRewindStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production103UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xStopStmt>  ;
     */
    void reduceByProduction104(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xStopStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production104UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xWhereStmt>  ;
     */
    void reduceByProduction105(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xWhereStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production105UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xWriteStmt>  ;
     */
    void reduceByProduction106(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xWriteStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production106UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xObsoleteActionStmt> ::= <xStmtFunctionStmt>  ;
     */
    void reduceByProduction107(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xObsoleteActionStmt> ::= <xStmtFunctionStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production107UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XobsoleteactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xObsoleteActionStmt> ::= <xArithmeticIfStmt>  ;
     */
    void reduceByProduction108(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xObsoleteActionStmt> ::= <xArithmeticIfStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production108UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XobsoleteactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xObsoleteActionStmt> ::= <xComputedGotoStmt>  ;
     */
    void reduceByProduction109(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xObsoleteActionStmt> ::= <xComputedGotoStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production109UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XobsoleteactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xName> ::= T_IDENT  ;
     */
    void reduceByProduction110(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production110UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XnameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xConstant> ::= <xNamedConstantUse>  ;
     */
    void reduceByProduction111(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConstant> ::= <xNamedConstantUse>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production111UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xConstant> ::= <xUnsignedArithmeticConstant>  ;
     */
    void reduceByProduction112(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConstant> ::= <xUnsignedArithmeticConstant>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production112UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xConstant> ::= T_PLUS <xUnsignedArithmeticConstant>  ;
     */
    void reduceByProduction113(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConstant> ::= T_PLUS <xUnsignedArithmeticConstant>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production113UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XconstantNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xConstant> ::= T_MINUS <xUnsignedArithmeticConstant>  ;
     */
    void reduceByProduction114(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConstant> ::= T_MINUS <xUnsignedArithmeticConstant>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production114UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XconstantNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xConstant> ::= T_SCON  ;
     */
    void reduceByProduction115(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConstant> ::= T_SCON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production115UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xConstant> ::= T_ICON T_UNDERSCORE T_SCON  ;
     */
    void reduceByProduction116(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConstant> ::= T_ICON T_UNDERSCORE T_SCON  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production116UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XconstantNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xConstant> ::= <xNamedConstantUse> T_UNDERSCORE T_SCON  ;
     */
    void reduceByProduction117(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConstant> ::= <xNamedConstantUse> T_UNDERSCORE T_SCON  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production117UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XconstantNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xConstant> ::= <xLogicalConstant>  ;
     */
    void reduceByProduction118(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConstant> ::= <xLogicalConstant>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production118UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xConstant> ::= <xStructureConstructor>  ;
     */
    void reduceByProduction119(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConstant> ::= <xStructureConstructor>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production119UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xConstant> ::= <xBozLiteralConstant>  ;
     */
    void reduceByProduction120(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConstant> ::= <xBozLiteralConstant>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production120UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xConstant> ::= T_HCON  ;
     */
    void reduceByProduction121(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConstant> ::= T_HCON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production121UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xNamedConstant> ::= T_IDENT  ;
     */
    void reduceByProduction122(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xNamedConstant> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production122UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XnamedconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xNamedConstantUse> ::= T_IDENT  ;
     */
    void reduceByProduction123(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xNamedConstantUse> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production123UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XnamedconstantuseNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPowerOp> ::= T_POW  ;
     */
    void reduceByProduction124(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPowerOp> ::= T_POW  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production124UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XpoweropNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xMultOp> ::= T_ASTERISK  ;
     */
    void reduceByProduction125(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMultOp> ::= T_ASTERISK  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production125UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XmultopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xMultOp> ::= T_SLASH  ;
     */
    void reduceByProduction126(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMultOp> ::= T_SLASH  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production126UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XmultopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAddOp> ::= T_PLUS  ;
     */
    void reduceByProduction127(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAddOp> ::= T_PLUS  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production127UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XaddopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAddOp> ::= T_MINUS  ;
     */
    void reduceByProduction128(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAddOp> ::= T_MINUS  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production128UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XaddopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSign> ::= T_PLUS  ;
     */
    void reduceByProduction129(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSign> ::= T_PLUS  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production129UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsignNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSign> ::= T_MINUS  ;
     */
    void reduceByProduction130(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSign> ::= T_MINUS  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production130UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsignNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xConcatOp> ::= T_SLASHSLASH  ;
     */
    void reduceByProduction131(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConcatOp> ::= T_SLASHSLASH  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production131UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XconcatopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRelOp> ::= T_EQ  ;
     */
    void reduceByProduction132(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRelOp> ::= T_EQ  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production132UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrelopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRelOp> ::= T_NE  ;
     */
    void reduceByProduction133(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRelOp> ::= T_NE  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production133UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrelopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRelOp> ::= T_LT  ;
     */
    void reduceByProduction134(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRelOp> ::= T_LT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production134UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrelopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRelOp> ::= T_LE  ;
     */
    void reduceByProduction135(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRelOp> ::= T_LE  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production135UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrelopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRelOp> ::= T_GT  ;
     */
    void reduceByProduction136(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRelOp> ::= T_GT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production136UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrelopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRelOp> ::= T_GE  ;
     */
    void reduceByProduction137(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRelOp> ::= T_GE  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production137UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrelopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRelOp> ::= T_EQEQ  ;
     */
    void reduceByProduction138(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRelOp> ::= T_EQEQ  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production138UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrelopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRelOp> ::= T_SLASHEQ  ;
     */
    void reduceByProduction139(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRelOp> ::= T_SLASHEQ  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production139UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrelopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRelOp> ::= T_LESSTHAN  ;
     */
    void reduceByProduction140(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRelOp> ::= T_LESSTHAN  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production140UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrelopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRelOp> ::= T_LESSTHANEQ  ;
     */
    void reduceByProduction141(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRelOp> ::= T_LESSTHANEQ  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production141UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrelopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRelOp> ::= T_GREATERTHAN  ;
     */
    void reduceByProduction142(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRelOp> ::= T_GREATERTHAN  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production142UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrelopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRelOp> ::= T_GREATERTHANEQ  ;
     */
    void reduceByProduction143(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRelOp> ::= T_GREATERTHANEQ  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production143UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrelopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xNotOp> ::= T_NOT  ;
     */
    void reduceByProduction144(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xNotOp> ::= T_NOT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production144UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XnotopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAndOp> ::= T_AND  ;
     */
    void reduceByProduction145(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAndOp> ::= T_AND  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production145UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XandopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xOrOp> ::= T_OR  ;
     */
    void reduceByProduction146(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOrOp> ::= T_OR  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production146UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XoropNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEquivOp> ::= T_EQV  ;
     */
    void reduceByProduction147(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEquivOp> ::= T_EQV  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production147UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XequivopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEquivOp> ::= T_NEQV  ;
     */
    void reduceByProduction148(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEquivOp> ::= T_NEQV  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production148UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XequivopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDefinedOperator> ::= T_XDOP  ;
     */
    void reduceByProduction149(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDefinedOperator> ::= T_XDOP  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production149UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdefinedoperatorNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDefinedOperator> ::= <xConcatOp>  ;
     */
    void reduceByProduction150(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDefinedOperator> ::= <xConcatOp>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production150UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdefinedoperatorNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDefinedOperator> ::= <xPowerOp>  ;
     */
    void reduceByProduction151(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDefinedOperator> ::= <xPowerOp>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production151UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdefinedoperatorNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDefinedOperator> ::= <xMultOp>  ;
     */
    void reduceByProduction152(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDefinedOperator> ::= <xMultOp>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production152UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdefinedoperatorNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDefinedOperator> ::= <xAddOp>  ;
     */
    void reduceByProduction153(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDefinedOperator> ::= <xAddOp>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production153UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdefinedoperatorNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDefinedOperator> ::= <xRelOp>  ;
     */
    void reduceByProduction154(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDefinedOperator> ::= <xRelOp>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production154UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdefinedoperatorNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDefinedOperator> ::= <xNotOp>  ;
     */
    void reduceByProduction155(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDefinedOperator> ::= <xNotOp>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production155UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdefinedoperatorNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDefinedOperator> ::= <xAndOp>  ;
     */
    void reduceByProduction156(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDefinedOperator> ::= <xAndOp>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production156UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdefinedoperatorNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDefinedOperator> ::= <xOrOp>  ;
     */
    void reduceByProduction157(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDefinedOperator> ::= <xOrOp>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production157UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdefinedoperatorNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDefinedOperator> ::= <xEquivOp>  ;
     */
    void reduceByProduction158(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDefinedOperator> ::= <xEquivOp>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production158UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdefinedoperatorNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDefinedUnaryOp> ::= T_XDOP  ;
     */
    void reduceByProduction159(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDefinedUnaryOp> ::= T_XDOP  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production159UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdefinedunaryopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDefinedBinaryOp> ::= T_XDOP  ;
     */
    void reduceByProduction160(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDefinedBinaryOp> ::= T_XDOP  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production160UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdefinedbinaryopNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xLabel> ::= T_ICON  ;
     */
    void reduceByProduction161(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabel> ::= T_ICON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production161UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XlabelNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xUnsignedArithmeticConstant> ::= T_ICON  ;
     */
    void reduceByProduction162(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUnsignedArithmeticConstant> ::= T_ICON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production162UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XunsignedarithmeticconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xUnsignedArithmeticConstant> ::= T_RCON  ;
     */
    void reduceByProduction163(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUnsignedArithmeticConstant> ::= T_RCON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production163UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XunsignedarithmeticconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xUnsignedArithmeticConstant> ::= T_DCON  ;
     */
    void reduceByProduction164(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUnsignedArithmeticConstant> ::= T_DCON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production164UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XunsignedarithmeticconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xUnsignedArithmeticConstant> ::= <xComplexConst>  ;
     */
    void reduceByProduction165(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUnsignedArithmeticConstant> ::= <xComplexConst>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production165UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XunsignedarithmeticconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xUnsignedArithmeticConstant> ::= T_ICON T_UNDERSCORE <xKindParam>  ;
     */
    void reduceByProduction166(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUnsignedArithmeticConstant> ::= T_ICON T_UNDERSCORE <xKindParam>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production166UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XunsignedarithmeticconstantNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xUnsignedArithmeticConstant> ::= T_RCON T_UNDERSCORE <xKindParam>  ;
     */
    void reduceByProduction167(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUnsignedArithmeticConstant> ::= T_RCON T_UNDERSCORE <xKindParam>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production167UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XunsignedarithmeticconstantNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xUnsignedArithmeticConstant> ::= T_DCON T_UNDERSCORE <xKindParam>  ;
     */
    void reduceByProduction168(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUnsignedArithmeticConstant> ::= T_DCON T_UNDERSCORE <xKindParam>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production168UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XunsignedarithmeticconstantNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xKindParam> ::= T_ICON  ;
     */
    void reduceByProduction169(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xKindParam> ::= T_ICON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production169UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XkindparamNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xKindParam> ::= <xNamedConstantUse>  ;
     */
    void reduceByProduction170(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xKindParam> ::= <xNamedConstantUse>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production170UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XkindparamNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xBozLiteralConstant> ::= T_BCON  ;
     */
    void reduceByProduction171(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBozLiteralConstant> ::= T_BCON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production171UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XbozliteralconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xBozLiteralConstant> ::= T_OCON  ;
     */
    void reduceByProduction172(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBozLiteralConstant> ::= T_OCON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production172UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XbozliteralconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xBozLiteralConstant> ::= T_ZCON  ;
     */
    void reduceByProduction173(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBozLiteralConstant> ::= T_ZCON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production173UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XbozliteralconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xComplexConst> ::= T_LPAREN <xExpr> T_COMMA <xExpr> T_RPAREN  ;
     */
    void reduceByProduction174(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComplexConst> ::= T_LPAREN <xExpr> T_COMMA <xExpr> T_RPAREN  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production174UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XcomplexconstNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xLogicalConstant> ::= T_TRUE  ;
     */
    void reduceByProduction175(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLogicalConstant> ::= T_TRUE  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production175UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XlogicalconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xLogicalConstant> ::= T_FALSE  ;
     */
    void reduceByProduction176(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLogicalConstant> ::= T_FALSE  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production176UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XlogicalconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xLogicalConstant> ::= T_TRUE T_UNDERSCORE <xKindParam>  ;
     */
    void reduceByProduction177(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLogicalConstant> ::= T_TRUE T_UNDERSCORE <xKindParam>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production177UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XlogicalconstantNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xLogicalConstant> ::= T_FALSE T_UNDERSCORE <xKindParam>  ;
     */
    void reduceByProduction178(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLogicalConstant> ::= T_FALSE T_UNDERSCORE <xKindParam>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production178UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XlogicalconstantNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDerivedTypeDef> ::= <xDerivedTypeStmt> <xDerivedTypeBody> <xEndTypeStmt>  ;
     */
    void reduceByProduction179(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDerivedTypeDef> ::= <xDerivedTypeStmt> <xDerivedTypeBody> <xEndTypeStmt>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production179UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XderivedtypedefNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDerivedTypeBody> ::= <xDerivedTypeBodyConstruct>  ;
     */
    void reduceByProduction180(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDerivedTypeBody> ::= <xDerivedTypeBodyConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production180UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XderivedtypebodyNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDerivedTypeBody> ::= <xDerivedTypeBody> <xDerivedTypeBodyConstruct>  ;
     */
    void reduceByProduction181(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDerivedTypeBody> ::= <xDerivedTypeBody> <xDerivedTypeBodyConstruct>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production181UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XderivedtypebodyNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xDerivedTypeBodyConstruct> ::= <xPrivateSequenceStmt>  ;
     */
    void reduceByProduction182(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDerivedTypeBodyConstruct> ::= <xPrivateSequenceStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production182UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XderivedtypebodyconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDerivedTypeBodyConstruct> ::= <xComponentDefStmt>  ;
     */
    void reduceByProduction183(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDerivedTypeBodyConstruct> ::= <xComponentDefStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production183UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XderivedtypebodyconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDerivedTypeStmt> ::= T_TYPE <xTypeName> T_EOS  ;
     */
    void reduceByProduction184(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDerivedTypeStmt> ::= T_TYPE <xTypeName> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production184UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XderivedtypestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDerivedTypeStmt> ::= <xLblDef> T_TYPE <xTypeName> T_EOS  ;
     */
    void reduceByProduction185(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDerivedTypeStmt> ::= <xLblDef> T_TYPE <xTypeName> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production185UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XderivedtypestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xDerivedTypeStmt> ::= T_TYPE T_COLON T_COLON <xTypeName> T_EOS  ;
     */
    void reduceByProduction186(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDerivedTypeStmt> ::= T_TYPE T_COLON T_COLON <xTypeName> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production186UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XderivedtypestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xDerivedTypeStmt> ::= <xLblDef> T_TYPE T_COLON T_COLON <xTypeName> T_EOS  ;
     */
    void reduceByProduction187(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDerivedTypeStmt> ::= <xLblDef> T_TYPE T_COLON T_COLON <xTypeName> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production187UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XderivedtypestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xDerivedTypeStmt> ::= T_TYPE T_COMMA <xAccessSpec> T_COLON T_COLON <xTypeName> T_EOS  ;
     */
    void reduceByProduction188(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDerivedTypeStmt> ::= T_TYPE T_COMMA <xAccessSpec> T_COLON T_COLON <xTypeName> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production188UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XderivedtypestmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xDerivedTypeStmt> ::= <xLblDef> T_TYPE T_COMMA <xAccessSpec> T_COLON T_COLON <xTypeName> T_EOS  ;
     */
    void reduceByProduction189(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDerivedTypeStmt> ::= <xLblDef> T_TYPE T_COMMA <xAccessSpec> T_COLON T_COLON <xTypeName> T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production189UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XderivedtypestmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xPrivateSequenceStmt> ::= T_PRIVATE T_EOS  ;
     */
    void reduceByProduction190(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrivateSequenceStmt> ::= T_PRIVATE T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production190UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XprivatesequencestmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xPrivateSequenceStmt> ::= <xLblDef> T_PRIVATE T_EOS  ;
     */
    void reduceByProduction191(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrivateSequenceStmt> ::= <xLblDef> T_PRIVATE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production191UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XprivatesequencestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xPrivateSequenceStmt> ::= T_SEQUENCE T_EOS  ;
     */
    void reduceByProduction192(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrivateSequenceStmt> ::= T_SEQUENCE T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production192UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XprivatesequencestmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xPrivateSequenceStmt> ::= <xLblDef> T_SEQUENCE T_EOS  ;
     */
    void reduceByProduction193(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrivateSequenceStmt> ::= <xLblDef> T_SEQUENCE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production193UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XprivatesequencestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xComponentDefStmt> ::= <xTypeSpec> T_COMMA <xComponentAttrSpecList> T_COLON T_COLON <xComponentDeclList> T_EOS  ;
     */
    void reduceByProduction194(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentDefStmt> ::= <xTypeSpec> T_COMMA <xComponentAttrSpecList> T_COLON T_COLON <xComponentDeclList> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production194UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentdefstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xComponentDefStmt> ::= <xLblDef> <xTypeSpec> T_COMMA <xComponentAttrSpecList> T_COLON T_COLON <xComponentDeclList> T_EOS  ;
     */
    void reduceByProduction195(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentDefStmt> ::= <xLblDef> <xTypeSpec> T_COMMA <xComponentAttrSpecList> T_COLON T_COLON <xComponentDeclList> T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production195UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentdefstmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xComponentDefStmt> ::= <xTypeSpec> T_COLON T_COLON <xComponentDeclList> T_EOS  ;
     */
    void reduceByProduction196(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentDefStmt> ::= <xTypeSpec> T_COLON T_COLON <xComponentDeclList> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production196UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentdefstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xComponentDefStmt> ::= <xLblDef> <xTypeSpec> T_COLON T_COLON <xComponentDeclList> T_EOS  ;
     */
    void reduceByProduction197(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentDefStmt> ::= <xLblDef> <xTypeSpec> T_COLON T_COLON <xComponentDeclList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production197UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentdefstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xComponentDefStmt> ::= <xTypeSpec> <xComponentDeclList> T_EOS  ;
     */
    void reduceByProduction198(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentDefStmt> ::= <xTypeSpec> <xComponentDeclList> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production198UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentdefstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xComponentDefStmt> ::= <xLblDef> <xTypeSpec> <xComponentDeclList> T_EOS  ;
     */
    void reduceByProduction199(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentDefStmt> ::= <xLblDef> <xTypeSpec> <xComponentDeclList> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production199UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentdefstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xComponentAttrSpecList> ::= <xComponentAttrSpec>  ;
     */
    void reduceByProduction200(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentAttrSpecList> ::= <xComponentAttrSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production200UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcomponentattrspeclistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xComponentAttrSpecList> ::= <xComponentAttrSpecList> T_COMMA <xComponentAttrSpec>  ;
     */
    void reduceByProduction201(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentAttrSpecList> ::= <xComponentAttrSpecList> T_COMMA <xComponentAttrSpec>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production201UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentattrspeclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xComponentAttrSpec> ::= T_POINTER  ;
     */
    void reduceByProduction202(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentAttrSpec> ::= T_POINTER  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production202UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcomponentattrspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xComponentAttrSpec> ::= T_DIMENSION T_LPAREN <xComponentArraySpec> T_RPAREN  ;
     */
    void reduceByProduction203(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentAttrSpec> ::= T_DIMENSION T_LPAREN <xComponentArraySpec> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production203UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentattrspecNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xComponentArraySpec> ::= <xExplicitShapeSpecList>  ;
     */
    void reduceByProduction204(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentArraySpec> ::= <xExplicitShapeSpecList>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production204UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcomponentarrayspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xComponentArraySpec> ::= <xDeferredShapeSpecList>  ;
     */
    void reduceByProduction205(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentArraySpec> ::= <xDeferredShapeSpecList>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production205UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcomponentarrayspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xComponentDeclList> ::= <xComponentDecl>  ;
     */
    void reduceByProduction206(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentDeclList> ::= <xComponentDecl>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production206UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcomponentdecllistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xComponentDeclList> ::= <xComponentDeclList> T_COMMA <xComponentDecl>  ;
     */
    void reduceByProduction207(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentDeclList> ::= <xComponentDeclList> T_COMMA <xComponentDecl>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production207UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentdecllistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xComponentDecl> ::= <xComponentName> T_LPAREN <xComponentArraySpec> T_RPAREN T_ASTERISK <xCharLength> <xComponentInitialization>  ;
     */
    void reduceByProduction208(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentDecl> ::= <xComponentName> T_LPAREN <xComponentArraySpec> T_RPAREN T_ASTERISK <xCharLength> <xComponentInitialization>  ;
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production208UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentdeclNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xComponentDecl> ::= <xComponentName> T_LPAREN <xComponentArraySpec> T_RPAREN <xComponentInitialization>  ;
     */
    void reduceByProduction209(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentDecl> ::= <xComponentName> T_LPAREN <xComponentArraySpec> T_RPAREN <xComponentInitialization>  ;
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production209UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentdeclNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xComponentDecl> ::= <xComponentName> T_ASTERISK <xCharLength> <xComponentInitialization>  ;
     */
    void reduceByProduction210(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentDecl> ::= <xComponentName> T_ASTERISK <xCharLength> <xComponentInitialization>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production210UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentdeclNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xComponentDecl> ::= <xComponentName> <xComponentInitialization>  ;
     */
    void reduceByProduction211(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentDecl> ::= <xComponentName> <xComponentInitialization>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production211UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentdeclNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xComponentDecl> ::= <xComponentName> T_LPAREN <xComponentArraySpec> T_RPAREN T_ASTERISK <xCharLength>  ;
     */
    void reduceByProduction212(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentDecl> ::= <xComponentName> T_LPAREN <xComponentArraySpec> T_RPAREN T_ASTERISK <xCharLength>  ;
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production212UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentdeclNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xComponentDecl> ::= <xComponentName> T_LPAREN <xComponentArraySpec> T_RPAREN  ;
     */
    void reduceByProduction213(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentDecl> ::= <xComponentName> T_LPAREN <xComponentArraySpec> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production213UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentdeclNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xComponentDecl> ::= <xComponentName> T_ASTERISK <xCharLength>  ;
     */
    void reduceByProduction214(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentDecl> ::= <xComponentName> T_ASTERISK <xCharLength>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production214UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentdeclNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xComponentDecl> ::= <xComponentName>  ;
     */
    void reduceByProduction215(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentDecl> ::= <xComponentName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production215UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcomponentdeclNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xComponentInitialization> ::= T_EQUALS <xExpr>  ;
     */
    void reduceByProduction216(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentInitialization> ::= T_EQUALS <xExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production216UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentinitializationNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xComponentInitialization> ::= T_EQGREATERTHAN T_NULL T_LPAREN T_RPAREN  ;
     */
    void reduceByProduction217(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentInitialization> ::= T_EQGREATERTHAN T_NULL T_LPAREN T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production217UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XcomponentinitializationNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndTypeStmt> ::= T_ENDTYPE T_EOS  ;
     */
    void reduceByProduction218(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndTypeStmt> ::= T_ENDTYPE T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production218UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XendtypestmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndTypeStmt> ::= T_ENDTYPE <xEndTypeStmt@1> T_EOS  ;
     */
    void reduceByProduction219(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndTypeStmt> ::= T_ENDTYPE <xEndTypeStmt@1> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production219UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendtypestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndTypeStmt> ::= <xLblDef> T_ENDTYPE T_EOS  ;
     */
    void reduceByProduction220(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndTypeStmt> ::= <xLblDef> T_ENDTYPE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production220UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendtypestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndTypeStmt> ::= <xLblDef> T_ENDTYPE <xEndTypeStmt@1> T_EOS  ;
     */
    void reduceByProduction221(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndTypeStmt> ::= <xLblDef> T_ENDTYPE <xEndTypeStmt@1> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production221UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendtypestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndTypeStmt> ::= T_END T_TYPE T_EOS  ;
     */
    void reduceByProduction222(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndTypeStmt> ::= T_END T_TYPE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production222UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendtypestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndTypeStmt> ::= T_END T_TYPE <xEndTypeStmt@2> T_EOS  ;
     */
    void reduceByProduction223(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndTypeStmt> ::= T_END T_TYPE <xEndTypeStmt@2> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production223UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendtypestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndTypeStmt> ::= <xLblDef> T_END T_TYPE T_EOS  ;
     */
    void reduceByProduction224(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndTypeStmt> ::= <xLblDef> T_END T_TYPE T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production224UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendtypestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndTypeStmt> ::= <xLblDef> T_END T_TYPE <xEndTypeStmt@2> T_EOS  ;
     */
    void reduceByProduction225(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndTypeStmt> ::= <xLblDef> T_END T_TYPE <xEndTypeStmt@2> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production225UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XendtypestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xStructureConstructor> ::= <xTypeName> T_LPAREN <xExprList> T_RPAREN  ;
     */
    void reduceByProduction226(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xStructureConstructor> ::= <xTypeName> T_LPAREN <xExprList> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production226UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XstructureconstructorNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xExprList> ::= <xExpr>  ;
     */
    void reduceByProduction227(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExprList> ::= <xExpr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production227UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexprlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExprList> ::= <xExprList> T_COMMA <xExpr>  ;
     */
    void reduceByProduction228(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExprList> ::= <xExprList> T_COMMA <xExpr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production228UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XexprlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xArrayConstructor> ::= T_LPARENSLASH <xAcValueList> T_SLASHRPAREN  ;
     */
    void reduceByProduction229(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArrayConstructor> ::= T_LPARENSLASH <xAcValueList> T_SLASHRPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production229UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XarrayconstructorNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAcValueList> ::= <xExpr>  ;
     */
    void reduceByProduction230(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAcValueList> ::= <xExpr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production230UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XacvaluelistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAcValueList> ::= <xAcValueList1>  ;
     */
    void reduceByProduction231(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAcValueList> ::= <xAcValueList1>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production231UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XacvaluelistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAcValueList1> ::= <xExpr> T_COMMA <xExpr>  ;
     */
    void reduceByProduction232(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAcValueList1> ::= <xExpr> T_COMMA <xExpr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production232UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xacvaluelist1Nonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAcValueList1> ::= <xExpr> T_COMMA <xAcImpliedDo>  ;
     */
    void reduceByProduction233(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAcValueList1> ::= <xExpr> T_COMMA <xAcImpliedDo>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production233UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xacvaluelist1Nonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAcValueList1> ::= <xAcImpliedDo>  ;
     */
    void reduceByProduction234(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAcValueList1> ::= <xAcImpliedDo>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production234UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xacvaluelist1Nonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAcValueList1> ::= <xAcValueList1> T_COMMA <xExpr>  ;
     */
    void reduceByProduction235(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAcValueList1> ::= <xAcValueList1> T_COMMA <xExpr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production235UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xacvaluelist1Nonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAcValueList1> ::= <xAcValueList1> T_COMMA <xAcImpliedDo>  ;
     */
    void reduceByProduction236(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAcValueList1> ::= <xAcValueList1> T_COMMA <xAcImpliedDo>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production236UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xacvaluelist1Nonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAcImpliedDo> ::= T_LPAREN <xExpr> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_RPAREN  ;
     */
    void reduceByProduction237(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAcImpliedDo> ::= T_LPAREN <xExpr> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_RPAREN  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production237UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XacimplieddoNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xAcImpliedDo> ::= T_LPAREN <xExpr> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_COMMA <xExpr> T_RPAREN  ;
     */
    void reduceByProduction238(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAcImpliedDo> ::= T_LPAREN <xExpr> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_COMMA <xExpr> T_RPAREN  ;
        Token v11 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v10 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production238UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11);

        // The production has 11 symbols on its RHS
        parser.reduce(Nonterminal.XacimplieddoNonterminal.getInstance(), 11, userValue);
    }

    /**
     * Reduce by <xAcImpliedDo> ::= T_LPAREN <xAcImpliedDo> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_RPAREN  ;
     */
    void reduceByProduction239(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAcImpliedDo> ::= T_LPAREN <xAcImpliedDo> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_RPAREN  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production239UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XacimplieddoNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xAcImpliedDo> ::= T_LPAREN <xAcImpliedDo> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_COMMA <xExpr> T_RPAREN  ;
     */
    void reduceByProduction240(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAcImpliedDo> ::= T_LPAREN <xAcImpliedDo> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_COMMA <xExpr> T_RPAREN  ;
        Token v11 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v10 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production240UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11);

        // The production has 11 symbols on its RHS
        parser.reduce(Nonterminal.XacimplieddoNonterminal.getInstance(), 11, userValue);
    }

    /**
     * Reduce by <xTypeDeclarationStmt> ::= <xTypeSpec> <xAttrSpecSeq> T_COLON T_COLON <xEntityDeclList> T_EOS  ;
     */
    void reduceByProduction241(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeDeclarationStmt> ::= <xTypeSpec> <xAttrSpecSeq> T_COLON T_COLON <xEntityDeclList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production241UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XtypedeclarationstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xTypeDeclarationStmt> ::= <xLblDef> <xTypeSpec> <xAttrSpecSeq> T_COLON T_COLON <xEntityDeclList> T_EOS  ;
     */
    void reduceByProduction242(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeDeclarationStmt> ::= <xLblDef> <xTypeSpec> <xAttrSpecSeq> T_COLON T_COLON <xEntityDeclList> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production242UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XtypedeclarationstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xTypeDeclarationStmt> ::= <xTypeSpec> T_COLON T_COLON <xEntityDeclList> T_EOS  ;
     */
    void reduceByProduction243(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeDeclarationStmt> ::= <xTypeSpec> T_COLON T_COLON <xEntityDeclList> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production243UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XtypedeclarationstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xTypeDeclarationStmt> ::= <xLblDef> <xTypeSpec> T_COLON T_COLON <xEntityDeclList> T_EOS  ;
     */
    void reduceByProduction244(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeDeclarationStmt> ::= <xLblDef> <xTypeSpec> T_COLON T_COLON <xEntityDeclList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production244UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XtypedeclarationstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xTypeDeclarationStmt> ::= <xTypeSpec> <xEntityDeclList> T_EOS  ;
     */
    void reduceByProduction245(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeDeclarationStmt> ::= <xTypeSpec> <xEntityDeclList> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production245UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XtypedeclarationstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xTypeDeclarationStmt> ::= <xLblDef> <xTypeSpec> <xEntityDeclList> T_EOS  ;
     */
    void reduceByProduction246(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeDeclarationStmt> ::= <xLblDef> <xTypeSpec> <xEntityDeclList> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production246UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XtypedeclarationstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xAttrSpecSeq> ::= T_COMMA <xAttrSpec>  ;
     */
    void reduceByProduction247(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAttrSpecSeq> ::= T_COMMA <xAttrSpec>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production247UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XattrspecseqNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xAttrSpecSeq> ::= <xAttrSpecSeq> T_COMMA <xAttrSpec>  ;
     */
    void reduceByProduction248(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAttrSpecSeq> ::= <xAttrSpecSeq> T_COMMA <xAttrSpec>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production248UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XattrspecseqNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xTypeSpec> ::= T_INTEGER  ;
     */
    void reduceByProduction249(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeSpec> ::= T_INTEGER  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production249UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XtypespecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xTypeSpec> ::= T_REAL  ;
     */
    void reduceByProduction250(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeSpec> ::= T_REAL  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production250UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XtypespecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xTypeSpec> ::= T_DOUBLEPRECISION  ;
     */
    void reduceByProduction251(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeSpec> ::= T_DOUBLEPRECISION  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production251UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XtypespecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xTypeSpec> ::= T_COMPLEX  ;
     */
    void reduceByProduction252(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeSpec> ::= T_COMPLEX  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production252UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XtypespecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xTypeSpec> ::= T_LOGICAL  ;
     */
    void reduceByProduction253(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeSpec> ::= T_LOGICAL  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production253UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XtypespecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xTypeSpec> ::= T_CHARACTER  ;
     */
    void reduceByProduction254(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeSpec> ::= T_CHARACTER  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production254UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XtypespecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xTypeSpec> ::= T_INTEGER <xKindSelector>  ;
     */
    void reduceByProduction255(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeSpec> ::= T_INTEGER <xKindSelector>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production255UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XtypespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xTypeSpec> ::= T_REAL <xKindSelector>  ;
     */
    void reduceByProduction256(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeSpec> ::= T_REAL <xKindSelector>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production256UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XtypespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xTypeSpec> ::= T_DOUBLE T_PRECISION  ;
     */
    void reduceByProduction257(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeSpec> ::= T_DOUBLE T_PRECISION  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production257UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XtypespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xTypeSpec> ::= T_COMPLEX <xKindSelector>  ;
     */
    void reduceByProduction258(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeSpec> ::= T_COMPLEX <xKindSelector>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production258UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XtypespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xTypeSpec> ::= T_CHARACTER <xCharSelector>  ;
     */
    void reduceByProduction259(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeSpec> ::= T_CHARACTER <xCharSelector>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production259UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XtypespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xTypeSpec> ::= T_LOGICAL <xKindSelector>  ;
     */
    void reduceByProduction260(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeSpec> ::= T_LOGICAL <xKindSelector>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production260UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XtypespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xTypeSpec> ::= T_TYPE T_LPAREN <xTypeName> T_RPAREN  ;
     */
    void reduceByProduction261(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeSpec> ::= T_TYPE T_LPAREN <xTypeName> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production261UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XtypespecNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xAttrSpec> ::= T_PARAMETER  ;
     */
    void reduceByProduction262(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAttrSpec> ::= T_PARAMETER  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production262UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XattrspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAttrSpec> ::= <xAccessSpec>  ;
     */
    void reduceByProduction263(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAttrSpec> ::= <xAccessSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production263UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XattrspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAttrSpec> ::= T_ALLOCATABLE  ;
     */
    void reduceByProduction264(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAttrSpec> ::= T_ALLOCATABLE  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production264UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XattrspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAttrSpec> ::= T_DIMENSION T_LPAREN <xArraySpec> T_RPAREN  ;
     */
    void reduceByProduction265(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAttrSpec> ::= T_DIMENSION T_LPAREN <xArraySpec> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production265UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XattrspecNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xAttrSpec> ::= T_EXTERNAL  ;
     */
    void reduceByProduction266(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAttrSpec> ::= T_EXTERNAL  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production266UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XattrspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAttrSpec> ::= T_INTENT T_LPAREN <xIntentSpec> T_RPAREN  ;
     */
    void reduceByProduction267(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAttrSpec> ::= T_INTENT T_LPAREN <xIntentSpec> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production267UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XattrspecNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xAttrSpec> ::= T_INTRINSIC  ;
     */
    void reduceByProduction268(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAttrSpec> ::= T_INTRINSIC  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production268UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XattrspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAttrSpec> ::= T_OPTIONAL  ;
     */
    void reduceByProduction269(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAttrSpec> ::= T_OPTIONAL  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production269UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XattrspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAttrSpec> ::= T_POINTER  ;
     */
    void reduceByProduction270(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAttrSpec> ::= T_POINTER  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production270UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XattrspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAttrSpec> ::= T_SAVE  ;
     */
    void reduceByProduction271(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAttrSpec> ::= T_SAVE  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production271UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XattrspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAttrSpec> ::= T_TARGET  ;
     */
    void reduceByProduction272(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAttrSpec> ::= T_TARGET  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production272UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XattrspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEntityDeclList> ::= <xEntityDecl>  ;
     */
    void reduceByProduction273(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntityDeclList> ::= <xEntityDecl>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production273UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XentitydecllistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEntityDeclList> ::= <xEntityDeclList> T_COMMA <xEntityDecl>  ;
     */
    void reduceByProduction274(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntityDeclList> ::= <xEntityDeclList> T_COMMA <xEntityDecl>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production274UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XentitydecllistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEntityDecl> ::= <xObjectName>  ;
     */
    void reduceByProduction275(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntityDecl> ::= <xObjectName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production275UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XentitydeclNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEntityDecl> ::= <xObjectName> <xEntityDecl@5>  ;
     */
    void reduceByProduction276(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntityDecl> ::= <xObjectName> <xEntityDecl@5>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production276UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XentitydeclNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEntityDecl> ::= <xObjectName> <xEntityDecl@4>  ;
     */
    void reduceByProduction277(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntityDecl> ::= <xObjectName> <xEntityDecl@4>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production277UserAction(v1, v2, v3);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XentitydeclNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEntityDecl> ::= <xObjectName> <xEntityDecl@4> <xEntityDecl@5>  ;
     */
    void reduceByProduction278(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntityDecl> ::= <xObjectName> <xEntityDecl@4> <xEntityDecl@5>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production278UserAction(v1, v2, v3, v4);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XentitydeclNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEntityDecl> ::= <xObjectName> <xEntityDecl@3>  ;
     */
    void reduceByProduction279(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntityDecl> ::= <xObjectName> <xEntityDecl@3>  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production279UserAction(v1, v2, v3, v4);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XentitydeclNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEntityDecl> ::= <xObjectName> <xEntityDecl@3> <xEntityDecl@5>  ;
     */
    void reduceByProduction280(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntityDecl> ::= <xObjectName> <xEntityDecl@3> <xEntityDecl@5>  ;
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production280UserAction(v1, v2, v3, v4, v5);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XentitydeclNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEntityDecl> ::= <xObjectName> <xEntityDecl@3> <xEntityDecl@4>  ;
     */
    void reduceByProduction281(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntityDecl> ::= <xObjectName> <xEntityDecl@3> <xEntityDecl@4>  ;
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production281UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XentitydeclNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEntityDecl> ::= <xObjectName> <xEntityDecl@3> <xEntityDecl@4> <xEntityDecl@5>  ;
     */
    void reduceByProduction282(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntityDecl> ::= <xObjectName> <xEntityDecl@3> <xEntityDecl@4> <xEntityDecl@5>  ;
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production282UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XentitydeclNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEntityDecl> ::= <xInvalidEntityDecl>  ;
     */
    void reduceByProduction283(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntityDecl> ::= <xInvalidEntityDecl>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production283UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XentitydeclNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xInvalidEntityDecl> ::= <xObjectName> T_ASTERISK <xCharLength> T_LPAREN <xArraySpec> T_RPAREN  ;
     */
    void reduceByProduction284(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInvalidEntityDecl> ::= <xObjectName> T_ASTERISK <xCharLength> T_LPAREN <xArraySpec> T_RPAREN  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production284UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XinvalidentitydeclNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xInvalidEntityDecl> ::= <xObjectName> T_ASTERISK <xCharLength> T_LPAREN <xArraySpec> T_RPAREN <xInvalidEntityDecl@6>  ;
     */
    void reduceByProduction285(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInvalidEntityDecl> ::= <xObjectName> T_ASTERISK <xCharLength> T_LPAREN <xArraySpec> T_RPAREN <xInvalidEntityDecl@6>  ;
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production285UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XinvalidentitydeclNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xInitialization> ::= T_EQUALS <xExpr>  ;
     */
    void reduceByProduction286(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInitialization> ::= T_EQUALS <xExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production286UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinitializationNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInitialization> ::= T_EQGREATERTHAN T_NULL T_LPAREN T_RPAREN  ;
     */
    void reduceByProduction287(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInitialization> ::= T_EQGREATERTHAN T_NULL T_LPAREN T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production287UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XinitializationNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xKindSelector> ::= T_LPAREN T_KINDEQ <xExpr> T_RPAREN  ;
     */
    void reduceByProduction288(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xKindSelector> ::= T_LPAREN T_KINDEQ <xExpr> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production288UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XkindselectorNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xKindSelector> ::= T_LPAREN <xExpr> T_RPAREN  ;
     */
    void reduceByProduction289(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xKindSelector> ::= T_LPAREN <xExpr> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production289UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XkindselectorNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xCharSelector> ::= <xLengthSelector>  ;
     */
    void reduceByProduction290(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCharSelector> ::= <xLengthSelector>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production290UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcharselectorNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCharSelector> ::= T_LPAREN T_LENEQ <xCharLenParamValue> T_COMMA T_KINDEQ <xExpr> T_RPAREN  ;
     */
    void reduceByProduction291(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCharSelector> ::= T_LPAREN T_LENEQ <xCharLenParamValue> T_COMMA T_KINDEQ <xExpr> T_RPAREN  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production291UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XcharselectorNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xCharSelector> ::= T_LPAREN T_LENEQ <xCharLenParamValue> T_COMMA <xExpr> T_RPAREN  ;
     */
    void reduceByProduction292(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCharSelector> ::= T_LPAREN T_LENEQ <xCharLenParamValue> T_COMMA <xExpr> T_RPAREN  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production292UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XcharselectorNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xCharSelector> ::= T_LPAREN T_KINDEQ <xExpr> T_RPAREN  ;
     */
    void reduceByProduction293(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCharSelector> ::= T_LPAREN T_KINDEQ <xExpr> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production293UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XcharselectorNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xCharSelector> ::= T_LPAREN T_LENEQ <xCharLenParamValue> T_RPAREN  ;
     */
    void reduceByProduction294(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCharSelector> ::= T_LPAREN T_LENEQ <xCharLenParamValue> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production294UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XcharselectorNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xCharSelector> ::= T_LPAREN <xCharLenParamValue> T_RPAREN  ;
     */
    void reduceByProduction295(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCharSelector> ::= T_LPAREN <xCharLenParamValue> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production295UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcharselectorNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xLengthSelector> ::= T_ASTERISK <xCharLength>  ;
     */
    void reduceByProduction296(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLengthSelector> ::= T_ASTERISK <xCharLength>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production296UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XlengthselectorNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xCharLength> ::= T_LPAREN <xCharLenParamValue> T_RPAREN  ;
     */
    void reduceByProduction297(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCharLength> ::= T_LPAREN <xCharLenParamValue> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production297UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcharlengthNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xCharLength> ::= T_ICON  ;
     */
    void reduceByProduction298(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCharLength> ::= T_ICON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production298UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcharlengthNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCharLenParamValue> ::= <xExpr>  ;
     */
    void reduceByProduction299(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCharLenParamValue> ::= <xExpr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production299UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcharlenparamvalueNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCharLenParamValue> ::= T_ASTERISK  ;
     */
    void reduceByProduction300(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCharLenParamValue> ::= T_ASTERISK  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production300UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcharlenparamvalueNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAccessSpec> ::= T_PUBLIC  ;
     */
    void reduceByProduction301(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAccessSpec> ::= T_PUBLIC  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production301UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XaccessspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAccessSpec> ::= T_PRIVATE  ;
     */
    void reduceByProduction302(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAccessSpec> ::= T_PRIVATE  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production302UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XaccessspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xIntentSpec> ::= T_IN  ;
     */
    void reduceByProduction303(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntentSpec> ::= T_IN  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production303UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XintentspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xIntentSpec> ::= T_OUT  ;
     */
    void reduceByProduction304(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntentSpec> ::= T_OUT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production304UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XintentspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xIntentSpec> ::= T_INOUT  ;
     */
    void reduceByProduction305(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntentSpec> ::= T_INOUT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production305UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XintentspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xIntentSpec> ::= T_IN T_OUT  ;
     */
    void reduceByProduction306(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntentSpec> ::= T_IN T_OUT  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production306UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XintentspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xArraySpec> ::= <xExplicitShapeSpecList>  ;
     */
    void reduceByProduction307(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArraySpec> ::= <xExplicitShapeSpecList>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production307UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XarrayspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xArraySpec> ::= <xAssumedSizeSpec>  ;
     */
    void reduceByProduction308(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArraySpec> ::= <xAssumedSizeSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production308UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XarrayspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xArraySpec> ::= <xAssumedShapeSpecList>  ;
     */
    void reduceByProduction309(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArraySpec> ::= <xAssumedShapeSpecList>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production309UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XarrayspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xArraySpec> ::= <xDeferredShapeSpecList>  ;
     */
    void reduceByProduction310(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArraySpec> ::= <xDeferredShapeSpecList>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production310UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XarrayspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAssumedShapeSpecList> ::= <xLowerBound> T_COLON  ;
     */
    void reduceByProduction311(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssumedShapeSpecList> ::= <xLowerBound> T_COLON  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production311UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XassumedshapespeclistNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xAssumedShapeSpecList> ::= <xDeferredShapeSpecList> T_COMMA <xLowerBound> T_COLON  ;
     */
    void reduceByProduction312(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssumedShapeSpecList> ::= <xDeferredShapeSpecList> T_COMMA <xLowerBound> T_COLON  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production312UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XassumedshapespeclistNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xAssumedShapeSpecList> ::= <xAssumedShapeSpecList> T_COMMA <xAssumedShapeSpec>  ;
     */
    void reduceByProduction313(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssumedShapeSpecList> ::= <xAssumedShapeSpecList> T_COMMA <xAssumedShapeSpec>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production313UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XassumedshapespeclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xExplicitShapeSpecList> ::= <xExplicitShapeSpec>  ;
     */
    void reduceByProduction314(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExplicitShapeSpecList> ::= <xExplicitShapeSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production314UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexplicitshapespeclistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExplicitShapeSpecList> ::= <xExplicitShapeSpecList> T_COMMA <xExplicitShapeSpec>  ;
     */
    void reduceByProduction315(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExplicitShapeSpecList> ::= <xExplicitShapeSpecList> T_COMMA <xExplicitShapeSpec>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production315UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XexplicitshapespeclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xExplicitShapeSpec> ::= <xLowerBound> T_COLON <xUpperBound>  ;
     */
    void reduceByProduction316(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExplicitShapeSpec> ::= <xLowerBound> T_COLON <xUpperBound>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production316UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XexplicitshapespecNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xExplicitShapeSpec> ::= <xUpperBound>  ;
     */
    void reduceByProduction317(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExplicitShapeSpec> ::= <xUpperBound>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production317UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexplicitshapespecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xLowerBound> ::= <xExpr>  ;
     */
    void reduceByProduction318(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLowerBound> ::= <xExpr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production318UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XlowerboundNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xUpperBound> ::= <xExpr>  ;
     */
    void reduceByProduction319(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUpperBound> ::= <xExpr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production319UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XupperboundNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAssumedShapeSpec> ::= <xLowerBound> T_COLON  ;
     */
    void reduceByProduction320(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssumedShapeSpec> ::= <xLowerBound> T_COLON  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production320UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XassumedshapespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xAssumedShapeSpec> ::= T_COLON  ;
     */
    void reduceByProduction321(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssumedShapeSpec> ::= T_COLON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production321UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XassumedshapespecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDeferredShapeSpecList> ::= <xDeferredShapeSpec>  ;
     */
    void reduceByProduction322(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDeferredShapeSpecList> ::= <xDeferredShapeSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production322UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdeferredshapespeclistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDeferredShapeSpecList> ::= <xDeferredShapeSpecList> T_COMMA <xDeferredShapeSpec>  ;
     */
    void reduceByProduction323(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDeferredShapeSpecList> ::= <xDeferredShapeSpecList> T_COMMA <xDeferredShapeSpec>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production323UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XdeferredshapespeclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDeferredShapeSpec> ::= T_COLON  ;
     */
    void reduceByProduction324(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDeferredShapeSpec> ::= T_COLON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production324UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdeferredshapespecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAssumedSizeSpec> ::= T_ASTERISK  ;
     */
    void reduceByProduction325(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssumedSizeSpec> ::= T_ASTERISK  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production325UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XassumedsizespecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAssumedSizeSpec> ::= <xLowerBound> T_COLON T_ASTERISK  ;
     */
    void reduceByProduction326(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssumedSizeSpec> ::= <xLowerBound> T_COLON T_ASTERISK  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production326UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XassumedsizespecNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAssumedSizeSpec> ::= <xExplicitShapeSpecList> T_COMMA T_ASTERISK  ;
     */
    void reduceByProduction327(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssumedSizeSpec> ::= <xExplicitShapeSpecList> T_COMMA T_ASTERISK  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production327UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XassumedsizespecNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAssumedSizeSpec> ::= <xExplicitShapeSpecList> T_COMMA <xLowerBound> T_COLON T_ASTERISK  ;
     */
    void reduceByProduction328(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssumedSizeSpec> ::= <xExplicitShapeSpecList> T_COMMA <xLowerBound> T_COLON T_ASTERISK  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production328UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XassumedsizespecNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xIntentStmt> ::= T_INTENT T_LPAREN <xIntentSpec> T_RPAREN <xIntentParList> T_EOS  ;
     */
    void reduceByProduction329(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntentStmt> ::= T_INTENT T_LPAREN <xIntentSpec> T_RPAREN <xIntentParList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production329UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XintentstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xIntentStmt> ::= T_INTENT T_LPAREN <xIntentSpec> T_RPAREN <xIntentStmt@7> <xIntentParList> T_EOS  ;
     */
    void reduceByProduction330(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntentStmt> ::= T_INTENT T_LPAREN <xIntentSpec> T_RPAREN <xIntentStmt@7> <xIntentParList> T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production330UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XintentstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xIntentStmt> ::= <xLblDef> T_INTENT T_LPAREN <xIntentSpec> T_RPAREN <xIntentParList> T_EOS  ;
     */
    void reduceByProduction331(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntentStmt> ::= <xLblDef> T_INTENT T_LPAREN <xIntentSpec> T_RPAREN <xIntentParList> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production331UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XintentstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xIntentStmt> ::= <xLblDef> T_INTENT T_LPAREN <xIntentSpec> T_RPAREN <xIntentStmt@7> <xIntentParList> T_EOS  ;
     */
    void reduceByProduction332(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntentStmt> ::= <xLblDef> T_INTENT T_LPAREN <xIntentSpec> T_RPAREN <xIntentStmt@7> <xIntentParList> T_EOS  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production332UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XintentstmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xIntentParList> ::= <xIntentPar>  ;
     */
    void reduceByProduction333(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntentParList> ::= <xIntentPar>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production333UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XintentparlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xIntentParList> ::= <xIntentParList> T_COMMA <xIntentPar>  ;
     */
    void reduceByProduction334(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntentParList> ::= <xIntentParList> T_COMMA <xIntentPar>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production334UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XintentparlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xIntentPar> ::= <xDummyArgName>  ;
     */
    void reduceByProduction335(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntentPar> ::= <xDummyArgName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production335UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XintentparNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xOptionalStmt> ::= T_OPTIONAL <xOptionalParList> T_EOS  ;
     */
    void reduceByProduction336(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOptionalStmt> ::= T_OPTIONAL <xOptionalParList> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production336UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XoptionalstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xOptionalStmt> ::= T_OPTIONAL <xOptionalStmt@8> <xOptionalParList> T_EOS  ;
     */
    void reduceByProduction337(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOptionalStmt> ::= T_OPTIONAL <xOptionalStmt@8> <xOptionalParList> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production337UserAction(v1, v2, v3, v4, v5);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XoptionalstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xOptionalStmt> ::= <xLblDef> T_OPTIONAL <xOptionalParList> T_EOS  ;
     */
    void reduceByProduction338(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOptionalStmt> ::= <xLblDef> T_OPTIONAL <xOptionalParList> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production338UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XoptionalstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xOptionalStmt> ::= <xLblDef> T_OPTIONAL <xOptionalStmt@8> <xOptionalParList> T_EOS  ;
     */
    void reduceByProduction339(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOptionalStmt> ::= <xLblDef> T_OPTIONAL <xOptionalStmt@8> <xOptionalParList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production339UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XoptionalstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xOptionalParList> ::= <xOptionalPar>  ;
     */
    void reduceByProduction340(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOptionalParList> ::= <xOptionalPar>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production340UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XoptionalparlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xOptionalParList> ::= <xOptionalParList> T_COMMA <xOptionalPar>  ;
     */
    void reduceByProduction341(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOptionalParList> ::= <xOptionalParList> T_COMMA <xOptionalPar>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production341UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XoptionalparlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xOptionalPar> ::= <xDummyArgName>  ;
     */
    void reduceByProduction342(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOptionalPar> ::= <xDummyArgName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production342UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XoptionalparNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAccessStmt> ::= <xAccessSpec> <xAccessIdList> T_EOS  ;
     */
    void reduceByProduction343(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAccessStmt> ::= <xAccessSpec> <xAccessIdList> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production343UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XaccessstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAccessStmt> ::= <xAccessSpec> <xAccessStmt@9> <xAccessIdList> T_EOS  ;
     */
    void reduceByProduction344(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAccessStmt> ::= <xAccessSpec> <xAccessStmt@9> <xAccessIdList> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production344UserAction(v1, v2, v3, v4, v5);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XaccessstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xAccessStmt> ::= <xLblDef> <xAccessSpec> <xAccessIdList> T_EOS  ;
     */
    void reduceByProduction345(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAccessStmt> ::= <xLblDef> <xAccessSpec> <xAccessIdList> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production345UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XaccessstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xAccessStmt> ::= <xLblDef> <xAccessSpec> <xAccessStmt@9> <xAccessIdList> T_EOS  ;
     */
    void reduceByProduction346(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAccessStmt> ::= <xLblDef> <xAccessSpec> <xAccessStmt@9> <xAccessIdList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production346UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XaccessstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xAccessStmt> ::= <xAccessSpec> T_EOS  ;
     */
    void reduceByProduction347(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAccessStmt> ::= <xAccessSpec> T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production347UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XaccessstmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xAccessStmt> ::= <xLblDef> <xAccessSpec> T_EOS  ;
     */
    void reduceByProduction348(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAccessStmt> ::= <xLblDef> <xAccessSpec> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production348UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XaccessstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAccessIdList> ::= <xAccessId>  ;
     */
    void reduceByProduction349(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAccessIdList> ::= <xAccessId>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production349UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XaccessidlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAccessIdList> ::= <xAccessIdList> T_COMMA <xAccessId>  ;
     */
    void reduceByProduction350(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAccessIdList> ::= <xAccessIdList> T_COMMA <xAccessId>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production350UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XaccessidlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAccessId> ::= <xGenericName>  ;
     */
    void reduceByProduction351(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAccessId> ::= <xGenericName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production351UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XaccessidNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAccessId> ::= <xGenericSpec>  ;
     */
    void reduceByProduction352(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAccessId> ::= <xGenericSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production352UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XaccessidNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSaveStmt> ::= T_SAVE T_EOS  ;
     */
    void reduceByProduction353(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSaveStmt> ::= T_SAVE T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production353UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XsavestmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xSaveStmt> ::= <xLblDef> T_SAVE T_EOS  ;
     */
    void reduceByProduction354(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSaveStmt> ::= <xLblDef> T_SAVE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production354UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsavestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSaveStmt> ::= T_SAVE <xSavedEntityList> T_EOS  ;
     */
    void reduceByProduction355(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSaveStmt> ::= T_SAVE <xSavedEntityList> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production355UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsavestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSaveStmt> ::= T_SAVE <xSaveStmt@10> <xSavedEntityList> T_EOS  ;
     */
    void reduceByProduction356(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSaveStmt> ::= T_SAVE <xSaveStmt@10> <xSavedEntityList> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production356UserAction(v1, v2, v3, v4, v5);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XsavestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xSaveStmt> ::= <xLblDef> T_SAVE <xSavedEntityList> T_EOS  ;
     */
    void reduceByProduction357(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSaveStmt> ::= <xLblDef> T_SAVE <xSavedEntityList> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production357UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XsavestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xSaveStmt> ::= <xLblDef> T_SAVE <xSaveStmt@10> <xSavedEntityList> T_EOS  ;
     */
    void reduceByProduction358(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSaveStmt> ::= <xLblDef> T_SAVE <xSaveStmt@10> <xSavedEntityList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production358UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XsavestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xSavedEntityList> ::= <xSavedEntity>  ;
     */
    void reduceByProduction359(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSavedEntityList> ::= <xSavedEntity>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production359UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsavedentitylistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSavedEntityList> ::= <xSavedEntityList> T_COMMA <xSavedEntity>  ;
     */
    void reduceByProduction360(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSavedEntityList> ::= <xSavedEntityList> T_COMMA <xSavedEntity>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production360UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsavedentitylistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSavedEntity> ::= <xVariableName>  ;
     */
    void reduceByProduction361(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSavedEntity> ::= <xVariableName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production361UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsavedentityNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSavedEntity> ::= <xSavedCommonBlock>  ;
     */
    void reduceByProduction362(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSavedEntity> ::= <xSavedCommonBlock>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production362UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsavedentityNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSavedCommonBlock> ::= T_SLASH <xCommonBlockName> T_SLASH  ;
     */
    void reduceByProduction363(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSavedCommonBlock> ::= T_SLASH <xCommonBlockName> T_SLASH  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production363UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsavedcommonblockNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDimensionStmt> ::= T_DIMENSION <xArrayDeclaratorList> T_EOS  ;
     */
    void reduceByProduction364(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDimensionStmt> ::= T_DIMENSION <xArrayDeclaratorList> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production364UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XdimensionstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDimensionStmt> ::= T_DIMENSION <xDimensionStmt@11> <xArrayDeclaratorList> T_EOS  ;
     */
    void reduceByProduction365(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDimensionStmt> ::= T_DIMENSION <xDimensionStmt@11> <xArrayDeclaratorList> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production365UserAction(v1, v2, v3, v4, v5);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XdimensionstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xDimensionStmt> ::= <xLblDef> T_DIMENSION <xArrayDeclaratorList> T_EOS  ;
     */
    void reduceByProduction366(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDimensionStmt> ::= <xLblDef> T_DIMENSION <xArrayDeclaratorList> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production366UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XdimensionstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xDimensionStmt> ::= <xLblDef> T_DIMENSION <xDimensionStmt@11> <xArrayDeclaratorList> T_EOS  ;
     */
    void reduceByProduction367(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDimensionStmt> ::= <xLblDef> T_DIMENSION <xDimensionStmt@11> <xArrayDeclaratorList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production367UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XdimensionstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xArrayDeclaratorList> ::= <xArrayDeclarator>  ;
     */
    void reduceByProduction368(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArrayDeclaratorList> ::= <xArrayDeclarator>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production368UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XarraydeclaratorlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xArrayDeclaratorList> ::= <xArrayDeclaratorList> T_COMMA <xArrayDeclarator>  ;
     */
    void reduceByProduction369(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArrayDeclaratorList> ::= <xArrayDeclaratorList> T_COMMA <xArrayDeclarator>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production369UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XarraydeclaratorlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xArrayDeclarator> ::= <xVariableName> T_LPAREN <xArraySpec> T_RPAREN  ;
     */
    void reduceByProduction370(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArrayDeclarator> ::= <xVariableName> T_LPAREN <xArraySpec> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production370UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XarraydeclaratorNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xAllocatableStmt> ::= T_ALLOCATABLE <xArrayAllocationList> T_EOS  ;
     */
    void reduceByProduction371(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocatableStmt> ::= T_ALLOCATABLE <xArrayAllocationList> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production371UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XallocatablestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAllocatableStmt> ::= T_ALLOCATABLE <xAllocatableStmt@12> <xArrayAllocationList> T_EOS  ;
     */
    void reduceByProduction372(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocatableStmt> ::= T_ALLOCATABLE <xAllocatableStmt@12> <xArrayAllocationList> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production372UserAction(v1, v2, v3, v4, v5);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XallocatablestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xAllocatableStmt> ::= <xLblDef> T_ALLOCATABLE <xArrayAllocationList> T_EOS  ;
     */
    void reduceByProduction373(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocatableStmt> ::= <xLblDef> T_ALLOCATABLE <xArrayAllocationList> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production373UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XallocatablestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xAllocatableStmt> ::= <xLblDef> T_ALLOCATABLE <xAllocatableStmt@12> <xArrayAllocationList> T_EOS  ;
     */
    void reduceByProduction374(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocatableStmt> ::= <xLblDef> T_ALLOCATABLE <xAllocatableStmt@12> <xArrayAllocationList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production374UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XallocatablestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xArrayAllocationList> ::= <xArrayAllocation>  ;
     */
    void reduceByProduction375(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArrayAllocationList> ::= <xArrayAllocation>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production375UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XarrayallocationlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xArrayAllocationList> ::= <xArrayAllocationList> T_COMMA <xArrayAllocation>  ;
     */
    void reduceByProduction376(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArrayAllocationList> ::= <xArrayAllocationList> T_COMMA <xArrayAllocation>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production376UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XarrayallocationlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xArrayAllocation> ::= <xArrayName>  ;
     */
    void reduceByProduction377(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArrayAllocation> ::= <xArrayName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production377UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XarrayallocationNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xArrayAllocation> ::= <xArrayName> T_LPAREN <xDeferredShapeSpecList> T_RPAREN  ;
     */
    void reduceByProduction378(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArrayAllocation> ::= <xArrayName> T_LPAREN <xDeferredShapeSpecList> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production378UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XarrayallocationNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xPointerStmt> ::= T_POINTER <xPointerStmtObjectList> T_EOS  ;
     */
    void reduceByProduction379(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerStmt> ::= T_POINTER <xPointerStmtObjectList> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production379UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XpointerstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xPointerStmt> ::= T_POINTER <xPointerStmt@13> <xPointerStmtObjectList> T_EOS  ;
     */
    void reduceByProduction380(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerStmt> ::= T_POINTER <xPointerStmt@13> <xPointerStmtObjectList> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production380UserAction(v1, v2, v3, v4, v5);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XpointerstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xPointerStmt> ::= <xLblDef> T_POINTER <xPointerStmtObjectList> T_EOS  ;
     */
    void reduceByProduction381(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerStmt> ::= <xLblDef> T_POINTER <xPointerStmtObjectList> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production381UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XpointerstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xPointerStmt> ::= <xLblDef> T_POINTER <xPointerStmt@13> <xPointerStmtObjectList> T_EOS  ;
     */
    void reduceByProduction382(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerStmt> ::= <xLblDef> T_POINTER <xPointerStmt@13> <xPointerStmtObjectList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production382UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XpointerstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xPointerStmtObjectList> ::= <xPointerStmtObject>  ;
     */
    void reduceByProduction383(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerStmtObjectList> ::= <xPointerStmtObject>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production383UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XpointerstmtobjectlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPointerStmtObjectList> ::= <xPointerStmtObjectList> T_COMMA <xPointerStmtObject>  ;
     */
    void reduceByProduction384(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerStmtObjectList> ::= <xPointerStmtObjectList> T_COMMA <xPointerStmtObject>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production384UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XpointerstmtobjectlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xPointerStmtObject> ::= <xPointerName>  ;
     */
    void reduceByProduction385(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerStmtObject> ::= <xPointerName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production385UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XpointerstmtobjectNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPointerStmtObject> ::= <xPointerName> T_LPAREN <xDeferredShapeSpecList> T_RPAREN  ;
     */
    void reduceByProduction386(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerStmtObject> ::= <xPointerName> T_LPAREN <xDeferredShapeSpecList> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production386UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XpointerstmtobjectNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xPointerName> ::= T_IDENT  ;
     */
    void reduceByProduction387(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production387UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XpointernameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xTargetStmt> ::= T_TARGET <xTargetObjectList> T_EOS  ;
     */
    void reduceByProduction388(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTargetStmt> ::= T_TARGET <xTargetObjectList> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production388UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XtargetstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xTargetStmt> ::= T_TARGET <xTargetStmt@14> <xTargetObjectList> T_EOS  ;
     */
    void reduceByProduction389(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTargetStmt> ::= T_TARGET <xTargetStmt@14> <xTargetObjectList> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production389UserAction(v1, v2, v3, v4, v5);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XtargetstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xTargetStmt> ::= <xLblDef> T_TARGET <xTargetObjectList> T_EOS  ;
     */
    void reduceByProduction390(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTargetStmt> ::= <xLblDef> T_TARGET <xTargetObjectList> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production390UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XtargetstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xTargetStmt> ::= <xLblDef> T_TARGET <xTargetStmt@14> <xTargetObjectList> T_EOS  ;
     */
    void reduceByProduction391(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTargetStmt> ::= <xLblDef> T_TARGET <xTargetStmt@14> <xTargetObjectList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production391UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XtargetstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xTargetObjectList> ::= <xTargetObject>  ;
     */
    void reduceByProduction392(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTargetObjectList> ::= <xTargetObject>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production392UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XtargetobjectlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xTargetObjectList> ::= <xTargetObjectList> T_COMMA <xTargetObject>  ;
     */
    void reduceByProduction393(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTargetObjectList> ::= <xTargetObjectList> T_COMMA <xTargetObject>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production393UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XtargetobjectlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xTargetObject> ::= <xTargetName>  ;
     */
    void reduceByProduction394(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTargetObject> ::= <xTargetName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production394UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XtargetobjectNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xTargetObject> ::= <xTargetName> T_LPAREN <xArraySpec> T_RPAREN  ;
     */
    void reduceByProduction395(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTargetObject> ::= <xTargetName> T_LPAREN <xArraySpec> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production395UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XtargetobjectNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xTargetName> ::= T_IDENT  ;
     */
    void reduceByProduction396(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTargetName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production396UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XtargetnameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xParameterStmt> ::= T_PARAMETER T_LPAREN <xNamedConstantDefList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction397(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xParameterStmt> ::= T_PARAMETER T_LPAREN <xNamedConstantDefList> T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production397UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XparameterstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xParameterStmt> ::= <xLblDef> T_PARAMETER T_LPAREN <xNamedConstantDefList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction398(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xParameterStmt> ::= <xLblDef> T_PARAMETER T_LPAREN <xNamedConstantDefList> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production398UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XparameterstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xNamedConstantDefList> ::= <xNamedConstantDef>  ;
     */
    void reduceByProduction399(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xNamedConstantDefList> ::= <xNamedConstantDef>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production399UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XnamedconstantdeflistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xNamedConstantDefList> ::= <xNamedConstantDefList> T_COMMA <xNamedConstantDef>  ;
     */
    void reduceByProduction400(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xNamedConstantDefList> ::= <xNamedConstantDefList> T_COMMA <xNamedConstantDef>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production400UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XnamedconstantdeflistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xNamedConstantDef> ::= <xNamedConstant> T_EQUALS <xExpr>  ;
     */
    void reduceByProduction401(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xNamedConstantDef> ::= <xNamedConstant> T_EQUALS <xExpr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production401UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XnamedconstantdefNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDataStmt> ::= T_DATA <xDatalist> T_EOS  ;
     */
    void reduceByProduction402(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataStmt> ::= T_DATA <xDatalist> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production402UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XdatastmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDataStmt> ::= <xLblDef> T_DATA <xDatalist> T_EOS  ;
     */
    void reduceByProduction403(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataStmt> ::= <xLblDef> T_DATA <xDatalist> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production403UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XdatastmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xDatalist> ::= <xDataStmtSet>  ;
     */
    void reduceByProduction404(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDatalist> ::= <xDataStmtSet>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production404UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdatalistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDatalist> ::= <xDatalist> <xDataStmtSet>  ;
     */
    void reduceByProduction405(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDatalist> ::= <xDatalist> <xDataStmtSet>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production405UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XdatalistNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xDatalist> ::= <xDatalist> T_COMMA <xDataStmtSet>  ;
     */
    void reduceByProduction406(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDatalist> ::= <xDatalist> T_COMMA <xDataStmtSet>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production406UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XdatalistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDataStmtSet> ::= <xDataStmtObjectList> T_SLASH <xDataStmtValueList> T_SLASH  ;
     */
    void reduceByProduction407(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataStmtSet> ::= <xDataStmtObjectList> T_SLASH <xDataStmtValueList> T_SLASH  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production407UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XdatastmtsetNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xDataStmtObjectList> ::= <xDataStmtObject>  ;
     */
    void reduceByProduction408(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataStmtObjectList> ::= <xDataStmtObject>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production408UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdatastmtobjectlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDataStmtObjectList> ::= <xDataStmtObjectList> T_COMMA <xDataStmtObject>  ;
     */
    void reduceByProduction409(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataStmtObjectList> ::= <xDataStmtObjectList> T_COMMA <xDataStmtObject>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production409UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XdatastmtobjectlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDataStmtObject> ::= <xVariable>  ;
     */
    void reduceByProduction410(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataStmtObject> ::= <xVariable>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production410UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdatastmtobjectNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDataStmtObject> ::= <xDataImpliedDo>  ;
     */
    void reduceByProduction411(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataStmtObject> ::= <xDataImpliedDo>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production411UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdatastmtobjectNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDataImpliedDo> ::= T_LPAREN <xDataIDoObjectList> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_RPAREN  ;
     */
    void reduceByProduction412(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataImpliedDo> ::= T_LPAREN <xDataIDoObjectList> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_RPAREN  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production412UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XdataimplieddoNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xDataImpliedDo> ::= T_LPAREN <xDataIDoObjectList> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_COMMA <xExpr> T_RPAREN  ;
     */
    void reduceByProduction413(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataImpliedDo> ::= T_LPAREN <xDataIDoObjectList> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_COMMA <xExpr> T_RPAREN  ;
        Token v11 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v10 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production413UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11);

        // The production has 11 symbols on its RHS
        parser.reduce(Nonterminal.XdataimplieddoNonterminal.getInstance(), 11, userValue);
    }

    /**
     * Reduce by <xDataIDoObjectList> ::= <xDataIDoObject>  ;
     */
    void reduceByProduction414(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataIDoObjectList> ::= <xDataIDoObject>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production414UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdataidoobjectlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDataIDoObjectList> ::= <xDataIDoObjectList> T_COMMA <xDataIDoObject>  ;
     */
    void reduceByProduction415(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataIDoObjectList> ::= <xDataIDoObjectList> T_COMMA <xDataIDoObject>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production415UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XdataidoobjectlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDataIDoObject> ::= <xArrayElement>  ;
     */
    void reduceByProduction416(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataIDoObject> ::= <xArrayElement>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production416UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdataidoobjectNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDataIDoObject> ::= <xDataImpliedDo>  ;
     */
    void reduceByProduction417(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataIDoObject> ::= <xDataImpliedDo>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production417UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdataidoobjectNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDataIDoObject> ::= <xStructureComponent>  ;
     */
    void reduceByProduction418(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataIDoObject> ::= <xStructureComponent>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production418UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdataidoobjectNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDataStmtValueList> ::= <xDataStmtValue>  ;
     */
    void reduceByProduction419(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataStmtValueList> ::= <xDataStmtValue>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production419UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdatastmtvaluelistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDataStmtValueList> ::= <xDataStmtValueList> T_COMMA <xDataStmtValue>  ;
     */
    void reduceByProduction420(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataStmtValueList> ::= <xDataStmtValueList> T_COMMA <xDataStmtValue>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production420UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XdatastmtvaluelistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDataStmtValue> ::= <xDataStmtConstant>  ;
     */
    void reduceByProduction421(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataStmtValue> ::= <xDataStmtConstant>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production421UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdatastmtvalueNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDataStmtValue> ::= T_ICON T_ASTERISK <xDataStmtConstant>  ;
     */
    void reduceByProduction422(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataStmtValue> ::= T_ICON T_ASTERISK <xDataStmtConstant>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production422UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XdatastmtvalueNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDataStmtValue> ::= <xNamedConstantUse> T_ASTERISK <xDataStmtConstant>  ;
     */
    void reduceByProduction423(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataStmtValue> ::= <xNamedConstantUse> T_ASTERISK <xDataStmtConstant>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production423UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XdatastmtvalueNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDataStmtConstant> ::= <xConstant>  ;
     */
    void reduceByProduction424(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataStmtConstant> ::= <xConstant>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production424UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdatastmtconstantNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDataStmtConstant> ::= T_NULL T_LPAREN T_RPAREN  ;
     */
    void reduceByProduction425(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataStmtConstant> ::= T_NULL T_LPAREN T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production425UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XdatastmtconstantNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <T_xImplicitStmt> ::= T_IMPLICIT <T_xImplicitSpecList> T_EOS  ;
     */
    void reduceByProduction426(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <T_xImplicitStmt> ::= T_IMPLICIT <T_xImplicitSpecList> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production426UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.TXimplicitstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <T_xImplicitStmt> ::= <xLblDef> T_IMPLICIT <T_xImplicitSpecList> T_EOS  ;
     */
    void reduceByProduction427(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <T_xImplicitStmt> ::= <xLblDef> T_IMPLICIT <T_xImplicitSpecList> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production427UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.TXimplicitstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <T_xImplicitStmt> ::= T_IMPLICIT T_NONE T_EOS  ;
     */
    void reduceByProduction428(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <T_xImplicitStmt> ::= T_IMPLICIT T_NONE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production428UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.TXimplicitstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <T_xImplicitStmt> ::= <xLblDef> T_IMPLICIT T_NONE T_EOS  ;
     */
    void reduceByProduction429(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <T_xImplicitStmt> ::= <xLblDef> T_IMPLICIT T_NONE T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production429UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.TXimplicitstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <T_xImplicitSpecList> ::= <T_xImplicitSpec>  ;
     */
    void reduceByProduction430(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <T_xImplicitSpecList> ::= <T_xImplicitSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production430UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.TXimplicitspeclistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <T_xImplicitSpecList> ::= <T_xImplicitSpecList> T_COMMA <T_xImplicitSpec>  ;
     */
    void reduceByProduction431(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <T_xImplicitSpecList> ::= <T_xImplicitSpecList> T_COMMA <T_xImplicitSpec>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production431UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.TXimplicitspeclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <T_xImplicitSpec> ::= <xTypeSpec> T_xImpl  ;
     */
    void reduceByProduction432(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <T_xImplicitSpec> ::= <xTypeSpec> T_xImpl  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production432UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.TXimplicitspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xNamelistStmt> ::= T_NAMELIST <xNamelistGroups> T_EOS  ;
     */
    void reduceByProduction433(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xNamelistStmt> ::= T_NAMELIST <xNamelistGroups> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production433UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XnameliststmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xNamelistStmt> ::= <xLblDef> T_NAMELIST <xNamelistGroups> T_EOS  ;
     */
    void reduceByProduction434(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xNamelistStmt> ::= <xLblDef> T_NAMELIST <xNamelistGroups> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production434UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XnameliststmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xNamelistGroups> ::= T_SLASH <xNamelistGroupName> T_SLASH <xNamelistGroupObject>  ;
     */
    void reduceByProduction435(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xNamelistGroups> ::= T_SLASH <xNamelistGroupName> T_SLASH <xNamelistGroupObject>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production435UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XnamelistgroupsNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xNamelistGroups> ::= <xNamelistGroups> T_SLASH <xNamelistGroupName> T_SLASH <xNamelistGroupObject>  ;
     */
    void reduceByProduction436(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xNamelistGroups> ::= <xNamelistGroups> T_SLASH <xNamelistGroupName> T_SLASH <xNamelistGroupObject>  ;
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production436UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XnamelistgroupsNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xNamelistGroups> ::= <xNamelistGroups> T_COMMA T_SLASH <xNamelistGroupName> T_SLASH <xNamelistGroupObject>  ;
     */
    void reduceByProduction437(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xNamelistGroups> ::= <xNamelistGroups> T_COMMA T_SLASH <xNamelistGroupName> T_SLASH <xNamelistGroupObject>  ;
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production437UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XnamelistgroupsNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xNamelistGroups> ::= <xNamelistGroups> T_COMMA <xNamelistGroupObject>  ;
     */
    void reduceByProduction438(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xNamelistGroups> ::= <xNamelistGroups> T_COMMA <xNamelistGroupObject>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production438UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XnamelistgroupsNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xNamelistGroupObject> ::= <xVariableName>  ;
     */
    void reduceByProduction439(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xNamelistGroupObject> ::= <xVariableName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production439UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XnamelistgroupobjectNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEquivalenceStmt> ::= T_EQUIVALENCE <xEquivalenceSetList> T_EOS  ;
     */
    void reduceByProduction440(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEquivalenceStmt> ::= T_EQUIVALENCE <xEquivalenceSetList> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production440UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XequivalencestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEquivalenceStmt> ::= <xLblDef> T_EQUIVALENCE <xEquivalenceSetList> T_EOS  ;
     */
    void reduceByProduction441(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEquivalenceStmt> ::= <xLblDef> T_EQUIVALENCE <xEquivalenceSetList> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production441UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XequivalencestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEquivalenceSetList> ::= <xEquivalenceSet>  ;
     */
    void reduceByProduction442(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEquivalenceSetList> ::= <xEquivalenceSet>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production442UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XequivalencesetlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEquivalenceSetList> ::= <xEquivalenceSetList> T_COMMA <xEquivalenceSet>  ;
     */
    void reduceByProduction443(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEquivalenceSetList> ::= <xEquivalenceSetList> T_COMMA <xEquivalenceSet>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production443UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XequivalencesetlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEquivalenceSet> ::= T_LPAREN <xEquivalenceObject> T_COMMA <xEquivalenceObjectList> T_RPAREN  ;
     */
    void reduceByProduction444(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEquivalenceSet> ::= T_LPAREN <xEquivalenceObject> T_COMMA <xEquivalenceObjectList> T_RPAREN  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production444UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XequivalencesetNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xEquivalenceObjectList> ::= <xEquivalenceObject>  ;
     */
    void reduceByProduction445(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEquivalenceObjectList> ::= <xEquivalenceObject>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production445UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XequivalenceobjectlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEquivalenceObjectList> ::= <xEquivalenceObjectList> T_COMMA <xEquivalenceObject>  ;
     */
    void reduceByProduction446(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEquivalenceObjectList> ::= <xEquivalenceObjectList> T_COMMA <xEquivalenceObject>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production446UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XequivalenceobjectlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEquivalenceObject> ::= <xVariable>  ;
     */
    void reduceByProduction447(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEquivalenceObject> ::= <xVariable>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production447UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XequivalenceobjectNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCommonStmt> ::= T_COMMON <xComlist> T_EOS  ;
     */
    void reduceByProduction448(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCommonStmt> ::= T_COMMON <xComlist> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production448UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcommonstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xCommonStmt> ::= <xLblDef> T_COMMON <xComlist> T_EOS  ;
     */
    void reduceByProduction449(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCommonStmt> ::= <xLblDef> T_COMMON <xComlist> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production449UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XcommonstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xComlist> ::= <xCommonBlockObject>  ;
     */
    void reduceByProduction450(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComlist> ::= <xCommonBlockObject>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production450UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcomlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xComlist> ::= <xComblock> <xCommonBlockObject>  ;
     */
    void reduceByProduction451(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComlist> ::= <xComblock> <xCommonBlockObject>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production451UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XcomlistNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xComlist> ::= <xComlist> T_COMMA <xCommonBlockObject>  ;
     */
    void reduceByProduction452(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComlist> ::= <xComlist> T_COMMA <xCommonBlockObject>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production452UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcomlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xComlist> ::= <xComlist> <xComblock> <xCommonBlockObject>  ;
     */
    void reduceByProduction453(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComlist> ::= <xComlist> <xComblock> <xCommonBlockObject>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production453UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcomlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xComlist> ::= <xComlist> T_COMMA <xComblock> <xCommonBlockObject>  ;
     */
    void reduceByProduction454(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComlist> ::= <xComlist> T_COMMA <xComblock> <xCommonBlockObject>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production454UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XcomlistNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xComblock> ::= T_SLASH T_SLASH  ;
     */
    void reduceByProduction455(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComblock> ::= T_SLASH T_SLASH  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production455UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XcomblockNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xComblock> ::= T_SLASH <xCommonBlockName> T_SLASH  ;
     */
    void reduceByProduction456(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComblock> ::= T_SLASH <xCommonBlockName> T_SLASH  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production456UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcomblockNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xCommonBlockObject> ::= <xVariableName>  ;
     */
    void reduceByProduction457(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCommonBlockObject> ::= <xVariableName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production457UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcommonblockobjectNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCommonBlockObject> ::= <xArrayDeclarator>  ;
     */
    void reduceByProduction458(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCommonBlockObject> ::= <xArrayDeclarator>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production458UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcommonblockobjectNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xVariable> ::= <xDataRef>  ;
     */
    void reduceByProduction459(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xVariable> ::= <xDataRef>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production459UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XvariableNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xVariable> ::= <xDataRef> <xVariable@15>  ;
     */
    void reduceByProduction460(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xVariable> ::= <xDataRef> <xVariable@15>  ;
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production460UserAction(v1, v2, v3, v4, v5);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XvariableNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xVariable> ::= <xSubstrConst>  ;
     */
    void reduceByProduction461(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xVariable> ::= <xSubstrConst>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production461UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XvariableNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSubstrConst> ::= T_SCON <xSubstringRange>  ;
     */
    void reduceByProduction462(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubstrConst> ::= T_SCON <xSubstringRange>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production462UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XsubstrconstNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xVariableName> ::= T_IDENT  ;
     */
    void reduceByProduction463(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xVariableName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production463UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XvariablenameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xScalarVariable> ::= <xVariableName>  ;
     */
    void reduceByProduction464(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xScalarVariable> ::= <xVariableName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production464UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XscalarvariableNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xScalarVariable> ::= <xArrayElement>  ;
     */
    void reduceByProduction465(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xScalarVariable> ::= <xArrayElement>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production465UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XscalarvariableNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSubstringRange> ::= T_LPAREN <xSubscriptTriplet> T_RPAREN  ;
     */
    void reduceByProduction466(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubstringRange> ::= T_LPAREN <xSubscriptTriplet> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production466UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsubstringrangeNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDataRef> ::= <xName>  ;
     */
    void reduceByProduction467(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataRef> ::= <xName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production467UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdatarefNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDataRef> ::= <xDataRef> T_PERCENT <xName>  ;
     */
    void reduceByProduction468(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataRef> ::= <xDataRef> T_PERCENT <xName>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production468UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XdatarefNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDataRef> ::= <xDataRef> <xDataRef@17> T_PERCENT <xName>  ;
     */
    void reduceByProduction469(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataRef> ::= <xDataRef> <xDataRef@17> T_PERCENT <xName>  ;
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production469UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XdatarefNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xSFDataRef> ::= <xName> T_PERCENT <xName>  ;
     */
    void reduceByProduction470(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFDataRef> ::= <xName> T_PERCENT <xName>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production470UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsfdatarefNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSFDataRef> ::= <xName> T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction471(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFDataRef> ::= <xName> T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production471UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XsfdatarefNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xSFDataRef> ::= <xSFDataRef> T_PERCENT <xName>  ;
     */
    void reduceByProduction472(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFDataRef> ::= <xSFDataRef> T_PERCENT <xName>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production472UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsfdatarefNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSFDataRef> ::= <xSFDataRef> <xSFDataRef@18> T_PERCENT <xName>  ;
     */
    void reduceByProduction473(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFDataRef> ::= <xSFDataRef> <xSFDataRef@18> T_PERCENT <xName>  ;
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production473UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XsfdatarefNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xStructureComponent> ::= <xVariableName> <xFieldSelector>  ;
     */
    void reduceByProduction474(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xStructureComponent> ::= <xVariableName> <xFieldSelector>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production474UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XstructurecomponentNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xStructureComponent> ::= <xStructureComponent> <xFieldSelector>  ;
     */
    void reduceByProduction475(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xStructureComponent> ::= <xStructureComponent> <xFieldSelector>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production475UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XstructurecomponentNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xFieldSelector> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN T_PERCENT <xName>  ;
     */
    void reduceByProduction476(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFieldSelector> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN T_PERCENT <xName>  ;
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production476UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XfieldselectorNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xFieldSelector> ::= T_PERCENT <xName>  ;
     */
    void reduceByProduction477(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFieldSelector> ::= T_PERCENT <xName>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production477UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XfieldselectorNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xArrayElement> ::= <xVariableName> T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction478(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArrayElement> ::= <xVariableName> T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production478UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XarrayelementNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xArrayElement> ::= <xStructureComponent> T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction479(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArrayElement> ::= <xStructureComponent> T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production479UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XarrayelementNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xSubscript> ::= <xExpr>  ;
     */
    void reduceByProduction480(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubscript> ::= <xExpr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production480UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsubscriptNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSectionSubscriptList> ::= <xSectionSubscript>  ;
     */
    void reduceByProduction481(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSectionSubscriptList> ::= <xSectionSubscript>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production481UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsectionsubscriptlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSectionSubscriptList> ::= <xSectionSubscriptList> T_COMMA <xSectionSubscript>  ;
     */
    void reduceByProduction482(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSectionSubscriptList> ::= <xSectionSubscriptList> T_COMMA <xSectionSubscript>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production482UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsectionsubscriptlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSectionSubscript> ::= <xExpr>  ;
     */
    void reduceByProduction483(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSectionSubscript> ::= <xExpr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production483UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsectionsubscriptNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSectionSubscript> ::= <xSubscriptTriplet>  ;
     */
    void reduceByProduction484(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSectionSubscript> ::= <xSubscriptTriplet>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production484UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsectionsubscriptNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSubscriptTriplet> ::= T_COLON  ;
     */
    void reduceByProduction485(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubscriptTriplet> ::= T_COLON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production485UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsubscripttripletNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSubscriptTriplet> ::= T_COLON <xExpr>  ;
     */
    void reduceByProduction486(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubscriptTriplet> ::= T_COLON <xExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production486UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XsubscripttripletNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xSubscriptTriplet> ::= <xExpr> T_COLON  ;
     */
    void reduceByProduction487(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubscriptTriplet> ::= <xExpr> T_COLON  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production487UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XsubscripttripletNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xSubscriptTriplet> ::= <xExpr> T_COLON <xExpr>  ;
     */
    void reduceByProduction488(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubscriptTriplet> ::= <xExpr> T_COLON <xExpr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production488UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsubscripttripletNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSubscriptTriplet> ::= <xExpr> T_COLON <xExpr> T_COLON <xExpr>  ;
     */
    void reduceByProduction489(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubscriptTriplet> ::= <xExpr> T_COLON <xExpr> T_COLON <xExpr>  ;
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production489UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XsubscripttripletNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xSubscriptTriplet> ::= <xExpr> T_COLON T_COLON <xExpr>  ;
     */
    void reduceByProduction490(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubscriptTriplet> ::= <xExpr> T_COLON T_COLON <xExpr>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production490UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XsubscripttripletNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xSubscriptTriplet> ::= T_COLON <xExpr> T_COLON <xExpr>  ;
     */
    void reduceByProduction491(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubscriptTriplet> ::= T_COLON <xExpr> T_COLON <xExpr>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production491UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XsubscripttripletNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xSubscriptTriplet> ::= T_COLON T_COLON <xExpr>  ;
     */
    void reduceByProduction492(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubscriptTriplet> ::= T_COLON T_COLON <xExpr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production492UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsubscripttripletNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAllocateStmt> ::= T_ALLOCATE T_LPAREN <xAllocationList> T_COMMA T_STATEQ <xVariable> T_RPAREN T_EOS  ;
     */
    void reduceByProduction493(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocateStmt> ::= T_ALLOCATE T_LPAREN <xAllocationList> T_COMMA T_STATEQ <xVariable> T_RPAREN T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production493UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XallocatestmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xAllocateStmt> ::= <xLblDef> T_ALLOCATE T_LPAREN <xAllocationList> T_COMMA T_STATEQ <xVariable> T_RPAREN T_EOS  ;
     */
    void reduceByProduction494(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocateStmt> ::= <xLblDef> T_ALLOCATE T_LPAREN <xAllocationList> T_COMMA T_STATEQ <xVariable> T_RPAREN T_EOS  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production494UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XallocatestmtNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xAllocateStmt> ::= T_ALLOCATE T_LPAREN <xAllocationList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction495(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocateStmt> ::= T_ALLOCATE T_LPAREN <xAllocationList> T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production495UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XallocatestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xAllocateStmt> ::= <xLblDef> T_ALLOCATE T_LPAREN <xAllocationList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction496(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocateStmt> ::= <xLblDef> T_ALLOCATE T_LPAREN <xAllocationList> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production496UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XallocatestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xAllocationList> ::= <xAllocation>  ;
     */
    void reduceByProduction497(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocationList> ::= <xAllocation>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production497UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XallocationlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAllocationList> ::= <xAllocationList> T_COMMA <xAllocation>  ;
     */
    void reduceByProduction498(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocationList> ::= <xAllocationList> T_COMMA <xAllocation>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production498UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XallocationlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAllocation> ::= <xAllocateObject>  ;
     */
    void reduceByProduction499(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocation> ::= <xAllocateObject>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production499UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XallocationNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAllocation> ::= <xAllocateObject> <xAllocatedShape>  ;
     */
    void reduceByProduction500(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocation> ::= <xAllocateObject> <xAllocatedShape>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production500UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XallocationNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xAllocatedShape> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction501(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocatedShape> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production501UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XallocatedshapeNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAllocateObjectList> ::= <xAllocateObject>  ;
     */
    void reduceByProduction502(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocateObjectList> ::= <xAllocateObject>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production502UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XallocateobjectlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAllocateObjectList> ::= <xAllocateObjectList> T_COMMA <xAllocateObject>  ;
     */
    void reduceByProduction503(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocateObjectList> ::= <xAllocateObjectList> T_COMMA <xAllocateObject>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production503UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XallocateobjectlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAllocateObject> ::= <xVariableName>  ;
     */
    void reduceByProduction504(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocateObject> ::= <xVariableName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production504UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XallocateobjectNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAllocateObject> ::= <xAllocateObject> <xFieldSelector>  ;
     */
    void reduceByProduction505(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocateObject> ::= <xAllocateObject> <xFieldSelector>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production505UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XallocateobjectNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xNullifyStmt> ::= T_NULLIFY T_LPAREN <xPointerObjectList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction506(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xNullifyStmt> ::= T_NULLIFY T_LPAREN <xPointerObjectList> T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production506UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XnullifystmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xNullifyStmt> ::= <xLblDef> T_NULLIFY T_LPAREN <xPointerObjectList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction507(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xNullifyStmt> ::= <xLblDef> T_NULLIFY T_LPAREN <xPointerObjectList> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production507UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XnullifystmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xPointerObjectList> ::= <xPointerObject>  ;
     */
    void reduceByProduction508(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerObjectList> ::= <xPointerObject>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production508UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XpointerobjectlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPointerObjectList> ::= <xPointerObjectList> T_COMMA <xPointerObject>  ;
     */
    void reduceByProduction509(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerObjectList> ::= <xPointerObjectList> T_COMMA <xPointerObject>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production509UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XpointerobjectlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xPointerObject> ::= <xName>  ;
     */
    void reduceByProduction510(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerObject> ::= <xName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production510UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XpointerobjectNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPointerObject> ::= <xPointerField>  ;
     */
    void reduceByProduction511(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerObject> ::= <xPointerField>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production511UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XpointerobjectNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPointerField> ::= <xName> T_LPAREN <xSFExprList> T_RPAREN T_PERCENT <xName>  ;
     */
    void reduceByProduction512(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerField> ::= <xName> T_LPAREN <xSFExprList> T_RPAREN T_PERCENT <xName>  ;
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production512UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XpointerfieldNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xPointerField> ::= <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN T_PERCENT <xName>  ;
     */
    void reduceByProduction513(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerField> ::= <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN T_PERCENT <xName>  ;
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production513UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XpointerfieldNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xPointerField> ::= <xName> T_PERCENT <xName>  ;
     */
    void reduceByProduction514(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerField> ::= <xName> T_PERCENT <xName>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production514UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XpointerfieldNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xPointerField> ::= <xPointerField> <xFieldSelector>  ;
     */
    void reduceByProduction515(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerField> ::= <xPointerField> <xFieldSelector>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production515UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XpointerfieldNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xDeallocateStmt> ::= T_DEALLOCATE T_LPAREN <xAllocateObjectList> T_COMMA T_STATEQ <xVariable> T_RPAREN T_EOS  ;
     */
    void reduceByProduction516(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDeallocateStmt> ::= T_DEALLOCATE T_LPAREN <xAllocateObjectList> T_COMMA T_STATEQ <xVariable> T_RPAREN T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production516UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XdeallocatestmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xDeallocateStmt> ::= <xLblDef> T_DEALLOCATE T_LPAREN <xAllocateObjectList> T_COMMA T_STATEQ <xVariable> T_RPAREN T_EOS  ;
     */
    void reduceByProduction517(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDeallocateStmt> ::= <xLblDef> T_DEALLOCATE T_LPAREN <xAllocateObjectList> T_COMMA T_STATEQ <xVariable> T_RPAREN T_EOS  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production517UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XdeallocatestmtNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xDeallocateStmt> ::= T_DEALLOCATE T_LPAREN <xAllocateObjectList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction518(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDeallocateStmt> ::= T_DEALLOCATE T_LPAREN <xAllocateObjectList> T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production518UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XdeallocatestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xDeallocateStmt> ::= <xLblDef> T_DEALLOCATE T_LPAREN <xAllocateObjectList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction519(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDeallocateStmt> ::= <xLblDef> T_DEALLOCATE T_LPAREN <xAllocateObjectList> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production519UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XdeallocatestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xPrimary> ::= <xLogicalConstant>  ;
     */
    void reduceByProduction520(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary> ::= <xLogicalConstant>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production520UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPrimary> ::= T_SCON  ;
     */
    void reduceByProduction521(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary> ::= T_SCON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production521UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPrimary> ::= <xUnsignedArithmeticConstant>  ;
     */
    void reduceByProduction522(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary> ::= <xUnsignedArithmeticConstant>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production522UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPrimary> ::= <xArrayConstructor>  ;
     */
    void reduceByProduction523(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary> ::= <xArrayConstructor>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production523UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPrimary> ::= <xName>  ;
     */
    void reduceByProduction524(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary> ::= <xName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production524UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPrimary> ::= <xName> <xPrimary@19>  ;
     */
    void reduceByProduction525(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary> ::= <xName> <xPrimary@19>  ;
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production525UserAction(v1, v2, v3, v4, v5);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XprimaryNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xPrimary> ::= <xName> T_PERCENT <xDataRef>  ;
     */
    void reduceByProduction526(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary> ::= <xName> T_PERCENT <xDataRef>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production526UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XprimaryNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xPrimary> ::= <xName> T_PERCENT <xDataRef> <xPrimary@21>  ;
     */
    void reduceByProduction527(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary> ::= <xName> T_PERCENT <xDataRef> <xPrimary@21>  ;
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production527UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XprimaryNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xPrimary> ::= <xName> T_LPAREN <xSectionSubscriptList> T_RPAREN T_PERCENT <xDataRef>  ;
     */
    void reduceByProduction528(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary> ::= <xName> T_LPAREN <xSectionSubscriptList> T_RPAREN T_PERCENT <xDataRef>  ;
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production528UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XprimaryNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xPrimary> ::= <xName> T_LPAREN <xSectionSubscriptList> T_RPAREN T_PERCENT <xDataRef> <xPrimary@23>  ;
     */
    void reduceByProduction529(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary> ::= <xName> T_LPAREN <xSectionSubscriptList> T_RPAREN T_PERCENT <xDataRef> <xPrimary@23>  ;
        ParseTreeNode v10 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production529UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XprimaryNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xPrimary> ::= <xFunctionReference>  ;
     */
    void reduceByProduction530(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary> ::= <xFunctionReference>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production530UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPrimary> ::= <xFunctionReference> <xPrimary@25>  ;
     */
    void reduceByProduction531(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary> ::= <xFunctionReference> <xPrimary@25>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production531UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XprimaryNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xPrimary> ::= <xFunctionReference> T_PERCENT <xDataRef>  ;
     */
    void reduceByProduction532(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary> ::= <xFunctionReference> T_PERCENT <xDataRef>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production532UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XprimaryNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xPrimary> ::= <xFunctionReference> T_PERCENT <xDataRef> <xPrimary@26>  ;
     */
    void reduceByProduction533(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary> ::= <xFunctionReference> T_PERCENT <xDataRef> <xPrimary@26>  ;
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production533UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XprimaryNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xPrimary> ::= T_LPAREN <xExpr> T_RPAREN  ;
     */
    void reduceByProduction534(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary> ::= T_LPAREN <xExpr> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production534UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XprimaryNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xPrimary> ::= <xSubstrConst>  ;
     */
    void reduceByProduction535(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary> ::= <xSubstrConst>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production535UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCPrimary> ::= <xCOperand>  ;
     */
    void reduceByProduction536(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCPrimary> ::= <xCOperand>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production536UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCPrimary> ::= T_LPAREN <xCExpr> T_RPAREN  ;
     */
    void reduceByProduction537(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCPrimary> ::= T_LPAREN <xCExpr> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production537UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcprimaryNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xCOperand> ::= T_SCON  ;
     */
    void reduceByProduction538(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCOperand> ::= T_SCON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production538UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcoperandNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCOperand> ::= <xName>  ;
     */
    void reduceByProduction539(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCOperand> ::= <xName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production539UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcoperandNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCOperand> ::= <xName> <xCOperand@28>  ;
     */
    void reduceByProduction540(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCOperand> ::= <xName> <xCOperand@28>  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production540UserAction(v1, v2, v3, v4);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XcoperandNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xCOperand> ::= <xName> T_PERCENT <xDataRef>  ;
     */
    void reduceByProduction541(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCOperand> ::= <xName> T_PERCENT <xDataRef>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production541UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcoperandNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xCOperand> ::= <xName> T_PERCENT <xDataRef> <xCOperand@30>  ;
     */
    void reduceByProduction542(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCOperand> ::= <xName> T_PERCENT <xDataRef> <xCOperand@30>  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production542UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XcoperandNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xCOperand> ::= <xName> <xCOperand@29> T_PERCENT <xDataRef>  ;
     */
    void reduceByProduction543(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCOperand> ::= <xName> <xCOperand@29> T_PERCENT <xDataRef>  ;
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production543UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XcoperandNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xCOperand> ::= <xName> <xCOperand@29> T_PERCENT <xDataRef> <xCOperand@30>  ;
     */
    void reduceByProduction544(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCOperand> ::= <xName> <xCOperand@29> T_PERCENT <xDataRef> <xCOperand@30>  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production544UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XcoperandNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xCOperand> ::= <xFunctionReference>  ;
     */
    void reduceByProduction545(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCOperand> ::= <xFunctionReference>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production545UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcoperandNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xUFPrimary> ::= T_ICON  ;
     */
    void reduceByProduction546(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary> ::= T_ICON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production546UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XufprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xUFPrimary> ::= T_SCON  ;
     */
    void reduceByProduction547(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary> ::= T_SCON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production547UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XufprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xUFPrimary> ::= <xFunctionReference>  ;
     */
    void reduceByProduction548(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary> ::= <xFunctionReference>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production548UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XufprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xUFPrimary> ::= <xName>  ;
     */
    void reduceByProduction549(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary> ::= <xName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production549UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XufprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xUFPrimary> ::= <xName> <xUFPrimary@31>  ;
     */
    void reduceByProduction550(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary> ::= <xName> <xUFPrimary@31>  ;
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production550UserAction(v1, v2, v3, v4, v5);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XufprimaryNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xUFPrimary> ::= <xName> T_PERCENT <xDataRef>  ;
     */
    void reduceByProduction551(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary> ::= <xName> T_PERCENT <xDataRef>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production551UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XufprimaryNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xUFPrimary> ::= <xName> T_PERCENT <xDataRef> <xUFPrimary@34>  ;
     */
    void reduceByProduction552(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary> ::= <xName> T_PERCENT <xDataRef> <xUFPrimary@34>  ;
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production552UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XufprimaryNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xUFPrimary> ::= <xName> <xUFPrimary@33> T_PERCENT <xDataRef>  ;
     */
    void reduceByProduction553(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary> ::= <xName> <xUFPrimary@33> T_PERCENT <xDataRef>  ;
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production553UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XufprimaryNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xUFPrimary> ::= <xName> <xUFPrimary@33> T_PERCENT <xDataRef> <xUFPrimary@34>  ;
     */
    void reduceByProduction554(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary> ::= <xName> <xUFPrimary@33> T_PERCENT <xDataRef> <xUFPrimary@34>  ;
        ParseTreeNode v10 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production554UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XufprimaryNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xUFPrimary> ::= T_LPAREN <xUFExpr> T_RPAREN  ;
     */
    void reduceByProduction555(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary> ::= T_LPAREN <xUFExpr> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production555UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XufprimaryNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xLevel1Expr> ::= <xPrimary>  ;
     */
    void reduceByProduction556(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLevel1Expr> ::= <xPrimary>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production556UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xlevel1exprNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xLevel1Expr> ::= <xDefinedUnaryOp> <xPrimary>  ;
     */
    void reduceByProduction557(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLevel1Expr> ::= <xDefinedUnaryOp> <xPrimary>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production557UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xlevel1exprNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xMultOperand> ::= <xLevel1Expr>  ;
     */
    void reduceByProduction558(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMultOperand> ::= <xLevel1Expr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production558UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XmultoperandNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xMultOperand> ::= <xLevel1Expr> <xMultOperand@36>  ;
     */
    void reduceByProduction559(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMultOperand> ::= <xLevel1Expr> <xMultOperand@36>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production559UserAction(v1, v2, v3);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XmultoperandNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xUFFactor> ::= <xUFPrimary>  ;
     */
    void reduceByProduction560(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFFactor> ::= <xUFPrimary>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production560UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XuffactorNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xUFFactor> ::= <xUFPrimary> <xUFFactor@37>  ;
     */
    void reduceByProduction561(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFFactor> ::= <xUFPrimary> <xUFFactor@37>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production561UserAction(v1, v2, v3);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XuffactorNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xAddOperand> ::= <xMultOperand>  ;
     */
    void reduceByProduction562(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAddOperand> ::= <xMultOperand>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production562UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XaddoperandNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAddOperand> ::= <xAddOperand@38> <xMultOperand>  ;
     */
    void reduceByProduction563(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAddOperand> ::= <xAddOperand@38> <xMultOperand>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production563UserAction(v1, v2, v3);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XaddoperandNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xUFTerm> ::= <xUFFactor>  ;
     */
    void reduceByProduction564(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFTerm> ::= <xUFFactor>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production564UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XuftermNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xUFTerm> ::= <xUFTerm> <xMultOp> <xUFFactor>  ;
     */
    void reduceByProduction565(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFTerm> ::= <xUFTerm> <xMultOp> <xUFFactor>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production565UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XuftermNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xUFTerm> ::= <xUFTerm> <xConcatOp> <xUFPrimary>  ;
     */
    void reduceByProduction566(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFTerm> ::= <xUFTerm> <xConcatOp> <xUFPrimary>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production566UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XuftermNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xLevel2Expr> ::= <xAddOperand>  ;
     */
    void reduceByProduction567(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLevel2Expr> ::= <xAddOperand>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production567UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xlevel2exprNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xLevel2Expr> ::= <xLevel2Expr@39> <xAddOperand>  ;
     */
    void reduceByProduction568(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLevel2Expr> ::= <xLevel2Expr@39> <xAddOperand>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production568UserAction(v1, v2, v3);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xlevel2exprNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xLevel2Expr> ::= <xSign> <xAddOperand>  ;
     */
    void reduceByProduction569(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLevel2Expr> ::= <xSign> <xAddOperand>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production569UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xlevel2exprNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xUFExpr> ::= <xUFTerm>  ;
     */
    void reduceByProduction570(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFExpr> ::= <xUFTerm>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production570UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XufexprNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xUFExpr> ::= <xSign> <xUFTerm>  ;
     */
    void reduceByProduction571(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFExpr> ::= <xSign> <xUFTerm>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production571UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XufexprNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xUFExpr> ::= <xUFExpr> <xAddOp> <xUFTerm>  ;
     */
    void reduceByProduction572(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFExpr> ::= <xUFExpr> <xAddOp> <xUFTerm>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production572UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XufexprNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xLevel3Expr> ::= <xLevel2Expr>  ;
     */
    void reduceByProduction573(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLevel3Expr> ::= <xLevel2Expr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production573UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xlevel3exprNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xLevel3Expr> ::= <xLevel3Expr@40> <xLevel2Expr>  ;
     */
    void reduceByProduction574(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLevel3Expr> ::= <xLevel3Expr@40> <xLevel2Expr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production574UserAction(v1, v2, v3);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xlevel3exprNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xCExpr> ::= <xCPrimary>  ;
     */
    void reduceByProduction575(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCExpr> ::= <xCPrimary>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production575UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcexprNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCExpr> ::= <xCExpr@41> <xCPrimary>  ;
     */
    void reduceByProduction576(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCExpr> ::= <xCExpr@41> <xCPrimary>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production576UserAction(v1, v2, v3);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XcexprNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xLevel4Expr> ::= <xLevel3Expr>  ;
     */
    void reduceByProduction577(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLevel4Expr> ::= <xLevel3Expr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production577UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xlevel4exprNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xLevel4Expr> ::= <xLevel4Expr@42> <xLevel3Expr>  ;
     */
    void reduceByProduction578(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLevel4Expr> ::= <xLevel4Expr@42> <xLevel3Expr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production578UserAction(v1, v2, v3);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xlevel4exprNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xAndOperand> ::= <xLevel4Expr>  ;
     */
    void reduceByProduction579(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAndOperand> ::= <xLevel4Expr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production579UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XandoperandNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xAndOperand> ::= <xAndOperand@43> <xLevel4Expr>  ;
     */
    void reduceByProduction580(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAndOperand> ::= <xAndOperand@43> <xLevel4Expr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production580UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XandoperandNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xOrOperand> ::= <xAndOperand>  ;
     */
    void reduceByProduction581(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOrOperand> ::= <xAndOperand>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production581UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XoroperandNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xOrOperand> ::= <xOrOperand@44> <xAndOperand>  ;
     */
    void reduceByProduction582(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOrOperand> ::= <xOrOperand@44> <xAndOperand>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production582UserAction(v1, v2, v3);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XoroperandNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEquivOperand> ::= <xOrOperand>  ;
     */
    void reduceByProduction583(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEquivOperand> ::= <xOrOperand>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production583UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XequivoperandNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEquivOperand> ::= <xEquivOperand@45> <xOrOperand>  ;
     */
    void reduceByProduction584(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEquivOperand> ::= <xEquivOperand@45> <xOrOperand>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production584UserAction(v1, v2, v3);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XequivoperandNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xLevel5Expr> ::= <xEquivOperand>  ;
     */
    void reduceByProduction585(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLevel5Expr> ::= <xEquivOperand>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production585UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xlevel5exprNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xLevel5Expr> ::= <xLevel5Expr@46> <xEquivOperand>  ;
     */
    void reduceByProduction586(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLevel5Expr> ::= <xLevel5Expr@46> <xEquivOperand>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production586UserAction(v1, v2, v3);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xlevel5exprNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xExpr> ::= <xLevel5Expr>  ;
     */
    void reduceByProduction587(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExpr> ::= <xLevel5Expr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production587UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexprNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExpr> ::= <xExpr> <xDefinedBinaryOp> <xLevel5Expr>  ;
     */
    void reduceByProduction588(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExpr> ::= <xExpr> <xDefinedBinaryOp> <xLevel5Expr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production588UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XexprNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSFExprList> ::= <xSFExpr> T_COLON <xExpr> T_COLON <xExpr>  ;
     */
    void reduceByProduction589(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExprList> ::= <xSFExpr> T_COLON <xExpr> T_COLON <xExpr>  ;
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production589UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XsfexprlistNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xSFExprList> ::= <xSFExpr> T_COLON T_COLON <xExpr>  ;
     */
    void reduceByProduction590(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExprList> ::= <xSFExpr> T_COLON T_COLON <xExpr>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production590UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XsfexprlistNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xSFExprList> ::= T_COLON <xExpr> T_COLON <xExpr>  ;
     */
    void reduceByProduction591(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExprList> ::= T_COLON <xExpr> T_COLON <xExpr>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production591UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XsfexprlistNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xSFExprList> ::= T_COLON T_COLON <xExpr>  ;
     */
    void reduceByProduction592(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExprList> ::= T_COLON T_COLON <xExpr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production592UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsfexprlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xName> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction593(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xName> T_EQUALS <xExpr> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production593UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction594(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_EQUALS <xExpr> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production594UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xName> T_LPAREN <xSFExprList> T_RPAREN T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction595(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xName> T_LPAREN <xSFExprList> T_RPAREN T_EQUALS <xExpr> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production595UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFExprList> T_RPAREN T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction596(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFExprList> T_RPAREN T_EQUALS <xExpr> T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production596UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xName> T_LPAREN <xSFExprList> T_RPAREN <xSubstringRange> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction597(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xName> T_LPAREN <xSFExprList> T_RPAREN <xSubstringRange> T_EQUALS <xExpr> T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production597UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFExprList> T_RPAREN <xSubstringRange> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction598(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFExprList> T_RPAREN <xSubstringRange> T_EQUALS <xExpr> T_EOS  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production598UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN <xSubstringRange> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction599(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN <xSubstringRange> T_EQUALS <xExpr> T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production599UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN <xSubstringRange> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction600(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN <xSubstringRange> T_EQUALS <xExpr> T_EOS  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production600UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xName> T_PERCENT <xDataRef> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction601(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xName> T_PERCENT <xDataRef> T_EQUALS <xExpr> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production601UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xName> T_PERCENT <xDataRef> <xAssignmentStmt@47> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction602(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xName> T_PERCENT <xDataRef> <xAssignmentStmt@47> T_EQUALS <xExpr> T_EOS  ;
        Token v10 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v9 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production602UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_PERCENT <xDataRef> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction603(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_PERCENT <xDataRef> T_EQUALS <xExpr> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production603UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_PERCENT <xDataRef> <xAssignmentStmt@47> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction604(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_PERCENT <xDataRef> <xAssignmentStmt@47> T_EQUALS <xExpr> T_EOS  ;
        Token v11 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v10 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production604UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xName> T_LPAREN <xSFExprList> T_RPAREN T_PERCENT <xDataRef> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction605(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xName> T_LPAREN <xSFExprList> T_RPAREN T_PERCENT <xDataRef> T_EQUALS <xExpr> T_EOS  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production605UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xName> T_LPAREN <xSFExprList> T_RPAREN T_PERCENT <xDataRef> <xAssignmentStmt@49> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction606(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xName> T_LPAREN <xSFExprList> T_RPAREN T_PERCENT <xDataRef> <xAssignmentStmt@49> T_EQUALS <xExpr> T_EOS  ;
        Token v13 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v12 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v11 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v10 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production606UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11, v12, v13);

        // The production has 10 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 10, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFExprList> T_RPAREN T_PERCENT <xDataRef> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction607(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFExprList> T_RPAREN T_PERCENT <xDataRef> T_EQUALS <xExpr> T_EOS  ;
        Token v10 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v9 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production607UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10);

        // The production has 10 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 10, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFExprList> T_RPAREN T_PERCENT <xDataRef> <xAssignmentStmt@49> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction608(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFExprList> T_RPAREN T_PERCENT <xDataRef> <xAssignmentStmt@49> T_EQUALS <xExpr> T_EOS  ;
        Token v14 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v13 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v12 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v11 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v10 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v9 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production608UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11, v12, v13, v14);

        // The production has 11 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 11, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN T_PERCENT <xDataRef> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction609(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN T_PERCENT <xDataRef> T_EQUALS <xExpr> T_EOS  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production609UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN T_PERCENT <xDataRef> <xAssignmentStmt@51> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction610(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN T_PERCENT <xDataRef> <xAssignmentStmt@51> T_EQUALS <xExpr> T_EOS  ;
        Token v13 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v12 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v11 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v10 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production610UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11, v12, v13);

        // The production has 10 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 10, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN T_PERCENT <xDataRef> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction611(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN T_PERCENT <xDataRef> T_EQUALS <xExpr> T_EOS  ;
        Token v10 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v9 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production611UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10);

        // The production has 10 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 10, userValue);
    }

    /**
     * Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN T_PERCENT <xDataRef> <xAssignmentStmt@51> T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction612(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN T_PERCENT <xDataRef> <xAssignmentStmt@51> T_EQUALS <xExpr> T_EOS  ;
        Token v14 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v13 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v12 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v11 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v10 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v9 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production612UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11, v12, v13, v14);

        // The production has 11 symbols on its RHS
        parser.reduce(Nonterminal.XassignmentstmtNonterminal.getInstance(), 11, userValue);
    }

    /**
     * Reduce by <xSFExprList> ::= T_COLON  ;
     */
    void reduceByProduction613(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExprList> ::= T_COLON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production613UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsfexprlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSFExprList> ::= T_COLON <xExpr>  ;
     */
    void reduceByProduction614(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExprList> ::= T_COLON <xExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production614UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XsfexprlistNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xSFExprList> ::= <xSFExpr>  ;
     */
    void reduceByProduction615(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExprList> ::= <xSFExpr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production615UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsfexprlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSFExprList> ::= <xSFExpr> T_COLON  ;
     */
    void reduceByProduction616(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExprList> ::= <xSFExpr> T_COLON  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production616UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XsfexprlistNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xSFExprList> ::= <xSFExpr> T_COLON <xExpr>  ;
     */
    void reduceByProduction617(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExprList> ::= <xSFExpr> T_COLON <xExpr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production617UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsfexprlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSFExprList> ::= <xSFExprList> T_COMMA <xSectionSubscript>  ;
     */
    void reduceByProduction618(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExprList> ::= <xSFExprList> T_COMMA <xSectionSubscript>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production618UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsfexprlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSFExprList> ::= <xSFDummyArgNameList> T_COMMA T_COLON  ;
     */
    void reduceByProduction619(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExprList> ::= <xSFDummyArgNameList> T_COMMA T_COLON  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production619UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsfexprlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSFExprList> ::= <xSFDummyArgNameList> T_COMMA T_COLON <xExpr>  ;
     */
    void reduceByProduction620(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExprList> ::= <xSFDummyArgNameList> T_COMMA T_COLON <xExpr>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production620UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XsfexprlistNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xSFExprList> ::= <xSFDummyArgNameList> T_COMMA <xSFExpr>  ;
     */
    void reduceByProduction621(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExprList> ::= <xSFDummyArgNameList> T_COMMA <xSFExpr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production621UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsfexprlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSFExprList> ::= <xSFDummyArgNameList> T_COMMA <xSFExpr> T_COLON  ;
     */
    void reduceByProduction622(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExprList> ::= <xSFDummyArgNameList> T_COMMA <xSFExpr> T_COLON  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production622UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XsfexprlistNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xSFExprList> ::= <xSFDummyArgNameList> T_COMMA <xSFExpr> T_COLON <xExpr>  ;
     */
    void reduceByProduction623(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExprList> ::= <xSFDummyArgNameList> T_COMMA <xSFExpr> T_COLON <xExpr>  ;
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production623UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XsfexprlistNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xSFExpr> ::= <xSFTerm>  ;
     */
    void reduceByProduction624(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExpr> ::= <xSFTerm>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production624UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsfexprNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSFExpr> ::= <xSign> <xAddOperand>  ;
     */
    void reduceByProduction625(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExpr> ::= <xSign> <xAddOperand>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production625UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XsfexprNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xSFExpr> ::= <xSFExpr> <xAddOp> <xAddOperand>  ;
     */
    void reduceByProduction626(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFExpr> ::= <xSFExpr> <xAddOp> <xAddOperand>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production626UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsfexprNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSFTerm> ::= <xSFFactor>  ;
     */
    void reduceByProduction627(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFTerm> ::= <xSFFactor>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production627UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsftermNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSFTerm> ::= <xSFTerm> <xMultOp> <xMultOperand>  ;
     */
    void reduceByProduction628(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFTerm> ::= <xSFTerm> <xMultOp> <xMultOperand>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production628UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsftermNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSFFactor> ::= <xSFPrimary>  ;
     */
    void reduceByProduction629(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFFactor> ::= <xSFPrimary>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production629UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsffactorNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSFFactor> ::= <xSFPrimary> <xPowerOp> <xMultOperand>  ;
     */
    void reduceByProduction630(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFFactor> ::= <xSFPrimary> <xPowerOp> <xMultOperand>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production630UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsffactorNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSFPrimary> ::= <xArrayConstructor>  ;
     */
    void reduceByProduction631(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFPrimary> ::= <xArrayConstructor>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production631UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsfprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSFPrimary> ::= T_ICON  ;
     */
    void reduceByProduction632(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFPrimary> ::= T_ICON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production632UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsfprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSFPrimary> ::= <xSFVarName>  ;
     */
    void reduceByProduction633(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFPrimary> ::= <xSFVarName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production633UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsfprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSFPrimary> ::= <xSFDataRef>  ;
     */
    void reduceByProduction634(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFPrimary> ::= <xSFDataRef>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production634UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsfprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSFPrimary> ::= <xFunctionReference>  ;
     */
    void reduceByProduction635(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFPrimary> ::= <xFunctionReference>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production635UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsfprimaryNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSFPrimary> ::= T_LPAREN <xExpr> T_RPAREN  ;
     */
    void reduceByProduction636(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFPrimary> ::= T_LPAREN <xExpr> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production636UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsfprimaryNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xPointerAssignmentStmt> ::= <xName> T_EQGREATERTHAN <xTarget> T_EOS  ;
     */
    void reduceByProduction637(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerAssignmentStmt> ::= <xName> T_EQGREATERTHAN <xTarget> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production637UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XpointerassignmentstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xPointerAssignmentStmt> ::= <xLblDef> <xName> T_EQGREATERTHAN <xTarget> T_EOS  ;
     */
    void reduceByProduction638(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerAssignmentStmt> ::= <xLblDef> <xName> T_EQGREATERTHAN <xTarget> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production638UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XpointerassignmentstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xPointerAssignmentStmt> ::= <xName> T_PERCENT <xDataRef> T_EQGREATERTHAN <xTarget> T_EOS  ;
     */
    void reduceByProduction639(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerAssignmentStmt> ::= <xName> T_PERCENT <xDataRef> T_EQGREATERTHAN <xTarget> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production639UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XpointerassignmentstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xPointerAssignmentStmt> ::= <xLblDef> <xName> T_PERCENT <xDataRef> T_EQGREATERTHAN <xTarget> T_EOS  ;
     */
    void reduceByProduction640(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerAssignmentStmt> ::= <xLblDef> <xName> T_PERCENT <xDataRef> T_EQGREATERTHAN <xTarget> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production640UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XpointerassignmentstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xPointerAssignmentStmt> ::= <xName> T_LPAREN <xSFExprList> T_RPAREN T_PERCENT <xDataRef> T_EQGREATERTHAN <xTarget> T_EOS  ;
     */
    void reduceByProduction641(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerAssignmentStmt> ::= <xName> T_LPAREN <xSFExprList> T_RPAREN T_PERCENT <xDataRef> T_EQGREATERTHAN <xTarget> T_EOS  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production641UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XpointerassignmentstmtNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xPointerAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFExprList> T_RPAREN T_PERCENT <xDataRef> T_EQGREATERTHAN <xTarget> T_EOS  ;
     */
    void reduceByProduction642(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFExprList> T_RPAREN T_PERCENT <xDataRef> T_EQGREATERTHAN <xTarget> T_EOS  ;
        Token v10 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v9 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production642UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10);

        // The production has 10 symbols on its RHS
        parser.reduce(Nonterminal.XpointerassignmentstmtNonterminal.getInstance(), 10, userValue);
    }

    /**
     * Reduce by <xPointerAssignmentStmt> ::= <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN T_PERCENT <xDataRef> T_EQGREATERTHAN <xTarget> T_EOS  ;
     */
    void reduceByProduction643(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerAssignmentStmt> ::= <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN T_PERCENT <xDataRef> T_EQGREATERTHAN <xTarget> T_EOS  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production643UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XpointerassignmentstmtNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xPointerAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN T_PERCENT <xDataRef> T_EQGREATERTHAN <xTarget> T_EOS  ;
     */
    void reduceByProduction644(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerAssignmentStmt> ::= <xLblDef> <xName> T_LPAREN <xSFDummyArgNameList> T_RPAREN T_PERCENT <xDataRef> T_EQGREATERTHAN <xTarget> T_EOS  ;
        Token v10 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v9 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production644UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10);

        // The production has 10 symbols on its RHS
        parser.reduce(Nonterminal.XpointerassignmentstmtNonterminal.getInstance(), 10, userValue);
    }

    /**
     * Reduce by <xTarget> ::= <xExpr>  ;
     */
    void reduceByProduction645(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTarget> ::= <xExpr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production645UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XtargetNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xWhereStmt> ::= T_WHERE T_LPAREN <xMaskExpr> T_RPAREN <xAssignmentStmt>  ;
     */
    void reduceByProduction646(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereStmt> ::= T_WHERE T_LPAREN <xMaskExpr> T_RPAREN <xAssignmentStmt>  ;
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production646UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XwherestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xWhereStmt> ::= <xLblDef> T_WHERE T_LPAREN <xMaskExpr> T_RPAREN <xAssignmentStmt>  ;
     */
    void reduceByProduction647(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereStmt> ::= <xLblDef> T_WHERE T_LPAREN <xMaskExpr> T_RPAREN <xAssignmentStmt>  ;
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production647UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XwherestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xWhereConstruct> ::= <xWhereConstructStmt> <xWhereRange>  ;
     */
    void reduceByProduction648(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereConstruct> ::= <xWhereConstructStmt> <xWhereRange>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production648UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XwhereconstructNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xWhereRange> ::= <xEndWhereStmt>  ;
     */
    void reduceByProduction649(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereRange> ::= <xEndWhereStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production649UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XwhererangeNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xWhereRange> ::= <xWhereBodyConstructBlock> <xEndWhereStmt>  ;
     */
    void reduceByProduction650(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereRange> ::= <xWhereBodyConstructBlock> <xEndWhereStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production650UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XwhererangeNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xWhereRange> ::= <xMaskedElsewhereConstruct>  ;
     */
    void reduceByProduction651(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereRange> ::= <xMaskedElsewhereConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production651UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XwhererangeNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xWhereRange> ::= <xWhereBodyConstructBlock> <xMaskedElsewhereConstruct>  ;
     */
    void reduceByProduction652(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereRange> ::= <xWhereBodyConstructBlock> <xMaskedElsewhereConstruct>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production652UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XwhererangeNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xWhereRange> ::= <xElsewhereConstruct>  ;
     */
    void reduceByProduction653(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereRange> ::= <xElsewhereConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production653UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XwhererangeNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xWhereRange> ::= <xWhereBodyConstructBlock> <xElsewhereConstruct>  ;
     */
    void reduceByProduction654(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereRange> ::= <xWhereBodyConstructBlock> <xElsewhereConstruct>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production654UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XwhererangeNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xMaskedElsewhereConstruct> ::= <xMaskedElsewhereStmt> <xWhereRange>  ;
     */
    void reduceByProduction655(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMaskedElsewhereConstruct> ::= <xMaskedElsewhereStmt> <xWhereRange>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production655UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XmaskedelsewhereconstructNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xElsewhereConstruct> ::= <xElsewhereStmt> <xElsewherePart>  ;
     */
    void reduceByProduction656(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElsewhereConstruct> ::= <xElsewhereStmt> <xElsewherePart>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production656UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XelsewhereconstructNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xElsewherePart> ::= <xEndWhereStmt>  ;
     */
    void reduceByProduction657(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElsewherePart> ::= <xEndWhereStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production657UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XelsewherepartNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xElsewherePart> ::= <xWhereBodyConstructBlock> <xEndWhereStmt>  ;
     */
    void reduceByProduction658(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElsewherePart> ::= <xWhereBodyConstructBlock> <xEndWhereStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production658UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XelsewherepartNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xWhereBodyConstructBlock> ::= <xWhereBodyConstruct>  ;
     */
    void reduceByProduction659(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereBodyConstructBlock> ::= <xWhereBodyConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production659UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XwherebodyconstructblockNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xWhereBodyConstructBlock> ::= <xWhereBodyConstructBlock> <xWhereBodyConstruct>  ;
     */
    void reduceByProduction660(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereBodyConstructBlock> ::= <xWhereBodyConstructBlock> <xWhereBodyConstruct>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production660UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XwherebodyconstructblockNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xWhereConstructStmt> ::= <xName> T_COLON T_WHERE T_LPAREN <xMaskExpr> T_RPAREN T_EOS  ;
     */
    void reduceByProduction661(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereConstructStmt> ::= <xName> T_COLON T_WHERE T_LPAREN <xMaskExpr> T_RPAREN T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production661UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XwhereconstructstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xWhereConstructStmt> ::= <xLblDef> <xName> T_COLON T_WHERE T_LPAREN <xMaskExpr> T_RPAREN T_EOS  ;
     */
    void reduceByProduction662(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereConstructStmt> ::= <xLblDef> <xName> T_COLON T_WHERE T_LPAREN <xMaskExpr> T_RPAREN T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production662UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XwhereconstructstmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xWhereConstructStmt> ::= T_WHERE T_LPAREN <xMaskExpr> T_RPAREN T_EOS  ;
     */
    void reduceByProduction663(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereConstructStmt> ::= T_WHERE T_LPAREN <xMaskExpr> T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production663UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XwhereconstructstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xWhereConstructStmt> ::= <xLblDef> T_WHERE T_LPAREN <xMaskExpr> T_RPAREN T_EOS  ;
     */
    void reduceByProduction664(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereConstructStmt> ::= <xLblDef> T_WHERE T_LPAREN <xMaskExpr> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production664UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XwhereconstructstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xWhereBodyConstruct> ::= <xAssignmentStmt>  ;
     */
    void reduceByProduction665(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereBodyConstruct> ::= <xAssignmentStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production665UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XwherebodyconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xWhereBodyConstruct> ::= <xWhereStmt>  ;
     */
    void reduceByProduction666(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereBodyConstruct> ::= <xWhereStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production666UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XwherebodyconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xWhereBodyConstruct> ::= <xWhereConstruct>  ;
     */
    void reduceByProduction667(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWhereBodyConstruct> ::= <xWhereConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production667UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XwherebodyconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xMaskExpr> ::= <xExpr>  ;
     */
    void reduceByProduction668(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMaskExpr> ::= <xExpr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production668UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XmaskexprNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xMaskedElsewhereStmt> ::= T_ELSEWHERE T_LPAREN <xMaskExpr> T_RPAREN T_EOS  ;
     */
    void reduceByProduction669(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMaskedElsewhereStmt> ::= T_ELSEWHERE T_LPAREN <xMaskExpr> T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production669UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XmaskedelsewherestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xMaskedElsewhereStmt> ::= T_ELSEWHERE T_LPAREN <xMaskExpr> T_RPAREN <xMaskedElsewhereStmt@53> T_EOS  ;
     */
    void reduceByProduction670(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMaskedElsewhereStmt> ::= T_ELSEWHERE T_LPAREN <xMaskExpr> T_RPAREN <xMaskedElsewhereStmt@53> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production670UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XmaskedelsewherestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xMaskedElsewhereStmt> ::= <xLblDef> T_ELSEWHERE T_LPAREN <xMaskExpr> T_RPAREN T_EOS  ;
     */
    void reduceByProduction671(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMaskedElsewhereStmt> ::= <xLblDef> T_ELSEWHERE T_LPAREN <xMaskExpr> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production671UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XmaskedelsewherestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xMaskedElsewhereStmt> ::= <xLblDef> T_ELSEWHERE T_LPAREN <xMaskExpr> T_RPAREN <xMaskedElsewhereStmt@53> T_EOS  ;
     */
    void reduceByProduction672(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMaskedElsewhereStmt> ::= <xLblDef> T_ELSEWHERE T_LPAREN <xMaskExpr> T_RPAREN <xMaskedElsewhereStmt@53> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production672UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XmaskedelsewherestmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xElsewhereStmt> ::= T_ELSEWHERE T_EOS  ;
     */
    void reduceByProduction673(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElsewhereStmt> ::= T_ELSEWHERE T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production673UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XelsewherestmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xElsewhereStmt> ::= T_ELSEWHERE <xElsewhereStmt@54> T_EOS  ;
     */
    void reduceByProduction674(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElsewhereStmt> ::= T_ELSEWHERE <xElsewhereStmt@54> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production674UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XelsewherestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xElsewhereStmt> ::= <xLblDef> T_ELSEWHERE T_EOS  ;
     */
    void reduceByProduction675(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElsewhereStmt> ::= <xLblDef> T_ELSEWHERE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production675UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XelsewherestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xElsewhereStmt> ::= <xLblDef> T_ELSEWHERE <xElsewhereStmt@54> T_EOS  ;
     */
    void reduceByProduction676(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElsewhereStmt> ::= <xLblDef> T_ELSEWHERE <xElsewhereStmt@54> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production676UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XelsewherestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndWhereStmt> ::= T_ENDWHERE T_EOS  ;
     */
    void reduceByProduction677(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndWhereStmt> ::= T_ENDWHERE T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production677UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XendwherestmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndWhereStmt> ::= T_ENDWHERE <xEndWhereStmt@55> T_EOS  ;
     */
    void reduceByProduction678(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndWhereStmt> ::= T_ENDWHERE <xEndWhereStmt@55> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production678UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendwherestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndWhereStmt> ::= <xLblDef> T_ENDWHERE T_EOS  ;
     */
    void reduceByProduction679(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndWhereStmt> ::= <xLblDef> T_ENDWHERE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production679UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendwherestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndWhereStmt> ::= <xLblDef> T_ENDWHERE <xEndWhereStmt@55> T_EOS  ;
     */
    void reduceByProduction680(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndWhereStmt> ::= <xLblDef> T_ENDWHERE <xEndWhereStmt@55> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production680UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendwherestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndWhereStmt> ::= T_END T_WHERE T_EOS  ;
     */
    void reduceByProduction681(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndWhereStmt> ::= T_END T_WHERE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production681UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendwherestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndWhereStmt> ::= T_END T_WHERE <xEndWhereStmt@56> T_EOS  ;
     */
    void reduceByProduction682(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndWhereStmt> ::= T_END T_WHERE <xEndWhereStmt@56> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production682UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendwherestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndWhereStmt> ::= <xLblDef> T_END T_WHERE T_EOS  ;
     */
    void reduceByProduction683(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndWhereStmt> ::= <xLblDef> T_END T_WHERE T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production683UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendwherestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndWhereStmt> ::= <xLblDef> T_END T_WHERE <xEndWhereStmt@56> T_EOS  ;
     */
    void reduceByProduction684(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndWhereStmt> ::= <xLblDef> T_END T_WHERE <xEndWhereStmt@56> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production684UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XendwherestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xForallConstruct> ::= <xForallConstructStmt> <xEndForallStmt>  ;
     */
    void reduceByProduction685(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallConstruct> ::= <xForallConstructStmt> <xEndForallStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production685UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XforallconstructNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xForallConstruct> ::= <xForallConstructStmt> <xForallBody> <xEndForallStmt>  ;
     */
    void reduceByProduction686(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallConstruct> ::= <xForallConstructStmt> <xForallBody> <xEndForallStmt>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production686UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XforallconstructNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xForallBody> ::= <xForallBodyConstruct>  ;
     */
    void reduceByProduction687(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallBody> ::= <xForallBodyConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production687UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XforallbodyNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xForallBody> ::= <xForallBody> <xForallBodyConstruct>  ;
     */
    void reduceByProduction688(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallBody> ::= <xForallBody> <xForallBodyConstruct>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production688UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XforallbodyNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xForallConstructStmt> ::= T_FORALL <xForallHeader> T_EOS  ;
     */
    void reduceByProduction689(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallConstructStmt> ::= T_FORALL <xForallHeader> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production689UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XforallconstructstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xForallConstructStmt> ::= <xLblDef> T_FORALL <xForallHeader> T_EOS  ;
     */
    void reduceByProduction690(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallConstructStmt> ::= <xLblDef> T_FORALL <xForallHeader> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production690UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XforallconstructstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xForallConstructStmt> ::= <xName> T_COLON T_FORALL <xForallHeader> T_EOS  ;
     */
    void reduceByProduction691(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallConstructStmt> ::= <xName> T_COLON T_FORALL <xForallHeader> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production691UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XforallconstructstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xForallConstructStmt> ::= <xLblDef> <xName> T_COLON T_FORALL <xForallHeader> T_EOS  ;
     */
    void reduceByProduction692(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallConstructStmt> ::= <xLblDef> <xName> T_COLON T_FORALL <xForallHeader> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production692UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XforallconstructstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xForallHeader> ::= T_LPAREN <xForallTripletSpecList> T_RPAREN  ;
     */
    void reduceByProduction693(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallHeader> ::= T_LPAREN <xForallTripletSpecList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production693UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XforallheaderNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xForallHeader> ::= T_LPAREN <xForallTripletSpecList> T_COMMA <xScalarMaskExpr> T_RPAREN  ;
     */
    void reduceByProduction694(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallHeader> ::= T_LPAREN <xForallTripletSpecList> T_COMMA <xScalarMaskExpr> T_RPAREN  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production694UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XforallheaderNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xScalarMaskExpr> ::= <xMaskExpr>  ;
     */
    void reduceByProduction695(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xScalarMaskExpr> ::= <xMaskExpr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production695UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XscalarmaskexprNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xForallTripletSpecList> ::= <xName> T_EQUALS <xSubscript> T_COLON <xSubscript>  ;
     */
    void reduceByProduction696(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallTripletSpecList> ::= <xName> T_EQUALS <xSubscript> T_COLON <xSubscript>  ;
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production696UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XforalltripletspeclistNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xForallTripletSpecList> ::= <xName> T_EQUALS <xSubscript> T_COLON <xSubscript> T_COLON <xExpr>  ;
     */
    void reduceByProduction697(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallTripletSpecList> ::= <xName> T_EQUALS <xSubscript> T_COLON <xSubscript> T_COLON <xExpr>  ;
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production697UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XforalltripletspeclistNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xForallBodyConstruct> ::= <xAssignmentStmt>  ;
     */
    void reduceByProduction698(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallBodyConstruct> ::= <xAssignmentStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production698UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XforallbodyconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xForallBodyConstruct> ::= <xPointerAssignmentStmt>  ;
     */
    void reduceByProduction699(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallBodyConstruct> ::= <xPointerAssignmentStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production699UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XforallbodyconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xForallBodyConstruct> ::= <xWhereStmt>  ;
     */
    void reduceByProduction700(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallBodyConstruct> ::= <xWhereStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production700UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XforallbodyconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xForallBodyConstruct> ::= <xWhereConstruct>  ;
     */
    void reduceByProduction701(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallBodyConstruct> ::= <xWhereConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production701UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XforallbodyconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xForallBodyConstruct> ::= <xForallConstruct>  ;
     */
    void reduceByProduction702(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallBodyConstruct> ::= <xForallConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production702UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XforallbodyconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xForallBodyConstruct> ::= <xForallStmt>  ;
     */
    void reduceByProduction703(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallBodyConstruct> ::= <xForallStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production703UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XforallbodyconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEndForallStmt> ::= T_END T_FORALL T_EOS  ;
     */
    void reduceByProduction704(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndForallStmt> ::= T_END T_FORALL T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production704UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendforallstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndForallStmt> ::= T_END T_FORALL <xEndForallStmt@57> T_EOS  ;
     */
    void reduceByProduction705(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndForallStmt> ::= T_END T_FORALL <xEndForallStmt@57> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production705UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendforallstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndForallStmt> ::= <xLblDef> T_END T_FORALL T_EOS  ;
     */
    void reduceByProduction706(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndForallStmt> ::= <xLblDef> T_END T_FORALL T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production706UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendforallstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndForallStmt> ::= <xLblDef> T_END T_FORALL <xEndForallStmt@57> T_EOS  ;
     */
    void reduceByProduction707(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndForallStmt> ::= <xLblDef> T_END T_FORALL <xEndForallStmt@57> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production707UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XendforallstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xEndForallStmt> ::= T_ENDFORALL T_EOS  ;
     */
    void reduceByProduction708(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndForallStmt> ::= T_ENDFORALL T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production708UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XendforallstmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndForallStmt> ::= T_ENDFORALL <xEndForallStmt@58> T_EOS  ;
     */
    void reduceByProduction709(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndForallStmt> ::= T_ENDFORALL <xEndForallStmt@58> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production709UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendforallstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndForallStmt> ::= <xLblDef> T_ENDFORALL T_EOS  ;
     */
    void reduceByProduction710(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndForallStmt> ::= <xLblDef> T_ENDFORALL T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production710UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendforallstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndForallStmt> ::= <xLblDef> T_ENDFORALL <xEndForallStmt@58> T_EOS  ;
     */
    void reduceByProduction711(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndForallStmt> ::= <xLblDef> T_ENDFORALL <xEndForallStmt@58> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production711UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendforallstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xForallStmt> ::= T_FORALL <xForallHeader> <xAssignmentStmt> T_EOS  ;
     */
    void reduceByProduction712(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallStmt> ::= T_FORALL <xForallHeader> <xAssignmentStmt> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production712UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XforallstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xForallStmt> ::= <xLblDef> T_FORALL <xForallHeader> <xAssignmentStmt> T_EOS  ;
     */
    void reduceByProduction713(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallStmt> ::= <xLblDef> T_FORALL <xForallHeader> <xAssignmentStmt> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production713UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XforallstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xForallStmt> ::= T_FORALL <xForallHeader> <xPointerAssignmentStmt> T_EOS  ;
     */
    void reduceByProduction714(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallStmt> ::= T_FORALL <xForallHeader> <xPointerAssignmentStmt> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production714UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XforallstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xForallStmt> ::= <xLblDef> T_FORALL <xForallHeader> <xPointerAssignmentStmt> T_EOS  ;
     */
    void reduceByProduction715(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xForallStmt> ::= <xLblDef> T_FORALL <xForallHeader> <xPointerAssignmentStmt> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production715UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XforallstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xIfConstruct> ::= <xIfThenStmt> <xThenPart>  ;
     */
    void reduceByProduction716(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIfConstruct> ::= <xIfThenStmt> <xThenPart>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production716UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XifconstructNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xThenPart> ::= <xEndIfStmt>  ;
     */
    void reduceByProduction717(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xThenPart> ::= <xEndIfStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production717UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XthenpartNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xThenPart> ::= <xConditionalBody> <xEndIfStmt>  ;
     */
    void reduceByProduction718(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xThenPart> ::= <xConditionalBody> <xEndIfStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production718UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XthenpartNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xThenPart> ::= <xElseIfConstruct>  ;
     */
    void reduceByProduction719(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xThenPart> ::= <xElseIfConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production719UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XthenpartNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xThenPart> ::= <xConditionalBody> <xElseIfConstruct>  ;
     */
    void reduceByProduction720(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xThenPart> ::= <xConditionalBody> <xElseIfConstruct>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production720UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XthenpartNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xThenPart> ::= <xElseConstruct>  ;
     */
    void reduceByProduction721(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xThenPart> ::= <xElseConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production721UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XthenpartNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xThenPart> ::= <xConditionalBody> <xElseConstruct>  ;
     */
    void reduceByProduction722(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xThenPart> ::= <xConditionalBody> <xElseConstruct>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production722UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XthenpartNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xElseIfConstruct> ::= <xElseIfStmt> <xThenPart>  ;
     */
    void reduceByProduction723(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElseIfConstruct> ::= <xElseIfStmt> <xThenPart>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production723UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XelseifconstructNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xElseConstruct> ::= <xElseStmt> <xElsePart>  ;
     */
    void reduceByProduction724(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElseConstruct> ::= <xElseStmt> <xElsePart>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production724UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XelseconstructNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xElsePart> ::= <xEndIfStmt>  ;
     */
    void reduceByProduction725(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElsePart> ::= <xEndIfStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production725UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XelsepartNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xElsePart> ::= <xConditionalBody> <xEndIfStmt>  ;
     */
    void reduceByProduction726(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElsePart> ::= <xConditionalBody> <xEndIfStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production726UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XelsepartNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xConditionalBody> ::= <xExecutionPartConstruct>  ;
     */
    void reduceByProduction727(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConditionalBody> ::= <xExecutionPartConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production727UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XconditionalbodyNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xConditionalBody> ::= <xConditionalBody> <xExecutionPartConstruct>  ;
     */
    void reduceByProduction728(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConditionalBody> ::= <xConditionalBody> <xExecutionPartConstruct>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production728UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XconditionalbodyNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xIfThenStmt> ::= T_IF T_LPAREN <xExpr> T_RPAREN T_THEN T_EOS  ;
     */
    void reduceByProduction729(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIfThenStmt> ::= T_IF T_LPAREN <xExpr> T_RPAREN T_THEN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production729UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XifthenstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xIfThenStmt> ::= <xLblDef> T_IF T_LPAREN <xExpr> T_RPAREN T_THEN T_EOS  ;
     */
    void reduceByProduction730(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIfThenStmt> ::= <xLblDef> T_IF T_LPAREN <xExpr> T_RPAREN T_THEN T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production730UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XifthenstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xIfThenStmt> ::= <xName> T_COLON T_IF T_LPAREN <xExpr> T_RPAREN T_THEN T_EOS  ;
     */
    void reduceByProduction731(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIfThenStmt> ::= <xName> T_COLON T_IF T_LPAREN <xExpr> T_RPAREN T_THEN T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production731UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XifthenstmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xIfThenStmt> ::= <xLblDef> <xName> T_COLON T_IF T_LPAREN <xExpr> T_RPAREN T_THEN T_EOS  ;
     */
    void reduceByProduction732(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIfThenStmt> ::= <xLblDef> <xName> T_COLON T_IF T_LPAREN <xExpr> T_RPAREN T_THEN T_EOS  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production732UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XifthenstmtNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xElseIfStmt> ::= T_ELSEIF T_LPAREN <xExpr> T_RPAREN T_THEN T_EOS  ;
     */
    void reduceByProduction733(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElseIfStmt> ::= T_ELSEIF T_LPAREN <xExpr> T_RPAREN T_THEN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production733UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XelseifstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xElseIfStmt> ::= <xLblDef> T_ELSEIF T_LPAREN <xExpr> T_RPAREN T_THEN T_EOS  ;
     */
    void reduceByProduction734(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElseIfStmt> ::= <xLblDef> T_ELSEIF T_LPAREN <xExpr> T_RPAREN T_THEN T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production734UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XelseifstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xElseIfStmt> ::= T_ELSEIF T_LPAREN <xExpr> T_RPAREN T_THEN <xEndName> T_EOS  ;
     */
    void reduceByProduction735(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElseIfStmt> ::= T_ELSEIF T_LPAREN <xExpr> T_RPAREN T_THEN <xEndName> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production735UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XelseifstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xElseIfStmt> ::= <xLblDef> T_ELSEIF T_LPAREN <xExpr> T_RPAREN T_THEN <xEndName> T_EOS  ;
     */
    void reduceByProduction736(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElseIfStmt> ::= <xLblDef> T_ELSEIF T_LPAREN <xExpr> T_RPAREN T_THEN <xEndName> T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production736UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XelseifstmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xElseIfStmt> ::= T_ELSE T_IF T_LPAREN <xExpr> T_RPAREN T_THEN T_EOS  ;
     */
    void reduceByProduction737(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElseIfStmt> ::= T_ELSE T_IF T_LPAREN <xExpr> T_RPAREN T_THEN T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production737UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XelseifstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xElseIfStmt> ::= <xLblDef> T_ELSE T_IF T_LPAREN <xExpr> T_RPAREN T_THEN T_EOS  ;
     */
    void reduceByProduction738(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElseIfStmt> ::= <xLblDef> T_ELSE T_IF T_LPAREN <xExpr> T_RPAREN T_THEN T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production738UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XelseifstmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xElseIfStmt> ::= T_ELSE T_IF T_LPAREN <xExpr> T_RPAREN T_THEN <xEndName> T_EOS  ;
     */
    void reduceByProduction739(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElseIfStmt> ::= T_ELSE T_IF T_LPAREN <xExpr> T_RPAREN T_THEN <xEndName> T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production739UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XelseifstmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xElseIfStmt> ::= <xLblDef> T_ELSE T_IF T_LPAREN <xExpr> T_RPAREN T_THEN <xEndName> T_EOS  ;
     */
    void reduceByProduction740(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElseIfStmt> ::= <xLblDef> T_ELSE T_IF T_LPAREN <xExpr> T_RPAREN T_THEN <xEndName> T_EOS  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production740UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XelseifstmtNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xElseStmt> ::= T_ELSE T_EOS  ;
     */
    void reduceByProduction741(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElseStmt> ::= T_ELSE T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production741UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XelsestmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xElseStmt> ::= <xLblDef> T_ELSE T_EOS  ;
     */
    void reduceByProduction742(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElseStmt> ::= <xLblDef> T_ELSE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production742UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XelsestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xElseStmt> ::= T_ELSE <xEndName> T_EOS  ;
     */
    void reduceByProduction743(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElseStmt> ::= T_ELSE <xEndName> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production743UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XelsestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xElseStmt> ::= <xLblDef> T_ELSE <xEndName> T_EOS  ;
     */
    void reduceByProduction744(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElseStmt> ::= <xLblDef> T_ELSE <xEndName> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production744UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XelsestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndIfStmt> ::= T_ENDIF T_EOS  ;
     */
    void reduceByProduction745(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndIfStmt> ::= T_ENDIF T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production745UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XendifstmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndIfStmt> ::= T_ENDIF <xEndIfStmt@59> T_EOS  ;
     */
    void reduceByProduction746(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndIfStmt> ::= T_ENDIF <xEndIfStmt@59> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production746UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendifstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndIfStmt> ::= <xLblDef> T_ENDIF T_EOS  ;
     */
    void reduceByProduction747(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndIfStmt> ::= <xLblDef> T_ENDIF T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production747UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendifstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndIfStmt> ::= <xLblDef> T_ENDIF <xEndIfStmt@59> T_EOS  ;
     */
    void reduceByProduction748(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndIfStmt> ::= <xLblDef> T_ENDIF <xEndIfStmt@59> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production748UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendifstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndIfStmt> ::= T_END T_IF T_EOS  ;
     */
    void reduceByProduction749(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndIfStmt> ::= T_END T_IF T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production749UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendifstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndIfStmt> ::= T_END T_IF <xEndIfStmt@60> T_EOS  ;
     */
    void reduceByProduction750(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndIfStmt> ::= T_END T_IF <xEndIfStmt@60> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production750UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendifstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndIfStmt> ::= <xLblDef> T_END T_IF T_EOS  ;
     */
    void reduceByProduction751(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndIfStmt> ::= <xLblDef> T_END T_IF T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production751UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendifstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndIfStmt> ::= <xLblDef> T_END T_IF <xEndIfStmt@60> T_EOS  ;
     */
    void reduceByProduction752(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndIfStmt> ::= <xLblDef> T_END T_IF <xEndIfStmt@60> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production752UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XendifstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xIfStmt> ::= T_IF T_LPAREN <xExpr> T_RPAREN <xActionStmt>  ;
     */
    void reduceByProduction753(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIfStmt> ::= T_IF T_LPAREN <xExpr> T_RPAREN <xActionStmt>  ;
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production753UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XifstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xIfStmt> ::= <xLblDef> T_IF T_LPAREN <xExpr> T_RPAREN <xActionStmt>  ;
     */
    void reduceByProduction754(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIfStmt> ::= <xLblDef> T_IF T_LPAREN <xExpr> T_RPAREN <xActionStmt>  ;
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production754UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XifstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xCaseConstruct> ::= <xSelectCaseStmt> <xSelectCaseRange>  ;
     */
    void reduceByProduction755(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCaseConstruct> ::= <xSelectCaseStmt> <xSelectCaseRange>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production755UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XcaseconstructNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xSelectCaseRange> ::= <xSelectCaseBody> <xEndSelectStmt>  ;
     */
    void reduceByProduction756(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSelectCaseRange> ::= <xSelectCaseBody> <xEndSelectStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production756UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XselectcaserangeNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xSelectCaseRange> ::= <xEndSelectStmt>  ;
     */
    void reduceByProduction757(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSelectCaseRange> ::= <xEndSelectStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production757UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XselectcaserangeNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSelectCaseBody> ::= <xCaseStmt>  ;
     */
    void reduceByProduction758(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSelectCaseBody> ::= <xCaseStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production758UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XselectcasebodyNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSelectCaseBody> ::= <xSelectCaseBody> <xCaseBodyConstruct>  ;
     */
    void reduceByProduction759(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSelectCaseBody> ::= <xSelectCaseBody> <xCaseBodyConstruct>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production759UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XselectcasebodyNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xCaseBodyConstruct> ::= <xCaseStmt>  ;
     */
    void reduceByProduction760(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCaseBodyConstruct> ::= <xCaseStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production760UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcasebodyconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCaseBodyConstruct> ::= <xExecutionPartConstruct>  ;
     */
    void reduceByProduction761(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCaseBodyConstruct> ::= <xExecutionPartConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production761UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcasebodyconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSelectCaseStmt> ::= <xName> T_COLON T_SELECTCASE T_LPAREN <xExpr> T_RPAREN T_EOS  ;
     */
    void reduceByProduction762(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSelectCaseStmt> ::= <xName> T_COLON T_SELECTCASE T_LPAREN <xExpr> T_RPAREN T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production762UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XselectcasestmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xSelectCaseStmt> ::= <xLblDef> <xName> T_COLON T_SELECTCASE T_LPAREN <xExpr> T_RPAREN T_EOS  ;
     */
    void reduceByProduction763(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSelectCaseStmt> ::= <xLblDef> <xName> T_COLON T_SELECTCASE T_LPAREN <xExpr> T_RPAREN T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production763UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XselectcasestmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xSelectCaseStmt> ::= T_SELECTCASE T_LPAREN <xExpr> T_RPAREN T_EOS  ;
     */
    void reduceByProduction764(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSelectCaseStmt> ::= T_SELECTCASE T_LPAREN <xExpr> T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production764UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XselectcasestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xSelectCaseStmt> ::= <xLblDef> T_SELECTCASE T_LPAREN <xExpr> T_RPAREN T_EOS  ;
     */
    void reduceByProduction765(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSelectCaseStmt> ::= <xLblDef> T_SELECTCASE T_LPAREN <xExpr> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production765UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XselectcasestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xSelectCaseStmt> ::= <xName> T_COLON T_SELECT T_CASE T_LPAREN <xExpr> T_RPAREN T_EOS  ;
     */
    void reduceByProduction766(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSelectCaseStmt> ::= <xName> T_COLON T_SELECT T_CASE T_LPAREN <xExpr> T_RPAREN T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production766UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XselectcasestmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xSelectCaseStmt> ::= <xLblDef> <xName> T_COLON T_SELECT T_CASE T_LPAREN <xExpr> T_RPAREN T_EOS  ;
     */
    void reduceByProduction767(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSelectCaseStmt> ::= <xLblDef> <xName> T_COLON T_SELECT T_CASE T_LPAREN <xExpr> T_RPAREN T_EOS  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production767UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XselectcasestmtNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xSelectCaseStmt> ::= T_SELECT T_CASE T_LPAREN <xExpr> T_RPAREN T_EOS  ;
     */
    void reduceByProduction768(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSelectCaseStmt> ::= T_SELECT T_CASE T_LPAREN <xExpr> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production768UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XselectcasestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xSelectCaseStmt> ::= <xLblDef> T_SELECT T_CASE T_LPAREN <xExpr> T_RPAREN T_EOS  ;
     */
    void reduceByProduction769(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSelectCaseStmt> ::= <xLblDef> T_SELECT T_CASE T_LPAREN <xExpr> T_RPAREN T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production769UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XselectcasestmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xCaseStmt> ::= T_CASE <xCaseSelector> T_EOS  ;
     */
    void reduceByProduction770(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCaseStmt> ::= T_CASE <xCaseSelector> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production770UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcasestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xCaseStmt> ::= <xLblDef> T_CASE <xCaseSelector> T_EOS  ;
     */
    void reduceByProduction771(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCaseStmt> ::= <xLblDef> T_CASE <xCaseSelector> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production771UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XcasestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xCaseStmt> ::= T_CASE <xCaseSelector> <xName> T_EOS  ;
     */
    void reduceByProduction772(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCaseStmt> ::= T_CASE <xCaseSelector> <xName> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production772UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XcasestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xCaseStmt> ::= <xLblDef> T_CASE <xCaseSelector> <xName> T_EOS  ;
     */
    void reduceByProduction773(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCaseStmt> ::= <xLblDef> T_CASE <xCaseSelector> <xName> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production773UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XcasestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xEndSelectStmt> ::= T_ENDSELECT T_EOS  ;
     */
    void reduceByProduction774(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSelectStmt> ::= T_ENDSELECT T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production774UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XendselectstmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndSelectStmt> ::= T_ENDSELECT <xEndSelectStmt@61> T_EOS  ;
     */
    void reduceByProduction775(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSelectStmt> ::= T_ENDSELECT <xEndSelectStmt@61> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production775UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendselectstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndSelectStmt> ::= <xLblDef> T_ENDSELECT T_EOS  ;
     */
    void reduceByProduction776(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSelectStmt> ::= <xLblDef> T_ENDSELECT T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production776UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendselectstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndSelectStmt> ::= <xLblDef> T_ENDSELECT <xEndSelectStmt@61> T_EOS  ;
     */
    void reduceByProduction777(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSelectStmt> ::= <xLblDef> T_ENDSELECT <xEndSelectStmt@61> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production777UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendselectstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndSelectStmt> ::= T_END T_SELECT T_EOS  ;
     */
    void reduceByProduction778(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSelectStmt> ::= T_END T_SELECT T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production778UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendselectstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndSelectStmt> ::= T_END T_SELECT <xEndSelectStmt@62> T_EOS  ;
     */
    void reduceByProduction779(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSelectStmt> ::= T_END T_SELECT <xEndSelectStmt@62> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production779UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendselectstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndSelectStmt> ::= <xLblDef> T_END T_SELECT T_EOS  ;
     */
    void reduceByProduction780(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSelectStmt> ::= <xLblDef> T_END T_SELECT T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production780UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendselectstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndSelectStmt> ::= <xLblDef> T_END T_SELECT <xEndSelectStmt@62> T_EOS  ;
     */
    void reduceByProduction781(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSelectStmt> ::= <xLblDef> T_END T_SELECT <xEndSelectStmt@62> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production781UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XendselectstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xCaseSelector> ::= T_LPAREN <xCaseValueRangeList> T_RPAREN  ;
     */
    void reduceByProduction782(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCaseSelector> ::= T_LPAREN <xCaseValueRangeList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production782UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcaseselectorNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xCaseSelector> ::= T_DEFAULT  ;
     */
    void reduceByProduction783(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCaseSelector> ::= T_DEFAULT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production783UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcaseselectorNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCaseValueRangeList> ::= <xCaseValueRange>  ;
     */
    void reduceByProduction784(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCaseValueRangeList> ::= <xCaseValueRange>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production784UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcasevaluerangelistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCaseValueRangeList> ::= <xCaseValueRangeList> T_COMMA <xCaseValueRange>  ;
     */
    void reduceByProduction785(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCaseValueRangeList> ::= <xCaseValueRangeList> T_COMMA <xCaseValueRange>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production785UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcasevaluerangelistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xCaseValueRange> ::= <xExpr>  ;
     */
    void reduceByProduction786(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCaseValueRange> ::= <xExpr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production786UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcasevaluerangeNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCaseValueRange> ::= <xExpr> T_COLON  ;
     */
    void reduceByProduction787(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCaseValueRange> ::= <xExpr> T_COLON  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production787UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XcasevaluerangeNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xCaseValueRange> ::= T_COLON <xExpr>  ;
     */
    void reduceByProduction788(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCaseValueRange> ::= T_COLON <xExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production788UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XcasevaluerangeNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xCaseValueRange> ::= <xExpr> T_COLON <xExpr>  ;
     */
    void reduceByProduction789(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCaseValueRange> ::= <xExpr> T_COLON <xExpr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production789UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcasevaluerangeNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xDoConstruct> ::= <xBlockDoConstruct>  ;
     */
    void reduceByProduction790(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDoConstruct> ::= <xBlockDoConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production790UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdoconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xBlockDoConstruct> ::= <xLabelDoStmt>  ;
     */
    void reduceByProduction791(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBlockDoConstruct> ::= <xLabelDoStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production791UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XblockdoconstructNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xLabelDoStmt> ::= T_DO <xLblRef> <xCommaLoopControl> T_EOS  ;
     */
    void reduceByProduction792(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabelDoStmt> ::= T_DO <xLblRef> <xCommaLoopControl> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production792UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XlabeldostmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xLabelDoStmt> ::= <xLblDef> T_DO <xLblRef> <xCommaLoopControl> T_EOS  ;
     */
    void reduceByProduction793(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabelDoStmt> ::= <xLblDef> T_DO <xLblRef> <xCommaLoopControl> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production793UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XlabeldostmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xLabelDoStmt> ::= T_DO <xLblRef> T_EOS  ;
     */
    void reduceByProduction794(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabelDoStmt> ::= T_DO <xLblRef> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production794UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XlabeldostmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xLabelDoStmt> ::= <xLblDef> T_DO <xLblRef> T_EOS  ;
     */
    void reduceByProduction795(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabelDoStmt> ::= <xLblDef> T_DO <xLblRef> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production795UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XlabeldostmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xLabelDoStmt> ::= T_DO <xCommaLoopControl> T_EOS  ;
     */
    void reduceByProduction796(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabelDoStmt> ::= T_DO <xCommaLoopControl> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production796UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XlabeldostmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xLabelDoStmt> ::= <xLblDef> T_DO <xCommaLoopControl> T_EOS  ;
     */
    void reduceByProduction797(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabelDoStmt> ::= <xLblDef> T_DO <xCommaLoopControl> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production797UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XlabeldostmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xLabelDoStmt> ::= T_DO T_EOS  ;
     */
    void reduceByProduction798(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabelDoStmt> ::= T_DO T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production798UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XlabeldostmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xLabelDoStmt> ::= <xLblDef> T_DO T_EOS  ;
     */
    void reduceByProduction799(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabelDoStmt> ::= <xLblDef> T_DO T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production799UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XlabeldostmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xLabelDoStmt> ::= <xName> T_COLON T_DO <xLblRef> <xCommaLoopControl> T_EOS  ;
     */
    void reduceByProduction800(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabelDoStmt> ::= <xName> T_COLON T_DO <xLblRef> <xCommaLoopControl> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production800UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XlabeldostmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xLabelDoStmt> ::= <xLblDef> <xName> T_COLON T_DO <xLblRef> <xCommaLoopControl> T_EOS  ;
     */
    void reduceByProduction801(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabelDoStmt> ::= <xLblDef> <xName> T_COLON T_DO <xLblRef> <xCommaLoopControl> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production801UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XlabeldostmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xLabelDoStmt> ::= <xName> T_COLON T_DO <xLblRef> T_EOS  ;
     */
    void reduceByProduction802(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabelDoStmt> ::= <xName> T_COLON T_DO <xLblRef> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production802UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XlabeldostmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xLabelDoStmt> ::= <xLblDef> <xName> T_COLON T_DO <xLblRef> T_EOS  ;
     */
    void reduceByProduction803(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabelDoStmt> ::= <xLblDef> <xName> T_COLON T_DO <xLblRef> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production803UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XlabeldostmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xLabelDoStmt> ::= <xName> T_COLON T_DO <xCommaLoopControl> T_EOS  ;
     */
    void reduceByProduction804(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabelDoStmt> ::= <xName> T_COLON T_DO <xCommaLoopControl> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production804UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XlabeldostmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xLabelDoStmt> ::= <xLblDef> <xName> T_COLON T_DO <xCommaLoopControl> T_EOS  ;
     */
    void reduceByProduction805(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabelDoStmt> ::= <xLblDef> <xName> T_COLON T_DO <xCommaLoopControl> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production805UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XlabeldostmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xLabelDoStmt> ::= <xName> T_COLON T_DO T_EOS  ;
     */
    void reduceByProduction806(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabelDoStmt> ::= <xName> T_COLON T_DO T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production806UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XlabeldostmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xLabelDoStmt> ::= <xLblDef> <xName> T_COLON T_DO T_EOS  ;
     */
    void reduceByProduction807(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLabelDoStmt> ::= <xLblDef> <xName> T_COLON T_DO T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production807UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XlabeldostmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xCommaLoopControl> ::= T_COMMA <xLoopControl>  ;
     */
    void reduceByProduction808(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCommaLoopControl> ::= T_COMMA <xLoopControl>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production808UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XcommaloopcontrolNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xCommaLoopControl> ::= <xLoopControl>  ;
     */
    void reduceByProduction809(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCommaLoopControl> ::= <xLoopControl>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production809UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcommaloopcontrolNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xLoopControl> ::= <xVariableName> T_EQUALS <xExpr> T_COMMA <xExpr>  ;
     */
    void reduceByProduction810(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLoopControl> ::= <xVariableName> T_EQUALS <xExpr> T_COMMA <xExpr>  ;
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production810UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XloopcontrolNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xLoopControl> ::= <xVariableName> T_EQUALS <xExpr> T_COMMA <xExpr> T_COMMA <xExpr>  ;
     */
    void reduceByProduction811(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLoopControl> ::= <xVariableName> T_EQUALS <xExpr> T_COMMA <xExpr> T_COMMA <xExpr>  ;
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production811UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XloopcontrolNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xLoopControl> ::= T_WHILE T_LPAREN <xExpr> T_RPAREN  ;
     */
    void reduceByProduction812(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLoopControl> ::= T_WHILE T_LPAREN <xExpr> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production812UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XloopcontrolNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndDoStmt> ::= T_ENDDO T_EOS  ;
     */
    void reduceByProduction813(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndDoStmt> ::= T_ENDDO T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production813UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XenddostmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndDoStmt> ::= T_ENDDO <xEndDoStmt@63> T_EOS  ;
     */
    void reduceByProduction814(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndDoStmt> ::= T_ENDDO <xEndDoStmt@63> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production814UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XenddostmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndDoStmt> ::= <xLblDef> T_ENDDO T_EOS  ;
     */
    void reduceByProduction815(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndDoStmt> ::= <xLblDef> T_ENDDO T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production815UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XenddostmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndDoStmt> ::= <xLblDef> T_ENDDO <xEndDoStmt@63> T_EOS  ;
     */
    void reduceByProduction816(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndDoStmt> ::= <xLblDef> T_ENDDO <xEndDoStmt@63> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production816UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XenddostmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndDoStmt> ::= T_END T_DO T_EOS  ;
     */
    void reduceByProduction817(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndDoStmt> ::= T_END T_DO T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production817UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XenddostmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndDoStmt> ::= T_END T_DO <xEndDoStmt@64> T_EOS  ;
     */
    void reduceByProduction818(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndDoStmt> ::= T_END T_DO <xEndDoStmt@64> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production818UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XenddostmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndDoStmt> ::= <xLblDef> T_END T_DO T_EOS  ;
     */
    void reduceByProduction819(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndDoStmt> ::= <xLblDef> T_END T_DO T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production819UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XenddostmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndDoStmt> ::= <xLblDef> T_END T_DO <xEndDoStmt@64> T_EOS  ;
     */
    void reduceByProduction820(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndDoStmt> ::= <xLblDef> T_END T_DO <xEndDoStmt@64> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production820UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XenddostmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xCycleStmt> ::= T_CYCLE T_EOS  ;
     */
    void reduceByProduction821(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCycleStmt> ::= T_CYCLE T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production821UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XcyclestmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xCycleStmt> ::= T_CYCLE <xCycleStmt@65> T_EOS  ;
     */
    void reduceByProduction822(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCycleStmt> ::= T_CYCLE <xCycleStmt@65> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production822UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcyclestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xCycleStmt> ::= <xLblDef> T_CYCLE T_EOS  ;
     */
    void reduceByProduction823(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCycleStmt> ::= <xLblDef> T_CYCLE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production823UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcyclestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xCycleStmt> ::= <xLblDef> T_CYCLE <xCycleStmt@65> T_EOS  ;
     */
    void reduceByProduction824(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCycleStmt> ::= <xLblDef> T_CYCLE <xCycleStmt@65> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production824UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XcyclestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xExitStmt> ::= T_EXIT T_EOS  ;
     */
    void reduceByProduction825(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExitStmt> ::= T_EXIT T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production825UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XexitstmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xExitStmt> ::= T_EXIT <xExitStmt@66> T_EOS  ;
     */
    void reduceByProduction826(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExitStmt> ::= T_EXIT <xExitStmt@66> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production826UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XexitstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xExitStmt> ::= <xLblDef> T_EXIT T_EOS  ;
     */
    void reduceByProduction827(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExitStmt> ::= <xLblDef> T_EXIT T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production827UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XexitstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xExitStmt> ::= <xLblDef> T_EXIT <xExitStmt@66> T_EOS  ;
     */
    void reduceByProduction828(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExitStmt> ::= <xLblDef> T_EXIT <xExitStmt@66> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production828UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XexitstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xGotoStmt> ::= <GoToKw> <xLblRef> T_EOS  ;
     */
    void reduceByProduction829(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xGotoStmt> ::= <GoToKw> <xLblRef> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production829UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XgotostmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xGotoStmt> ::= <xLblDef> <GoToKw> <xLblRef> T_EOS  ;
     */
    void reduceByProduction830(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xGotoStmt> ::= <xLblDef> <GoToKw> <xLblRef> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production830UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XgotostmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <GoToKw> ::= T_GOTO  ;
     */
    void reduceByProduction831(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <GoToKw> ::= T_GOTO  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production831UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.GotokwNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <GoToKw> ::= T_GO T_TO  ;
     */
    void reduceByProduction832(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <GoToKw> ::= T_GO T_TO  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production832UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.GotokwNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xComputedGotoStmt> ::= <GoToKw> T_LPAREN <xLblRefList> T_RPAREN <xExpr> T_EOS  ;
     */
    void reduceByProduction833(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComputedGotoStmt> ::= <GoToKw> T_LPAREN <xLblRefList> T_RPAREN <xExpr> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production833UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XcomputedgotostmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xComputedGotoStmt> ::= <xLblDef> <GoToKw> T_LPAREN <xLblRefList> T_RPAREN <xExpr> T_EOS  ;
     */
    void reduceByProduction834(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComputedGotoStmt> ::= <xLblDef> <GoToKw> T_LPAREN <xLblRefList> T_RPAREN <xExpr> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production834UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XcomputedgotostmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xComputedGotoStmt> ::= <GoToKw> T_LPAREN <xLblRefList> T_RPAREN <xCommaExp> T_EOS  ;
     */
    void reduceByProduction835(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComputedGotoStmt> ::= <GoToKw> T_LPAREN <xLblRefList> T_RPAREN <xCommaExp> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production835UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XcomputedgotostmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xComputedGotoStmt> ::= <xLblDef> <GoToKw> T_LPAREN <xLblRefList> T_RPAREN <xCommaExp> T_EOS  ;
     */
    void reduceByProduction836(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComputedGotoStmt> ::= <xLblDef> <GoToKw> T_LPAREN <xLblRefList> T_RPAREN <xCommaExp> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production836UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XcomputedgotostmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xCommaExp> ::= T_COMMA <xExpr>  ;
     */
    void reduceByProduction837(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCommaExp> ::= T_COMMA <xExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production837UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XcommaexpNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xLblRefList> ::= <xLblRef>  ;
     */
    void reduceByProduction838(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLblRefList> ::= <xLblRef>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production838UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XlblreflistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xLblRefList> ::= <xLblRefList> T_COMMA <xLblRef>  ;
     */
    void reduceByProduction839(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLblRefList> ::= <xLblRefList> T_COMMA <xLblRef>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production839UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XlblreflistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xLblRef> ::= <xLabel>  ;
     */
    void reduceByProduction840(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLblRef> ::= <xLabel>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production840UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XlblrefNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xArithmeticIfStmt> ::= T_IF T_LPAREN <xExpr> T_RPAREN <xLblRef> T_COMMA <xLblRef> T_COMMA <xLblRef> T_EOS  ;
     */
    void reduceByProduction841(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArithmeticIfStmt> ::= T_IF T_LPAREN <xExpr> T_RPAREN <xLblRef> T_COMMA <xLblRef> T_COMMA <xLblRef> T_EOS  ;
        Token v10 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v9 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production841UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10);

        // The production has 10 symbols on its RHS
        parser.reduce(Nonterminal.XarithmeticifstmtNonterminal.getInstance(), 10, userValue);
    }

    /**
     * Reduce by <xArithmeticIfStmt> ::= <xLblDef> T_IF T_LPAREN <xExpr> T_RPAREN <xLblRef> T_COMMA <xLblRef> T_COMMA <xLblRef> T_EOS  ;
     */
    void reduceByProduction842(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArithmeticIfStmt> ::= <xLblDef> T_IF T_LPAREN <xExpr> T_RPAREN <xLblRef> T_COMMA <xLblRef> T_COMMA <xLblRef> T_EOS  ;
        Token v11 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v10 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production842UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11);

        // The production has 11 symbols on its RHS
        parser.reduce(Nonterminal.XarithmeticifstmtNonterminal.getInstance(), 11, userValue);
    }

    /**
     * Reduce by <xContinueStmt> ::= T_CONTINUE T_EOS  ;
     */
    void reduceByProduction843(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xContinueStmt> ::= T_CONTINUE T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production843UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XcontinuestmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xContinueStmt> ::= <xLblDef> T_CONTINUE T_EOS  ;
     */
    void reduceByProduction844(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xContinueStmt> ::= <xLblDef> T_CONTINUE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production844UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcontinuestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xStopStmt> ::= T_STOP T_EOS  ;
     */
    void reduceByProduction845(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xStopStmt> ::= T_STOP T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production845UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XstopstmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xStopStmt> ::= <xLblDef> T_STOP T_EOS  ;
     */
    void reduceByProduction846(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xStopStmt> ::= <xLblDef> T_STOP T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production846UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XstopstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xStopStmt> ::= T_STOP T_ICON T_EOS  ;
     */
    void reduceByProduction847(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xStopStmt> ::= T_STOP T_ICON T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production847UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XstopstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xStopStmt> ::= <xLblDef> T_STOP T_ICON T_EOS  ;
     */
    void reduceByProduction848(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xStopStmt> ::= <xLblDef> T_STOP T_ICON T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production848UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XstopstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xStopStmt> ::= T_STOP T_SCON T_EOS  ;
     */
    void reduceByProduction849(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xStopStmt> ::= T_STOP T_SCON T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production849UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XstopstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xStopStmt> ::= <xLblDef> T_STOP T_SCON T_EOS  ;
     */
    void reduceByProduction850(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xStopStmt> ::= <xLblDef> T_STOP T_SCON T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production850UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XstopstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xUnitIdentifier> ::= <xUFExpr>  ;
     */
    void reduceByProduction851(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUnitIdentifier> ::= <xUFExpr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production851UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XunitidentifierNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xUnitIdentifier> ::= T_ASTERISK  ;
     */
    void reduceByProduction852(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUnitIdentifier> ::= T_ASTERISK  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production852UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XunitidentifierNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xOpenStmt> ::= T_OPEN T_LPAREN <xConnectSpecList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction853(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOpenStmt> ::= T_OPEN T_LPAREN <xConnectSpecList> T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production853UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XopenstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xOpenStmt> ::= <xLblDef> T_OPEN T_LPAREN <xConnectSpecList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction854(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOpenStmt> ::= <xLblDef> T_OPEN T_LPAREN <xConnectSpecList> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production854UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XopenstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xConnectSpecList> ::= <xUnitIdentifier>  ;
     */
    void reduceByProduction855(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConnectSpecList> ::= <xUnitIdentifier>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production855UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XconnectspeclistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xConnectSpecList> ::= <xConnectSpec>  ;
     */
    void reduceByProduction856(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConnectSpecList> ::= <xConnectSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production856UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XconnectspeclistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xConnectSpecList> ::= <xConnectSpecList> T_COMMA <xConnectSpec>  ;
     */
    void reduceByProduction857(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConnectSpecList> ::= <xConnectSpecList> T_COMMA <xConnectSpec>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production857UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XconnectspeclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xConnectSpec> ::= T_UNITEQ <xUnitIdentifier>  ;
     */
    void reduceByProduction858(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConnectSpec> ::= T_UNITEQ <xUnitIdentifier>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production858UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XconnectspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xConnectSpec> ::= T_ERREQ <xLblRef>  ;
     */
    void reduceByProduction859(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConnectSpec> ::= T_ERREQ <xLblRef>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production859UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XconnectspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xConnectSpec> ::= T_FILEEQ <xCExpr>  ;
     */
    void reduceByProduction860(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConnectSpec> ::= T_FILEEQ <xCExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production860UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XconnectspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xConnectSpec> ::= T_STATUSEQ <xCExpr>  ;
     */
    void reduceByProduction861(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConnectSpec> ::= T_STATUSEQ <xCExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production861UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XconnectspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xConnectSpec> ::= T_ACCESSEQ <xCExpr>  ;
     */
    void reduceByProduction862(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConnectSpec> ::= T_ACCESSEQ <xCExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production862UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XconnectspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xConnectSpec> ::= T_FORMEQ <xCExpr>  ;
     */
    void reduceByProduction863(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConnectSpec> ::= T_FORMEQ <xCExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production863UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XconnectspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xConnectSpec> ::= T_RECLEQ <xExpr>  ;
     */
    void reduceByProduction864(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConnectSpec> ::= T_RECLEQ <xExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production864UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XconnectspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xConnectSpec> ::= T_BLANKEQ <xCExpr>  ;
     */
    void reduceByProduction865(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConnectSpec> ::= T_BLANKEQ <xCExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production865UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XconnectspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xConnectSpec> ::= T_IOSTATEQ <xScalarVariable>  ;
     */
    void reduceByProduction866(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConnectSpec> ::= T_IOSTATEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production866UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XconnectspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xConnectSpec> ::= T_POSITIONEQ <xCExpr>  ;
     */
    void reduceByProduction867(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConnectSpec> ::= T_POSITIONEQ <xCExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production867UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XconnectspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xConnectSpec> ::= T_ACTIONEQ <xCExpr>  ;
     */
    void reduceByProduction868(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConnectSpec> ::= T_ACTIONEQ <xCExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production868UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XconnectspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xConnectSpec> ::= T_DELIMEQ <xCExpr>  ;
     */
    void reduceByProduction869(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConnectSpec> ::= T_DELIMEQ <xCExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production869UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XconnectspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xConnectSpec> ::= T_PADEQ <xCExpr>  ;
     */
    void reduceByProduction870(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xConnectSpec> ::= T_PADEQ <xCExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production870UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XconnectspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xCloseStmt> ::= T_CLOSE T_LPAREN <xCloseSpecList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction871(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCloseStmt> ::= T_CLOSE T_LPAREN <xCloseSpecList> T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production871UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XclosestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xCloseStmt> ::= <xLblDef> T_CLOSE T_LPAREN <xCloseSpecList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction872(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCloseStmt> ::= <xLblDef> T_CLOSE T_LPAREN <xCloseSpecList> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production872UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XclosestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xCloseSpecList> ::= <xUnitIdentifier>  ;
     */
    void reduceByProduction873(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCloseSpecList> ::= <xUnitIdentifier>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production873UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XclosespeclistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCloseSpecList> ::= <xCloseSpec>  ;
     */
    void reduceByProduction874(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCloseSpecList> ::= <xCloseSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production874UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XclosespeclistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCloseSpecList> ::= <xCloseSpecList> T_COMMA <xCloseSpec>  ;
     */
    void reduceByProduction875(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCloseSpecList> ::= <xCloseSpecList> T_COMMA <xCloseSpec>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production875UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XclosespeclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xCloseSpec> ::= T_UNITEQ <xUnitIdentifier>  ;
     */
    void reduceByProduction876(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCloseSpec> ::= T_UNITEQ <xUnitIdentifier>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production876UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XclosespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xCloseSpec> ::= T_ERREQ <xLblRef>  ;
     */
    void reduceByProduction877(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCloseSpec> ::= T_ERREQ <xLblRef>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production877UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XclosespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xCloseSpec> ::= T_STATUSEQ <xCExpr>  ;
     */
    void reduceByProduction878(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCloseSpec> ::= T_STATUSEQ <xCExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production878UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XclosespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xCloseSpec> ::= T_IOSTATEQ <xScalarVariable>  ;
     */
    void reduceByProduction879(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCloseSpec> ::= T_IOSTATEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production879UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XclosespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xReadStmt> ::= T_READ <xRdCtlSpec> <xInputItemList> T_EOS  ;
     */
    void reduceByProduction880(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xReadStmt> ::= T_READ <xRdCtlSpec> <xInputItemList> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production880UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XreadstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xReadStmt> ::= <xLblDef> T_READ <xRdCtlSpec> <xInputItemList> T_EOS  ;
     */
    void reduceByProduction881(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xReadStmt> ::= <xLblDef> T_READ <xRdCtlSpec> <xInputItemList> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production881UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XreadstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xReadStmt> ::= T_READ <xRdCtlSpec> T_EOS  ;
     */
    void reduceByProduction882(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xReadStmt> ::= T_READ <xRdCtlSpec> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production882UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XreadstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xReadStmt> ::= <xLblDef> T_READ <xRdCtlSpec> T_EOS  ;
     */
    void reduceByProduction883(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xReadStmt> ::= <xLblDef> T_READ <xRdCtlSpec> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production883UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XreadstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xReadStmt> ::= T_READ <xRdFmtId> T_COMMA <xInputItemList> T_EOS  ;
     */
    void reduceByProduction884(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xReadStmt> ::= T_READ <xRdFmtId> T_COMMA <xInputItemList> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production884UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XreadstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xReadStmt> ::= <xLblDef> T_READ <xRdFmtId> T_COMMA <xInputItemList> T_EOS  ;
     */
    void reduceByProduction885(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xReadStmt> ::= <xLblDef> T_READ <xRdFmtId> T_COMMA <xInputItemList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production885UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XreadstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xReadStmt> ::= T_READ <xRdFmtId> T_EOS  ;
     */
    void reduceByProduction886(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xReadStmt> ::= T_READ <xRdFmtId> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production886UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XreadstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xReadStmt> ::= <xLblDef> T_READ <xRdFmtId> T_EOS  ;
     */
    void reduceByProduction887(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xReadStmt> ::= <xLblDef> T_READ <xRdFmtId> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production887UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XreadstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xRdCtlSpec> ::= <xRdUnitId>  ;
     */
    void reduceByProduction888(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRdCtlSpec> ::= <xRdUnitId>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production888UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrdctlspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRdCtlSpec> ::= T_LPAREN <xRdIoCtlSpecList> T_RPAREN  ;
     */
    void reduceByProduction889(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRdCtlSpec> ::= T_LPAREN <xRdIoCtlSpecList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production889UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XrdctlspecNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xRdUnitId> ::= T_LPAREN <xUFExpr> T_RPAREN  ;
     */
    void reduceByProduction890(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRdUnitId> ::= T_LPAREN <xUFExpr> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production890UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XrdunitidNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xRdUnitId> ::= T_LPAREN T_ASTERISK T_RPAREN  ;
     */
    void reduceByProduction891(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRdUnitId> ::= T_LPAREN T_ASTERISK T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production891UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XrdunitidNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xRdIoCtlSpecList> ::= <xUnitIdentifier> T_COMMA <xIoControlSpec>  ;
     */
    void reduceByProduction892(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRdIoCtlSpecList> ::= <xUnitIdentifier> T_COMMA <xIoControlSpec>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production892UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XrdioctlspeclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xRdIoCtlSpecList> ::= <xUnitIdentifier> T_COMMA <xFormatIdentifier>  ;
     */
    void reduceByProduction893(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRdIoCtlSpecList> ::= <xUnitIdentifier> T_COMMA <xFormatIdentifier>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production893UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XrdioctlspeclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xRdIoCtlSpecList> ::= <xIoControlSpec>  ;
     */
    void reduceByProduction894(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRdIoCtlSpecList> ::= <xIoControlSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production894UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrdioctlspeclistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRdIoCtlSpecList> ::= <xRdIoCtlSpecList> T_COMMA <xIoControlSpec>  ;
     */
    void reduceByProduction895(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRdIoCtlSpecList> ::= <xRdIoCtlSpecList> T_COMMA <xIoControlSpec>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production895UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XrdioctlspeclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xRdFmtId> ::= <xLblRef>  ;
     */
    void reduceByProduction896(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRdFmtId> ::= <xLblRef>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production896UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrdfmtidNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRdFmtId> ::= T_ASTERISK  ;
     */
    void reduceByProduction897(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRdFmtId> ::= T_ASTERISK  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production897UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrdfmtidNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRdFmtId> ::= <xCOperand>  ;
     */
    void reduceByProduction898(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRdFmtId> ::= <xCOperand>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production898UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrdfmtidNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRdFmtId> ::= <xCOperand> <xConcatOp> <xCPrimary>  ;
     */
    void reduceByProduction899(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRdFmtId> ::= <xCOperand> <xConcatOp> <xCPrimary>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production899UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XrdfmtidNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xRdFmtId> ::= <xRdFmtIdExpr> <xConcatOp> <xCPrimary>  ;
     */
    void reduceByProduction900(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRdFmtId> ::= <xRdFmtIdExpr> <xConcatOp> <xCPrimary>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production900UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XrdfmtidNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xRdFmtIdExpr> ::= T_LPAREN <xUFExpr> T_RPAREN  ;
     */
    void reduceByProduction901(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRdFmtIdExpr> ::= T_LPAREN <xUFExpr> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production901UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XrdfmtidexprNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xWriteStmt> ::= T_WRITE T_LPAREN <xIoControlSpecList> T_RPAREN <xOutputItemList> T_EOS  ;
     */
    void reduceByProduction902(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWriteStmt> ::= T_WRITE T_LPAREN <xIoControlSpecList> T_RPAREN <xOutputItemList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production902UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XwritestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xWriteStmt> ::= <xLblDef> T_WRITE T_LPAREN <xIoControlSpecList> T_RPAREN <xOutputItemList> T_EOS  ;
     */
    void reduceByProduction903(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWriteStmt> ::= <xLblDef> T_WRITE T_LPAREN <xIoControlSpecList> T_RPAREN <xOutputItemList> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production903UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XwritestmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xWriteStmt> ::= T_WRITE T_LPAREN <xIoControlSpecList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction904(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWriteStmt> ::= T_WRITE T_LPAREN <xIoControlSpecList> T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production904UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XwritestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xWriteStmt> ::= <xLblDef> T_WRITE T_LPAREN <xIoControlSpecList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction905(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xWriteStmt> ::= <xLblDef> T_WRITE T_LPAREN <xIoControlSpecList> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production905UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XwritestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xPrintStmt> ::= T_PRINT <xFormatIdentifier> T_COMMA <xOutputItemList> T_EOS  ;
     */
    void reduceByProduction906(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrintStmt> ::= T_PRINT <xFormatIdentifier> T_COMMA <xOutputItemList> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production906UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XprintstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xPrintStmt> ::= <xLblDef> T_PRINT <xFormatIdentifier> T_COMMA <xOutputItemList> T_EOS  ;
     */
    void reduceByProduction907(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrintStmt> ::= <xLblDef> T_PRINT <xFormatIdentifier> T_COMMA <xOutputItemList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production907UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XprintstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xPrintStmt> ::= T_PRINT <xFormatIdentifier> T_EOS  ;
     */
    void reduceByProduction908(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrintStmt> ::= T_PRINT <xFormatIdentifier> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production908UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XprintstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xPrintStmt> ::= <xLblDef> T_PRINT <xFormatIdentifier> T_EOS  ;
     */
    void reduceByProduction909(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrintStmt> ::= <xLblDef> T_PRINT <xFormatIdentifier> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production909UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XprintstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xIoControlSpecList> ::= <xUnitIdentifier>  ;
     */
    void reduceByProduction910(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIoControlSpecList> ::= <xUnitIdentifier>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production910UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XiocontrolspeclistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xIoControlSpecList> ::= <xUnitIdentifier> T_COMMA <xFormatIdentifier>  ;
     */
    void reduceByProduction911(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIoControlSpecList> ::= <xUnitIdentifier> T_COMMA <xFormatIdentifier>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production911UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XiocontrolspeclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xIoControlSpecList> ::= <xUnitIdentifier> T_COMMA <xIoControlSpec>  ;
     */
    void reduceByProduction912(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIoControlSpecList> ::= <xUnitIdentifier> T_COMMA <xIoControlSpec>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production912UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XiocontrolspeclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xIoControlSpecList> ::= <xIoControlSpec>  ;
     */
    void reduceByProduction913(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIoControlSpecList> ::= <xIoControlSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production913UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XiocontrolspeclistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xIoControlSpecList> ::= <xIoControlSpecList> T_COMMA <xIoControlSpec>  ;
     */
    void reduceByProduction914(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIoControlSpecList> ::= <xIoControlSpecList> T_COMMA <xIoControlSpec>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production914UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XiocontrolspeclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xIoControlSpec> ::= T_FMTEQ <xFormatIdentifier>  ;
     */
    void reduceByProduction915(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIoControlSpec> ::= T_FMTEQ <xFormatIdentifier>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production915UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XiocontrolspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xIoControlSpec> ::= T_UNITEQ <xUnitIdentifier>  ;
     */
    void reduceByProduction916(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIoControlSpec> ::= T_UNITEQ <xUnitIdentifier>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production916UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XiocontrolspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xIoControlSpec> ::= T_RECEQ <xExpr>  ;
     */
    void reduceByProduction917(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIoControlSpec> ::= T_RECEQ <xExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production917UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XiocontrolspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xIoControlSpec> ::= T_ENDEQ <xLblRef>  ;
     */
    void reduceByProduction918(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIoControlSpec> ::= T_ENDEQ <xLblRef>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production918UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XiocontrolspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xIoControlSpec> ::= T_ERREQ <xLblRef>  ;
     */
    void reduceByProduction919(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIoControlSpec> ::= T_ERREQ <xLblRef>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production919UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XiocontrolspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xIoControlSpec> ::= T_IOSTATEQ <xScalarVariable>  ;
     */
    void reduceByProduction920(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIoControlSpec> ::= T_IOSTATEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production920UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XiocontrolspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xIoControlSpec> ::= T_NMLEQ <xNamelistGroupName>  ;
     */
    void reduceByProduction921(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIoControlSpec> ::= T_NMLEQ <xNamelistGroupName>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production921UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XiocontrolspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xIoControlSpec> ::= T_ADVANCEEQ <xCExpr>  ;
     */
    void reduceByProduction922(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIoControlSpec> ::= T_ADVANCEEQ <xCExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production922UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XiocontrolspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xIoControlSpec> ::= T_SIZEEQ <xVariable>  ;
     */
    void reduceByProduction923(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIoControlSpec> ::= T_SIZEEQ <xVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production923UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XiocontrolspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xIoControlSpec> ::= T_EOREQ <xLblRef>  ;
     */
    void reduceByProduction924(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIoControlSpec> ::= T_EOREQ <xLblRef>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production924UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XiocontrolspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xFormatIdentifier> ::= <xLblRef>  ;
     */
    void reduceByProduction925(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFormatIdentifier> ::= <xLblRef>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production925UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XformatidentifierNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xFormatIdentifier> ::= <xCExpr>  ;
     */
    void reduceByProduction926(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFormatIdentifier> ::= <xCExpr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production926UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XformatidentifierNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xFormatIdentifier> ::= T_ASTERISK  ;
     */
    void reduceByProduction927(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFormatIdentifier> ::= T_ASTERISK  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production927UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XformatidentifierNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xInputItemList> ::= <xInputItem>  ;
     */
    void reduceByProduction928(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInputItemList> ::= <xInputItem>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production928UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XinputitemlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xInputItemList> ::= <xInputItemList> T_COMMA <xInputItem>  ;
     */
    void reduceByProduction929(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInputItemList> ::= <xInputItemList> T_COMMA <xInputItem>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production929UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XinputitemlistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xInputItem> ::= <xVariable>  ;
     */
    void reduceByProduction930(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInputItem> ::= <xVariable>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production930UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XinputitemNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xInputItem> ::= <xInputImpliedDo>  ;
     */
    void reduceByProduction931(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInputItem> ::= <xInputImpliedDo>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production931UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XinputitemNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xOutputItemList> ::= <xExpr>  ;
     */
    void reduceByProduction932(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOutputItemList> ::= <xExpr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production932UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XoutputitemlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xOutputItemList> ::= <xOutputItemList1>  ;
     */
    void reduceByProduction933(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOutputItemList> ::= <xOutputItemList1>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production933UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XoutputitemlistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xOutputItemList1> ::= <xExpr> T_COMMA <xExpr>  ;
     */
    void reduceByProduction934(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOutputItemList1> ::= <xExpr> T_COMMA <xExpr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production934UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xoutputitemlist1Nonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xOutputItemList1> ::= <xExpr> T_COMMA <xOutputImpliedDo>  ;
     */
    void reduceByProduction935(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOutputItemList1> ::= <xExpr> T_COMMA <xOutputImpliedDo>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production935UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xoutputitemlist1Nonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xOutputItemList1> ::= <xOutputImpliedDo>  ;
     */
    void reduceByProduction936(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOutputItemList1> ::= <xOutputImpliedDo>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production936UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xoutputitemlist1Nonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xOutputItemList1> ::= <xOutputItemList1> T_COMMA <xExpr>  ;
     */
    void reduceByProduction937(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOutputItemList1> ::= <xOutputItemList1> T_COMMA <xExpr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production937UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xoutputitemlist1Nonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xOutputItemList1> ::= <xOutputItemList1> T_COMMA <xOutputImpliedDo>  ;
     */
    void reduceByProduction938(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOutputItemList1> ::= <xOutputItemList1> T_COMMA <xOutputImpliedDo>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production938UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xoutputitemlist1Nonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xInputImpliedDo> ::= T_LPAREN <xInputItemList> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_RPAREN  ;
     */
    void reduceByProduction939(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInputImpliedDo> ::= T_LPAREN <xInputItemList> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_RPAREN  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production939UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XinputimplieddoNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xInputImpliedDo> ::= T_LPAREN <xInputItemList> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_COMMA <xExpr> T_RPAREN  ;
     */
    void reduceByProduction940(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInputImpliedDo> ::= T_LPAREN <xInputItemList> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_COMMA <xExpr> T_RPAREN  ;
        Token v11 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v10 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production940UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11);

        // The production has 11 symbols on its RHS
        parser.reduce(Nonterminal.XinputimplieddoNonterminal.getInstance(), 11, userValue);
    }

    /**
     * Reduce by <xOutputImpliedDo> ::= T_LPAREN <xExpr> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_RPAREN  ;
     */
    void reduceByProduction941(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOutputImpliedDo> ::= T_LPAREN <xExpr> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_RPAREN  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production941UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XoutputimplieddoNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xOutputImpliedDo> ::= T_LPAREN <xExpr> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_COMMA <xExpr> T_RPAREN  ;
     */
    void reduceByProduction942(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOutputImpliedDo> ::= T_LPAREN <xExpr> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_COMMA <xExpr> T_RPAREN  ;
        Token v11 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v10 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production942UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11);

        // The production has 11 symbols on its RHS
        parser.reduce(Nonterminal.XoutputimplieddoNonterminal.getInstance(), 11, userValue);
    }

    /**
     * Reduce by <xOutputImpliedDo> ::= T_LPAREN <xOutputItemList1> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_RPAREN  ;
     */
    void reduceByProduction943(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOutputImpliedDo> ::= T_LPAREN <xOutputItemList1> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_RPAREN  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production943UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 9 symbols on its RHS
        parser.reduce(Nonterminal.XoutputimplieddoNonterminal.getInstance(), 9, userValue);
    }

    /**
     * Reduce by <xOutputImpliedDo> ::= T_LPAREN <xOutputItemList1> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_COMMA <xExpr> T_RPAREN  ;
     */
    void reduceByProduction944(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOutputImpliedDo> ::= T_LPAREN <xOutputItemList1> T_COMMA <T_xImpliedDoVariable> T_EQUALS <xExpr> T_COMMA <xExpr> T_COMMA <xExpr> T_RPAREN  ;
        Token v11 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v10 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production944UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11);

        // The production has 11 symbols on its RHS
        parser.reduce(Nonterminal.XoutputimplieddoNonterminal.getInstance(), 11, userValue);
    }

    /**
     * Reduce by <xBackspaceStmt> ::= T_BACKSPACE <xUnitIdentifier> T_EOS  ;
     */
    void reduceByProduction945(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBackspaceStmt> ::= T_BACKSPACE <xUnitIdentifier> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production945UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XbackspacestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xBackspaceStmt> ::= <xLblDef> T_BACKSPACE <xUnitIdentifier> T_EOS  ;
     */
    void reduceByProduction946(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBackspaceStmt> ::= <xLblDef> T_BACKSPACE <xUnitIdentifier> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production946UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XbackspacestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xBackspaceStmt> ::= T_BACKSPACE T_LPAREN <xPositionSpecList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction947(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBackspaceStmt> ::= T_BACKSPACE T_LPAREN <xPositionSpecList> T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production947UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XbackspacestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xBackspaceStmt> ::= <xLblDef> T_BACKSPACE T_LPAREN <xPositionSpecList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction948(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBackspaceStmt> ::= <xLblDef> T_BACKSPACE T_LPAREN <xPositionSpecList> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production948UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XbackspacestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xEndfileStmt> ::= T_ENDFILE <xUnitIdentifier> T_EOS  ;
     */
    void reduceByProduction949(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndfileStmt> ::= T_ENDFILE <xUnitIdentifier> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production949UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendfilestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndfileStmt> ::= <xLblDef> T_ENDFILE <xUnitIdentifier> T_EOS  ;
     */
    void reduceByProduction950(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndfileStmt> ::= <xLblDef> T_ENDFILE <xUnitIdentifier> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production950UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendfilestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndfileStmt> ::= T_ENDFILE T_LPAREN <xPositionSpecList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction951(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndfileStmt> ::= T_ENDFILE T_LPAREN <xPositionSpecList> T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production951UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XendfilestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xEndfileStmt> ::= <xLblDef> T_ENDFILE T_LPAREN <xPositionSpecList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction952(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndfileStmt> ::= <xLblDef> T_ENDFILE T_LPAREN <xPositionSpecList> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production952UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XendfilestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xEndfileStmt> ::= T_END T_FILE <xUnitIdentifier> T_EOS  ;
     */
    void reduceByProduction953(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndfileStmt> ::= T_END T_FILE <xUnitIdentifier> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production953UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendfilestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndfileStmt> ::= <xLblDef> T_END T_FILE <xUnitIdentifier> T_EOS  ;
     */
    void reduceByProduction954(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndfileStmt> ::= <xLblDef> T_END T_FILE <xUnitIdentifier> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production954UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XendfilestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xEndfileStmt> ::= T_END T_FILE T_LPAREN <xPositionSpecList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction955(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndfileStmt> ::= T_END T_FILE T_LPAREN <xPositionSpecList> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production955UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XendfilestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xEndfileStmt> ::= <xLblDef> T_END T_FILE T_LPAREN <xPositionSpecList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction956(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndfileStmt> ::= <xLblDef> T_END T_FILE T_LPAREN <xPositionSpecList> T_RPAREN T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production956UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XendfilestmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xRewindStmt> ::= T_REWIND <xUnitIdentifier> T_EOS  ;
     */
    void reduceByProduction957(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRewindStmt> ::= T_REWIND <xUnitIdentifier> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production957UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XrewindstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xRewindStmt> ::= <xLblDef> T_REWIND <xUnitIdentifier> T_EOS  ;
     */
    void reduceByProduction958(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRewindStmt> ::= <xLblDef> T_REWIND <xUnitIdentifier> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production958UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XrewindstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xRewindStmt> ::= T_REWIND T_LPAREN <xPositionSpecList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction959(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRewindStmt> ::= T_REWIND T_LPAREN <xPositionSpecList> T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production959UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XrewindstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xRewindStmt> ::= <xLblDef> T_REWIND T_LPAREN <xPositionSpecList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction960(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRewindStmt> ::= <xLblDef> T_REWIND T_LPAREN <xPositionSpecList> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production960UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XrewindstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xPositionSpecList> ::= <xUnitIdentifier> T_COMMA <xPositionSpec>  ;
     */
    void reduceByProduction961(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPositionSpecList> ::= <xUnitIdentifier> T_COMMA <xPositionSpec>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production961UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XpositionspeclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xPositionSpecList> ::= <xPositionSpec>  ;
     */
    void reduceByProduction962(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPositionSpecList> ::= <xPositionSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production962UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XpositionspeclistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPositionSpecList> ::= <xPositionSpecList> T_COMMA <xPositionSpec>  ;
     */
    void reduceByProduction963(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPositionSpecList> ::= <xPositionSpecList> T_COMMA <xPositionSpec>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production963UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XpositionspeclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xPositionSpec> ::= T_UNITEQ <xUnitIdentifier>  ;
     */
    void reduceByProduction964(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPositionSpec> ::= T_UNITEQ <xUnitIdentifier>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production964UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XpositionspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xPositionSpec> ::= T_ERREQ <xLblRef>  ;
     */
    void reduceByProduction965(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPositionSpec> ::= T_ERREQ <xLblRef>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production965UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XpositionspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xPositionSpec> ::= T_IOSTATEQ <xScalarVariable>  ;
     */
    void reduceByProduction966(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPositionSpec> ::= T_IOSTATEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production966UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XpositionspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireStmt> ::= T_INQUIRE T_LPAREN <xInquireSpecList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction967(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireStmt> ::= T_INQUIRE T_LPAREN <xInquireSpecList> T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production967UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XinquirestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xInquireStmt> ::= <xLblDef> T_INQUIRE T_LPAREN <xInquireSpecList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction968(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireStmt> ::= <xLblDef> T_INQUIRE T_LPAREN <xInquireSpecList> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production968UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XinquirestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xInquireStmt> ::= T_INQUIRE T_LPAREN T_IOLENGTHEQ <xScalarVariable> T_RPAREN <xOutputItemList> T_EOS  ;
     */
    void reduceByProduction969(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireStmt> ::= T_INQUIRE T_LPAREN T_IOLENGTHEQ <xScalarVariable> T_RPAREN <xOutputItemList> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production969UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XinquirestmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xInquireStmt> ::= <xLblDef> T_INQUIRE T_LPAREN T_IOLENGTHEQ <xScalarVariable> T_RPAREN <xOutputItemList> T_EOS  ;
     */
    void reduceByProduction970(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireStmt> ::= <xLblDef> T_INQUIRE T_LPAREN T_IOLENGTHEQ <xScalarVariable> T_RPAREN <xOutputItemList> T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production970UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XinquirestmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xInquireSpecList> ::= <xUnitIdentifier>  ;
     */
    void reduceByProduction971(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpecList> ::= <xUnitIdentifier>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production971UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XinquirespeclistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xInquireSpecList> ::= <xInquireSpec>  ;
     */
    void reduceByProduction972(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpecList> ::= <xInquireSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production972UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XinquirespeclistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xInquireSpecList> ::= <xInquireSpecList> T_COMMA <xInquireSpec>  ;
     */
    void reduceByProduction973(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpecList> ::= <xInquireSpecList> T_COMMA <xInquireSpec>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production973UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespeclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_UNITEQ <xUnitIdentifier>  ;
     */
    void reduceByProduction974(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_UNITEQ <xUnitIdentifier>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production974UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_FILEEQ <xCExpr>  ;
     */
    void reduceByProduction975(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_FILEEQ <xCExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production975UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_ERREQ <xLblRef>  ;
     */
    void reduceByProduction976(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_ERREQ <xLblRef>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production976UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_IOSTATEQ <xScalarVariable>  ;
     */
    void reduceByProduction977(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_IOSTATEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production977UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_EXISTEQ <xScalarVariable>  ;
     */
    void reduceByProduction978(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_EXISTEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production978UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_OPENEDEQ <xScalarVariable>  ;
     */
    void reduceByProduction979(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_OPENEDEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production979UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_NUMBEREQ <xScalarVariable>  ;
     */
    void reduceByProduction980(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_NUMBEREQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production980UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_NAMEDEQ <xScalarVariable>  ;
     */
    void reduceByProduction981(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_NAMEDEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production981UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_NAMEEQ <xScalarVariable>  ;
     */
    void reduceByProduction982(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_NAMEEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production982UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_ACCESSEQ <xScalarVariable>  ;
     */
    void reduceByProduction983(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_ACCESSEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production983UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_SEQUENTIALEQ <xScalarVariable>  ;
     */
    void reduceByProduction984(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_SEQUENTIALEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production984UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_DIRECTEQ <xScalarVariable>  ;
     */
    void reduceByProduction985(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_DIRECTEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production985UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_FORMEQ <xScalarVariable>  ;
     */
    void reduceByProduction986(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_FORMEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production986UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_FORMATTEDEQ <xScalarVariable>  ;
     */
    void reduceByProduction987(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_FORMATTEDEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production987UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_UNFORMATTEDEQ <xScalarVariable>  ;
     */
    void reduceByProduction988(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_UNFORMATTEDEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production988UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_RECLEQ <xExpr>  ;
     */
    void reduceByProduction989(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_RECLEQ <xExpr>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production989UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_NEXTRECEQ <xScalarVariable>  ;
     */
    void reduceByProduction990(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_NEXTRECEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production990UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_BLANKEQ <xScalarVariable>  ;
     */
    void reduceByProduction991(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_BLANKEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production991UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_POSITIONEQ <xScalarVariable>  ;
     */
    void reduceByProduction992(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_POSITIONEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production992UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_ACTIONEQ <xScalarVariable>  ;
     */
    void reduceByProduction993(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_ACTIONEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production993UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_READEQ <xScalarVariable>  ;
     */
    void reduceByProduction994(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_READEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production994UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_WRITEEQ <xScalarVariable>  ;
     */
    void reduceByProduction995(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_WRITEEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production995UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_READWRITEEQ <xScalarVariable>  ;
     */
    void reduceByProduction996(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_READWRITEEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production996UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_DELIMEQ <xScalarVariable>  ;
     */
    void reduceByProduction997(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_DELIMEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production997UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInquireSpec> ::= T_PADEQ <xScalarVariable>  ;
     */
    void reduceByProduction998(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInquireSpec> ::= T_PADEQ <xScalarVariable>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production998UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinquirespecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xFormatStmt> ::= T_FORMAT T_LPAREN T_RPAREN T_EOS  ;
     */
    void reduceByProduction999(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFormatStmt> ::= T_FORMAT T_LPAREN T_RPAREN T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production999UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XformatstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xFormatStmt> ::= T_FORMAT T_LPAREN <xFormatStmt@67> T_RPAREN T_EOS  ;
     */
    void reduceByProduction1000(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFormatStmt> ::= T_FORMAT T_LPAREN <xFormatStmt@67> T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1000UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XformatstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xFormatStmt> ::= <xLblDef> T_FORMAT T_LPAREN T_RPAREN T_EOS  ;
     */
    void reduceByProduction1001(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFormatStmt> ::= <xLblDef> T_FORMAT T_LPAREN T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1001UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XformatstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xFormatStmt> ::= <xLblDef> T_FORMAT T_LPAREN <xFormatStmt@67> T_RPAREN T_EOS  ;
     */
    void reduceByProduction1002(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFormatStmt> ::= <xLblDef> T_FORMAT T_LPAREN <xFormatStmt@67> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1002UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XformatstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xFmtSpec> ::= <xFormatedit>  ;
     */
    void reduceByProduction1003(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFmtSpec> ::= <xFormatedit>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1003UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XfmtspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xFmtSpec> ::= <xFormatsep>  ;
     */
    void reduceByProduction1004(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFmtSpec> ::= <xFormatsep>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1004UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XfmtspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xFmtSpec> ::= <xFormatsep> <xFormatedit>  ;
     */
    void reduceByProduction1005(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFmtSpec> ::= <xFormatsep> <xFormatedit>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1005UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XfmtspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xFmtSpec> ::= <xFmtSpec> <xFormatsep>  ;
     */
    void reduceByProduction1006(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFmtSpec> ::= <xFmtSpec> <xFormatsep>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1006UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XfmtspecNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xFmtSpec> ::= <xFmtSpec> <xFormatsep> <xFormatedit>  ;
     */
    void reduceByProduction1007(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFmtSpec> ::= <xFmtSpec> <xFormatsep> <xFormatedit>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1007UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XfmtspecNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xFmtSpec> ::= <xFmtSpec> T_COMMA <xFormatedit>  ;
     */
    void reduceByProduction1008(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFmtSpec> ::= <xFmtSpec> T_COMMA <xFormatedit>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1008UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XfmtspecNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xFmtSpec> ::= <xFmtSpec> T_COMMA <xFormatsep>  ;
     */
    void reduceByProduction1009(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFmtSpec> ::= <xFmtSpec> T_COMMA <xFormatsep>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1009UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XfmtspecNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xFmtSpec> ::= <xFmtSpec> T_COMMA <xFormatsep> <xFormatedit>  ;
     */
    void reduceByProduction1010(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFmtSpec> ::= <xFmtSpec> T_COMMA <xFormatsep> <xFormatedit>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1010UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XfmtspecNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xFormatedit> ::= <xEditElement>  ;
     */
    void reduceByProduction1011(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFormatedit> ::= <xEditElement>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1011UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XformateditNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xFormatedit> ::= T_ICON <xEditElement>  ;
     */
    void reduceByProduction1012(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFormatedit> ::= T_ICON <xEditElement>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1012UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XformateditNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xFormatedit> ::= T_XCON  ;
     */
    void reduceByProduction1013(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFormatedit> ::= T_XCON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1013UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XformateditNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xFormatedit> ::= T_PCON  ;
     */
    void reduceByProduction1014(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFormatedit> ::= T_PCON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1014UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XformateditNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xFormatedit> ::= T_PCON <xEditElement>  ;
     */
    void reduceByProduction1015(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFormatedit> ::= T_PCON <xEditElement>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1015UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XformateditNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xFormatedit> ::= T_PCON T_ICON <xEditElement>  ;
     */
    void reduceByProduction1016(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFormatedit> ::= T_PCON T_ICON <xEditElement>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1016UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XformateditNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEditElement> ::= T_FCON  ;
     */
    void reduceByProduction1017(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEditElement> ::= T_FCON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1017UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XeditelementNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEditElement> ::= T_SCON  ;
     */
    void reduceByProduction1018(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEditElement> ::= T_SCON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1018UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XeditelementNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEditElement> ::= T_IDENT  ;
     */
    void reduceByProduction1019(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEditElement> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1019UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XeditelementNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEditElement> ::= T_LPAREN <xFmtSpec> T_RPAREN  ;
     */
    void reduceByProduction1020(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEditElement> ::= T_LPAREN <xFmtSpec> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1020UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XeditelementNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEditElement> ::= T_HCON  ;
     */
    void reduceByProduction1021(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEditElement> ::= T_HCON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1021UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XeditelementNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xFormatsep> ::= T_SLASH  ;
     */
    void reduceByProduction1022(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFormatsep> ::= T_SLASH  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1022UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XformatsepNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xFormatsep> ::= T_COLON  ;
     */
    void reduceByProduction1023(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFormatsep> ::= T_COLON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1023UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XformatsepNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xProgramStmt> ::= T_PROGRAM <xProgramName> T_EOS  ;
     */
    void reduceByProduction1024(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xProgramStmt> ::= T_PROGRAM <xProgramName> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1024UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XprogramstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xProgramStmt> ::= <xLblDef> T_PROGRAM <xProgramName> T_EOS  ;
     */
    void reduceByProduction1025(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xProgramStmt> ::= <xLblDef> T_PROGRAM <xProgramName> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1025UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XprogramstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndProgramStmt> ::= T_END T_EOS  ;
     */
    void reduceByProduction1026(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndProgramStmt> ::= T_END T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1026UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XendprogramstmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndProgramStmt> ::= <xLblDef> T_END T_EOS  ;
     */
    void reduceByProduction1027(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndProgramStmt> ::= <xLblDef> T_END T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1027UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendprogramstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndProgramStmt> ::= T_ENDPROGRAM T_EOS  ;
     */
    void reduceByProduction1028(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndProgramStmt> ::= T_ENDPROGRAM T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1028UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XendprogramstmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndProgramStmt> ::= T_ENDPROGRAM <xEndProgramStmt@68> T_EOS  ;
     */
    void reduceByProduction1029(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndProgramStmt> ::= T_ENDPROGRAM <xEndProgramStmt@68> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1029UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendprogramstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndProgramStmt> ::= <xLblDef> T_ENDPROGRAM T_EOS  ;
     */
    void reduceByProduction1030(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndProgramStmt> ::= <xLblDef> T_ENDPROGRAM T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1030UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendprogramstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndProgramStmt> ::= <xLblDef> T_ENDPROGRAM <xEndProgramStmt@68> T_EOS  ;
     */
    void reduceByProduction1031(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndProgramStmt> ::= <xLblDef> T_ENDPROGRAM <xEndProgramStmt@68> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1031UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendprogramstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndProgramStmt> ::= T_END T_PROGRAM T_EOS  ;
     */
    void reduceByProduction1032(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndProgramStmt> ::= T_END T_PROGRAM T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1032UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendprogramstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndProgramStmt> ::= T_END T_PROGRAM <xEndProgramStmt@69> T_EOS  ;
     */
    void reduceByProduction1033(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndProgramStmt> ::= T_END T_PROGRAM <xEndProgramStmt@69> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1033UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendprogramstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndProgramStmt> ::= <xLblDef> T_END T_PROGRAM T_EOS  ;
     */
    void reduceByProduction1034(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndProgramStmt> ::= <xLblDef> T_END T_PROGRAM T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1034UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendprogramstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndProgramStmt> ::= <xLblDef> T_END T_PROGRAM <xEndProgramStmt@69> T_EOS  ;
     */
    void reduceByProduction1035(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndProgramStmt> ::= <xLblDef> T_END T_PROGRAM <xEndProgramStmt@69> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1035UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XendprogramstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xModuleStmt> ::= T_MODULE <xModuleName> T_EOS  ;
     */
    void reduceByProduction1036(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xModuleStmt> ::= T_MODULE <xModuleName> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1036UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XmodulestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xModuleStmt> ::= <xLblDef> T_MODULE <xModuleName> T_EOS  ;
     */
    void reduceByProduction1037(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xModuleStmt> ::= <xLblDef> T_MODULE <xModuleName> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1037UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XmodulestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndModuleStmt> ::= T_END T_EOS  ;
     */
    void reduceByProduction1038(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndModuleStmt> ::= T_END T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1038UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XendmodulestmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndModuleStmt> ::= <xLblDef> T_END T_EOS  ;
     */
    void reduceByProduction1039(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndModuleStmt> ::= <xLblDef> T_END T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1039UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendmodulestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndModuleStmt> ::= T_ENDMODULE T_EOS  ;
     */
    void reduceByProduction1040(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndModuleStmt> ::= T_ENDMODULE T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1040UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XendmodulestmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndModuleStmt> ::= T_ENDMODULE <xEndModuleStmt@70> T_EOS  ;
     */
    void reduceByProduction1041(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndModuleStmt> ::= T_ENDMODULE <xEndModuleStmt@70> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1041UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendmodulestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndModuleStmt> ::= <xLblDef> T_ENDMODULE T_EOS  ;
     */
    void reduceByProduction1042(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndModuleStmt> ::= <xLblDef> T_ENDMODULE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1042UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendmodulestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndModuleStmt> ::= <xLblDef> T_ENDMODULE <xEndModuleStmt@70> T_EOS  ;
     */
    void reduceByProduction1043(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndModuleStmt> ::= <xLblDef> T_ENDMODULE <xEndModuleStmt@70> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1043UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendmodulestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndModuleStmt> ::= T_END T_MODULE T_EOS  ;
     */
    void reduceByProduction1044(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndModuleStmt> ::= T_END T_MODULE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1044UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendmodulestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndModuleStmt> ::= T_END T_MODULE <xEndModuleStmt@71> T_EOS  ;
     */
    void reduceByProduction1045(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndModuleStmt> ::= T_END T_MODULE <xEndModuleStmt@71> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1045UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendmodulestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndModuleStmt> ::= <xLblDef> T_END T_MODULE T_EOS  ;
     */
    void reduceByProduction1046(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndModuleStmt> ::= <xLblDef> T_END T_MODULE T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1046UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendmodulestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndModuleStmt> ::= <xLblDef> T_END T_MODULE <xEndModuleStmt@71> T_EOS  ;
     */
    void reduceByProduction1047(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndModuleStmt> ::= <xLblDef> T_END T_MODULE <xEndModuleStmt@71> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1047UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XendmodulestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xUseStmt> ::= T_USE <xName> T_EOS  ;
     */
    void reduceByProduction1048(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUseStmt> ::= T_USE <xName> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1048UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XusestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xUseStmt> ::= <xLblDef> T_USE <xName> T_EOS  ;
     */
    void reduceByProduction1049(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUseStmt> ::= <xLblDef> T_USE <xName> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1049UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XusestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xUseStmt> ::= T_USE <xName> T_COMMA <xRenameList> T_EOS  ;
     */
    void reduceByProduction1050(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUseStmt> ::= T_USE <xName> T_COMMA <xRenameList> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1050UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XusestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xUseStmt> ::= <xLblDef> T_USE <xName> T_COMMA <xRenameList> T_EOS  ;
     */
    void reduceByProduction1051(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUseStmt> ::= <xLblDef> T_USE <xName> T_COMMA <xRenameList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1051UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XusestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xUseStmt> ::= T_USE <xName> T_COMMA T_ONLY T_COLON T_EOS  ;
     */
    void reduceByProduction1052(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUseStmt> ::= T_USE <xName> T_COMMA T_ONLY T_COLON T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1052UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XusestmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xUseStmt> ::= T_USE <xName> T_COMMA T_ONLY T_COLON <xUseStmt@72> T_EOS  ;
     */
    void reduceByProduction1053(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUseStmt> ::= T_USE <xName> T_COMMA T_ONLY T_COLON <xUseStmt@72> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v6 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1053UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XusestmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xUseStmt> ::= <xLblDef> T_USE <xName> T_COMMA T_ONLY T_COLON T_EOS  ;
     */
    void reduceByProduction1054(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUseStmt> ::= <xLblDef> T_USE <xName> T_COMMA T_ONLY T_COLON T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1054UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XusestmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xUseStmt> ::= <xLblDef> T_USE <xName> T_COMMA T_ONLY T_COLON <xUseStmt@72> T_EOS  ;
     */
    void reduceByProduction1055(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUseStmt> ::= <xLblDef> T_USE <xName> T_COMMA T_ONLY T_COLON <xUseStmt@72> T_EOS  ;
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1055UserAction(v1, v2, v3, v4, v5, v6, v7, v8);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XusestmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xRenameList> ::= <xRename>  ;
     */
    void reduceByProduction1056(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRenameList> ::= <xRename>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1056UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XrenamelistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xRenameList> ::= <xRenameList> T_COMMA <xRename>  ;
     */
    void reduceByProduction1057(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRenameList> ::= <xRenameList> T_COMMA <xRename>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1057UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XrenamelistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xOnlyList> ::= <xOnly>  ;
     */
    void reduceByProduction1058(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOnlyList> ::= <xOnly>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1058UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XonlylistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xOnlyList> ::= <xOnlyList> T_COMMA <xOnly>  ;
     */
    void reduceByProduction1059(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOnlyList> ::= <xOnlyList> T_COMMA <xOnly>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1059UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XonlylistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xRename> ::= T_IDENT T_EQGREATERTHAN <xUseName>  ;
     */
    void reduceByProduction1060(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xRename> ::= T_IDENT T_EQGREATERTHAN <xUseName>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1060UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XrenameNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xOnly> ::= <xGenericSpec>  ;
     */
    void reduceByProduction1061(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOnly> ::= <xGenericSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1061UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XonlyNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xOnly> ::= T_IDENT T_EQGREATERTHAN <xUseName>  ;
     */
    void reduceByProduction1062(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOnly> ::= T_IDENT T_EQGREATERTHAN <xUseName>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1062UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XonlyNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xOnly> ::= <xUseName>  ;
     */
    void reduceByProduction1063(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOnly> ::= <xUseName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1063UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XonlyNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xBlockDataStmt> ::= T_BLOCKDATA <xBlockDataName> T_EOS  ;
     */
    void reduceByProduction1064(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBlockDataStmt> ::= T_BLOCKDATA <xBlockDataName> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1064UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XblockdatastmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xBlockDataStmt> ::= <xLblDef> T_BLOCKDATA <xBlockDataName> T_EOS  ;
     */
    void reduceByProduction1065(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBlockDataStmt> ::= <xLblDef> T_BLOCKDATA <xBlockDataName> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1065UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XblockdatastmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xBlockDataStmt> ::= T_BLOCKDATA T_EOS  ;
     */
    void reduceByProduction1066(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBlockDataStmt> ::= T_BLOCKDATA T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1066UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XblockdatastmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xBlockDataStmt> ::= <xLblDef> T_BLOCKDATA T_EOS  ;
     */
    void reduceByProduction1067(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBlockDataStmt> ::= <xLblDef> T_BLOCKDATA T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1067UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XblockdatastmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= T_END T_EOS  ;
     */
    void reduceByProduction1068(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= T_END T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1068UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_END T_EOS  ;
     */
    void reduceByProduction1069(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_END T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1069UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= T_ENDBLOCKDATA T_EOS  ;
     */
    void reduceByProduction1070(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= T_ENDBLOCKDATA T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1070UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= T_ENDBLOCKDATA <xEndBlockDataStmt@73> T_EOS  ;
     */
    void reduceByProduction1071(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= T_ENDBLOCKDATA <xEndBlockDataStmt@73> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1071UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_ENDBLOCKDATA T_EOS  ;
     */
    void reduceByProduction1072(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_ENDBLOCKDATA T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1072UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_ENDBLOCKDATA <xEndBlockDataStmt@73> T_EOS  ;
     */
    void reduceByProduction1073(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_ENDBLOCKDATA <xEndBlockDataStmt@73> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1073UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= T_END T_BLOCKDATA T_EOS  ;
     */
    void reduceByProduction1074(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= T_END T_BLOCKDATA T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1074UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= T_END T_BLOCKDATA <xEndBlockDataStmt@74> T_EOS  ;
     */
    void reduceByProduction1075(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= T_END T_BLOCKDATA <xEndBlockDataStmt@74> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1075UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_END T_BLOCKDATA T_EOS  ;
     */
    void reduceByProduction1076(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_END T_BLOCKDATA T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1076UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_END T_BLOCKDATA <xEndBlockDataStmt@74> T_EOS  ;
     */
    void reduceByProduction1077(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_END T_BLOCKDATA <xEndBlockDataStmt@74> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1077UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= T_ENDBLOCK T_DATA T_EOS  ;
     */
    void reduceByProduction1078(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= T_ENDBLOCK T_DATA T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1078UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= T_ENDBLOCK T_DATA <xEndBlockDataStmt@75> T_EOS  ;
     */
    void reduceByProduction1079(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= T_ENDBLOCK T_DATA <xEndBlockDataStmt@75> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1079UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_ENDBLOCK T_DATA T_EOS  ;
     */
    void reduceByProduction1080(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_ENDBLOCK T_DATA T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1080UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_ENDBLOCK T_DATA <xEndBlockDataStmt@75> T_EOS  ;
     */
    void reduceByProduction1081(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_ENDBLOCK T_DATA <xEndBlockDataStmt@75> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1081UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= T_END T_BLOCK T_DATA T_EOS  ;
     */
    void reduceByProduction1082(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= T_END T_BLOCK T_DATA T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1082UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= T_END T_BLOCK T_DATA <xEndBlockDataStmt@76> T_EOS  ;
     */
    void reduceByProduction1083(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= T_END T_BLOCK T_DATA <xEndBlockDataStmt@76> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1083UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_END T_BLOCK T_DATA T_EOS  ;
     */
    void reduceByProduction1084(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_END T_BLOCK T_DATA T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1084UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_END T_BLOCK T_DATA <xEndBlockDataStmt@76> T_EOS  ;
     */
    void reduceByProduction1085(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt> ::= <xLblDef> T_END T_BLOCK T_DATA <xEndBlockDataStmt@76> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1085UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XendblockdatastmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xInterfaceBlock> ::= <xInterfaceStmt> <xInterfaceRange>  ;
     */
    void reduceByProduction1086(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInterfaceBlock> ::= <xInterfaceStmt> <xInterfaceRange>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1086UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinterfaceblockNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInterfaceRange> ::= <xInterfaceBlockBody> <xEndInterfaceStmt>  ;
     */
    void reduceByProduction1087(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInterfaceRange> ::= <xInterfaceBlockBody> <xEndInterfaceStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1087UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinterfacerangeNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInterfaceBlockBody> ::= <xInterfaceSpecification>  ;
     */
    void reduceByProduction1088(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInterfaceBlockBody> ::= <xInterfaceSpecification>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1088UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XinterfaceblockbodyNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xInterfaceBlockBody> ::= <xInterfaceBlockBody> <xInterfaceSpecification>  ;
     */
    void reduceByProduction1089(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInterfaceBlockBody> ::= <xInterfaceBlockBody> <xInterfaceSpecification>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1089UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinterfaceblockbodyNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInterfaceSpecification> ::= <xInterfaceBody>  ;
     */
    void reduceByProduction1090(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInterfaceSpecification> ::= <xInterfaceBody>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1090UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XinterfacespecificationNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xInterfaceSpecification> ::= <xModuleProcedureStmt>  ;
     */
    void reduceByProduction1091(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInterfaceSpecification> ::= <xModuleProcedureStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1091UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XinterfacespecificationNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xInterfaceStmt> ::= T_INTERFACE <xGenericName> T_EOS  ;
     */
    void reduceByProduction1092(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInterfaceStmt> ::= T_INTERFACE <xGenericName> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1092UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XinterfacestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xInterfaceStmt> ::= <xLblDef> T_INTERFACE <xGenericName> T_EOS  ;
     */
    void reduceByProduction1093(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInterfaceStmt> ::= <xLblDef> T_INTERFACE <xGenericName> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1093UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XinterfacestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xInterfaceStmt> ::= T_INTERFACE <xGenericSpec> T_EOS  ;
     */
    void reduceByProduction1094(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInterfaceStmt> ::= T_INTERFACE <xGenericSpec> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1094UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XinterfacestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xInterfaceStmt> ::= <xLblDef> T_INTERFACE <xGenericSpec> T_EOS  ;
     */
    void reduceByProduction1095(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInterfaceStmt> ::= <xLblDef> T_INTERFACE <xGenericSpec> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1095UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XinterfacestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xInterfaceStmt> ::= T_INTERFACE T_EOS  ;
     */
    void reduceByProduction1096(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInterfaceStmt> ::= T_INTERFACE T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1096UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinterfacestmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInterfaceStmt> ::= <xLblDef> T_INTERFACE T_EOS  ;
     */
    void reduceByProduction1097(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInterfaceStmt> ::= <xLblDef> T_INTERFACE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1097UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XinterfacestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndInterfaceStmt> ::= T_ENDINTERFACE T_EOS  ;
     */
    void reduceByProduction1098(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndInterfaceStmt> ::= T_ENDINTERFACE T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1098UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XendinterfacestmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndInterfaceStmt> ::= T_ENDINTERFACE <xEndInterfaceStmt@77> T_EOS  ;
     */
    void reduceByProduction1099(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndInterfaceStmt> ::= T_ENDINTERFACE <xEndInterfaceStmt@77> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1099UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendinterfacestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndInterfaceStmt> ::= <xLblDef> T_ENDINTERFACE T_EOS  ;
     */
    void reduceByProduction1100(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndInterfaceStmt> ::= <xLblDef> T_ENDINTERFACE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1100UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendinterfacestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndInterfaceStmt> ::= <xLblDef> T_ENDINTERFACE <xEndInterfaceStmt@77> T_EOS  ;
     */
    void reduceByProduction1101(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndInterfaceStmt> ::= <xLblDef> T_ENDINTERFACE <xEndInterfaceStmt@77> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1101UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendinterfacestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndInterfaceStmt> ::= T_END T_INTERFACE T_EOS  ;
     */
    void reduceByProduction1102(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndInterfaceStmt> ::= T_END T_INTERFACE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1102UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendinterfacestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndInterfaceStmt> ::= T_END T_INTERFACE <xEndInterfaceStmt@78> T_EOS  ;
     */
    void reduceByProduction1103(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndInterfaceStmt> ::= T_END T_INTERFACE <xEndInterfaceStmt@78> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1103UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendinterfacestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndInterfaceStmt> ::= <xLblDef> T_END T_INTERFACE T_EOS  ;
     */
    void reduceByProduction1104(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndInterfaceStmt> ::= <xLblDef> T_END T_INTERFACE T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1104UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendinterfacestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndInterfaceStmt> ::= <xLblDef> T_END T_INTERFACE <xEndInterfaceStmt@78> T_EOS  ;
     */
    void reduceByProduction1105(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndInterfaceStmt> ::= <xLblDef> T_END T_INTERFACE <xEndInterfaceStmt@78> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1105UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XendinterfacestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xInterfaceBody> ::= <xFunctionStmt> <xFunctionInterfaceRange>  ;
     */
    void reduceByProduction1106(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInterfaceBody> ::= <xFunctionStmt> <xFunctionInterfaceRange>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1106UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinterfacebodyNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xInterfaceBody> ::= <xSubroutineStmt> <xSubroutineInterfaceRange>  ;
     */
    void reduceByProduction1107(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInterfaceBody> ::= <xSubroutineStmt> <xSubroutineInterfaceRange>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1107UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XinterfacebodyNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xFunctionInterfaceRange> ::= <xSubprogramInterfaceBody> <xEndFunctionStmt>  ;
     */
    void reduceByProduction1108(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionInterfaceRange> ::= <xSubprogramInterfaceBody> <xEndFunctionStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1108UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XfunctioninterfacerangeNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xFunctionInterfaceRange> ::= <xEndFunctionStmt>  ;
     */
    void reduceByProduction1109(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionInterfaceRange> ::= <xEndFunctionStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1109UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XfunctioninterfacerangeNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSubroutineInterfaceRange> ::= <xSubprogramInterfaceBody> <xEndSubroutineStmt>  ;
     */
    void reduceByProduction1110(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineInterfaceRange> ::= <xSubprogramInterfaceBody> <xEndSubroutineStmt>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1110UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutineinterfacerangeNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xSubroutineInterfaceRange> ::= <xEndSubroutineStmt>  ;
     */
    void reduceByProduction1111(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineInterfaceRange> ::= <xEndSubroutineStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1111UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsubroutineinterfacerangeNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSubprogramInterfaceBody> ::= <xSpecificationPartConstruct>  ;
     */
    void reduceByProduction1112(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubprogramInterfaceBody> ::= <xSpecificationPartConstruct>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1112UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsubprograminterfacebodyNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSubprogramInterfaceBody> ::= <xSubprogramInterfaceBody> <xSpecificationPartConstruct>  ;
     */
    void reduceByProduction1113(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubprogramInterfaceBody> ::= <xSubprogramInterfaceBody> <xSpecificationPartConstruct>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1113UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XsubprograminterfacebodyNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xModuleProcedureStmt> ::= T_MODULE T_PROCEDURE <xProcedureNameList> T_EOS  ;
     */
    void reduceByProduction1114(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xModuleProcedureStmt> ::= T_MODULE T_PROCEDURE <xProcedureNameList> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1114UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XmoduleprocedurestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xModuleProcedureStmt> ::= <xLblDef> T_MODULE T_PROCEDURE <xProcedureNameList> T_EOS  ;
     */
    void reduceByProduction1115(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xModuleProcedureStmt> ::= <xLblDef> T_MODULE T_PROCEDURE <xProcedureNameList> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1115UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XmoduleprocedurestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xProcedureNameList> ::= <xProcedureName>  ;
     */
    void reduceByProduction1116(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xProcedureNameList> ::= <xProcedureName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1116UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprocedurenamelistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xProcedureNameList> ::= <xProcedureNameList> T_COMMA <xProcedureName>  ;
     */
    void reduceByProduction1117(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xProcedureNameList> ::= <xProcedureNameList> T_COMMA <xProcedureName>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1117UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XprocedurenamelistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xProcedureName> ::= T_IDENT  ;
     */
    void reduceByProduction1118(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xProcedureName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1118UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprocedurenameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xGenericSpec> ::= T_OPERATOR T_LPAREN <xDefinedOperator> T_RPAREN  ;
     */
    void reduceByProduction1119(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xGenericSpec> ::= T_OPERATOR T_LPAREN <xDefinedOperator> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1119UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XgenericspecNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xGenericSpec> ::= T_ASSIGNMENT T_LPAREN T_EQUALS T_RPAREN  ;
     */
    void reduceByProduction1120(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xGenericSpec> ::= T_ASSIGNMENT T_LPAREN T_EQUALS T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1120UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XgenericspecNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xExternalStmt> ::= T_EXTERNAL <xExternalNameList> T_EOS  ;
     */
    void reduceByProduction1121(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExternalStmt> ::= T_EXTERNAL <xExternalNameList> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1121UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XexternalstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xExternalStmt> ::= <xLblDef> T_EXTERNAL <xExternalNameList> T_EOS  ;
     */
    void reduceByProduction1122(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExternalStmt> ::= <xLblDef> T_EXTERNAL <xExternalNameList> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1122UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XexternalstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xExternalStmt> ::= T_EXTERNAL T_COLON T_COLON <xExternalNameList> T_EOS  ;
     */
    void reduceByProduction1123(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExternalStmt> ::= T_EXTERNAL T_COLON T_COLON <xExternalNameList> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1123UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XexternalstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xExternalStmt> ::= <xLblDef> T_EXTERNAL T_COLON T_COLON <xExternalNameList> T_EOS  ;
     */
    void reduceByProduction1124(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExternalStmt> ::= <xLblDef> T_EXTERNAL T_COLON T_COLON <xExternalNameList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1124UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XexternalstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xExternalNameList> ::= <xExternalName>  ;
     */
    void reduceByProduction1125(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExternalNameList> ::= <xExternalName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1125UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexternalnamelistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExternalNameList> ::= <xExternalNameList> T_COMMA <xExternalName>  ;
     */
    void reduceByProduction1126(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExternalNameList> ::= <xExternalNameList> T_COMMA <xExternalName>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1126UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XexternalnamelistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xIntrinsicStmt> ::= T_INTRINSIC <xIntrinsicList> T_EOS  ;
     */
    void reduceByProduction1127(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntrinsicStmt> ::= T_INTRINSIC <xIntrinsicList> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1127UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XintrinsicstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xIntrinsicStmt> ::= <xLblDef> T_INTRINSIC <xIntrinsicList> T_EOS  ;
     */
    void reduceByProduction1128(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntrinsicStmt> ::= <xLblDef> T_INTRINSIC <xIntrinsicList> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1128UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XintrinsicstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xIntrinsicStmt> ::= T_INTRINSIC T_COLON T_COLON <xIntrinsicList> T_EOS  ;
     */
    void reduceByProduction1129(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntrinsicStmt> ::= T_INTRINSIC T_COLON T_COLON <xIntrinsicList> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1129UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XintrinsicstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xIntrinsicStmt> ::= <xLblDef> T_INTRINSIC T_COLON T_COLON <xIntrinsicList> T_EOS  ;
     */
    void reduceByProduction1130(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntrinsicStmt> ::= <xLblDef> T_INTRINSIC T_COLON T_COLON <xIntrinsicList> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1130UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XintrinsicstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xIntrinsicList> ::= <xIntrinsicProcedureName>  ;
     */
    void reduceByProduction1131(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntrinsicList> ::= <xIntrinsicProcedureName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1131UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XintrinsiclistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xIntrinsicList> ::= <xIntrinsicList> T_COMMA <xIntrinsicProcedureName>  ;
     */
    void reduceByProduction1132(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntrinsicList> ::= <xIntrinsicList> T_COMMA <xIntrinsicProcedureName>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1132UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XintrinsiclistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xFunctionReference> ::= <xName> T_LPAREN T_RPAREN  ;
     */
    void reduceByProduction1133(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionReference> ::= <xName> T_LPAREN T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1133UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionreferenceNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xFunctionReference> ::= <xName> T_LPAREN <xFunctionArgList> T_RPAREN  ;
     */
    void reduceByProduction1134(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionReference> ::= <xName> T_LPAREN <xFunctionArgList> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1134UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionreferenceNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xCallStmt> ::= T_CALL <xSubroutineNameUse> T_EOS  ;
     */
    void reduceByProduction1135(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCallStmt> ::= T_CALL <xSubroutineNameUse> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1135UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcallstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xCallStmt> ::= <xLblDef> T_CALL <xSubroutineNameUse> T_EOS  ;
     */
    void reduceByProduction1136(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCallStmt> ::= <xLblDef> T_CALL <xSubroutineNameUse> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1136UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XcallstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xCallStmt> ::= T_CALL <xSubroutineNameUse> T_LPAREN T_RPAREN T_EOS  ;
     */
    void reduceByProduction1137(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCallStmt> ::= T_CALL <xSubroutineNameUse> T_LPAREN T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1137UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XcallstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xCallStmt> ::= T_CALL <xSubroutineNameUse> T_LPAREN <xSubroutineArgList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction1138(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCallStmt> ::= T_CALL <xSubroutineNameUse> T_LPAREN <xSubroutineArgList> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1138UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XcallstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xCallStmt> ::= <xLblDef> T_CALL <xSubroutineNameUse> T_LPAREN T_RPAREN T_EOS  ;
     */
    void reduceByProduction1139(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCallStmt> ::= <xLblDef> T_CALL <xSubroutineNameUse> T_LPAREN T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1139UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XcallstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xCallStmt> ::= <xLblDef> T_CALL <xSubroutineNameUse> T_LPAREN <xSubroutineArgList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction1140(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCallStmt> ::= <xLblDef> T_CALL <xSubroutineNameUse> T_LPAREN <xSubroutineArgList> T_RPAREN T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1140UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XcallstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xSubroutineArgList> ::= <xSubroutineArg>  ;
     */
    void reduceByProduction1141(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineArgList> ::= <xSubroutineArg>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1141UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsubroutinearglistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSubroutineArgList> ::= T_COMMA <xSubroutineArg>  ;
     */
    void reduceByProduction1142(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineArgList> ::= T_COMMA <xSubroutineArg>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1142UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutinearglistNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xSubroutineArgList> ::= <xSubroutineArgList> T_COMMA <xSubroutineArg>  ;
     */
    void reduceByProduction1143(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineArgList> ::= <xSubroutineArgList> T_COMMA <xSubroutineArg>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1143UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutinearglistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xFunctionArgList> ::= <xFunctionArg>  ;
     */
    void reduceByProduction1144(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionArgList> ::= <xFunctionArg>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1144UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XfunctionarglistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xFunctionArgList> ::= <xFunctionArgList> T_COMMA <xFunctionArg>  ;
     */
    void reduceByProduction1145(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionArgList> ::= <xFunctionArgList> T_COMMA <xFunctionArg>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1145UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionarglistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xFunctionArgList> ::= <xSectionSubscriptList> T_COMMA <xFunctionArg>  ;
     */
    void reduceByProduction1146(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionArgList> ::= <xSectionSubscriptList> T_COMMA <xFunctionArg>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1146UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionarglistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xFunctionArg> ::= <xName> T_EQUALS <xExpr>  ;
     */
    void reduceByProduction1147(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionArg> ::= <xName> T_EQUALS <xExpr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1147UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionargNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSubroutineArg> ::= <xExpr>  ;
     */
    void reduceByProduction1148(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineArg> ::= <xExpr>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1148UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsubroutineargNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSubroutineArg> ::= T_ASTERISK <xLblRef>  ;
     */
    void reduceByProduction1149(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineArg> ::= T_ASTERISK <xLblRef>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1149UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutineargNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xSubroutineArg> ::= <xName> T_EQUALS <xExpr>  ;
     */
    void reduceByProduction1150(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineArg> ::= <xName> T_EQUALS <xExpr>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1150UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutineargNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSubroutineArg> ::= <xName> T_EQUALS T_ASTERISK <xLblRef>  ;
     */
    void reduceByProduction1151(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineArg> ::= <xName> T_EQUALS T_ASTERISK <xLblRef>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1151UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutineargNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xSubroutineArg> ::= T_HCON  ;
     */
    void reduceByProduction1152(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineArg> ::= T_HCON  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1152UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsubroutineargNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSubroutineArg> ::= <xName> T_EQUALS T_HCON  ;
     */
    void reduceByProduction1153(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineArg> ::= <xName> T_EQUALS T_HCON  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1153UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutineargNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xFunctionStmt> ::= <xFunctionPrefix> <xFunctionName> T_LPAREN T_RPAREN T_EOS  ;
     */
    void reduceByProduction1154(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionStmt> ::= <xFunctionPrefix> <xFunctionName> T_LPAREN T_RPAREN T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1154UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xFunctionStmt> ::= <xFunctionPrefix> <xFunctionName> T_LPAREN T_RPAREN <xFunctionStmt@79> T_EOS  ;
     */
    void reduceByProduction1155(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionStmt> ::= <xFunctionPrefix> <xFunctionName> T_LPAREN T_RPAREN <xFunctionStmt@79> T_EOS  ;
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v7 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1155UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xFunctionStmt> ::= <xFunctionPrefix> <xFunctionName> T_LPAREN <xFunctionPars> T_RPAREN T_EOS  ;
     */
    void reduceByProduction1156(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionStmt> ::= <xFunctionPrefix> <xFunctionName> T_LPAREN <xFunctionPars> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1156UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xFunctionStmt> ::= <xFunctionPrefix> <xFunctionName> T_LPAREN <xFunctionPars> T_RPAREN <xFunctionStmt@79> T_EOS  ;
     */
    void reduceByProduction1157(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionStmt> ::= <xFunctionPrefix> <xFunctionName> T_LPAREN <xFunctionPars> T_RPAREN <xFunctionStmt@79> T_EOS  ;
        Token v10 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1157UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xFunctionStmt> ::= <xLblDef> <xFunctionPrefix> <xFunctionName> T_LPAREN T_RPAREN T_EOS  ;
     */
    void reduceByProduction1158(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionStmt> ::= <xLblDef> <xFunctionPrefix> <xFunctionName> T_LPAREN T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1158UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xFunctionStmt> ::= <xLblDef> <xFunctionPrefix> <xFunctionName> T_LPAREN T_RPAREN <xFunctionStmt@79> T_EOS  ;
     */
    void reduceByProduction1159(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionStmt> ::= <xLblDef> <xFunctionPrefix> <xFunctionName> T_LPAREN T_RPAREN <xFunctionStmt@79> T_EOS  ;
        Token v10 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v9 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v8 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1159UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xFunctionStmt> ::= <xLblDef> <xFunctionPrefix> <xFunctionName> T_LPAREN <xFunctionPars> T_RPAREN T_EOS  ;
     */
    void reduceByProduction1160(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionStmt> ::= <xLblDef> <xFunctionPrefix> <xFunctionName> T_LPAREN <xFunctionPars> T_RPAREN T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1160UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionstmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xFunctionStmt> ::= <xLblDef> <xFunctionPrefix> <xFunctionName> T_LPAREN <xFunctionPars> T_RPAREN <xFunctionStmt@79> T_EOS  ;
     */
    void reduceByProduction1161(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionStmt> ::= <xLblDef> <xFunctionPrefix> <xFunctionName> T_LPAREN <xFunctionPars> T_RPAREN <xFunctionStmt@79> T_EOS  ;
        Token v11 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v10 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v9 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v8 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1161UserAction(v1, v2, v3, v4, v5, v6, v7, v8, v9, v10, v11);

        // The production has 8 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionstmtNonterminal.getInstance(), 8, userValue);
    }

    /**
     * Reduce by <xFunctionPars> ::= <xFunctionPar>  ;
     */
    void reduceByProduction1162(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionPars> ::= <xFunctionPar>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1162UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XfunctionparsNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xFunctionPars> ::= T_COMMA <xFunctionPar>  ;
     */
    void reduceByProduction1163(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionPars> ::= T_COMMA <xFunctionPar>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1163UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionparsNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xFunctionPars> ::= <xFunctionPars> T_COMMA <xFunctionPar>  ;
     */
    void reduceByProduction1164(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionPars> ::= <xFunctionPars> T_COMMA <xFunctionPar>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1164UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionparsNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xFunctionPar> ::= <xDummyArgName>  ;
     */
    void reduceByProduction1165(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionPar> ::= <xDummyArgName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1165UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XfunctionparNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xFunctionPrefix> ::= T_FUNCTION  ;
     */
    void reduceByProduction1166(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionPrefix> ::= T_FUNCTION  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1166UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XfunctionprefixNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xFunctionPrefix> ::= <xPrefixSpecList> T_FUNCTION  ;
     */
    void reduceByProduction1167(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionPrefix> ::= <xPrefixSpecList> T_FUNCTION  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1167UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XfunctionprefixNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xPrefixSpecList> ::= <xPrefixSpec>  ;
     */
    void reduceByProduction1168(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrefixSpecList> ::= <xPrefixSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1168UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprefixspeclistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPrefixSpecList> ::= <xPrefixSpecList> <xPrefixSpec>  ;
     */
    void reduceByProduction1169(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrefixSpecList> ::= <xPrefixSpecList> <xPrefixSpec>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1169UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XprefixspeclistNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xPrefixSpec> ::= <xTypeSpec>  ;
     */
    void reduceByProduction1170(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrefixSpec> ::= <xTypeSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1170UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprefixspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPrefixSpec> ::= T_RECURSIVE  ;
     */
    void reduceByProduction1171(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrefixSpec> ::= T_RECURSIVE  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1171UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprefixspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPrefixSpec> ::= T_PURE  ;
     */
    void reduceByProduction1172(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrefixSpec> ::= T_PURE  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1172UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprefixspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPrefixSpec> ::= T_ELEMENTAL  ;
     */
    void reduceByProduction1173(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrefixSpec> ::= T_ELEMENTAL  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1173UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprefixspecNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEndFunctionStmt> ::= T_END T_EOS  ;
     */
    void reduceByProduction1174(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndFunctionStmt> ::= T_END T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1174UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XendfunctionstmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndFunctionStmt> ::= <xLblDef> T_END T_EOS  ;
     */
    void reduceByProduction1175(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndFunctionStmt> ::= <xLblDef> T_END T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1175UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendfunctionstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndFunctionStmt> ::= T_ENDFUNCTION T_EOS  ;
     */
    void reduceByProduction1176(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndFunctionStmt> ::= T_ENDFUNCTION T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1176UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XendfunctionstmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndFunctionStmt> ::= T_ENDFUNCTION <xEndFunctionStmt@80> T_EOS  ;
     */
    void reduceByProduction1177(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndFunctionStmt> ::= T_ENDFUNCTION <xEndFunctionStmt@80> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1177UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendfunctionstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndFunctionStmt> ::= <xLblDef> T_ENDFUNCTION T_EOS  ;
     */
    void reduceByProduction1178(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndFunctionStmt> ::= <xLblDef> T_ENDFUNCTION T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1178UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendfunctionstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndFunctionStmt> ::= <xLblDef> T_ENDFUNCTION <xEndFunctionStmt@80> T_EOS  ;
     */
    void reduceByProduction1179(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndFunctionStmt> ::= <xLblDef> T_ENDFUNCTION <xEndFunctionStmt@80> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1179UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendfunctionstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndFunctionStmt> ::= T_END T_FUNCTION T_EOS  ;
     */
    void reduceByProduction1180(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndFunctionStmt> ::= T_END T_FUNCTION T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1180UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendfunctionstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndFunctionStmt> ::= T_END T_FUNCTION <xEndFunctionStmt@81> T_EOS  ;
     */
    void reduceByProduction1181(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndFunctionStmt> ::= T_END T_FUNCTION <xEndFunctionStmt@81> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1181UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendfunctionstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndFunctionStmt> ::= <xLblDef> T_END T_FUNCTION T_EOS  ;
     */
    void reduceByProduction1182(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndFunctionStmt> ::= <xLblDef> T_END T_FUNCTION T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1182UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendfunctionstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndFunctionStmt> ::= <xLblDef> T_END T_FUNCTION <xEndFunctionStmt@81> T_EOS  ;
     */
    void reduceByProduction1183(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndFunctionStmt> ::= <xLblDef> T_END T_FUNCTION <xEndFunctionStmt@81> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1183UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XendfunctionstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xSubroutineStmt> ::= <xSubroutinePrefix> <xSubroutineName> T_EOS  ;
     */
    void reduceByProduction1184(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineStmt> ::= <xSubroutinePrefix> <xSubroutineName> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1184UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutinestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSubroutineStmt> ::= <xSubroutinePrefix> <xSubroutineName> <xSubroutineStmt@82> T_EOS  ;
     */
    void reduceByProduction1185(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineStmt> ::= <xSubroutinePrefix> <xSubroutineName> <xSubroutineStmt@82> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1185UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutinestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xSubroutineStmt> ::= <xLblDef> <xSubroutinePrefix> <xSubroutineName> T_EOS  ;
     */
    void reduceByProduction1186(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineStmt> ::= <xLblDef> <xSubroutinePrefix> <xSubroutineName> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1186UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutinestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xSubroutineStmt> ::= <xLblDef> <xSubroutinePrefix> <xSubroutineName> <xSubroutineStmt@82> T_EOS  ;
     */
    void reduceByProduction1187(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineStmt> ::= <xLblDef> <xSubroutinePrefix> <xSubroutineName> <xSubroutineStmt@82> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1187UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutinestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xSubroutinePrefix> ::= T_SUBROUTINE  ;
     */
    void reduceByProduction1188(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutinePrefix> ::= T_SUBROUTINE  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1188UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsubroutineprefixNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSubroutinePrefix> ::= <xPrefixSpecList> T_SUBROUTINE  ;
     */
    void reduceByProduction1189(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutinePrefix> ::= <xPrefixSpecList> T_SUBROUTINE  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1189UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutineprefixNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xSubroutinePars> ::= <xSubroutinePar>  ;
     */
    void reduceByProduction1190(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutinePars> ::= <xSubroutinePar>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1190UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsubroutineparsNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSubroutinePars> ::= T_COMMA <xSubroutinePar>  ;
     */
    void reduceByProduction1191(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutinePars> ::= T_COMMA <xSubroutinePar>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1191UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutineparsNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xSubroutinePars> ::= <xSubroutinePars> T_COMMA <xSubroutinePar>  ;
     */
    void reduceByProduction1192(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutinePars> ::= <xSubroutinePars> T_COMMA <xSubroutinePar>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1192UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsubroutineparsNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xSubroutinePar> ::= <xDummyArgName>  ;
     */
    void reduceByProduction1193(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutinePar> ::= <xDummyArgName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1193UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsubroutineparNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSubroutinePar> ::= T_ASTERISK  ;
     */
    void reduceByProduction1194(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutinePar> ::= T_ASTERISK  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1194UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsubroutineparNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEndSubroutineStmt> ::= T_END T_EOS  ;
     */
    void reduceByProduction1195(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSubroutineStmt> ::= T_END T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1195UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XendsubroutinestmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndSubroutineStmt> ::= <xLblDef> T_END T_EOS  ;
     */
    void reduceByProduction1196(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSubroutineStmt> ::= <xLblDef> T_END T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1196UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendsubroutinestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndSubroutineStmt> ::= T_ENDSUBROUTINE T_EOS  ;
     */
    void reduceByProduction1197(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSubroutineStmt> ::= T_ENDSUBROUTINE T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1197UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XendsubroutinestmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndSubroutineStmt> ::= T_ENDSUBROUTINE <xEndSubroutineStmt@83> T_EOS  ;
     */
    void reduceByProduction1198(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSubroutineStmt> ::= T_ENDSUBROUTINE <xEndSubroutineStmt@83> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1198UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendsubroutinestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndSubroutineStmt> ::= <xLblDef> T_ENDSUBROUTINE T_EOS  ;
     */
    void reduceByProduction1199(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSubroutineStmt> ::= <xLblDef> T_ENDSUBROUTINE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1199UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendsubroutinestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndSubroutineStmt> ::= <xLblDef> T_ENDSUBROUTINE <xEndSubroutineStmt@83> T_EOS  ;
     */
    void reduceByProduction1200(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSubroutineStmt> ::= <xLblDef> T_ENDSUBROUTINE <xEndSubroutineStmt@83> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1200UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendsubroutinestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndSubroutineStmt> ::= T_END T_SUBROUTINE T_EOS  ;
     */
    void reduceByProduction1201(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSubroutineStmt> ::= T_END T_SUBROUTINE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1201UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XendsubroutinestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEndSubroutineStmt> ::= T_END T_SUBROUTINE <xEndSubroutineStmt@84> T_EOS  ;
     */
    void reduceByProduction1202(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSubroutineStmt> ::= T_END T_SUBROUTINE <xEndSubroutineStmt@84> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1202UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendsubroutinestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndSubroutineStmt> ::= <xLblDef> T_END T_SUBROUTINE T_EOS  ;
     */
    void reduceByProduction1203(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSubroutineStmt> ::= <xLblDef> T_END T_SUBROUTINE T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1203UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XendsubroutinestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEndSubroutineStmt> ::= <xLblDef> T_END T_SUBROUTINE <xEndSubroutineStmt@84> T_EOS  ;
     */
    void reduceByProduction1204(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSubroutineStmt> ::= <xLblDef> T_END T_SUBROUTINE <xEndSubroutineStmt@84> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1204UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XendsubroutinestmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xEntryStmt> ::= T_ENTRY <xEntryName> T_EOS  ;
     */
    void reduceByProduction1205(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntryStmt> ::= T_ENTRY <xEntryName> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1205UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XentrystmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xEntryStmt> ::= T_ENTRY <xEntryName> <xEntryStmt@85> T_EOS  ;
     */
    void reduceByProduction1206(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntryStmt> ::= T_ENTRY <xEntryName> <xEntryStmt@85> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1206UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XentrystmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEntryStmt> ::= <xLblDef> T_ENTRY <xEntryName> T_EOS  ;
     */
    void reduceByProduction1207(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntryStmt> ::= <xLblDef> T_ENTRY <xEntryName> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1207UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XentrystmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xEntryStmt> ::= <xLblDef> T_ENTRY <xEntryName> <xEntryStmt@85> T_EOS  ;
     */
    void reduceByProduction1208(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntryStmt> ::= <xLblDef> T_ENTRY <xEntryName> <xEntryStmt@85> T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1208UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XentrystmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xReturnStmt> ::= T_RETURN T_EOS  ;
     */
    void reduceByProduction1209(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xReturnStmt> ::= T_RETURN T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1209UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XreturnstmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xReturnStmt> ::= <xLblDef> T_RETURN T_EOS  ;
     */
    void reduceByProduction1210(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xReturnStmt> ::= <xLblDef> T_RETURN T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1210UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XreturnstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xReturnStmt> ::= T_RETURN <xExpr> T_EOS  ;
     */
    void reduceByProduction1211(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xReturnStmt> ::= T_RETURN <xExpr> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1211UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XreturnstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xReturnStmt> ::= <xLblDef> T_RETURN <xExpr> T_EOS  ;
     */
    void reduceByProduction1212(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xReturnStmt> ::= <xLblDef> T_RETURN <xExpr> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1212UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XreturnstmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xContainsStmt> ::= T_CONTAINS T_EOS  ;
     */
    void reduceByProduction1213(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xContainsStmt> ::= T_CONTAINS T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1213UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XcontainsstmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xContainsStmt> ::= <xLblDef> T_CONTAINS T_EOS  ;
     */
    void reduceByProduction1214(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xContainsStmt> ::= <xLblDef> T_CONTAINS T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1214UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XcontainsstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xStmtFunctionStmt> ::= <xName> <xStmtFunctionRange>  ;
     */
    void reduceByProduction1215(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xStmtFunctionStmt> ::= <xName> <xStmtFunctionRange>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1215UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XstmtfunctionstmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xStmtFunctionStmt> ::= <xLblDef> <xName> <xStmtFunctionRange>  ;
     */
    void reduceByProduction1216(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xStmtFunctionStmt> ::= <xLblDef> <xName> <xStmtFunctionRange>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1216UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XstmtfunctionstmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xStmtFunctionRange> ::= T_LPAREN T_RPAREN T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction1217(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xStmtFunctionRange> ::= T_LPAREN T_RPAREN T_EQUALS <xExpr> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1217UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XstmtfunctionrangeNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xStmtFunctionRange> ::= T_LPAREN <xSFDummyArgNameList> T_RPAREN T_EQUALS <xExpr> T_EOS  ;
     */
    void reduceByProduction1218(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xStmtFunctionRange> ::= T_LPAREN <xSFDummyArgNameList> T_RPAREN T_EQUALS <xExpr> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1218UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XstmtfunctionrangeNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xSFDummyArgNameList> ::= <xSFDummyArgName>  ;
     */
    void reduceByProduction1219(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFDummyArgNameList> ::= <xSFDummyArgName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1219UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsfdummyargnamelistNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSFDummyArgNameList> ::= <xSFDummyArgNameList> T_COMMA <xSFDummyArgName>  ;
     */
    void reduceByProduction1220(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFDummyArgNameList> ::= <xSFDummyArgNameList> T_COMMA <xSFDummyArgName>  ;
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1220UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XsfdummyargnamelistNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xArrayName> ::= T_IDENT  ;
     */
    void reduceByProduction1221(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xArrayName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1221UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XarraynameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xBlockDataName> ::= T_IDENT  ;
     */
    void reduceByProduction1222(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xBlockDataName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1222UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XblockdatanameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xCommonBlockName> ::= T_IDENT  ;
     */
    void reduceByProduction1223(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCommonBlockName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1223UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcommonblocknameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xComponentName> ::= T_IDENT  ;
     */
    void reduceByProduction1224(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xComponentName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1224UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XcomponentnameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xDummyArgName> ::= T_IDENT  ;
     */
    void reduceByProduction1225(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDummyArgName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1225UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XdummyargnameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEndName> ::= T_IDENT  ;
     */
    void reduceByProduction1226(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1226UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XendnameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xEntryName> ::= T_IDENT  ;
     */
    void reduceByProduction1227(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntryName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1227UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XentrynameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xExternalName> ::= T_IDENT  ;
     */
    void reduceByProduction1228(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExternalName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1228UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XexternalnameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xFunctionName> ::= T_IDENT  ;
     */
    void reduceByProduction1229(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1229UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XfunctionnameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xGenericName> ::= T_IDENT  ;
     */
    void reduceByProduction1230(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xGenericName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1230UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XgenericnameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <T_xImpliedDoVariable> ::= T_IDENT  ;
     */
    void reduceByProduction1231(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <T_xImpliedDoVariable> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1231UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.TXimplieddovariableNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xIntrinsicProcedureName> ::= T_IDENT  ;
     */
    void reduceByProduction1232(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntrinsicProcedureName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1232UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XintrinsicprocedurenameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xModuleName> ::= T_IDENT  ;
     */
    void reduceByProduction1233(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xModuleName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1233UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XmodulenameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xNamelistGroupName> ::= T_IDENT  ;
     */
    void reduceByProduction1234(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xNamelistGroupName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1234UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XnamelistgroupnameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xObjectName> ::= T_IDENT  ;
     */
    void reduceByProduction1235(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xObjectName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1235UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XobjectnameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xProgramName> ::= T_IDENT  ;
     */
    void reduceByProduction1236(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xProgramName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1236UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XprogramnameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSFDummyArgName> ::= <xName>  ;
     */
    void reduceByProduction1237(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFDummyArgName> ::= <xName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1237UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsfdummyargnameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSFVarName> ::= <xName>  ;
     */
    void reduceByProduction1238(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFVarName> ::= <xName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1238UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsfvarnameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSubroutineName> ::= T_IDENT  ;
     */
    void reduceByProduction1239(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1239UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsubroutinenameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xSubroutineNameUse> ::= T_IDENT  ;
     */
    void reduceByProduction1240(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineNameUse> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1240UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XsubroutinenameuseNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xTypeName> ::= T_IDENT  ;
     */
    void reduceByProduction1241(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTypeName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1241UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XtypenameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xUseName> ::= T_IDENT  ;
     */
    void reduceByProduction1242(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUseName> ::= T_IDENT  ;
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1242UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XusenameNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xLblDef> ::= <xLabel>  ;
     */
    void reduceByProduction1243(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLblDef> ::= <xLabel>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1243UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XlbldefNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xAssignStmt>  ;
     */
    void reduceByProduction1244(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xAssignStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1244UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xAssignedGotoStmt>  ;
     */
    void reduceByProduction1245(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xAssignedGotoStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1245UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xActionStmt> ::= <xPauseStmt>  ;
     */
    void reduceByProduction1246(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xActionStmt> ::= <xPauseStmt>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1246UserAction(v1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.XactionstmtNonterminal.getInstance(), 1, userValue);
    }

    /**
     * Reduce by <xPauseStmt> ::= T_PAUSE T_EOS  ;
     */
    void reduceByProduction1247(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPauseStmt> ::= T_PAUSE T_EOS  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1247UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XpausestmtNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xPauseStmt> ::= <xLblDef> T_PAUSE T_EOS  ;
     */
    void reduceByProduction1248(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPauseStmt> ::= <xLblDef> T_PAUSE T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1248UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XpausestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xPauseStmt> ::= T_PAUSE T_ICON T_EOS  ;
     */
    void reduceByProduction1249(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPauseStmt> ::= T_PAUSE T_ICON T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1249UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XpausestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xPauseStmt> ::= <xLblDef> T_PAUSE T_ICON T_EOS  ;
     */
    void reduceByProduction1250(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPauseStmt> ::= <xLblDef> T_PAUSE T_ICON T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1250UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XpausestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xPauseStmt> ::= T_PAUSE T_SCON T_EOS  ;
     */
    void reduceByProduction1251(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPauseStmt> ::= T_PAUSE T_SCON T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1251UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XpausestmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xPauseStmt> ::= <xLblDef> T_PAUSE T_SCON T_EOS  ;
     */
    void reduceByProduction1252(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPauseStmt> ::= <xLblDef> T_PAUSE T_SCON T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1252UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XpausestmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xAssignStmt> ::= T_ASSIGN <xLblRef> T_TO <xVariableName> T_EOS  ;
     */
    void reduceByProduction1253(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignStmt> ::= T_ASSIGN <xLblRef> T_TO <xVariableName> T_EOS  ;
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1253UserAction(v1, v2, v3, v4, v5);

        // The production has 5 symbols on its RHS
        parser.reduce(Nonterminal.XassignstmtNonterminal.getInstance(), 5, userValue);
    }

    /**
     * Reduce by <xAssignStmt> ::= <xLblDef> T_ASSIGN <xLblRef> T_TO <xVariableName> T_EOS  ;
     */
    void reduceByProduction1254(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignStmt> ::= <xLblDef> T_ASSIGN <xLblRef> T_TO <xVariableName> T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1254UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XassignstmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xAssignedGotoStmt> ::= <GoToKw> <xVariableName> T_EOS  ;
     */
    void reduceByProduction1255(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignedGotoStmt> ::= <GoToKw> <xVariableName> T_EOS  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1255UserAction(v1, v2, v3);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.XassignedgotostmtNonterminal.getInstance(), 3, userValue);
    }

    /**
     * Reduce by <xAssignedGotoStmt> ::= <xLblDef> <GoToKw> <xVariableName> T_EOS  ;
     */
    void reduceByProduction1256(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignedGotoStmt> ::= <xLblDef> <GoToKw> <xVariableName> T_EOS  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1256UserAction(v1, v2, v3, v4);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.XassignedgotostmtNonterminal.getInstance(), 4, userValue);
    }

    /**
     * Reduce by <xAssignedGotoStmt> ::= <GoToKw> <xVariableName> T_LPAREN <xLblRefList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction1257(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignedGotoStmt> ::= <GoToKw> <xVariableName> T_LPAREN <xLblRefList> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1257UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XassignedgotostmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xAssignedGotoStmt> ::= <xLblDef> <GoToKw> <xVariableName> T_LPAREN <xLblRefList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction1258(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignedGotoStmt> ::= <xLblDef> <GoToKw> <xVariableName> T_LPAREN <xLblRefList> T_RPAREN T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1258UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XassignedgotostmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xAssignedGotoStmt> ::= <GoToKw> <xVariableComma> T_LPAREN <xLblRefList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction1259(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignedGotoStmt> ::= <GoToKw> <xVariableComma> T_LPAREN <xLblRefList> T_RPAREN T_EOS  ;
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v5 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1259UserAction(v1, v2, v3, v4, v5, v6);

        // The production has 6 symbols on its RHS
        parser.reduce(Nonterminal.XassignedgotostmtNonterminal.getInstance(), 6, userValue);
    }

    /**
     * Reduce by <xAssignedGotoStmt> ::= <xLblDef> <GoToKw> <xVariableComma> T_LPAREN <xLblRefList> T_RPAREN T_EOS  ;
     */
    void reduceByProduction1260(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignedGotoStmt> ::= <xLblDef> <GoToKw> <xVariableComma> T_LPAREN <xLblRefList> T_RPAREN T_EOS  ;
        Token v7 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v6 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v5 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1260UserAction(v1, v2, v3, v4, v5, v6, v7);

        // The production has 7 symbols on its RHS
        parser.reduce(Nonterminal.XassignedgotostmtNonterminal.getInstance(), 7, userValue);
    }

    /**
     * Reduce by <xVariableComma> ::= <xVariableName> T_COMMA  ;
     */
    void reduceByProduction1261(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xVariableComma> ::= <xVariableName> T_COMMA  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // Run the user's code for this production
        ParseTreeNode userValue = parser.getUserActions().production1261UserAction(v1, v2);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.XvariablecommaNonterminal.getInstance(), 2, userValue);
    }

    /**
     * Reduce by <xEndTypeStmt@1> ::= <xTypeName>  ;
     */
    void reduceByProduction1262(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndTypeStmt@1> ::= <xTypeName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendtypestmt1ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1262UserAction(v1);
    }

    /**
     * Reduce by <xEndTypeStmt@2> ::= <xTypeName>  ;
     */
    void reduceByProduction1263(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndTypeStmt@2> ::= <xTypeName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendtypestmt2ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1263UserAction(v1);
    }

    /**
     * Reduce by <xEntityDecl@3> ::= T_LPAREN <xArraySpec> T_RPAREN  ;
     */
    void reduceByProduction1264(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntityDecl@3> ::= T_LPAREN <xArraySpec> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xentitydecl3ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1264UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xEntityDecl@4> ::= T_ASTERISK <xCharLength>  ;
     */
    void reduceByProduction1265(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntityDecl@4> ::= T_ASTERISK <xCharLength>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xentitydecl4ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1265UserAction(v1, v2);
    }

    /**
     * Reduce by <xEntityDecl@5> ::= <xInitialization>  ;
     */
    void reduceByProduction1266(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntityDecl@5> ::= <xInitialization>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xentitydecl5ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1266UserAction(v1);
    }

    /**
     * Reduce by <xInvalidEntityDecl@6> ::= <xInitialization>  ;
     */
    void reduceByProduction1267(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xInvalidEntityDecl@6> ::= <xInitialization>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xinvalidentitydecl6ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1267UserAction(v1);
    }

    /**
     * Reduce by <xIntentStmt@7> ::= T_COLON T_COLON  ;
     */
    void reduceByProduction1268(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xIntentStmt@7> ::= T_COLON T_COLON  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xintentstmt7ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1268UserAction(v1, v2);
    }

    /**
     * Reduce by <xOptionalStmt@8> ::= T_COLON T_COLON  ;
     */
    void reduceByProduction1269(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOptionalStmt@8> ::= T_COLON T_COLON  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xoptionalstmt8ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1269UserAction(v1, v2);
    }

    /**
     * Reduce by <xAccessStmt@9> ::= T_COLON T_COLON  ;
     */
    void reduceByProduction1270(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAccessStmt@9> ::= T_COLON T_COLON  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xaccessstmt9ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1270UserAction(v1, v2);
    }

    /**
     * Reduce by <xSaveStmt@10> ::= T_COLON T_COLON  ;
     */
    void reduceByProduction1271(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSaveStmt@10> ::= T_COLON T_COLON  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xsavestmt10ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1271UserAction(v1, v2);
    }

    /**
     * Reduce by <xDimensionStmt@11> ::= T_COLON T_COLON  ;
     */
    void reduceByProduction1272(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDimensionStmt@11> ::= T_COLON T_COLON  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xdimensionstmt11ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1272UserAction(v1, v2);
    }

    /**
     * Reduce by <xAllocatableStmt@12> ::= T_COLON T_COLON  ;
     */
    void reduceByProduction1273(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAllocatableStmt@12> ::= T_COLON T_COLON  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xallocatablestmt12ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1273UserAction(v1, v2);
    }

    /**
     * Reduce by <xPointerStmt@13> ::= T_COLON T_COLON  ;
     */
    void reduceByProduction1274(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPointerStmt@13> ::= T_COLON T_COLON  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xpointerstmt13ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1274UserAction(v1, v2);
    }

    /**
     * Reduce by <xTargetStmt@14> ::= T_COLON T_COLON  ;
     */
    void reduceByProduction1275(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xTargetStmt@14> ::= T_COLON T_COLON  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xtargetstmt14ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1275UserAction(v1, v2);
    }

    /**
     * Reduce by <xVariable@15> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction1276(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xVariable@15> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xvariable15ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1276UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xVariable@15> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xVariable@16>  ;
     */
    void reduceByProduction1277(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xVariable@15> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xVariable@16>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.Xvariable15ReductionNonterminal.getInstance(), 4);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1277UserAction(v1, v2, v3, v4);
    }

    /**
     * Reduce by <xVariable@16> ::= <xSubstringRange>  ;
     */
    void reduceByProduction1278(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xVariable@16> ::= <xSubstringRange>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xvariable16ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1278UserAction(v1);
    }

    /**
     * Reduce by <xDataRef@17> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction1279(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xDataRef@17> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xdataref17ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1279UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xSFDataRef@18> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction1280(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSFDataRef@18> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xsfdataref18ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1280UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xPrimary@19> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction1281(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary@19> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xprimary19ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1281UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xPrimary@19> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xPrimary@20>  ;
     */
    void reduceByProduction1282(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary@19> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xPrimary@20>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.Xprimary19ReductionNonterminal.getInstance(), 4);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1282UserAction(v1, v2, v3, v4);
    }

    /**
     * Reduce by <xPrimary@20> ::= <xSubstringRange>  ;
     */
    void reduceByProduction1283(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary@20> ::= <xSubstringRange>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xprimary20ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1283UserAction(v1);
    }

    /**
     * Reduce by <xPrimary@21> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction1284(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary@21> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xprimary21ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1284UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xPrimary@21> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xPrimary@22>  ;
     */
    void reduceByProduction1285(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary@21> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xPrimary@22>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.Xprimary21ReductionNonterminal.getInstance(), 4);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1285UserAction(v1, v2, v3, v4);
    }

    /**
     * Reduce by <xPrimary@22> ::= <xSubstringRange>  ;
     */
    void reduceByProduction1286(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary@22> ::= <xSubstringRange>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xprimary22ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1286UserAction(v1);
    }

    /**
     * Reduce by <xPrimary@23> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction1287(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary@23> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xprimary23ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1287UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xPrimary@23> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xPrimary@24>  ;
     */
    void reduceByProduction1288(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary@23> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xPrimary@24>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.Xprimary23ReductionNonterminal.getInstance(), 4);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1288UserAction(v1, v2, v3, v4);
    }

    /**
     * Reduce by <xPrimary@24> ::= <xSubstringRange>  ;
     */
    void reduceByProduction1289(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary@24> ::= <xSubstringRange>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xprimary24ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1289UserAction(v1);
    }

    /**
     * Reduce by <xPrimary@25> ::= <xSubstringRange>  ;
     */
    void reduceByProduction1290(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary@25> ::= <xSubstringRange>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xprimary25ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1290UserAction(v1);
    }

    /**
     * Reduce by <xPrimary@26> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction1291(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary@26> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xprimary26ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1291UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xPrimary@26> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xPrimary@27>  ;
     */
    void reduceByProduction1292(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary@26> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xPrimary@27>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.Xprimary26ReductionNonterminal.getInstance(), 4);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1292UserAction(v1, v2, v3, v4);
    }

    /**
     * Reduce by <xPrimary@27> ::= <xSubstringRange>  ;
     */
    void reduceByProduction1293(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xPrimary@27> ::= <xSubstringRange>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xprimary27ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1293UserAction(v1);
    }

    /**
     * Reduce by <xCOperand@28> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction1294(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCOperand@28> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xcoperand28ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1294UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xCOperand@29> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction1295(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCOperand@29> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xcoperand29ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1295UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xCOperand@30> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction1296(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCOperand@30> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xcoperand30ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1296UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xUFPrimary@31> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction1297(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary@31> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xufprimary31ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1297UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xUFPrimary@31> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xUFPrimary@32>  ;
     */
    void reduceByProduction1298(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary@31> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xUFPrimary@32>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.Xufprimary31ReductionNonterminal.getInstance(), 4);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1298UserAction(v1, v2, v3, v4);
    }

    /**
     * Reduce by <xUFPrimary@32> ::= <xSubstringRange>  ;
     */
    void reduceByProduction1299(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary@32> ::= <xSubstringRange>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xufprimary32ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1299UserAction(v1);
    }

    /**
     * Reduce by <xUFPrimary@33> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction1300(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary@33> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xufprimary33ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1300UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xUFPrimary@34> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction1301(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary@34> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xufprimary34ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1301UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xUFPrimary@34> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xUFPrimary@35>  ;
     */
    void reduceByProduction1302(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary@34> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xUFPrimary@35>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.Xufprimary34ReductionNonterminal.getInstance(), 4);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1302UserAction(v1, v2, v3, v4);
    }

    /**
     * Reduce by <xUFPrimary@35> ::= <xSubstringRange>  ;
     */
    void reduceByProduction1303(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFPrimary@35> ::= <xSubstringRange>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xufprimary35ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1303UserAction(v1);
    }

    /**
     * Reduce by <xMultOperand@36> ::= <xPowerOp> <xMultOperand>  ;
     */
    void reduceByProduction1304(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMultOperand@36> ::= <xPowerOp> <xMultOperand>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xmultoperand36ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1304UserAction(v1, v2);
    }

    /**
     * Reduce by <xUFFactor@37> ::= <xPowerOp> <xUFFactor>  ;
     */
    void reduceByProduction1305(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUFFactor@37> ::= <xPowerOp> <xUFFactor>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xuffactor37ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1305UserAction(v1, v2);
    }

    /**
     * Reduce by <xAddOperand@38> ::= <xAddOperand> <xMultOp>  ;
     */
    void reduceByProduction1306(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAddOperand@38> ::= <xAddOperand> <xMultOp>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xaddoperand38ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1306UserAction(v1, v2);
    }

    /**
     * Reduce by <xLevel2Expr@39> ::= <xLevel2Expr> <xAddOp>  ;
     */
    void reduceByProduction1307(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLevel2Expr@39> ::= <xLevel2Expr> <xAddOp>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xlevel2expr39ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1307UserAction(v1, v2);
    }

    /**
     * Reduce by <xLevel3Expr@40> ::= <xLevel3Expr> <xConcatOp>  ;
     */
    void reduceByProduction1308(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLevel3Expr@40> ::= <xLevel3Expr> <xConcatOp>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xlevel3expr40ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1308UserAction(v1, v2);
    }

    /**
     * Reduce by <xCExpr@41> ::= <xCExpr> <xConcatOp>  ;
     */
    void reduceByProduction1309(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCExpr@41> ::= <xCExpr> <xConcatOp>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xcexpr41ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1309UserAction(v1, v2);
    }

    /**
     * Reduce by <xLevel4Expr@42> ::= <xLevel3Expr> <xRelOp>  ;
     */
    void reduceByProduction1310(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLevel4Expr@42> ::= <xLevel3Expr> <xRelOp>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xlevel4expr42ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1310UserAction(v1, v2);
    }

    /**
     * Reduce by <xAndOperand@43> ::= <xNotOp>  ;
     */
    void reduceByProduction1311(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAndOperand@43> ::= <xNotOp>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xandoperand43ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1311UserAction(v1);
    }

    /**
     * Reduce by <xOrOperand@44> ::= <xOrOperand> <xAndOp>  ;
     */
    void reduceByProduction1312(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xOrOperand@44> ::= <xOrOperand> <xAndOp>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xoroperand44ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1312UserAction(v1, v2);
    }

    /**
     * Reduce by <xEquivOperand@45> ::= <xEquivOperand> <xOrOp>  ;
     */
    void reduceByProduction1313(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEquivOperand@45> ::= <xEquivOperand> <xOrOp>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xequivoperand45ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1313UserAction(v1, v2);
    }

    /**
     * Reduce by <xLevel5Expr@46> ::= <xLevel5Expr> <xEquivOp>  ;
     */
    void reduceByProduction1314(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xLevel5Expr@46> ::= <xLevel5Expr> <xEquivOp>  ;
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xlevel5expr46ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1314UserAction(v1, v2);
    }

    /**
     * Reduce by <xAssignmentStmt@47> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction1315(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt@47> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xassignmentstmt47ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1315UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xAssignmentStmt@47> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xAssignmentStmt@48>  ;
     */
    void reduceByProduction1316(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt@47> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xAssignmentStmt@48>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.Xassignmentstmt47ReductionNonterminal.getInstance(), 4);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1316UserAction(v1, v2, v3, v4);
    }

    /**
     * Reduce by <xAssignmentStmt@48> ::= <xSubstringRange>  ;
     */
    void reduceByProduction1317(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt@48> ::= <xSubstringRange>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xassignmentstmt48ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1317UserAction(v1);
    }

    /**
     * Reduce by <xAssignmentStmt@49> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction1318(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt@49> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xassignmentstmt49ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1318UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xAssignmentStmt@49> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xAssignmentStmt@50>  ;
     */
    void reduceByProduction1319(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt@49> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xAssignmentStmt@50>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.Xassignmentstmt49ReductionNonterminal.getInstance(), 4);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1319UserAction(v1, v2, v3, v4);
    }

    /**
     * Reduce by <xAssignmentStmt@50> ::= <xSubstringRange>  ;
     */
    void reduceByProduction1320(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt@50> ::= <xSubstringRange>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xassignmentstmt50ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1320UserAction(v1);
    }

    /**
     * Reduce by <xAssignmentStmt@51> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
     */
    void reduceByProduction1321(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt@51> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xassignmentstmt51ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1321UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xAssignmentStmt@51> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xAssignmentStmt@52>  ;
     */
    void reduceByProduction1322(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt@51> ::= T_LPAREN <xSectionSubscriptList> T_RPAREN <xAssignmentStmt@52>  ;
        ParseTreeNode v4 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.Xassignmentstmt51ReductionNonterminal.getInstance(), 4);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1322UserAction(v1, v2, v3, v4);
    }

    /**
     * Reduce by <xAssignmentStmt@52> ::= <xSubstringRange>  ;
     */
    void reduceByProduction1323(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xAssignmentStmt@52> ::= <xSubstringRange>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xassignmentstmt52ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1323UserAction(v1);
    }

    /**
     * Reduce by <xMaskedElsewhereStmt@53> ::= <xEndName>  ;
     */
    void reduceByProduction1324(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xMaskedElsewhereStmt@53> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xmaskedelsewherestmt53ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1324UserAction(v1);
    }

    /**
     * Reduce by <xElsewhereStmt@54> ::= <xEndName>  ;
     */
    void reduceByProduction1325(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xElsewhereStmt@54> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xelsewherestmt54ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1325UserAction(v1);
    }

    /**
     * Reduce by <xEndWhereStmt@55> ::= <xEndName>  ;
     */
    void reduceByProduction1326(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndWhereStmt@55> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendwherestmt55ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1326UserAction(v1);
    }

    /**
     * Reduce by <xEndWhereStmt@56> ::= <xEndName>  ;
     */
    void reduceByProduction1327(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndWhereStmt@56> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendwherestmt56ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1327UserAction(v1);
    }

    /**
     * Reduce by <xEndForallStmt@57> ::= <xEndName>  ;
     */
    void reduceByProduction1328(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndForallStmt@57> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendforallstmt57ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1328UserAction(v1);
    }

    /**
     * Reduce by <xEndForallStmt@58> ::= <xEndName>  ;
     */
    void reduceByProduction1329(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndForallStmt@58> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendforallstmt58ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1329UserAction(v1);
    }

    /**
     * Reduce by <xEndIfStmt@59> ::= <xEndName>  ;
     */
    void reduceByProduction1330(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndIfStmt@59> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendifstmt59ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1330UserAction(v1);
    }

    /**
     * Reduce by <xEndIfStmt@60> ::= <xEndName>  ;
     */
    void reduceByProduction1331(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndIfStmt@60> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendifstmt60ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1331UserAction(v1);
    }

    /**
     * Reduce by <xEndSelectStmt@61> ::= <xEndName>  ;
     */
    void reduceByProduction1332(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSelectStmt@61> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendselectstmt61ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1332UserAction(v1);
    }

    /**
     * Reduce by <xEndSelectStmt@62> ::= <xEndName>  ;
     */
    void reduceByProduction1333(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSelectStmt@62> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendselectstmt62ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1333UserAction(v1);
    }

    /**
     * Reduce by <xEndDoStmt@63> ::= <xEndName>  ;
     */
    void reduceByProduction1334(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndDoStmt@63> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xenddostmt63ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1334UserAction(v1);
    }

    /**
     * Reduce by <xEndDoStmt@64> ::= <xEndName>  ;
     */
    void reduceByProduction1335(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndDoStmt@64> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xenddostmt64ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1335UserAction(v1);
    }

    /**
     * Reduce by <xCycleStmt@65> ::= <xName>  ;
     */
    void reduceByProduction1336(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xCycleStmt@65> ::= <xName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xcyclestmt65ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1336UserAction(v1);
    }

    /**
     * Reduce by <xExitStmt@66> ::= <xName>  ;
     */
    void reduceByProduction1337(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xExitStmt@66> ::= <xName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xexitstmt66ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1337UserAction(v1);
    }

    /**
     * Reduce by <xFormatStmt@67> ::= <xFmtSpec>  ;
     */
    void reduceByProduction1338(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFormatStmt@67> ::= <xFmtSpec>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xformatstmt67ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1338UserAction(v1);
    }

    /**
     * Reduce by <xEndProgramStmt@68> ::= <xEndName>  ;
     */
    void reduceByProduction1339(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndProgramStmt@68> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendprogramstmt68ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1339UserAction(v1);
    }

    /**
     * Reduce by <xEndProgramStmt@69> ::= <xEndName>  ;
     */
    void reduceByProduction1340(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndProgramStmt@69> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendprogramstmt69ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1340UserAction(v1);
    }

    /**
     * Reduce by <xEndModuleStmt@70> ::= <xEndName>  ;
     */
    void reduceByProduction1341(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndModuleStmt@70> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendmodulestmt70ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1341UserAction(v1);
    }

    /**
     * Reduce by <xEndModuleStmt@71> ::= <xEndName>  ;
     */
    void reduceByProduction1342(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndModuleStmt@71> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendmodulestmt71ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1342UserAction(v1);
    }

    /**
     * Reduce by <xUseStmt@72> ::= <xOnlyList>  ;
     */
    void reduceByProduction1343(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xUseStmt@72> ::= <xOnlyList>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xusestmt72ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1343UserAction(v1);
    }

    /**
     * Reduce by <xEndBlockDataStmt@73> ::= <xEndName>  ;
     */
    void reduceByProduction1344(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt@73> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendblockdatastmt73ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1344UserAction(v1);
    }

    /**
     * Reduce by <xEndBlockDataStmt@74> ::= <xEndName>  ;
     */
    void reduceByProduction1345(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt@74> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendblockdatastmt74ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1345UserAction(v1);
    }

    /**
     * Reduce by <xEndBlockDataStmt@75> ::= <xEndName>  ;
     */
    void reduceByProduction1346(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt@75> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendblockdatastmt75ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1346UserAction(v1);
    }

    /**
     * Reduce by <xEndBlockDataStmt@76> ::= <xEndName>  ;
     */
    void reduceByProduction1347(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndBlockDataStmt@76> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendblockdatastmt76ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1347UserAction(v1);
    }

    /**
     * Reduce by <xEndInterfaceStmt@77> ::= <xEndName>  ;
     */
    void reduceByProduction1348(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndInterfaceStmt@77> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendinterfacestmt77ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1348UserAction(v1);
    }

    /**
     * Reduce by <xEndInterfaceStmt@78> ::= <xEndName>  ;
     */
    void reduceByProduction1349(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndInterfaceStmt@78> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendinterfacestmt78ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1349UserAction(v1);
    }

    /**
     * Reduce by <xFunctionStmt@79> ::= T_RESULT T_LPAREN <xName> T_RPAREN  ;
     */
    void reduceByProduction1350(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xFunctionStmt@79> ::= T_RESULT T_LPAREN <xName> T_RPAREN  ;
        Token v4 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v3 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 4 symbols on its RHS
        parser.reduce(Nonterminal.Xfunctionstmt79ReductionNonterminal.getInstance(), 4);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1350UserAction(v1, v2, v3, v4);
    }

    /**
     * Reduce by <xEndFunctionStmt@80> ::= <xEndName>  ;
     */
    void reduceByProduction1351(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndFunctionStmt@80> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendfunctionstmt80ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1351UserAction(v1);
    }

    /**
     * Reduce by <xEndFunctionStmt@81> ::= <xEndName>  ;
     */
    void reduceByProduction1352(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndFunctionStmt@81> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendfunctionstmt81ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1352UserAction(v1);
    }

    /**
     * Reduce by <xSubroutineStmt@82> ::= T_LPAREN T_RPAREN  ;
     */
    void reduceByProduction1353(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineStmt@82> ::= T_LPAREN T_RPAREN  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xsubroutinestmt82ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1353UserAction(v1, v2);
    }

    /**
     * Reduce by <xSubroutineStmt@82> ::= T_LPAREN <xSubroutinePars> T_RPAREN  ;
     */
    void reduceByProduction1354(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xSubroutineStmt@82> ::= T_LPAREN <xSubroutinePars> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xsubroutinestmt82ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1354UserAction(v1, v2, v3);
    }

    /**
     * Reduce by <xEndSubroutineStmt@83> ::= <xEndName>  ;
     */
    void reduceByProduction1355(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSubroutineStmt@83> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendsubroutinestmt83ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1355UserAction(v1);
    }

    /**
     * Reduce by <xEndSubroutineStmt@84> ::= <xEndName>  ;
     */
    void reduceByProduction1356(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEndSubroutineStmt@84> ::= <xEndName>  ;
        ParseTreeNode v1 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 1 symbol on its RHS
        parser.reduce(Nonterminal.Xendsubroutinestmt84ReductionNonterminal.getInstance(), 1);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1356UserAction(v1);
    }

    /**
     * Reduce by <xEntryStmt@85> ::= T_LPAREN T_RPAREN  ;
     */
    void reduceByProduction1357(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntryStmt@85> ::= T_LPAREN T_RPAREN  ;
        Token v2 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 2 symbols on its RHS
        parser.reduce(Nonterminal.Xentrystmt85ReductionNonterminal.getInstance(), 2);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1357UserAction(v1, v2);
    }

    /**
     * Reduce by <xEntryStmt@85> ::= T_LPAREN <xSubroutinePars> T_RPAREN  ;
     */
    void reduceByProduction1358(Parser parser)
    {
        ArrayList valueStack = parser.getValueStack();

        // Reduce by <xEntryStmt@85> ::= T_LPAREN <xSubroutinePars> T_RPAREN  ;
        Token v3 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        ParseTreeNode v2 = (ParseTreeNode)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);
        Token v1 = (Token)valueStack.get(valueStack.size()-1); valueStack.remove(valueStack.size() - 1);

        // The production has 3 symbols on its RHS
        parser.reduce(Nonterminal.Xentrystmt85ReductionNonterminal.getInstance(), 3);

        // Run the auto-generated user code for this production,
        // which will push values onto the valueStack
        parser.getUserActions().production1358UserAction(v1, v2, v3);
    }
}
